\c{
:@ Tracks
For those developing a course on object-oriented programming,
the book offers a choice between various tracks,
for which the ingredients are sketched below.
Also, an indication is given of the sections that contain
more advanced material.
\nop{
{\em programming track}, consisting
of chapters 2, 5, 7 and 11,
a {\em software engineering track},
consisting of chapters 1, 3, 4, and 11,
and a {\em theoretical track},
consisting of chapters 4, 8, 9 and 10.
}
\ln
\begin{center}
\begin{tabular}{ l | l | l | l }
 & regular & extended & advanced \\ \hline
programming & 2, 5, 7, 12 & 6, 8, 11 & 7,8 \\ \hline
software engineering & 1, 3, 4, 11 & 8.1, 8.2, 10.1, 10.2, 10.4 &  8, 10 \\ \hline
theoretical &  8, 9, 10 &  1, 3, 4, 5 & 9.5, 9.6, 10.3  \\ \hline
\end{tabular}
\end{center}
\ln
The
{\em programming track}, consisting
of chapters 2, 5, 7 and 12, may be augmented with
material from the appendices and  chapters 6, 8 and 11.
The {\em software engineering track},
consisting of chapters 1, 3, 4 and 11,
may be augmented with material from the theoretical
track as indicated.
The {\em theoretical track},
consisting of chapters 8, 9 and 10,
may need to be augmented with more general
information concerning OOP provided in the other tracks.
}
