<bibliography>

%K Agha Agha (1990)
%A Agha G. (1990)
%T The structure and semantics of actor languages
%O In [_BRR90], pp. 1-59

%K AWY93 Agha {\it et al.} (1993)
%A Agha G., Wegner P. and Yonezawa A., eds. (1993)
%B Research directions in concurrent object-oriented programming
%O MIT Press


%K Agra89 Agrawal and Gehani (1989)
%A Agrawal R. and Gehani N.H. (1989)
%T Ode (Object database and environment): The language and the data model
%O In {\it Proc. ACM-SIGMOD 1989 Int. Conf. of Data}, Portland, Oregon,
pp. 36-45

%K KMS88 Akscyn {\it et al.} (1988)
%A Akscyn R., McCracken D. and Yoder E. (1988)
%T KMS: a distributed hypermedia system for managing knowledge in organizations
%O {\it CACM} 31(7), pp. 820-835

%K Am87 America (1987)
%A America P. (1987)
%T POOL-T: a parallel object-oriented language
%O In {\it Object-oriented concurrent systems}
(Yonezawa A. and Tokoro M., eds.),
MIT Press,
pp. 199-220

%K Am87a America (1987a)
%A America P. (1987a)
%T Inheritance and subtyping in a parallel object-oriented language
%O In {\it Proc. ECOOP 87}, Paris, Springer LNCS 276, pp. 234-242


%K ABKR89 America {\it et al.} (1989)
%A America P., de Bakker J.W., Kok J.N. and Rutten J.J.N.N. (1989)
%T Denotational semantics of a Parallel Object-Oriented Language
%O {\it Information and Computation}, 83 (2) pp. 152-205

%K Am90 America (1990)
%A America P. (1990)
%T A behavioral approach to subtyping in object-oriented programming languages
%O In [_LNS90], pp. 173-190

%K AmBo93 America and de Boer (1993)
%A America P. and de Boer F. (1993)
%T Reasoning about dynamically evolving process structures
%O {\it Formal aspects of computing} 3, pp. 1-53

%K Ammeraal Ammeraal (1992)
%A Ammeraal L. (1992)
%B Programming principles in computer graphics
%O Wiley, 2nd edn.

%K Andrews Andrews (1991)
%A Andrews G.R. (1991)
%B Concurrent programming -- principles and practice
%O Benjamin/Cummings

%K AptO Apt and Olderog (1991)
%A Apt K.R. and Olderog E-R. (1991)
%B Verification of sequential and concurrent programs
%O Springer

%K Back88 Back and Kurki-Suonio (1988)
%A Back R.J.R. and Kurki-Suonio R. (1988)
%T Distributed cooperation with action systems
%O {\it ACM TOPLAS} 10(4), pp. 513-514

%K Backhouse Backhouse (1986)
%A Backhouse R. (1986)
%B Program construction and verification
%O Prentice-Hall

%K BRR90 de Bakker {\it et al.} (1990)
%A de Bakker J.W., de Roever W.P. and Rozenberg G., eds. (1990)
%B Foundations of Object-Oriented Languages
%O Springer LNCS 489

%K BRR92 de Bakker {\it et al.} (1992)
%A de Bakker J.W., de Roever W.P. and Rozenberg G., eds. (1992)
%B Semantics: Foundations and Applications
%O Springer LNCS 666

%K Ba89 Bal {\it et al.} (1989)
%A Bal H., Steiner J. and Tanenbaum A. (1989)
%T Programming languages for distributed systems
%O {\it ACM Computing Surveys}  21(3),  pp. 262-322

%K Orca Bal (1991)
%A Bal H. (1991)
%B Programming distributed systems
%O Prentice Hall

%K BG94 Bal and Grune (1994)
%A Bal H.E. and Grune D. (1994)
%B Programming language essentials
%O Addison-Wesley

%K Bar92 Bar-David (1992)
%A Bar-David T. (1992)
%T Practical consequences of formal definitions of inheritance
%O {\it JOOP} July/August 1992, pp. 43-49

%K Barend Barendregt (1984)
%A Barendregt H.P. (1984) 
%B The lambda calculus -- Its syntax and semantics
%O North-Holland, rev. edn.

%K Barnes94 Barnes (1994)
%A Barnes J.G.P. (1994)
%B Programming in Ada, Plus an overview of Ada 9X
%O Addison-Wesley, 4th edn.

%K BC89 Beck and Cunningham (1989)
%A Beck K. and Cunningham W. (1989)
%T A laboratory for teaching object-oriented thinking
%O In {\it Proc. OOPSLA '89}, ACM Sigplan Notices 17(4), pp. 1-6 

%K Beck90 Beck (1990)
%A Beck B. (1990)
%T Shared-memory parallel programming in C++
%O {\it IEEE Software} 7(7), pp. 38-48

%K Bennett Bennett (1987)
%A Bennett J.K. (1987)
%T The design and implementation of Distributed Smalltalk
%O In {\it Proc. OOPSLA'87}, pp. 318-330

%K Bergin94 Bergin (1994)
%A Bergin J. (1994)
%B Data abstraction -- The object-oriented approach using C++
%O McGraw-Hill

%K WWW Berners-Lee {\it et al.} (1992)
%A Berners-Lee T.J., Cailliau R., Groff J-F. and Pollermann B. (1992)
%T World Wide Web: The Information Universe 
%O {\it Electronic Networking: Research,
Applications and Policy} 2(1), Meckler Publishing, pp. 52-58


%K Bersh88 Bershad {\it et al.} (1988)
%A Bershad B.N., Lazowska E.D., and Levy H.M. (1988)
%T Presto: a system for object-oriented parallel programming
%O {\it Software -- Practice and Experience} 18(8), pp. 713-732

%K Bersoff91 Bersoff and Davis, 1991
%A Bersoff E.H. and Davis A.M. (1991)
%T Impacts of life cycle models on software configuration management
%O {\it CACM} 34(8), pp. 105-117

%K BG93 Bezem en Grootte (1993)
%A Bezem M. and Grootte J.F., eds. (1993)
%B Typed lambda calculi and applications
%O {\it Proc. Int. Conf. on typed lambda calculi and applications,
TCLA'93}, Springer LNCS 664

%K Bigelow88 Bigelow (1988)
%A Bigelow J. (1988)
%T Hypertext and CASE
%O {\it IEEE Software}, March 1988, pp. 23-26

%K Biggerstaff89 Biggerstaff and Perlis (1989)
%A Biggerstaff T.J. and Perlis A.J., eds. (1989)
%B Software reusability, Volume I: Concepts and Models, Volume II: Applications and Experience
%O Addison-Wesley


%K Black Black and Hutchinson (1986)
%A Black A. and Hutchinson N. (1986)
%T Object structure in the Emerald system
%O In {\it Proc. OOPSLA'86}, pp. 78-86

%K BPS89 Blaschek {\it et al.} (1989)
%A Blaschek G., Pomberger G. and Stritzinger A. (1989)
%T A comparison of object-oriented programming languages
%O {\it Structured Programming} 10(4), pp. 187-197

%K Blum92 Blum (1992)
%A Blum A. (1992)
%B Neural networks in C++ -- An object-oriented framework for building connectionist systems
%O Wiley


%K KRL Bobrow and Winograd (1977)
%A Bobrow D.G. and Winograd T. (1977)
%T An overview of KRL -- a knowledge representation language
%O Technical Report R76/581 Stanford University
%X Cognitive Science, March 1977

%K Booch86 Booch (1986)
%A Booch G. (1986)
%T Object-oriented development
%O {\it IEEE Transactions on Software Engineering} 12(2), pp. 211-221 

%K BV90 Booch and Vilot (1990)
%A Booch G. and Vilot M. (1990)
%T The design of the C++ Booch components
%O In {\it Proc. ECOOP/OOPSLA '90}, pp. 1-11

%K Booch91 Booch (1991)
%A Booch G. (1991)
%B Object-oriented design with applications
%O Benjamin Cummings

%K Booch94 Booch (1994)
%A Booch G. (1994)
%B Object-oriented analysis and design with applications
%O Benjamin Cummings, 2nd edn.

%K Bratko Bratko (1990)
%A Bratko I. (1990)
%B Prolog Programming for Artificial Intelligence
%O Addison-Wesley, 2nd edn.


%K Briot87 Briot and Yonezawa (1987)
%A Briot J. and Yonezawa A. (1987)
%T Inheritance and synchronization in concurrent OOP
%O In {\it Proc. ECOOP '87}, Springer LNCS 276, pp. 32-40

%K Budd91 Budd (1991)
%A Budd T. (1991)
%B An introduction to object-oriented programming
%O Addison-Wesley

%K Budd94 Budd (1994)
%A Budd T. (1994)
%B Classic data structures in C++
%O Addison-Wesley

%K Buhr92 Buhr et al (1992)
%A Buhr P.A., Ditchfield G., Stroobosscher R.A., Younger B.M., and Zarnke C.R. (1992)
%T $%m${}C++ : Concurrency in the object-oriented language C++
%O {\it Software -- Practice and Experience} 22(2), pp. 137-172

%K BuhrMac92 Buhr and MacDonald (1992)
%A Buhr P.A. and MacDonald H.I. (1992)
%T Synchronous and asynchronous handling of abnormal events in the $%m${}System
%O {\it Software -- Practice and Experience} 22(9), pp. 735-776

%K Bush Bush (1945)
%A Bush V. (1945)
%T As we may think
%O {\it Atlantic Monthly}, August 1945, pp. 101-108 


%K FRL Bundy (1986)
%A Bundy A., ed. (1990)
%B Catalogue of Artificial Intelligence tools
%O Springer, 3rd edn.

%K Burger93 Burger (1993)
%A Burger J. (1993)
%B The desktop multimedia bible
%O Addison-Wesley

%K Ca84 Cardelli (1984)
%A Cardelli L. (1984)
%T A semantics of multiple inheritance
%O In {\it Semantics of Data Types}, Springer LNCS 173, pp. 51-68 

%K CW85 Cardelli and Wegner (1985)
%A Cardelli L. and Wegner P. (1985)
%T On understanding types, data abstraction and polymorphism
%O {\it ACM Computing Surveys} 17(4), pp. 472-522 

%K Card89 Cardelli {\it et al.} (1989)
%A Cardelli L., Donahue J., Jordan M. Kalsow B. and Neslon G. (1989)
%T The Modula-3 Type System
%O In {\em Proc. ACM Symposium on Principles of Programming Languages}, Austin, Texas, pp. 202-212

%K CE94 Carroll and Ellis (1994)
%A Carroll M. and Ellis M.A. (1994)
%B Designing and implementing reusable C++
%O Addison-Wesley

%K CGL93 Castagna {\it et al.} (1993)
%A Castagna G., Ghelli G. and Longo G. (1993)
%T A semantics for $%l &$-{\it early}: a calculus with overloading and early binding
%O In [_BG93], pp. 107-123

%K Cattell94 Cattell (1994)
%A Cattell R., ed. (1994)
%B The object database standard: ODMG-93
%O Morgan-Kaufmann 

%K Champeaux93 Champeaux {\it et al.} (1993)
%A de Champeaux D., Lea D. and Faure P. (1993)
%B Object-oriented system development
%O Addison-Wesley

%K Chandy89 Chandy and Misra (1989)
%A Chandy K.M. and Misra J. (1989)
%B Parallel program design -- A foundation
%O Addison-Wesley

%K Chandy Chandy and Kesselman (1992)
%A Chandy K.M. and Kesselman C. (1992)
%T Compositional C++: compositional parallel programming
%O In {\it Proc. of the Workshop on Parallel Computing and Compilers},
Springer 

%K ChidK Chidamber and Kemerer (1991)
%A Chidamber S.K. and Kemerer C.F. (1991)
%T Towards a metric suite for object-oriented design
%O In {\it Proc. OOPSLA'91}, pp. 197-211

%K Cline Cline and Lea (1990)
%A Cline M. and  Lea D. (1990)
%T The behavior of C++ classes
%O In {\it Proc. Symp. on Object-Oriented Programming},
Marist College

%K CN93 Coad and Nicola (1993)
%A Coad P. and Nicola J. (1993)
%B Object-oriented programming
%O Yourdon Press

%K CY90 Coad and Yourdon (1991a)
%A Coad P. and Yourdon E. (1991a)
%B Object-oriented analysis
%O Prentice Hall, 2nd edn.

%K CY91b Coad and Yourdon (1991b)
%A Coad P. and Yourdon E. (1991b)
%B Object-oriented design
%O Prentice Hall

%K Cointe87 Cointe (1987)
%A Cointe P. (1987)
%T Metaclasses are first class: the ObjVLisp Model
%O In {\it Proc. OOPSLA'87}, {\it ACM Sigplan Notices} 22(12), pp. 156-167 

%K Fusion Coleman {\it et al.} (1994)
%A Coleman D., Arnold P., Bodoff S., Dollin C., Gilchrist H., Hayes F.  and Jeremaes P.,
(1994) 
%B Object-oriented development -- The Fusion method
%O Prentice Hall

%K Conklin87 Conklin (1987)
%A Conklin J. (1987)
%T Hypertext: An Introduction and Survey
%O {\it IEEE Computer} 20(9), pp. 17-41 

%K Cook90 Cook (1990)
%A Cook W.R. (1990)
%T Object-oriented programming versus abstract data types
%O In [_BRR90], pp. 151-178 

%K CoPa89 Cook and Palsberg (1989)
%A Cook W. and Palsberg J. (1989)
%T A denotational semantics of inheritance and its correctness
%O In {\it Proc. OOPSLA 1989}, pp. 433-434

%K CoHC90 Cook {\it et al.} (1990)
%A Cook W., Hill W. and Canning P. (1990)
%T Inheritance is not subtyping
%O In {\it Proc. ACM Symp. on Principles of Programming Languages}

%K Coplien92 Coplien (1992)
%A Coplien J. (1992)
%B Advanced C++ Programming Styles and Idioms
%O Addison-Wesley 


%K Cox86 Cox (1986)
%A Cox B.J. (1986)
%B Object-Oriented Programming -- An evolutionary approach
%O Addison-Wesley 

%K Craig91 Craig (1991)
%A Craig  I. (1991)
%B The formal specification of advanced AI architectures
%O Ellis Horwood 

%K DaNy66 Dahl and Nygaard (1966)
%A Dahl O-J. and Nygaard K. (1966)
%T Simula -- an algol-based simulation language
%O {\it CACM} 9, pp. 671-678

%K Dahl92 Dahl (1992)
%A Dahl O-J. (1992)
%B Verifiable Programming
%O Prentice Hall

%K DT88 Danforth and Tomlinson (1988)
%A Danforth S. and Tomlinson C. (1988)
%T Type theories and object-oriented programming
%O {\it ACM Computing Surveys} 20(1), pp. 30-72 

%K Davis88 Davis {\it et al.} (1988)
%A Davis A.M., Bersoff E.H. and Comer E.R. (1988)
%T A strategy for comparing alternative software development life cycle models
%O {\it IEEE Trans. on Software Engineering} 14(10), pp. 1453-1461

%K Davison93 Davison (1993)
%A Davison A. (1993)
%T A survey of logic programming based object-oriented languages
%O In [_AWY93], pp. 43-106


%K Detlefs88 Detlefs {\it et al.} (1988)
%A Detlefs D.L., Herlihy M.P. and Wing J.M. (1988)
%T Inheritance of synchronization and recovery properties in Avalon/C++
%O {\it IEEE Computer} 21(12), pp. 57-69

%K Diller90 Diller (1990)
%A Diller A. (1990)
%B Z: An Introduction to Formal Methods
%O Wiley 


%K Dixon89 Dixon (1989)
%A Dixon G.N., Parrington G.D., Shrivastava S.K. and Wheater S.M. (1989)
%T The treatment of persistent objects in Arjuna
%O In {\it Proc. ECOOP '89}, Cambridge University Press, pp. 169-189

%K Dony Dony {\it et al.} (1992)
%A Dony C., Malenfant J. and Cointe P. (1992)
%T Prototype-based languages: From a new taxonomy to constructive proposals and their validation
%O In {\it Proc. OOPSLA'92}, pp. 201-217

%K Doong90 Doong and Frankl (1990)
%A Doong R.K. and Frankl P. (1990)
%T Tools for testing object-oriented programs
%O In {\it Proc. Pacific NorthWest Conf. on Software Quality}, pp. 309-324

%K Doong91 Doong and Frankl (1991)
%A Doong R.K. and Frankl P. (1991) 
%T Case studies in testing object-oriented programs
%O In {\it Proc. of The Testing, Analysis and Verification Symposium, ACM}, pp. 165-177 

%K DH88 Ducournau and Habib (1988)
%A Ducournau R. and Habib M. (1988)
%T On some algorithms for multiple inheritance in object-oriented programming
%O In {\it Proc. ECOOP 1987}, Springer LNCS 276, pp. 243-252

%K Duff86 Duff (1986)
%A Duff C.B. (1986)
%T Designing an efficient language
%O {\it Byte}, August 1986, pp. 133-139

%K Dijkstra68 Dijkstra (1968)
%A Dijkstra E.W. (1968)
%T Goto statement considered harmful
%O {\it CACM} 11, pp. 147-148

%K Dijkstra76 Dijkstra (1976)
%A Dijkstra E.W. (1976)
%B A discipline of programming
%O Prentice Hall


%K Eliens91 \Eliens\ (1991)
%A \Eliens\ A. (1991)
%T Distributed Logic Programming for Artificial Intelligence
%O {\it AI Communications} Vol. 4 No. 1, pp. 11-21

%K Eliens92 \Eliens\ (1992)
%A \Eliens\ A. (1992)
%B DLP -- A language for distributed logic programming
%O Wiley 

%K Eliens92b \Eliens\ (1992b)
%A \Eliens\ A. (1992b)
%T An object-oriented approach to distributed problem solving
%O In {\it Research and Development in Expert Systems IX, Proc. ES92},
(Bramer M. and Milne R., eds), pp. 285-300, Cambridge University Press 

 
%K ElVink92 \Eliens\ and de Vink (1992)
%A \Eliens\ A. and de Vink E.P. (1992)
%T Asynchronous rendez-vous in distributed logic programming
%O In [_BRR92], pp. 174-203

%K EV92 \Eliens\ and Visser (1994)
%A \Eliens\ A. and Visser C. (1994)
%T Active C++, active classes and communication by rendez-vous
%O Technical Report IR-299 Vrije Universiteit, Amsterdam

%K Eliens94 Eliens (1994)
%A \Eliens\ A. (1994)
%T Hush - a C++ API for Tcl/Tk
%O Report Vrije Universiteit

%K ES90 Ellis and Stroustrup (1990)
%A Ellis M. and Stroustrup B. (1990)
%B The annotated C++ reference manual
%O Addison-Wesley

%K Evangelist  Evangelist {\it et al.} (1989)
%A Evangelist M., Francez N. and Katz S. (1989)
%T Multiparty interactions for interprocess communication and synchronization
%O {\it IEEE Trans. on Software Engineering} 15(11), pp. 1417-1426

%K Fekete92 Fekete (1992)
%A Fekete J-D. (1992)
%T WWL -- A Widget Wrapper Library for C++
%O Technical report LRI France 


%K Fichman Fichman and Kemerer (1992)
%A Fichman R.G. and Kemerer C.F. (1992)
%T Object-oriented and conventional analysis and design methodologies
%O {\it IEEE Computer} 25(10), pp. 22-39

%K Fiedler Fiedler (1989)
%A Fiedler S.P. (1989)
%T Object-oriented unit testing
%O Hewlett-Packard Journal, April 1989, pp. 69-74

%K Fikes Fikes and Kehler (1985)
%A Fikes R. and Kehler T. (1985)
%T The role of frame-based representation in reasoning
%O {\it CACM} 28, pp. 904-920

%K Francez Francez {\it et al.} (1989)
%A Francez N., Hailpern B. and Taubenfeld (1989)
%T Script: a communication abstraction mechanism and its verification
%O {\it Science of Computer Programming} 6(1), pp. 35-88

%K Fukanaga Fukanaga (1986)
%A Fukanaga K. (1986)
%T An experience with a Prolog-based object-oriented language
%O In {\it Proc. OOPSLA'86}, pp. 224-234

%K GR88 Gehani and Roome (1988)
%A Gehani N.H. and Roome W.D. (1988)
%T Concurrent C++ : Concurrent programming with classes
%O {\it Software -- Practice and Experience} 18(12), pp. 1157-1177 

%K GO90 Ghelli and Orsini (1990)
%A Ghelli G. and Orsini R. (1990)
%T Types and subtypes as partial equivalence relations
%O In [_LNS90], pp. 191-209

%K Gibbs91 Gibbs (1991)
%A Gibbs S. (1991)
%T Composite multimedia and active objects
%O In {\it Proc. OOPSLA'91}, pp. 97-112

%K ADJ Goguen {\it et al.} (1978)
%A Goguen J.A., Thatcher J.W. and Wagner E.G. (1978)
%T An initial algebra approach to the specification, correctness and implementation of abstract data types
%O In {\it Current trends in programming methodology},
Vol. 4, Yeh R.T. (ed.), Prentice Hall, pp. 80-149 


%K Goguen Goguen and Meseguer (1986)
%A Goguen J.A. and Meseguer J. (1986)
%T Extensions and foundations of object-oriented programming
%O {\it ACM SIGPLAN Notices}, Oct. 1986, pp. 153-162

%K GR83 Goldberg and Robson (1983)
%A Goldberg A. and Robson D. (1983)
%B Smalltalk-80: The language and its implementation
%O Addison-Wesley 


%K Gorlen (1987)
%A Gorlen K. (1987)
%T An object-oriented class library for C++ programs
%O {\it Software -- Practice and Experience} 17(12), pp. 899-922 

%K GOP90 Gorlen {\it et al.} (1990)
%A Gorlen K., Orlow S. and Plexico P. (1990)
%B Data abstraction and object-oriented programming in C++
%O Wiley 

%K Graham91 Graham (1991)
%A Graham I. (1991)
%B Object-oriented methods
%O Addison-Wesley 

%K Gries Gries (1981)
%A Gries D. (1981)
%B The science of programming
%O Springer

%K Grimshaw87 Grimshaw and Liu (1987)
%A Grimshaw A.S. and Liu J.W.S. (1987)
%T Mentat: an object-oriented macro data flow system
%O In {\it Proc. OOPSLA '87}, {\it ACM SIGPLAN Notices} 22(12), pp. 35-47

%K Guimaraes91 Guimaraes (1991)
%A Guimaraes N. (1991)
%T Building generic interface tools: an experience with multiple inheritance
%O In {\it Proc. OOPSLA'91}, pp. 89-96

%K Guttag Guttag and Horning (1978)
%A Guttag J.V. and Horning J.J. (1978)
%T The algebraic specification of data types
%O {\it Acta Informatica} 10, pp. 27-52


%K Halasz88 Halasz (1988)
%A Halasz F. (1988)
%T Reflections on NoteCards: seven issues for the next generation of hypermedia systems
%O {\it CACM} 31(7), pp. 836-852

%K Halasz91 Halasz (1991)
%A Halasz F. (1991)
%T Seven issues revisited
%O Invited lecture ACM Hypertext 91 

%K Halasz94 Halasz and Schwartz (1994)
%A Halasz F. and Schwartz M. (1994)
%T The Dexter Hypertext reference model
%O {\it CACM} 37(2), pp. 30-39

%K HOB87 Halbert and O'Brien (1987)
%A Halbert D. and O'Brien P. (1987)
%T Using types and inheritance in Object-Oriented Programming
%O {\it IEEE Software}  4(5), pp. 71-79 

%K Hammer78 Hammer and McLeod (1978)
%A Hammer M. and McLeod D. (1978)
%T The semantic data model: a modeling mechanism for database applications
%O In {\it Proc. ACM SIGMOD Int. Conf. on Management of Data}, pp. 26-35

%K Hammer81 Hammer and McLeod (1981)
%A Hammer M. and McLeod D. (1981)
%T Database description with SDM: A semantic database model
%O {\it ACM Trans. Data Syst.} 6, pp. 351-386


%K Hardman93 Hardman {\it et al.} (1993)
%A Hardman L., Bulterman D.C.A. and van Rossum G. (1993)
%T The Amsterdam hypermedia model: extending hypertext to real multimedia
%O {\it Hypermedia} 5(1), pp. 47-69

%K Hardman94 Hardman {\it et al.} (1994)
%A Hardman L., Bulterman D.C.A. and van Rossum G. (1994)
%T The Amsterdam hypermedia model: adding time and context to the Dexter model
%O {\it CACM} 37(2), pp. 50-62

%K Harel87 Harel (1987)
%A Harel D. (1987)
%T Statecharts: a visual formalism for complex systems
%O {\it Science of Computer Programming} 8, pp. 231-274

%K Harmon93 Harmon and Taylor (1993)
%A Harmon P. and Taylor D.A. (1993)
%B Objects in action -- Commercial applications of object-oriented technologies
%O Addison-Wesley


%K Hayes91 Hayes and Coleman (1991)
%A Hayes F. and Coleman D. (1991)
%T Coherent models for object-oriented analysis
%O In {\it Proc. OOPSLA'91}, {\it ACM Sigplan Notices} 26(4), pp. 171-183

%K Hayes92 Hayes (1992)
%A Hayes I. (1992)
%B Specification Case Studies
%O Prentice Hall, 2nd edn

%K Heading Headington and Riley (1994)
%A Headington M.R. and Riley D.D. (1994)
%B Data abstraction and structures using C++
%O D.C. Heath and Company
%X 0-669-29220-6

%K HHG90 Helm {\it et al.} (1990)
%A Helm R., Holland I.M. and Gangopadhyay D. (1990)
%T Contracts: Specifying behavioral compositions in object-oriented systems
%O In {\it Proc. ECOOP/OOPSLA'90}, pp. 169-180

%K Hend90 Henderson-Sellers and Edwards (1990)
%A Henderson-Sellers B. and Edwards J.M. (1990)
%T The object-oriented systems life cycle
%O {\it CACM} 33(9), pp. 143-159

%K Hend92 Henderson-Sellers (1992)
%A Henderson-Sellers B. (1992)
%B A book of object-oriented knowledge
%O Prentice-Hall 

%K Henderson93 Henderson (1993)
%A Henderson P. (1993)
%B Object-oriented specification and design with C++
%O McGraw-Hill

%K He77 Hewitt (1977)
%A Hewitt C. (1977)
%T Viewing Control Structures as Patterns of Passing Messages
%O {\it Artificial Intelligence} 8, pp. 323-364

%K Hoare69 Hoare (1969)
%A Hoare C.A.R. (1969)
%T An axiomatic basis for computer programming
%O {\it CACM} 12, pp. 576-580, 583


%K Ho72 Hoare (1972)
%A Hoare C.A.R. (1972)
%T Proof of correctness of data representation
%O {\it Acta Informatica} 1, pp. 271-281


%K Ho78 Hoare (1978)
%A Hoare C.A.R. (1978)
%T Communicating Sequential Processes
%O {\it CACM} 21(8), pp. 666-677

%K Ho87 Hoare (1987)
%A Hoare C.A.R. (1987)
%T An overview of some formal methods for program design
%O {\it IEEE Computer} (September 1987), pp. 85-91


%K Holland92 Holland (1992)
%A Holland I.M. (1992)
%T Specifying reusable components using contracts
%O In {\it Proc. ECOOP'92} (Lehrmann Madsen O., ed.), Springer, pp. 287-308

%K Hopcroft Hopcroft (1979)
%A Hopcroft J.E. (1997)
%B Introduction to automata theory, languages and computation
%O Addison-Wesley

%K Howell92 Howell (1992)
%A Howell G. (1992)
%B Building Hypermedia Applications -- A Software Developer Guide
%O McGraw-Hill 

%K Hu89 Hu (1989)
%A Hu D. (1989)
%B C/C++ for expert systems
%O MIS Press

%K Ince91 Ince (1991)
%A Ince D. (1991)
%B Object-oriented software engineering with C++
%O McGraw-Hill 

%K Ishi92 Ishikawa {\it et al.} (1992)
%A Ishikawa Y., Tokuda H. and Mercer C.W. (1992)
%T An object-oriented real time programming language
%O {\it IEEE Computer} 25(10), pp. 66-73


%K Jacobs92 Jacobson {\it et al.} (1992)
%A Jacobson I., Christeron M., Jonsson P. and \"{O}vergaard G. (1992)
%B Object-oriented software engineering -- A use case driven approach
%O Addison-Wesley 

%K Jarvinen Jarvinen {\it et al.} (1990)
%A Jarvinen H., Kurki-Suoni R., Sakkinen M. and Systa K. (1990)
%T Object-oriented specification of reactive systems
%O In {\it Proc. Int. Conf. on Software Engineering},
Nice, France, pp. 63-71

%K JF88 Johnson and Foote (1988)
%A Johnson R.E. and Foote B. (1988)
%T Designing reusable classes
%O {\it JOOP} 1(2), pp. 22-35 

%K Jones91 Jones (1991)
%A Jones C.B. (1991)
%B Systematic software development using VDM
%O Prentice Hall, 2d edn.

%K Jones90 Jones (1990)
%A Jones G.W. (1990)
%B Software Engineering
%O Wiley 

%K Kafura89 Kafura and Lee (1989)
%A Kafura D. and Lee K. (1989)
%T Inheritance in actor based concurrent object-oriented languages
%O In {\it Proc. ECOOP '89}, Cambridge University Press, pp. 131-145

%K Kafura90 Kafura and Lee (1990)
%A Kafura D. and Lee K. (1990)
%T ACT++ : building a concurrent C++ with actors
%O {\it JOOP} 3(1), May/June 1990, pp. 25-37


%K Kahn Kahn {\it et al.} (1986)
%A Kahn K., Tribble E.D., Miller M.S. and Bobrow D.G. (1986)
%T Objects in concurrent logic programming languages
%O In {\it Proc. OOPSLA'86}, pp. 242-257

%K KL89 Kim and Lochovsky (1989)
%A Kim W. and Lochovsky F.,eds. (1989)
%B Object-oriented concepts, databases and applications
%O Addison-Wesley 

%K Ki89 King (1989)
%A King R. (1989)
%T My cat is object-oriented
%O In [_KL89], pp. 23-30

%K Knudsen Knudsen and Madsen (1988)
%A Knudsen J.L. and Madsen O.L. (1988)
%T Teaching object-oriented programming is more than teaching object-oriented programming languages
%O In {\it Proc. ECOOP'88}, Springer LNCS 276, pp. 21-40

%K Knuth92 Knuth (1992)
%A Knuth D. (1992)
%B Literate Programming
%O CSLI Lecture Notes 27, Stanford 


%K Krasner84 Krasner (1984)
%A Krasner G. (1984)
%B Smalltalk-80: Bits of history, words of advice
%O Addison-Wesley 

%K KP88 Krasner and Pope (1988)
%A Krasner G.E. and Pope S.T. (1988)
%T A cookbook for using the Model-View-Controller user interface paradigm in Smalltalk-80
%O {\it JOOP}, August 1988, pp. 26-49

%K KEE Kunz {\it et al.} (1984)
%A Kunz J.C., Kehler T.P. and Williams M.D. (1984)
%T Applications development using a hybrid AI development system
%O {\it AI Magazine}, September 1984, pp. 41-54

%K Kurki Kurki-Suonio and Jarvinen (1989)
%A Kurki-Suonio R. and Jarvinen H.M. (1989)
%T Action system approach to the specification and design of distributed systems
%O In {\it Proc. 5th Int. Workshop on Software Specification
and Design},
{\it ACM Software Engineering Notes} 14(3), pp. 34-40

%K Kurtz90 Kurtz {\it et al.} (1990)
%A Kurtz B., Woodfield S.N. and Embley D.W. (1990)
%B Object-oriented system analysis -- a model-driven approach
%O Prentice Hall


%K LP91 Lalonde and Pugh (1991)
%A Lalonde W. and Pugh J. (1991)
%T Subclassing $\not=$ Subtyping $\not=$ Is-a
%O {\it JOOP} 1991, pp. 57-63

%K Lea93 Lea {\it et al.} (1993)
%A Lea R., Jacquemot C. and Pillevesse E. (1993)
%T COOL: System support for distributed programming
%O {\it CACM} 36(9), pp. 34-46

%K LeJacq91 LeJack (1991)
%A LeJacq J.P. (1991)
%T Function preconditions in object-oriented software
%O {\it ACM Sigplan Notices} 26(10), pp. 13-18

%K ObjectCenter Leggett and Franklin (1994)
%A Leggett B. and Franklin D. (1994)
%T ObjectCenter 2.0 for SunSparc
%O Product Review C++Report Febr 1994, pp. 66-71

%K DCE OSF DCE (1992)
%A Open Software Foundation  (1992)
%B Introduction to DCE
%O Prentice Hall

%K LNS90 Lenzerini {\it et al.} (1990)
%A Lenzerini M., Nardi D. and Simi M. (eds.) (1990)
%B Inheritance hierarchies in knowledge representation and programming languages
%O Wiley

%K Levy Levy (1984)
%A Levy H.M. (1984)
%B Capability-based computer systems
%O Digital Press, Bedford Massachusetts

%K LH89 Lieberherr and Holland (1989)
%A Lieberherr K. and Holland I. (1989)
%T Assuring good style for object-oriented programs
%O {\it IEEE Software} 6(5), pp. 38-48 (1989)

%K Lieber Lieberman (1986)
%A Lieberman H. (1986)
%T Using prototypical objects to implement shared behavior in object-oriented systems
%O In {\it Proc. OOPSLA'86}, pp. 214-223

%K LVC89 Linton {\it et al.} (1989)
%A Linton M., Vlissides J. and Calder P. (1989)
%T Composing user interfaces with Interviews
%O {\it IEEE Computer} 22(2), pp. 8-22 

%K Lippman91 Lippman (1991)
%A Lippman S. (1991)
%B A C++ Primer
%O Addison-Wesley, 2nd edn.

%K Liskov74 Liskov and Zilles (1974)
%A Liskov B.H. and Zilles S.N. (1974)
%T Programming with abstract data types
%O {\it ACM Sigplan Notices} 9, pp. 50-59

%K Liskov75 Liskov and Zilles (1975)
%A Liskov B.H. and Zilles S.N. (1975)
%T Specification techniques for data abstraction
%O {\it IEEE Trans. on Software Engineering} 1, pp. 7-19

%K Liskov93 Liskov (1993)
%A Liskov B. and Wing J.L. (1993)
%T A new definition of the subtype relation
%O In {\it Proc. ECOOP'93}, Springer LNCS 707, pp. 119-141

%K Locke Locke (1994)
%A Locke N. (1994)
%T C++ FTP libraries
%O {\it C++Report} 6(2), pp. 61-65

%K London85 London and Duisberg (1985)
%A London R. and  Duisberg R. (1985)
%T Animating programs using Smalltalk
%O {\it IEEE Computer} 18(8), pp. 61-71

%K MacD87 MacDougall (1987)
%A MacDougall M.H. (1987)
%B Simulating computer systems -- techniques and tools
%O MIT Press

%K Malenfant89 Malenfant {\it et al.} (1989)
%A Malenfant J., Lapalme G. and Vaucher J. (1989)
%T ObjVProlog: Metaclasses in Logic
%O In {\it Proc. ECOOP'89}, Cambridge University Press, pp. 257-269

%K Mats93 Matsuoka and Yonezawa (1993)
%A Matsuoka S. and Yonezawa A. (1993)
%T Analysis of inheritance anomaly in object-oriented concurrent programming languages
%O In [_AWY93], pp. 107-150


%K McCue92 McCue (1992)
%A McCue D.L. (1992)
%T Developing a class hierarchy for object-oriented transaction processing
%O In {\it Proc. ECOOP '92}, Springer LNCS 615, pp. 413-426

%K McGregor92 McGregor and Sykes (1992)
%A McGregor J. and Sykes D. (1992)
%B Object-oriented software development: engineering software for reuse
%O Van Nostrand Reinhold 

%K McK91 McKnight {\it et al.} (1991)
%A McKnight C., Dillon A. and Richardson J. (1992)
%B Hypertext in Context
%O Cambridge University Press

%K Meyer88 Meyer (1988)
%A Meyer B. (1988)
%B Object-oriented software construction
%O Prentice Hall 

%K Meyer90 Meyer (1990)
%A Meyer B. (1990)
%T Tools for the new culture: Lessons from the design of the Eiffel libraries
%O {\it CACM} 33(9), pp. 69-88 

%K Eiffel3 Meyer (1992a)
%A Meyer B. (1992a)
%B Eiffel: the Language
%O Prentice Hall

%K Meyer92 Meyer (1992b)
%A Meyer B. (1992b)
%T Applying Design by Contract
%O {\it IEEE Computer} 25(10), pp. 40-51

%K Meyer93 Meyer (1993)
%A Meyer B. (1993)
%T Systematic concurrent object-oriented programming
%O {\it CACM} 36(9), pp. 56-80

%K MeyerN93 Meyer and Nerson (1993)
%A Meyer B. and Nerson J-M., eds. (1993)
%B Object-oriented applications
%O Prentice Hall

%K Meyer94 Meyer (1994)
%A Meyer B. (1994)
%B Reusable software -- The base object-oriented component libraries
%O Prentice Hall

%K Meyro86 Meyrowitz (1986)
%A Meyrowitz N. (1986)
%T Intermedia: The Architecture and Construction of an Object-Oriented Hypermedia System and Applications Framework
%O In {\it Proc. OOPSLA '86}, pp. 186-201

%K Milner83 Milner (1983)
%A Milner R. (1983)
%B Communication and concurrency
%O Prentice Hall

%K ML90 Milner {\it et al.} (1990)
%A Milner R., Tofte M. and Harper R. (1990)
%B The definition of Standard ML
%O MIT Press

%K Minsky Minsky (1975)
%A Minsky M. (1975)
%T A framework for representing knowledge
%O In {\it The psychology of computer vision}, Winston P. (ed.), McGraw-Hill, New York, pp. 211-277

%K SMDCE Mock (1993)
%A Mock M.U. (1993)
%T DCE++: Distributed C++ Objects using OSF DCE
%O In {\it DCE -- The OSF Distributed Computing Environment},
Schill A. (ed.), Springer LNCS 731, pp. 242-255

%K Moon Moon (1986)
%A Moon D.A. (1986)
%T Object-oriented programming with Flavors
%O In {\it Proc. OOPSLA'86}, pp. 1-8

%K Mullin89 Mullin (1989)
%A Mullin M. (1989)
%B Object-oriented program design with examples in C++
%O Addison-Wesley

%K Myers Myers (1979)
%A Myers G.J. (1979)
%B The art of software testing
%O Wiley 

%K Nelson91 Nelson (1991)
%A Nelson M. (1991)
%T Concurrency and object-oriented programming
%O {\it ACM Sigplan Notices} 26(10), pp. 63-72

%K Neusius Neusius (1991)
%A Neusius C. (1991)
%T Synchronizing actions
%O In {\it Proc. ECOOP '91}, Springer LNCS 512, Springer, pp. 118-132

%K Nierstrasz Nierstrasz (1987)
%A Nierstrasz O. (1987)
%T Active objects in Hybrid
%O In {\it Proc. OOPSLA'87}, pp. 243-253

%K Nier90 Nierstrasz and Papathomas (1990)
%A Nierstrasz O. and Papathomas M. (1990)
%T Towards a type theory of active objects
%O In: {\em OOPS Messenger, April '91},
ACM, pp. 89-93

%K Nier92 Nierstrasz {\it et al.} (1992)
%A Nierstrasz O., Gibbs S. and Tsichritzis D. (1992)
%T Component oriented software development
%O {\it CACM} 35(9), pp. 160-166

%K Nier93 Nierstrasz (1993)
%A Nierstrasz O. (1993)
%T Composing active objects -- the next 700 concurrent object-oriented languages
%O In [_AWY93]

%K Nolte91 Nolte (1991)
%A Nolte J. (1991)
%T Language-level support for remote object invocations
%O GMD FIRST Report, German National Research Center for Computer Science (1991)

%K Nyce91 Nyce and Kahn (1991)
%A Nyce J.M.  and Kahn P., eds.  (1991)
%B From Memex to Hypertext: Vannevar Bush and the Mind's Machine
%O Academic Press 

%K OMG OMG (1991)
%A OMG (1991)
%B The Common Object Request Broker : Architecture and Specification
%O Revision 1.1, Object Management Group

%K Ousterhout90 Ousterhout (1990)
%A Ousterhout J.K. (1990)
%T Tcl: an embeddable command language
%O In {\it Proc. USENIX Winter Conference}, pp. 133-146

%K Ousterhout91 Ousterhout (1991)
%A Ousterhout J.K. (1991)
%T An X11 Toolkit based on the Tcl language
%O In {\it Proc. USENIX Winter Conference}, pp. 105-115

%K Ousterhout93 Ousterhout (1993)
%A Ousterhout J.K. (1993)
%T Hypergraphics and hypertext in Tk
%O {\it The X resource} 5, pp. 113-127

%K Ousterhout94 Ousterhout (1994)
%A Ousterhout J.K. (1994)
%B Tcl and the Tk toolkit
%O Addison-Wesley
%X 0-201-63337-X

%K Paepcke93 Paepcke (1993)
%A Paepcke A., ed. (1993)
%B Object-oriented programming -- The CLOS perspective
%O MIT Press

%K Palsberg94 Palsberg and Schwartzback (1994)
%A Palsberg J. and Schwartzback M.I. (1994)
%B Object-oriented type systems
%O Wiley


%K Parnas72a Parnas (1972a)
%A Parnas D.L. (1972a)
%T A technique for software module specification
%O {\it CACM} 15, pp. 330-336

%K Parnas72b Parnas (1972b)
%A Parnas D.L. (1972b)
%T On the criteria to be used in decomposing systems into modules
%O {\it CACM} 15, pp. 1052-1058

%K Parrington88 Parrington and Shrivastava (1988)
%A Parrington G. and Shrivastava S. (1988)
%T Implementing concurrency control in reliable distributed object-oriented systems
%O In {\it Proc. ECOOP '88}, Springer LNCS 322, pp. 233-249


%K PCKW89 Parsay {\it et al.} (1989)
%A Parsaye K., Chignell M., Koshafian S. and Wong H. (1989)
%B Intelligent databases: Object-oriented, deductive and hypermedia technologies
%O Wiley 

%K Pierce93 Pierce (1993)
%A Pierce B.C. (1993)
%T Intersection types and bounded polymorphism
%O In [_BG93], pp. 346-359

%K PRT93 Pierce at al. (1993)
%A Pierce B.C., Remy D. and Turner D.N. (1993)
%T A typed higher-order programming language based onthe pi-calculus
%O Report University of Edinburgh
(available at {\tt ftp.dcs.ed.ac.uk:pub/bcp/pilang.ps})

%K Pinson90 Pinson and Wiener (1990)
%A Pinson L. and Wiener R., eds. (1990)
%B Applications of Object Oriented Programming
%O Addison-Wesley 

%K Plo83 Plotkin (1983)
%A Plotkin G.D. (1983)
%T An operational semantics for CSP
%O In {\it Formal Description of Programming Concepts II},
D.Bjorner (ed.), North Holland, pp. 199-223


%K PA93 Plotkin and Abadi (1993)
%A Plotkin G.D. and Abadi M. (1993)
%T A logic for parametric polymorphism
%O In [_BG93], pp. 361-375

%K Pohl89 Pohl (1989)
%A Pohl I. (1989)
%B C++ for C programmers
%O Benjamin Cummings 

%K Pok89 Pokkunuri (1989)
%A Pokkunuri B. (1989)
%T Object Oriented Programming
%O {\it ACM Sigplan Notices} 24(11), pp. 96-101 

%K Pope91 Pope (1991)
%A Pope S. (1991)
%B The Well-Tempered Object: Musical applications of Object-Oriented Software Technology
%O MIT Press 

%K Potter91 Potter {\it et al.} (1991)
%A Potter B., Sinclair J. and Till D. (1991)
%T An introduction to formal specification and Z
%O Prentice Hall 

%K Recipes Press {\it et al.} (1992)
%A Press W.H., Teukolsky S.A., Vetterling W.T. and Flannery B.P. (1992)
%B Numerical Recipes in C -- The art of scientific computing
%O Cambridge University Press, 2nd edn


%K Rabin74 Rabin (1974)
%A Rabin M.O. (1974)
%T The computational complexity of Artificial Intelligence
%O IEEE Symposium

%K Reiser92 Reiser and Wirth (1992)
%A Reiser M. and Wirth N. (1992)
%B Programming in Oberon: Steps beyond Pascal and Modula
%O Addison-Wesley

%K Reiss90a Reiss (1990a)
%A Reiss S.P. (1990a)
%T Interacting with the FIELD environment
%O {\it IEEE Software -- Practice and Experience} 20(1), pp. 89-115

%K Reiss90b Reiss (1990b)
%A Reiss S.P. (1990b)
%T Connecting tools using message passing in the FIELD program development environment
%O {\it IEEE Software -- Practice and Experience} 20(1)

%K Rever93 Reverchon and Ducamp (1993)
%A Reverchon A. and Ducampl M. (1993)
%B Mathematical software tools in C++
%O Wiley


%K Rieken92 Rieken (1992)
%A Rieken B., Weiman L. (1992)
%B Adventures in Unix network applications programming
%O Wiley 

%K Ross88 Ross (1988)
%A Ross P. (1988)
%T Object-oriented techniques in AI
%O In {\it Proc. Object Oriented Computing Systems} (Randell B., ed.)
University of NewCastle upon Tyne, England 

%K Rum91 Rumbaugh {\it et al.} (1991)
%A Rumbaugh J., Blaha M., Premerlani W., Eddi F. and Lorensen W. (1991)
%B Object-oriented modeling and design
%O Prentice Hall 

%K Sakkinen Sakkinen (1989)
%A Sakkinen M. (1989)
%T Disciplined inheritance
%O In {\it Proc. ECOOP'89} (Cook S., ed.),
Cambridge University Press, pp. 35-56

%K Sanden94 Sanden (1994)
%A Sanden B. (1994)
%T A graduate course in object-oriented analysis based on student-generated projects
%O Technical Report ISSE-TR-94-102, George Mason University,
Fairfax, USA

%K Sau89 Saunders (1989)
%A Saunders J. (1989)
%T A survey of object-oriented programming languages
%O {\it JOOP} March/April 1989, pp. 5-11

%K NEXPERT Schindler (1987)
%A Schindler M. (1987)
%T Expert system fits with conventional software
%O {\it Electronic design} 14, pp. 87

%K Schmidt93 Schmidt (1993)
%A Schmidt D.C. (1993)
%T The object-oriented design and implementation of the Reactor
%O {\it C++Report}, Sept. 1993, pp. 33-43

%K Sedgewick92 Sedgewick (1992)
%A Sedgewick R. (1992)
%B Algorithms in C++
%O Addison-Wesley

%K ST83 Shapiro and Takeuchi, 1983
%A Shapiro E. and  Takeuchi A. (1983)
%T Object-oriented programming in Concurrent Prolog
%O {\it New Generation Computing} 1(2), pp. 5-48

%K Shapiro89 Shapiro {\it et al.} (1989)
%A Shapiro M., Gautron P. and Mosseri L. (1989)
%T Persistence and migration for C++ objects
%O In {\it Proc. ECOOP '89}, Cambridge University Press, pp. 191-204

%K Shaw84 Shaw (1984)
%A Shaw M. (1984)
%T Abstraction techniques in modern programming languages
%O {\it IEEE Software}, October 1984, pp. 10-26

%K Shlaer88 Shlaer and Mellor (1988)
%A Shlaer S. and Mellor S.J. (1988)
%B Object-oriented analysis: modeling the world in data
%O Yourdon Press, Englewood Cliffs, N.J. 

%K Shlaer92 Shlaer and Mellor (1992)
%A Shlaer S. and Mellor S.J. (1992)
%B Object life cycles: modeling the world in states
%O Yourdon Press, Englewood Cliffs, N.J.

%K SW87 Shriver and Wegner (1987)
%A Shriver B. and Wegner P. (1987)
%B Research directions in object-oriented programming
%O MIT Press 

%K Smith90 Smith and Robson (1990)
%A Smith M.D. and Robson D.J. (1990)
%T Object-oriented programming -- the problem of validation
%O In {\it Proc. of the 6th Int. Conf. on Software Maintenance}, IEEE, pp. 272-282

%K Smith92 Smith and Robson (1992)
%A Smith M.D. and Robson D.J. (1992)
%T A framework for testing object-oriented programs
%O {\it JOOP} 5(3), pp. 45-53

%K Snyder86 Snyder (1986)
%A Snyder A. (1986)
%T Encapsulation and inheritance in object-oriented programming languages
%O In {\it Proc. OOPSLA 1986}, pp. 31-45
(extended verion in: [_SW87], pp. 165-188)

%K Stasko90 Stasko (1990)
%A Stasko J. (1990)
%T Tango -- A framework and system for algorithm animation
%O PhD thesis, Brown University

%K Stepney Stepney {\it et al.} (1992)
%A Stepney S., Barden R. and Cooper D. (eds.) (1992)
%B Object orientation in Z
%O Springer 

%K Strick93 Strickland (1993)
%A Strickland H. (1993)
%T ODMG-93 -- The object database standard for C++
%O {\it C++Report}, October, pp. 45-48, 70

%K St86 Stroustrup (1986)
%A Stroustrup B. (1986)
%B The C++ Programming Language
%O Addison-Wesley, 1986

%K St88 Stroustrup (1988)
%A Stroustrup B. (1988)
%T What is "Object-Oriented Programming"?
%O {\it IEEE Software} 5(3), pp. 10-20 

%K St91 Stroustrup (1991)
%A Stroustrup B. (1991)
%B The C++ Programming Language
%O Addison-Wesley, 2nd edn

%K St94 Stroustrup (1994)
%A Stroustrup B. (1994)
%B The Design and Evolution of C++
%O Addison-Wesley
%X ISBN 0-201-54330-3

%K LOOPS Stefik and Bobrow (1984)
%A Stefik M. and Bobrow D.G. (1984)
%T Object-oriented programming: themes and variations
%O {\it AI Magazine}, December 1984, pp. 40-62

%K Stubbs Stubbs and Webre (1987)
%A Stubbs D. and Webre N. (1987)
%B Data structures with abstract data types and Modula-2
%O Brooks and Cole 

%K Tai Taivalsaari (1993)
%A Taivalsaari A. (1993)
%T On the notion of object
%O {\it J. Systems Software} 21, pp. 3-16

%K Tello89 Tello (1989)
%A Tello E.R. (1989)
%B Object-oriented programming for Artificial Intelligence
%O Addison-Wesley 

%K Tom87 Thomsen (1987)
%A Thomsen K.S. (1987)
%T Inheritance on processes, exemplified on distributed termination detection
%O {\it Int. Journal for Parallel Computing} 16(1), pp. 17-52

%K To86 Touretzky (1986)
%A Touretsky S. (1986)
%B The mathematics of inheritance systems
%O Pitman London 

%K US87 Ungar and Smith (1987)
%A Ungar D. and Smith R.B. (1987)
%T Self: The power of simplicity
%O In {\it Proc. OOPSLA'87}, {\it ACM Sigplan Notices} 4(8), pp. 227-242 

%K Ungar92 Ungar {\it et al.} (1992)
%A Ungar D., Smith B.S., Chambers C. and H\"olze U. (1992)
%T Object, message and performance: How they coexist in Self
%O {\it IEEE Computer} 25(10), pp. 53-63

%K VanVliet Van Vliet (1993)
%A van Vliet J.C. (1993)
%B Software Engineering
%O Wiley 

%K Walker90 Walker (1990)
%A Walker D. (1990)
%T Pi-calculus semantics of object-oriented programming languages
%O Report ECS-LFCS-90-122, University of Edinburgh


%K Wasserman89 Wasserman (1989)
%A Wasserman A., Pircher P. and Muller R.J. (1989)
%T An object-oriented structured design method for code generation
%O {\it Software Engineering Notes} 14(1), pp. 32-55

%K Water89 Waterworth and Chignell, 1989
%A Waterworth J. and Chignell M. (1989)
%T A manifesto for hypermedia usability research
%O {\it Hypermedia} 1(3), pp. 205-234

%K Watkins93 Watkins (1993)
%A Watkins K. (1993)
%B Discrete event simulation in C
%O McGraw-Hill

%K Webster Webster (1988)
%A Webster D. (1988)
%T Mapping the Design Information Representation Domain
%O {\it IEEE Computer}, December 1988, pp. 8-23


%K Wegner87 Wegner (1987)
%A Wegner P. (1987)
%T Dimensions of object-based language design
%O {\it ACM Sigplan Notices} 23(11), pp. 168-182

%K Wegner92 Wegner (1992)
%A Wegner P. (1992)
%T Dimensions of object-oriented modeling
%O {\it IEEE Computer} 25(10), pp. 12-19

%K WZ88 Wegner and Zdonik (1988)
%A Wegner P. and S. Zdonik S. (1988)
%T Inheritance as an Incremental Modification Mechanisms or what Like Is and Isn't Like
%O In {\it Proc. ECOOP'88}, Springer, pp. 56-77

%K Weinand88 Weinand {\it et al.} (1988)
%A Weinand A., Gamma E. and Marty R. (1988)
%T ET++, an object-oriented application framework in C++
%O In {\it Proc. OOPSLA'88}, pp.46-57
 
%K Weiss93 Weiss (1993)
%A Weiss M.A. (1993)
%B Data structures and algorithm analysis in C++
%O Addison-Wesley

%K Weyuker Weyuker (1988)
%A Weyuker E.J. (1988)
%T Evaluating software complexity measures
%O {\it IEEE Trans. on Software Engineering} 14(9), pp. 1357-1365

%K WP88 Wiener and Pinson (1988)
%A Wiener R. and Pinson L. (1988)
%B An introduction to object-oriented programming and C++
%O Addison-Wesley 

%K Wilkie93 Wilkie (1993)
%A Wilkie G. (1993)
%B Object-oriented software engineering -- The professional developers guide
%O Addison-Wesley

%K Winblad90 Winblad {\it et al.} (1990)
%A Winblad A., Edwards S. and King D. (1990)
%B Object-oriented software
%O Addison-Wesley 

%K Wirfs89 Wirfs-Brock (1989)
%A Wirfs-Brock R. (1989)
%T Object-oriented design: a responsibility-driven approach
%O In {\it Proc. OOPSLA'89}, pp. 71-75

%K WWW90 Wirfs-Brock {\it et al.} (1990)
%A Wirfs-Brock R., Wilkerson B. and Wiener L. (1990)
%B Designing object-oriented software
%O Prentice Hall 

%K Wirth83 Wirth (1983)
%A Wirth N. (1983)
%B Programming in Modula-2
%O Springer 

%K Wood90 Woodhead (1990)
%A Woodhead N. (1990)
%B Hypertext and hypermedia
%O Addison-Wesley

%K Wyatt92 Wyatt {\it et al.} (1992)
%A Wyatt B.R., Kavi K. and Hufnagel S. (1992)
%T Parallelism in object-oriented languages: A survey
%O {\it IEEE Computer} 9(6), pp. 56-66

%K YT87 Yonezawa and Tokoro (1987)
%A Yonezawa A. and Tokoro M., eds. (1987)
%B Object-oriented concurrent systems
%O MIT Press 

%K Yourdon79 Yourdon and Constantine (1979)
%A Yourdon E. and Constantine L. (1979)
%B Structured Design: Fundamentals of a discipline of computer programming and design
%O Prentice Hall

%K Yourdon89 Yourdon (1989)
%A Yourdon E. (1989)
%B Modern structured analysis
%O Yourdon Press, Englewood Cliffs, N.J. 

%K ZM90 Zdonik and Maier (1990)
%A Zdonik S. and Maier D. (1990)
%B Readings in object-oriented database systems
%O Morgan Kaufmann

</bibliography>
