@* <a href=@talk-class.html target=_top>Education on the Web</a>

<slide id=class-idea caption="Education on the Web">
@ Education on the Web
<ul>
<li> Virtual Universities
<li> Tele-learning
<li> Education is changing ...
</ul>
see <a href=http://webclass.cqu.edu.au>Building a Web-based Education System</a>
</slide>

<slide id=learning cap="Learning and Technology">
@ Learning and Technology - learning paradigm
<ul>
<li> scale -- number of participants
<li> symmetry -- focus on participants
<li> perception -- quality of audio/video
<li> interactivity -- time-delay
<li> co-location -- distance between participants
<li> cost -- price per participant
<li> time -- time to achieve learning objective
<li> tools -- the range of choice 
</ul>
<p> ... traditional, distance learning, Web-based ...
</slide>

<slide id=learning-support cap="Learning Support">
@ Learning Support
<ul>
<li> Collaboration Tools - XTV, NetMeeting, WEB-4M
<li> Videoconferencing Tools - MBONE (Vic/Vat) 
<li> Web Tools - QuestWriter
<li> Cross-Platform Tools - Unix/X and 95/NT
<li> Environments - CUSeeMe: conferencing, whiteboard, email, document sharing
</ul>
<p> see <a href=local/iri/491.html>Use of Web technology for Remote Instruction</a>
</slide>


<slide id=class-benefits caption="Benefits of a Web-based Classroom">
@ Benefits of a Web-based Classroom
<ul>
<li> computer mediation - store, index, search, convert, distribute
<li> Geographic independence - lifestyle, quality of learning experience
<li> Temporal independence - asynchronous participation
<li> Platform independence - CDROM, shockwave and plugins?
<li> Unified User Interface - popularity of the Web
<li> increased communication, increased learner control
</ul>
</slide>

<slide id=class-problems caption="Problems with a Web-based classroom">
@ Problems with a Web-based classroom
<ul>
<li> access and resources - ...
<li> cost - LAN, ISDN
<li> training - ... the Web can be intimidating ...
<li> adopting new methods - pedagogy matches technology?
<li> infrastructure - support and administration
<li> no uniform quality - (non) robust technology!
<li> copyright, privacy, security, authentication
<li> acceptance - ...
</ul>
</slide>

<slide id=class-site caption="Institutional factors">
@ Institutional factors
<ul>
<li> mission statement, direction
<li> infrastructure and funding
<li> promotion and rewards
<li> changing (teaching) methods
<li> admission procedures
<li> Web publishing policies
<li> Internet access and training
</ul>
<p> ... and what do your collegues say?
</slide>

<slide id=class-client caption="Client software and hardware - Q/A?">
@ Client software and hardware - Q/A?
<ul>
<li> What client operating system is being used?
<li> What is the <i>minimum</i> hardware available?
<li> What client software is available?
<li> What peripherals are available?
<li> What access is there to the client?
<li> How competent are the participants?
<li> Will the staff or students require training?
</ul>
</slide>

<slide id=class-server caption="Server software and hardware - Q/A?">
@ Server software and hardware - Q/A?
<ul>
<li> What operating system does the server have?
<li> What are the characteristics of the server's hardware?
<li> What software is available on the server?
<li> What are the capabilities of the software?
<li> What else is the server being used for?
<li> How reliable is the server?
<li> What access do you have to the server?
<li> What support is available for the server?
</ul>
</slide>

<slide id=class-support caption="Technical support">
@ Technical support
<ul>
<li> server software and hardware
<li> network infra structure
<li> training in the use of technology
<li> problems and questions - helpdesk
</ul>
</slide>

<slide id=class-plan caption="Planning and Design">
@ Planning and Design
<dl>
<dt> Step 1:<dd> Develop a list of <i>educational</i> goals
<dt> Step 2:<dd> Identify implementation methods.
<dt> Step 3:<dd> Prioritize approaches.
<dt> Step 4:<dd> Design the structure.
<dt> Step 5:<dd> Design a page layout.
</dl>
</slide>

<slide id=class-structure caption="Navigation structures">
@ Navigation structures
<ul>
<li> hierarchical - like a book, ...
<li> sequential   - as a guided tour
<li> hypermedia   - structural and associative links
</ul>
</slide>

<slide id=class-guidelines caption="Guidelines">
@ Guidelines
<ul>
<li> concentrate on content
<li> good design is simple
<li> legibility is the key
<li> context must be clear
<li> consistency means predictability
<li> be accurate!
<li> be unique ...
<li> appearance must match purpose
<li> support a variety of visitors
</ul>
</slide>

<slide id=class-pages caption="Page types">
@ Page types
<ul>
<li> Home page
<li> index pages
<li> content pages
<li> study guide pages
<li> lectures - presentation pages
</ul>
@ Technological limitations
<ul>
<li> speed, resolution, colors, multimedia
</ul>
</slide>

