\$=P
The DLP prototype is implemented in a (syntactic) variant of POOL-X.
The implementation language used deviates from POOL-X
as described in [_Am88] in that 
lowercase keywords are used.
Moreover we have replaced the keywords
BEGIN, END and ROUTINE by respectively \{ , \} and {I fn I}.
We also allow the use of a macro-processor for which definitions of
the form
[] {I df I} $m(X)$ = ...
are accepted.
We have adapted the C-preprocessor for this purpose.
For defining shorthands for types we use {I alias I} definitions
that are like macro definitions, except that parameters
are not allowed.
A more detailed description of our implementation language is 
given in section \ref{impl/comp/proto:lang}.
\ln
As syntactic sugar POOL-X also allows the form $q[n]$,
for objects $q$ and $n$, to be used for the method call $q!put1(n,v)$
when it occurs on the left hand side of an assignment $q[n] := v$
and for the call $q!get1(n)$ otherwise.
The corresponding methods for $q$ must be defined by the user.
This notation may however also be used for arrays,
in the usual way.

