Object declarations are actually read in as a sequence 
consisting of goals and clauses.
For example the declaration
\ln
\hspace{1.3cm}
\b{tabular}{l @{\hspace{1.5cm}} c @{\hspace{1.5cm}} l }
{P object a { P} & & {P object(a). P} \\
{P var k, n=1. P} & corresponds to & {P var(k, n=1). P} \\
$...$ & the sequence & $...$ \\
{P } P} & & {P end_object. P}
\e{tabular}
\ln
The clauses and goals are read in one by one, by the global object $io$,
and sent to the global $supervisor$.
For unit clauses,
it is tested whether they must be interpreted
as a command. C.f. section \ref{code:parse}.
Each newly declared DLP object is then
added to the object list of the global $knot$.
As a remark,
the parser allows brackets to be omitted in a number of cases.
However, brackets may always be used.
