
%%\begin{figure}[h] \caption{An example execution} \label{fig:exec}
\setlength{\unitlength}{1cm}

\hspace{1.9cm}
\b{tabular}[t]{|p{3.8cm}|p{3.8cm}|p{3.8cm}|} \hline
%%\multicolumn{3}{|c|}{ \it An example execution } \\ \hline \hline
\b{picture}(3.5,3.6)(0.9,1)
\put(2.5,3.5){ 
\b{tabular}[b]{|p{1.4cm}|} \hline
{\small\it object}  {P ctr P} \\
{\small\it var}  {P n = 0 P} \\ \hline
\e{tabular}
%%\framebox(1.5,0.6){object}
}
%%\put(2.5,3.5){ \framebox(1.5,0.6){object} }
\put(1.2,3.2){ \circle*{0.5} }
\put(0.8,3.7){ \makebox{ {P ctr() P} } }
\put(1.5,3.3){\line(5,2){1.1} }
\e{picture}
&
\b{picture}(3.5,3.6)(0.9,1)
\put(2.5,3.5){ 
\b{tabular}[b]{|p{1.4cm}|} \hline
{\small\it object}  {P ctr P} \\
{\small\it var}  {P n = 1 P} \\ \hline
\e{tabular}
%%\framebox(1.5,0.6){object}
}
%%\put(2.5,3.5){ \framebox(1.5,0.6){object} }
\put(1.2,3.2){ \circle*{0.5} }
\put(0.8,3.7){ \makebox{ {P ctr() P} } }
\put(1.5,3.3){\line(5,2){1.1} }
\put(1.8,2){ \circle{0.5} }
\put(0.9,2.4){ \makebox{ {P inc() P} } }
\put(2.1,2.3){\line(2,3){0.7} }
\e{picture}
&
\b{picture}(3.5,3.6)(0.9,1)
\put(2.5,3.5){ 
\b{tabular}[b]{|p{1.4cm}|} \hline
{\small\it object}  {P ctr P} \\
{\small\it var}  {P n = 1 P} \\ \hline
\e{tabular}
%%\framebox(1.5,0.6){object}
}
\put(1.2,3.2){ \circle*{0.5} }
\put(0.8,3.7){ \makebox{ {P ctr() P} } }
\put(1.5,3.3){\line(5,2){1.1} }
\put(1.8,2){ \circle{0.5} }
\put(0.9,2.4){ \makebox{ {P inc() P} } }
\put(2.1,2.3){\line(2,3){0.7} }
\put(3.6,1.5){ \circle{0.5} }
\put(3.4,2.1){ \makebox{ {P value(X) P} } }
\put(3.6,1.8){\line(-1,6){0.26} }
\e{picture}
\\ \hline \hline
\leftcomment{goal}
%%\b{picture}(0,0)\put(-0.4,0.07){\makebox(0,0)[r]{\it goal}}\e{picture}
{P O = new(ctr()) P} & {P O!inc() P} & {P O!value(X) P} \\
\hline
%%\it effect &
%%\b{picture}(0,0)\put(-0.4,0.07){\makebox(0,0)[r]{\it effect}}\e{picture}
\leftcomment{effect}
\small \sloppy A new object is created,
and its non-logical variable is initialized
to zero. 
& \small \sloppy The value of the non- \n logical variable {P n P} is
incremented by one.
& \small \sloppy The value of the non- \n logical variable is bound to
the logical variable {P X P}.
\\ \hline \hline
\leftcomment{method}
%%\b{picture}(0,0)\put(-0.4,0.07){\makebox(0,0)[r]{\it method}}\e{picture}
%%\it method &
{P ctr() :- accept(any), ctr(). P}
& {P inc() :- n = n + 1. P}
& {P value(N) :- N = n. P}
\\ \hline
\e{tabular}
%%\e{figure}
\ln
