

%%\b{figure}[htbp] \label{fig:instance} \caption{Creating an instance of an object}
\setlength{\unitlength}{0.01cm}
\def\x{\rule[-0.3cm]{0cm}{.8cm}}
\hspace{-2cm}\b{tabular}[t]{r @{\hspace{0.1cm}}p{11.5cm}} 
%%\multicolumn{2}{c}{\x\it Creating an instance of an object }
%%\\ {P O = new(ctr()) P}  &  \\
&
\b{picture}(950,400)(-20,0)
%%\put(300,300){ \circle{300} }%%{ \oval(300,200) }
\nop{
\put(100,300){ \oval(300,200) }
\put(200,420){\line(5,2){150} }
\put(-60,260){ \makebox(300,200){ {P constructor P} } }
}

\put(660,-100){
\makebox(50,500){
\b{tabular}[b]{|r|r@{\hspace{0.1cm}}p{2.0cm}|}
\hline
\multicolumn{3}{|c|}{\x {\bf object {M counter M} } }
\\ \hline \hline
{M instance variable M} & {P n P} &  \\
\cline{2-3}
{M methods M} & 
{P initialize $<-$ P}  & {P n \assignsym 0. P} 
\\ %%\cline{2-3} \cline{2-3}
\x  &
{P increment $<-$ P} & {P n \assignsym n + 1. P} \\
\x & {P value $<-$ P} & {P result n. P} \\
\hline 
\nop{
\hline
\multicolumn{3}{|c|}{ {M state information M} }
\\ \hline
{M accept list M} & \multicolumn{2}{p{3.5cm}|}{ {P ctr P}  } \\ \hline 
{M accept queue M} & \multicolumn{2}{p{3.5cm}|}{ {I empty I}  } \\ \hline 
{M process stack M} & \multicolumn{2}{p{3.5cm}|}{ {I empty I}  } \\ \hline 
{M locked M} & \multicolumn{2}{p{3.5cm}|}{ {I true I}  } \\ \hline 
%%\multicolumn{3}{|l|}{ $...$ } \\ \hline
}
\e{tabular}
} }
\e{picture}
\\ \\ 
%%\cline{2-2}
\nop{
\it explanation &
\multicolumn{1}{p{12.5cm}}{
\small When an instance of an object is created, a copy
is made of the object declared in the program.
Each instance has its own non-logical (instance) variables.
For active objects
a constructor process is started evaluating the constructor,
in this case the goal $ctr()$.
Since the $accept list$ is initially set to accept
a method with the name of the object, the constructor
goal will be the first goal that is accepted.
Other goals will then be put in the accept queue to
await a proper accept statement.
} \\ %%\cline{2-2}
}
\e{tabular}
%%\e{figure}
