@* Design perspectives and related work
As strongly related work we regard first of all Delta Prolog,
that offers a parallel operator
and a mechanism to communicate over channels.
We however, consider our notion of process creation
as more elegant, and moreover our communication by rendez-vous
as more powerful and general. Cf. [_PM85].
.br
Next, clearly resemblant is the work reported in [_Ka88],
that describes a multi tasking object oriented Prolog,
suited for prototyping embedded systems.
A major difference however is that the Mlog system
does not support global (distributed) backtracking,
which we consider as important for implementing
knowledge based systems.
.br
In the area of distributed problem solving we mention [_GC81]
and [_SD81], that both offer an approach at distributing knowledge.
The latter moreover investigates negotiation protocols
for deciding issues of allocation and distributing processing.
Both approaches however lack a formalized logic
underlying their solutions,
which is, in our opinion, undesirable from a semantical point of view.
