Below we have pictured how communication with
an object takes place.
%%@bf[hp]\caption{Communication between processes}\label{ext:com}

\setlength{\unitlength}{0.01cm}
\nop{

@d(ud,5) @d(ul,@(2*ud)) @d(xu,@(1*ul)) @d(yu,@(1*ul)) @d(rd,@(1*ul))

%% 20
@d(xln,@(22*xu)) @d(yln,@(20*yu))
@d(xd,@(xln/10)) @d(yd,@(yln/10))

@d(x0,@((8/2)*xd)) @d(y0,@((2/1)*yd))

@d(x1,@(x0+xd)) @d(x2,@(x1+(5*xd))) @d(x3,@(x2+(4*xd)))
@d(y1,@(y0+yd)) @d(y2,@(y1+(3*yd))) @d(y3,@(y2+(2*yd)))
@d(y4,@(y3+(4*yd)))

%% 6
@d(px,@(x2+(7/1)*xd))) @d(py,@(y3+((4/1)*yd)))
@d(xdf,@(0)) @d(ydf,@(0))
@d(tx,p{@(px/100).2cm})
}
\def\x{\rule[-0.3cm]{0cm}{.8cm}}



\ln
\hspace{1cm}
@bt[t]{|tx|tx|tx|} \hline
%%@mc{3}{|c|}{ \it communication between processes } \\ \hline \hline

@bp(px,py)(xdf,ydf)

@p(x1,y3){@bl{ $c!m(t)$ } }
%%@p(x1,y1){@bl{  } }
@p(x2,y3){@br{ $m(t)$ } }

%%@p(x1,y1){@c{rd}}
@p(x1,y3){@c{rd}}

@p(x2,y3){@c*{rd}}

@p(x1,@(y3+rd)){@up{@(2*yd)}}
%%@p(x1,@(y1+rd)){@up{@((y3-y1)-2*rd)}}

%%@mp(x2,@(y1+rd))(0,@(2*yu)){@((y3-y1)/(2*yu))}{@up{rd}}


@mp(@(x1+rd),y3)(rd,0){@((x2-x1)/rd)}{@right{ud}}

@ep

&

@bp(px,py)(xdf,ydf)

@p(x1,y3){@bl{ $c!m(t)$ } }
@p(x1,y1){@bl{  } }
@p(x2,y3){@br{ $m(t)$ } }

@p(x1,y1){@c{rd}}
@p(x1,y3){@c{rd}}

@p(x2,y3){@c*{rd}}

@p(x1,@(y3+rd)){@up{@(2*yd)}}
%%@p(x1,@(y1+rd)){@up{@((y3-y1)-2*rd)}}

@mp(x2,@(y1+rd))(0,@(2*yu)){@((y3-y1)/(2*yu))}{@up{rd}}


@mp(@(x1+rd),y3)(rd,0){@((x2-x1)/rd)}{@right{ud}}

@ep

&

@bp(px,py)(xdf,ydf)

@p(x1,y3){@bl{ $c!m(t)$ } }
@p(x1,y1){@bl{  } }
@p(x2,y1){@br{ $%h_1,...$ } }
@p(x2,y3){@br{ $m(t)$ } }

@p(x1,y1){@c{rd}}
@p(x1,y3){@c{rd}}

@p(x2,y1){@c{rd}}
@p(x2,y3){@c*{rd}}

@p(x1,@(y3+rd)){@up{@(2*yd)}}
@p(x1,@(y1-rd)){@down{yd}}
%%@p(x1,@(y1+rd)){@up{@((y3-y1)-2*rd)}}

@mp(x2,@(y1+rd))(0,@(2*yu)){@((y3-y1)/(2*yu))}{@up{rd}}

@mp(@(x1+rd),y1)(rd,0){@((x2-x1)/rd)}{@right{ud}}
@p(@(x1+(2*rd)),y1){@v(-4,0){@(2*rd)}}

@mp(@(x1+rd),y3)(rd,0){@((x2-x1)/rd)}{@right{ud}}

@ep
\\ \hline
@et
%%@ef
\ln\ln
Assume that we have an object $c$.
The goal $c!m(t)$ asks the object $c$ to
evaluate $m(t)$, where $m$ is a predicate name and $t$
represents the arguments of the call. \id{
We use a predicate name $m$ since, adopting standard
terminology, we will speak of the  methods of an object,
which in our case are ordinary clauses.
}
While the goal $m(t)$ is being evaluated,
the caller waits for an answer.
Backtracking over the results, indicated by $%h_1,...$,
may take place as long as there are alternative solutions.
Backtracking is initiated by the object
that called for the method.
