
\b{figure}[htbp]
\label{fig:instance}
\caption{Creating an instance of an object}
\setlength{\unitlength}{1cm}
\def\x{\rule[-0.3cm]{0cm}{.8cm}}
\setlength{\unitlength}{1cm}
\b{tabular}[t]{r @{\hspace{0.1cm}}p{12.5cm}} 
%%\multicolumn{2}{c}{\x\it Creating an instance of an object }
%%\\ {P O = new(ctr()) P}  &  \\
&
\b{picture}(12.5,10.5)(1.3,1)
\put(3,3){ \oval(3.0,2.0) }
\put(4.5,3.8){\line(5,2){2.0} }
\put(1.4,2.6){ \makebox(3,2){ {P constructor P} } }

\nop{
\put(1.5,1.5){
\makebox(3,3){
\b{tabular}[b]{|r|l|}
\hline 1 & piet\\ \hline 2 & kees\\ \hline 3 & wim \\ \hline
\e{tabular}
} }
}

\put(8,5){
\makebox(4,5){
\b{tabular}[b]{|r|r@{\hspace{0.1cm}}p{2.5cm}|}
\hline
\multicolumn{3}{|c|}{\x {\bf object {M (ctr,n) M} } }
\\ \hline \hline
{M variable M} & {P n = P} & $0$ \\
\cline{2-3}
{M constructor M} & 
{P ctr(N):- P}  & \\ & & {P accept(any),\n ctr(). P} 
\\ \cline{2-3} \cline{2-3}
\x {M methods M} &
{P inc():- P} & {P n = n + 1. P} \\
\x & {P dec():- P} & {P n = n - 1. P} \\
\x & {P value(N):- P} & {P N = n. P} \\
\hline \hline
\multicolumn{3}{|c|}{ {M state information M} }
\\ \hline
{M accept list M} & \multicolumn{2}{p{3.5cm}|}{ {P ctr P}  } \\ \hline 
{M accept queue M} & \multicolumn{2}{p{3.5cm}|}{ {I empty I}  } \\ \hline 
\multicolumn{3}{|l|}{ $...$ }
\\ \hline
\e{tabular}
} }
\e{picture}
\\ \\ 
%%\cline{2-2}
\it explanation &
\multicolumn{1}{p{12.5cm}}{
\small When an instance of an object is created, a copy
is made of the object declared in the program.
Each instance has its own non-logical (instance) variables.
The goal $O = new(ctr())$ succeeds as soon as the new object
is created, the variable $O$ is then bound to that object.
At the same time, the constructor process is started
for the newly created object.
The constructor process evaluates the goal $ctr()$.
In general a constructor goal may have arguments.
Since the $accept list$ is initially set to accept
a method with the name of the object, the constructor
goal will be the first goal that is accepted.
Other goals will then be put in the accept queue to
await a proper accept statement.
} \\ %%\cline{2-2}
\e{tabular}
\e{figure}
