qsort([],[]).
qsort([X|T],S):-
  split(X,T,L1,L2),
  ( qsort(L1,S1) & qsort(L2,S2) ),
  append(S1,[X|S2],S).


split(X,[],[],[]).
split(X,[Y|T],[Y|L1],L2):-
	X > Y,!,
	split(X,T,L1,L2).
split(X,[Y|T],L1,[Y|L2]):-
	split(X,T,L1,L2).
