@ Options

\dlpindex{options}
It is possible to declare how many solutions may be produced
by setting the option $sol$ as in
.ds nat7.pl
that will, when evaluating $number$, only produce the first seven
natural numbers, including zero.

It is important to note
that backtracking occurs on the resumption goal $Q?$
and not over the statement creating the process for evaluating a goal.
For example the declaration
.ds a.pl
will effect that the goal
[P
:- Q = a!g(X), (X=3; X=2), Q?.
P]
fails, whereas the goal
[P
:- Q = a!g(X), Q?, (X=3; X=2).
P]
succeeds, since the binding $X=3$ in the first goal cannot be reached
due to the fact that $a$ produces only the solutions $g(1)$ and $g(2)$.
