object bfs {

search(Node,Sol):-
	bfs(Node,[],Sol).

	
bfs(Current,Path,[Current|Path]) :- goal(Current).
bfs(Current,Path,Sol):- 
		bagof(Next,move(Current,Next),Nodes),
		write(moving(Current,Nodes)),
		splitof(Nodes,[Current|Path],Sol).

splitof([],_,[]).
splitof([H|T],Path,R) :- 
 	member(H,Path),
	splitof(T,Path,R).
splitof(Path,[H|T],[S|R]) :-
		bfs(H,Path,S),
		splitof(T,Path,R).
}
