object fwgc : search {

unsafe(state(X,Y,Y,C)):- opposite(X,Y).
unsafe(state(X,W,Y,Y)):- opposite(X,Y).

opposite(w,e).
opposite(e,w).

safe(X):- not(unsafe(X)).


move( state(X,X,G,C), state(Y,Y,G,C)):-
	opposite(X,Y),
	safe( state(Y,Y,G,C) ).

move( state(X,W,X,C), state(Y,W,Y,C)):-
	opposite(X,Y),
	safe( state(Y,W,Y,C) ).

move( state(X,W,G,X), state(Y,W,G,Y)):-
	opposite(X,Y),
	safe( state(Y,W,G,Y) ).

move( state(X,W,G,C), state(Y,W,G,C)):-
	opposite(X,Y),
	safe( state(Y,W,G,C) ).

goal(state(e,e,e,e)).
}
