object bfs {

search(Node,Sol):-
	bfs([],Node,Sol).

	
bfs(Paths,Node,[Node|Paths]) :- goal(Node).
bfs(Paths, Node, Sol):- 
		bagof(Next,move(Node,Next),B),
		write(moving(Node,B)),
		splitof([Node|Paths],B,Sol).

splitof(_,[],[]).
splitof(Paths,[H|T],R) :-
	member(H,Paths),
	splitof(Paths,T,R).
splitof(Paths,[H|T],[S|R]) :-
	bfs(Paths,H,S) & splitof(Paths,T,R).
}
