object queen {
var max, row, column, neighbor.

queen(N,C,Qn):-
	max := N,
	row := 1,
	column := C,
	neighbor := Qn,
	run.

run :- accept(any), run.


first():-
	( neighbor != nil -> neighbor!first(); true),
	test_or_advance().

next() :-
	write(next_try(row,column)),
	(row == max ->
		(neighbor != nil -> neighbor!next(); true);
		true),
	row := (row // max) + 1,
	test_or_advance().

can_attack(R,C):-
	Cd = C - column,
	(
	row == R -> true;
	row + Cd == R -> true;
	row - Cd == R -> true;
	neighbor != nil -> neighbor!can_attack(R,C)
	).


test_or_advance():-
	neighbor != nil ->
		( neighbor!can_attack(row,column) -> next() );
		true.

print() :-
	write(position(row,column)),
	(neighbor != nil -> neighbor!print(); true).
}
