object queens : search {

move(S,[Q|S]):- legal(Q), noattack(Q,S).

legal(pos(X,Y)):-
	member(X,[1,2,3,4]),
	member(Y,[1,2,3,4]).

noattack(_,[]).
noattack(pos(X,Y),[pos(A,B)|L]):-
	X != A,
	Y != B,
	X-A != B-Y,
	X-A != Y-B,
	noattack(pos(X,Y),L).

goal([X1,X2,X3,X4]).
}
