:- default back.

obj query {

ask(D):- F = new(facts), O = new(liver(F)).
get(O,D):- O!diagnosis(D).
askall(D):- bagof(X,ask(X),D).

}

obj util {
var db.

init(F):- val(db) = F.

diagnosis(D):- ( L => D ), test(L).

isfact(X):- val(db)!fact(X).

test([]).
test([X|R]):- isfact(X), test(L).

}

obj facts {
var facts = [s1,s2].

add(X):- val(facts) = append( val(facts), [ fact(X) ]).
fact(X):- L = val(facts), member(X,L).

member(X,[X|_]).
member(X,[_|T]):- member(X,T).
}

obj disease {
inherit util.

disease(F):- init(F), run.
run:- answer(any), run().

}

obj liver : disease {

liver(F):- disease(F).

[s1] => d1.
[s2] => d2.

}


:- query!askall(D).
