object clinic {

case(C,D):-
	F = new(facts(C)),
	examine(disease,F,D).

examine(K,F,[D|R]):-
	M = new(specialist(K)),
	M!diagnosis(F,D),
	M!advice(A),
	explore(F,A,R).

examine(K,_,[]).

explore(F,[],[]).

explore(F,[K|T],[D|R]):-
	examine(K,F,D) & explore(F,T,R).

}
