#include <hush/query.h>
#include <hush/handler.h>
#include <hush/event.h>

#include <iostream.h>

class cerr_handler : public handler { /// cerr handler
public:
cerr_handler(kit* x) { x->_register(this); }
int operator()() {
	cerr << "checking: " << _event->arg(2) << endl;
	return OK;
	}
};

int main( ) {
    char args[]="kit=pl src=local.pl";
    kit* q = new query(args);
    //q->bind("cerr", new cerr_handler(q));
    q->eval(":consult(dummy)");
    q->source("dummy.pl");
    q->eval(":assert(qq(3))");
    q->_assert("qq(5)");
    //q->eval("(X:member(X,[1,2,3]))");
    q->eval(":qq(X)");
    char* goals[] = { ":qq(X)", "void:qq(5)", "X-X:qq(X)", "X:qq(X)", "(X:X):qq(X)", 0 };
    int i = 0;
    while ( char* g = goals[i++] ) {
      if (q->eval(g)) {
      	cerr << "eval ok" << endl;
      	char* p;
      	while ( (p = q->result()) )
		cout << "<li> eval: " << p << endl;
	}
      }
    return 0;
    }

//</>
