%%@ obscure.pl

:- declare(obscure:object,class(obscure),[],[]).

obscure_debug(This,X) :-
	cerr(debug(This:X)).

obscure_ref(This,R) :-
	not var(This),
	object(_,_,This,R,_,_,_).

obscure_ref(_,0).

obscure_id(This,R) :-
	R = This,
	object(_,_,This,_,_,_,_).

obscure_eq(This,X,Y) :- X = Y.
obscure_lt(This,X,Y) :- X < Y.
obscure_gt(This,X,Y) :- X > Y.
obscure_leq(This,X,Y) :- X <= Y.
obscure_geq(This,X,Y) :- X >= Y.

obscure_eval(This,X:Y) :- eval(X:Y).
