<body bgcolor=black>
<font color=silver>
<h1><gold>The <i>hush</i> Documents</gold></h1>


%%<a href=info.html><img src="@images/souplesse.gif" align=right></a>
<a href=../index.html><img src="@base/logo.gif" height=250 width=250 align=right></a>


<p>
                              

The <i>hush</i> library and toolkit is an effort to merge
the best of multiple worlds, to combine the flexibility of
script languages with the efficiency and robustness of C++.
Indeed, as that language matures it may be regarded
as sufficiently robust!
For an introduction of how <i>hush</i>
originated see 
<a href=@online/papers/hush/contents.html>
Hush - a C++ API for Tcl/Tk</a>.
For a more recent account of the direction of our research
see <a href=@online/papers/animate/contents.html>
Animating the Web - an SGML based approach</a> and our most recent
efforts as described in
<a href=@online/papers/www6/index.html>Jamming (on) the Web</a> that
has been presented
at the 6th WWW Conference in St Clara.
Included in the <i>hush</i> package is an efficient
discrete event simulation library that has been used
for operations research and business modelling,
as illustrated in
<a href=@online/papers/bpsim/index.html>
Support for Business Process Redesign -
Simulation, Hypermedia and the Web</a>, which was presented
at EuroMedia'96.
A CORBA compliant version of <i>hush</i>, that goes under
the nickname <a href=@online/tutorials/corba/crush/index.html><i>crush</i></a>, 
is on its way.
The newest version of <i>hush</i> contains also experimental
support for the development of Netscape plugins
on the Solaris platform.
Developed under Sun Solaris, <i>hush</i>
is available for  a number of the Unix flavours as
well as for Windows NT.
See <a href="http://www.cs.vu.nl/~eliens/ftp/hush/">
ftp.cs.vu.nl:/pub/<i>hush</i>/archive/</a>

<hr>
<center>
<b>The <i>hush</i> toolkit is freely available for research and education.</b>
</center>
<slide style=gold id=index cap="Contact us at hush@cs.vu.nl">
<display>
<a href="papers/index.html"><i>Papers</i></a>                                     <a href=index.html>The <b><i>hush</i></b> Homepage</a>
       <a href="tutorials/index.html"><i>Tutorials</i></a>
                 <a href="examples/index.html"><i>Examples</i></a>
                          <a href="manuals/index.html"><i>Manuals</i></a>
                                  <a href="interfaces/index.html"><i>Interfaces</i></a>
                                             <a href="sources/index.html"><i>Sources</i></a>
<a href=http://www.cs.vu.nl/~dejavu/>The <b><i>DejaVU</i></b> Homepage</a>                                 <a href="packages/index.html"><i>Packages</i></a>
</display>
</slide>
<center>
<b>For commercial applications, or support, contact us at
<a href=mailto:hush@cs.vu.nl><i>hush</i>@cs.vu.nl</a></b>.
</center>
<hr>
This document describes the results of the
<a href=@online/projects/dv/contents.html>DejaVU</a> project,
of which a summary is given in 
<a href=@online/talks/siks95/qa.html>The DejaVU Talk</a>.
Our current research is directed towards the development of
what we have phrased as <a href=@online/talks/siks96><i>fragmented applications</i></a>,
More concretely this amounts to exploring the technology needed
to develop 
<a href=http://www.cwi.nl/~jrvosse><em>time-based hypermedia</em></a>,
a distributed
visualisation architecture,
<a href=http://www.cs.vu.nl/~bastiaan/diva><i>DIVA</i></a>,
and a group-aware
application for collaborative design,
<a href=http://www.cs.vu.nl/~martijn/gta><i>Euterpe</i></a>.

<h4>Education</h4>
From 94-97 <i>hush</i> has been extensively used
for education purposes, in particular
the Practicum <a href=http://www.cs.vu.nl/~se/>Software Engineering</a>
and the Practicum <a href=http://www.cs.vu.nl/~oo/>Object-Oriented Programming</a>.
As a practical demonstration of plug-technology,
many of the ideas on which the <i>hush</i> library and its
extensions are based are described in
<a href=http://www.cs.vu.nl/~eliens/book/>Principles
of Object-Oriented Software Development</a>
(Addison-Wesley 1995), of which a second edition is to appear in 2000.
<p>
Over the years <i>hush</i> has become the effort of a number of people.
These people and their contributions are listed in
<a href="manuals/man/man2/people.html">people(2)</a>.
<h4>Sponsors</h4>
The knowledge and technology resulting from
the <i>DejaVu</i> project has been applied in a number of
projects in cooperation with partners from business
and industry. Have a look at our
<a href=http://www.cs.vu.nl/~eliens/sponsors.html><i>commercial relations page</i></a>.
When you are interested to become a partner contact us at the address
below.
<hr>
<p align=right>
<!--
<a href="http://www.nedstat.nl/cgi-bin/viewstat?name=hush"><img src="http://www.nedstat.nl/cgi-bin/nedstat.gif?name=hush" border=0 alt="" width=32 height=32></a>
-->
