<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.52
     from sicstus.tex on 6 October 1998 -->

<TITLE>SICStus Prolog - Generalized Horn Clause Language</TITLE>
</HEAD>
<BODY>
Go to the <A HREF="sicstus_1.html">first</A>, <A HREF="sicstus_35.html">previous</A>, <A HREF="sicstus_37.html">next</A>, <A HREF="sicstus_50.html">last</A> section, <A HREF="sicstus_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC354" HREF="sicstus_toc.html#TOC354">Generalized Horn Clause Language</A></H1>
<P>
<A NAME="IDX1503"></A>
<A NAME="IDX1504"></A>

</P>
<P>
GCLA is a logic programming language (specification tool) that is based
on a generalization of Prolog.  This generalization is unusual in that it
takes a quite different view of the meaning of a logic program--a
"definitional" view rather than the traditional logical view.

</P>
<P>
GCLA has a number of noteworthy properties, for instance the
possibility to do hypothetical reasoning and non-monotonic reasoning.
This makes implementation of reasoning in knowledge-based systems more
direct in GCLA than in many other formalisms.  GCLA is also general
enough to incorporate functional programming as a special case.

</P>
<P>
A GCLA program is partitioned into two parts; a declarative part and a
control part that specifies the inference rules.  For an introduction
to GCLA and its properties see [Kreuger 91].  For methodology and
programming techniques see [Aronsson 91].  Further reading can be
found in [Aronsson 93] and in [Falkman &#38; Torgersson 94].

</P>

<P>
The GCLA package is documented in its own User's Manual, located in
<TT>`library/gcla/doc/gcla.tex'</TT> (also available as technical report
SICS T91:21A).  To load the package, enter the query:

</P>

<PRE>
| ?- use_module(library('gcla/gcla')).
</PRE>

<P><HR><P>
Go to the <A HREF="sicstus_1.html">first</A>, <A HREF="sicstus_35.html">previous</A>, <A HREF="sicstus_37.html">next</A>, <A HREF="sicstus_50.html">last</A> section, <A HREF="sicstus_toc.html">table of contents</A>.
</BODY>
</HTML>
