<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.52
     from sicstus.tex on 6 October 1998 -->

<TITLE>SICStus Prolog - The Gauge Profiling Tool</TITLE>
</HEAD>
<BODY>
Go to the <A HREF="sicstus_1.html">first</A>, <A HREF="sicstus_37.html">previous</A>, <A HREF="sicstus_39.html">next</A>, <A HREF="sicstus_50.html">last</A> section, <A HREF="sicstus_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC360" HREF="sicstus_toc.html#TOC360">The Gauge Profiling Tool</A></H1>
<P>
<A NAME="IDX1526"></A>
<A NAME="IDX1527"></A>

</P>
<P>
The Gauge library package is a graphical interface to the Sicstus
built-in predicates <CODE>profile_data/4</CODE> and <CODE>profile_reset/1</CODE>.
See section <A HREF="sicstus_10.html#SEC114">Execution Profiling</A>, for more information about execution profiling.  The
interface is based on Tcl/Tk (see section <A HREF="sicstus_37.html#SEC355">Tcl/Tk Interface</A>).  Gauge loads Tcl/Tk if it
is not previously loaded.

</P>
<P>
To use the gauge package, enter the query

</P>

<PRE>
| ?- use_module(library(gauge)).
</PRE>

<DL COMPACT>

<DT><CODE>view(<VAR>:Spec</VAR>)</CODE>
<DD>
<A NAME="IDX1528"></A>
Creates a graphical user interface for viewing the profile data for the
predicates covered by <VAR>Spec</VAR>, which has the same form as for
<CODE>spy/1</CODE> (see section <A HREF="sicstus_9.html#SEC87">Spy-points</A>).  For example, the
call <CODE>view([user:_,m2:_])</CODE>, will bring up the graphical user
interface on the predicates contained in the modules <CODE>user</CODE> and <CODE>m2</CODE>.
When the display first comes up it is blank except for the control panel.

The graphical interface is pretty much self explanatory.  The on-line
help function gives all necessary information.
</DL>

<P><HR><P>
Go to the <A HREF="sicstus_1.html">first</A>, <A HREF="sicstus_37.html">previous</A>, <A HREF="sicstus_39.html">next</A>, <A HREF="sicstus_50.html">last</A> section, <A HREF="sicstus_toc.html">table of contents</A>.
</BODY>
</HTML>
