<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.52
     from sicstus.tex on 6 October 1998 -->

<TITLE>SICStus Prolog - Jasper</TITLE>
</HEAD>
<BODY>
Go to the <A HREF="sicstus_1.html">first</A>, <A HREF="sicstus_39.html">previous</A>, <A HREF="sicstus_41.html">next</A>, <A HREF="sicstus_50.html">last</A> section, <A HREF="sicstus_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC362" HREF="sicstus_toc.html#TOC362">Jasper</A></H1>

<P>
The Jasper library module provides functionality for accessing the Java
VM from Prolog. The current functionality is limited to calling methods
using the standard foreign language interface. See section <A HREF="sicstus_12.html#SEC162">Mixing Java and Prolog</A>. However, this will most likely be extended in the future.

</P>
<P>
The library does not yet define any predicates. However, it must be
loaded to make sure that the JVM (the Java Virtual Machine) is loaded
correctly and that the interface code has access to all relevant
references to the JVM. It is loaded by the query

</P>

<PRE>
| ?- use_module(library(jasper)).
</PRE>

<P>
This will dynamically load the JVM into memory and initialize the JNI
Invocation API. 

</P>
<P>
There is also an directory of examples of how to use Jasper:
<CODE>library('jasper/examples')</CODE>.

</P>
<P><HR><P>
Go to the <A HREF="sicstus_1.html">first</A>, <A HREF="sicstus_39.html">previous</A>, <A HREF="sicstus_41.html">next</A>, <A HREF="sicstus_50.html">last</A> section, <A HREF="sicstus_toc.html">table of contents</A>.
</BODY>
</HTML>
