<HTML><HEAD><TITLE>SWI-Prolog Reference Manual</TITLE><LINK REL=home HREF="Title.html">
<LINK REL=contents HREF="Contents.html">
<LINK REL=index HREF="Index.html">
<LINK REL=summary HREF="sec-B.html">
<LINK REL=previous HREF="sec-C.html">
<LINK REL=next HREF="Index.html">
</HEAD>

<BODY>

<HR><CENTER><A HREF="Title.html">Home</A>
<A HREF="Contents.html">Contents</A>
<A HREF="Index.html">Index</A>
<A HREF="sec-B.html">Summary</A>
<A HREF="sec-C.html">Previous</A>
<A HREF="Index.html">Next</A>
</CENTER>

<HR><A NAME="document-notes">

<H1>Footnotes</H1>

</A>

<DL>
<DT><A NAME=note-1 HREF="sec-1.1.html#back-to-note-1">note-1</A><DD>
Quintus is a trademark of Quintus Computer Systems Inc., USA
<DT><A NAME=note-2 HREF="sec-1.1.html#back-to-note-2">note-2</A><DD>
BIM is a trademark of BIM sa/nv., Belgium
<DT><A NAME=note-3 HREF="sec-2.4.html#back-to-note-3">note-3</A><DD>
One could choose words, defining words as a sequence of alpha-numeric 
characters and the word separators as anything else, but one could also 
choose Prolog arguments
<DT><A NAME=note-4 HREF="sec-2.6.html#back-to-note-4">note-4</A><DD>
This implies the system can run out of local stack in debug mode, while 
no problems arise when running in non-debug mode.
<DT><A NAME=note-5 HREF="sec-2.8.html#back-to-note-5">note-5</A><DD>
The idea comes from BIM_Prolog. The options supported by this predicate 
are not compatible with those for BIM_Prolog however.
<DT><A NAME=note-6 HREF="sec-2.12.html#back-to-note-6">note-6</A><DD>
There is no portable and reliable way to find the real base.
<DT><A NAME=note-7 HREF="sec-3.1.html#back-to-note-7">note-7</A><DD>
These marks do <STRONG>notx</STRONG> suggest instantiation (e.g. var(+Var)).
<DT><A NAME=note-8 HREF="sec-3.2.html#back-to-note-8">note-8</A><DD>
It does work for consult, but makes it impossible to compile programs 
into a stand alone executable (see <A HREF="sec-2.7.html">section 2.7</A>)
<DT><A NAME=note-9 HREF="sec-3.3.html#back-to-note-9">note-9</A><DD>
When using XPCE, you may wish to load <CODE>library('emacs/swi_prolog')</CODE> 
to use XPCE/Prolog's built-in editor.
<DT><A NAME=note-10 HREF="sec-3.5.html#back-to-note-10">note-10</A><DD>
In fact the variables are compared on their (dereferenced) addresses. 
Variables living on the global stack are always <VAR>&lt;</VAR> than 
variables on the local stack. Programs should not rely on the order in 
which variables are sorted.
<DT><A NAME=note-11 HREF="sec-3.12.html#back-to-note-11">note-11</A><DD>
Note that the definition has changed since version 2.0.6. See release 
notes.
<DT><A NAME=note-12 HREF="sec-3.12.html#back-to-note-12">note-12</A><DD>
BUG: The system should have a special type for pointers, thus avoiding 
the Prolog user having to worry about consistency matters. Currently 
some simple heuristics are used to determine whether a reference is 
valid.
<DT><A NAME=note-13 HREF="sec-3.16.html#back-to-note-13">note-13</A><DD>
Note that Edinburgh Prolog defines <A NAME="idx:fileerrors/0:685"></A><B>fileerrors/0</B> 
and <A NAME="idx:nofileerrors/0:686"></A><B>nofileerrors/0</B>. As this 
does not allow you to switch back to the old mode I think this 
definition is better.
<DT><A NAME=note-14 HREF="sec-3.19.html#back-to-note-14">note-14</A><DD>
In version 1.2 instantiation faults led to error messages. The new 
version can be used to do type testing without the need to catch illegal 
instantiations first.
<DT><A NAME=note-15 HREF="sec-3.19.html#back-to-note-15">note-15</A><DD>
The instantiation pattern (-, +, ?) is an extension to `standard' 
Prolog.
<DT><A NAME=note-16 HREF="sec-3.21.html#back-to-note-16">note-16</A><DD>
Future versions probably will provide a more logical variant of this 
predicate.
<DT><A NAME=note-17 HREF="sec-3.35.html#back-to-note-17">note-17</A><DD>
BUG: Some of the file-I/O predicates use local filenames. Using <A NAME="idx:chdir/1:687"></A><A HREF="sec-3.35.html#chdir/1">chdir/1</A> 
while file-bound streams are open causes wrong results on <A NAME="idx:telling/1:688"></A><A HREF="sec-3.15.html#telling/1">telling/1</A>, <A NAME="idx:seeing/1:689"></A><A HREF="sec-3.15.html#seeing/1">seeing/1</A> 
and <A NAME="idx:current_stream/3:690"></A><A HREF="sec-3.15.html#current_stream/3">current_stream/3</A>
<DT><A NAME=note-18 HREF="sec-3.36.html#back-to-note-18">note-18</A><DD>
BUG: Erased clauses which could not actually be removed from the 
database, because they are active in the interpreter, will never be 
garbage collected after an abort.
<DT><A NAME=note-19 HREF="sec-3.37.html#back-to-note-19">note-19</A><DD>
A similar facility was added to Edinburgh C-Prolog by Wouter Jansweijer.
<DT><A NAME=note-20 HREF="sec-3.40.html#back-to-note-20">note-20</A><DD>
<A NAME="idx:show_profile/1:691"></A><A HREF="sec-3.40.html#show_profile/1">show_profile/1</A> 
is defined in Prolog and takes a considerable amount of memory.
<DT><A NAME=note-21 HREF="sec-3.42.html#back-to-note-21">note-21</A><DD>
This interface is contributed by Don Dwiggins.
<DT><A NAME=note-22 HREF="sec-3.43.html#back-to-note-22">note-22</A><DD>
BUG: I plan to supply a real <A NAME="idx:gensym/2:692"></A><A HREF="sec-3.43.html#gensym/2">gensym/2</A> 
which does give this warrant for future versions.
<DT><A NAME=note-23 HREF="sec-4.9.html#back-to-note-23">note-23</A><DD>
Although this would make it impossible to call <VAR>B</VAR> directly.
<DT><A NAME=note-24 HREF="sec-4.9.html#back-to-note-24">note-24</A><DD>
The system version uses <A NAME="idx:recordz/2:693"></A><A HREF="sec-3.12.html#recordz/2">recordz/2</A> 
and <A NAME="idx:recorded/3:694"></A><A HREF="sec-3.12.html#recorded/3">recorded/3</A>.
<DT><A NAME=note-25 HREF="sec-5.2.html#back-to-note-25">note-25</A><DD>
The system also contains code to load <CODE>.o</CODE> files directly for 
some operating systems, notably Unix systems using the BSD <CODE>a.out</CODE> 
executable format. As the number of Unix platforms supporting this gets 
quickly smaller and this interface is difficult to port and slow, it is 
no longer described in this manual. The best alternatively would be to 
use the <A NAME="idx:dld:695">dld</A> package on machines do not have 
shared libraries
<DT><A NAME=note-26 HREF="sec-5.6.html#back-to-note-26">note-26</A><DD>
Do not pass the integer 0 for normal operation, as this is interpreted 
as <CODE>PL_Q_NODEBUG</CODE> for backward compatibility reasons.
<DT><A NAME=note-27 HREF="sec-5.6.html#back-to-note-27">note-27</A><DD>
This interface differs in two ways from Quintus. The calling predicates 
simp,y signal failure if an exception was raised, and a term referenced 
is returned, rather passed and filled with the error term. Exceptions 
can only be handled using the <A HREF="sec-5.6.html#PL_next_solution()">PL_next_solution()</A> 
interface, as a handle to the query is required
<DT><A NAME=note-28 HREF="sec-6.5.html#back-to-note-28">note-28</A><DD>
If you use GNU-Emacs, make sure <CODE>require-final-newline</CODE> is 
set to <CODE>nil</CODE>
</DL>

