<HTML><HEAD><TITLE>SWI-Prolog Reference Manual: Section 2.5</TITLE><LINK REL=home HREF="Title.html">
<LINK REL=contents HREF="Contents.html">
<LINK REL=index HREF="Index.html">
<LINK REL=summary HREF="sec-B.html">
<LINK REL=previous HREF="sec-2.4.html">
<LINK REL=next HREF="sec-2.6.html">
</HEAD>

<BODY>

<HR><CENTER><A HREF="Title.html">Home</A>
<A HREF="Contents.html">Contents</A>
<A HREF="Index.html">Index</A>
<A HREF="sec-B.html">Summary</A>
<A HREF="sec-2.4.html">Previous</A>
<A HREF="sec-2.6.html">Next</A>
</CENTER>

<HR>

<H2><A NAME="sec:2.5">2.5 Reuse of toplevel bindings</A></H2>

<A NAME="sec:topvars"></A>

<P>Bindings resulting from the successful execution of a toplevel goal 
are asserted in a database. These values may be reused in further 
toplevel queries as $Var. Only the latest binding is available. Example:

<P>

<XMP>
1 ?- maplist(plus(1), "hello", X).

X = [105,102,109,109,112] 

2 ?- format('~s~n', [$X]).
ifmmp
</XMP>

<P><CENTER><B>Figure 2 : Reusing toplevel bindings</B></CENTER>
<A NAME="fig:topevelvars"></A>

<P>Note that variables may be set by executing <A HREF="sec-3.5.html#=/2">=/2</A>:

<P>

<XMP>
6 ?- X = statistics.

X = statistics

7 ?- $X.
28.00 seconds cpu time for 183,128 inferences
4,016 atoms, 1,904 functors, 2,042 predicates, 52 modules
55,915 byte codes; 11,239 external references

                      Limit    Allocated       In use
Heap         :                                624,820 Bytes
Local  stack :    2,048,000        8,192          404 Bytes
Global stack :    4,096,000       16,384          968 Bytes
Trail  stack :    4,096,000        8,192          432 Bytes
</XMP>

