<HTML><HEAD><TITLE>SWI-Prolog Reference Manual: Section 3.37</TITLE><LINK REL=home HREF="Title.html">
<LINK REL=contents HREF="Contents.html">
<LINK REL=index HREF="Index.html">
<LINK REL=summary HREF="sec-B.html">
<LINK REL=previous HREF="sec-3.36.html">
<LINK REL=next HREF="sec-3.38.html">
</HEAD>

<BODY>

<HR><CENTER><A HREF="Title.html">Home</A>
<A HREF="Contents.html">Contents</A>
<A HREF="Index.html">Index</A>
<A HREF="sec-B.html">Summary</A>
<A HREF="sec-3.36.html">Previous</A>
<A HREF="sec-3.38.html">Next</A>
</CENTER>

<HR>

<H2><A NAME="sec:3.37">3.37 Creating a Protocol of the User Interaction</A></H2>

<P>SWI-Prolog offers the possibility to log the interaction with the 
user on a file.<A NAME=back-to-note-19 HREF="Notes.html#note-19"> (19)</A> 
All Prolog interaction, including warnings and tracer output, are 
written on the protocol file.

<P>

<DL>

<P>
<DT><A NAME="protocol/1"><STRONG>protocol</STRONG>(<VAR>+File</VAR>)</A><DD>
Start protocolling on file <VAR>File</VAR>. If there is already a 
protocol file open then close it first. If <VAR>File</VAR> exists it is 
truncated.

<P>
<DT><A NAME="protocola/1"><STRONG>protocola</STRONG>(<VAR>+File</VAR>)</A><DD>
Equivalent to <A NAME="idx:protocol/1:508"></A><A HREF="sec-3.37.html#protocol/1">protocol/1</A>, 
but does not truncate the <VAR>File</VAR> if it exists.

<P>
<DT><A NAME="noprotocol/0"><STRONG>noprotocol</STRONG></A><DD>
Stop making a protocol of the user interaction. Pending output is 
flushed on the file.

<P>
<DT><A NAME="protocolling/1"><STRONG>protocolling</STRONG>(<VAR>-File</VAR>)</A><DD>
Succeeds if a protocol was started with <A NAME="idx:protocol/1:509"></A><A HREF="sec-3.37.html#protocol/1">protocol/1</A> 
or <A NAME="idx:protocola/1:510"></A><A HREF="sec-3.37.html#protocola/1">protocola/1</A> 
and unifies <VAR>File</VAR> with the current protocol output file.
</DL>

