<HTML><HEAD><TITLE>SWI-Prolog Reference Manual: Section 3.4</TITLE><LINK REL=home HREF="Title.html">
<LINK REL=contents HREF="Contents.html">
<LINK REL=index HREF="Index.html">
<LINK REL=summary HREF="sec-B.html">
<LINK REL=previous HREF="sec-3.3.html">
<LINK REL=next HREF="sec-3.5.html">
</HEAD>

<BODY>

<HR><CENTER><A HREF="Title.html">Home</A>
<A HREF="Contents.html">Contents</A>
<A HREF="Index.html">Index</A>
<A HREF="sec-B.html">Summary</A>
<A HREF="sec-3.3.html">Previous</A>
<A HREF="sec-3.5.html">Next</A>
</CENTER>

<HR>

<H2><A NAME="sec:3.4">3.4 Verify Type of a Term</A></H2>

<P>

<DL>

<P>
<DT><A NAME="var/1"><STRONG>var</STRONG>(<VAR>+Term</VAR>)</A><DD>
Succeeds if <VAR>Term</VAR> currently is a free variable.

<P>
<DT><A NAME="nonvar/1"><STRONG>nonvar</STRONG>(<VAR>+Term</VAR>)</A><DD>
Succeeds if <VAR>Term</VAR> currently is not a free variable.

<P>
<DT><A NAME="integer/1"><STRONG>integer</STRONG>(<VAR>+Term</VAR>)</A><DD>
Succeeds if <VAR>Term</VAR> is bound to an integer.

<P>
<DT><A NAME="float/1"><STRONG>float</STRONG>(<VAR>+Term</VAR>)</A><DD>
Succeeds if <VAR>Term</VAR> is bound to a floating point number.

<P>
<DT><A NAME="number/1"><STRONG>number</STRONG>(<VAR>+Term</VAR>)</A><DD>
Succeeds if <VAR>Term</VAR> is bound to an integer or a floating point 
number.

<P>
<DT><A NAME="atom/1"><STRONG>atom</STRONG>(<VAR>+Term</VAR>)</A><DD>
Succeeds if <VAR>Term</VAR> is bound to an atom.

<P>
<DT><A NAME="string/1"><STRONG>string</STRONG>(<VAR>+Term</VAR>)</A><DD>
Succeeds if <VAR>Term</VAR> is bound to a string.

<P>
<DT><A NAME="atomic/1"><STRONG>atomic</STRONG>(<VAR>+Term</VAR>)</A><DD>
Succeeds if <VAR>Term</VAR> is bound to an atom, string, integer or 
floating point number.

<P>
<DT><A NAME="compound/1"><STRONG>compound</STRONG>(<VAR>+Term</VAR>)</A><DD>
Succeeds if <VAR>Term</VAR> is bound to a compound term. See also <A NAME="idx:functor/3:229"></A><A HREF="sec-3.19.html#functor/3">functor/3</A> 
and =../2.

<P>
<DT><A NAME="ground/1"><STRONG>ground</STRONG>(<VAR>+Term</VAR>)</A><DD>
Succeeds if <VAR>Term</VAR> holds no free variables.
</DL>

