<HTML><HEAD><TITLE>SWI-Prolog Reference Manual: Section 4.1</TITLE><LINK REL=home HREF="Title.html">
<LINK REL=contents HREF="Contents.html">
<LINK REL=index HREF="Index.html">
<LINK REL=summary HREF="sec-B.html">
<LINK REL=previous HREF="sec-4.html">
<LINK REL=next HREF="sec-4.2.html">
</HEAD>

<BODY>

<HR><CENTER><A HREF="Title.html">Home</A>
<A HREF="Contents.html">Contents</A>
<A HREF="Index.html">Index</A>
<A HREF="sec-B.html">Summary</A>
<A HREF="sec-4.html">Previous</A>
<A HREF="sec-4.2.html">Next</A>
</CENTER>

<HR>

<H2><A NAME="sec:4.1">4.1 Why Using Modules?</A></H2>

<P>In traditional Prolog systems the predicate space was flat. This 
approach is not very suitable for the development of large applications, 
certainly not if these applications are developed by more than one 
programmer. In many cases, the definition of a Prolog predicate requires 
sub-predicates that are intended only to complete the definition of the 
main predicate. With a flat and global predicate space these support 
predicates will be visible from the entire program.

<P>For this reason, it is desirable that each source module has it's own 
predicate space. A module consists of a declaration for it's name, it's <EM>public 
predicates</EM> and the predicates themselves. This approach allow the 
programmer to use short (local) names for support predicates without 
worrying about name conflicts with the support predicates of other 
modules. The module declaration also makes explicit which predicates are 
meant for public usage and which for private purposes. Finally, using 
the module information, cross reference programs can indicate possible 
problems much better.

