<HTML><HEAD><TITLE>SWI-Prolog Reference Manual: Section 4.3</TITLE><LINK REL=home HREF="Title.html">
<LINK REL=contents HREF="Contents.html">
<LINK REL=index HREF="Index.html">
<LINK REL=summary HREF="sec-B.html">
<LINK REL=previous HREF="sec-4.2.html">
<LINK REL=next HREF="sec-4.4.html">
</HEAD>

<BODY>

<HR><CENTER><A HREF="Title.html">Home</A>
<A HREF="Contents.html">Contents</A>
<A HREF="Index.html">Index</A>
<A HREF="sec-B.html">Summary</A>
<A HREF="sec-4.2.html">Previous</A>
<A HREF="sec-4.4.html">Next</A>
</CENTER>

<HR>

<H2><A NAME="sec:4.3">4.3 Defining a Module</A></H2>

<P>Modules normally are created by loading a <EM>module file</EM>. A 
module file is a file holding a <A NAME="idx:module/2:546"></A><A HREF="sec-4.8.html#module/2">module/2</A> 
directive as its first term. The
<A NAME="idx:module/2:547"></A><A HREF="sec-4.8.html#module/2">module/2</A> 
directive declares the name and the public (i.e. externally visible) 
predicates of the module. The rest of the file is loaded into the 
module. Below is an example of a module file, defining <A NAME="idx:reverse/2:548"></A><A HREF="sec-3.26.html#reverse/2">reverse/2</A>.

<P>

<XMP>
:- module(reverse, [reverse/2]).

reverse(List1, List2) :-
        rev(List1, [], List2).

rev([], List, List).
rev([Head|List1], List2, List3) :-
        rev(List1, [Head|List2], List3).
</XMP>

