<HTML><HEAD><TITLE>SWI-Prolog Reference Manual: Section B.2</TITLE><LINK REL=home HREF="Title.html">
<LINK REL=contents HREF="Contents.html">
<LINK REL=index HREF="Index.html">
<LINK REL=summary HREF="sec-B.html">
<LINK REL=previous HREF="sec-B.1.html">
<LINK REL=next HREF="sec-B.3.html">
</HEAD>

<BODY>

<HR><CENTER><A HREF="Title.html">Home</A>
<A HREF="Contents.html">Contents</A>
<A HREF="Index.html">Index</A>
<A HREF="sec-B.html">Summary</A>
<A HREF="sec-B.1.html">Previous</A>
<A HREF="sec-B.3.html">Next</A>
</CENTER>

<HR>

<H2><A NAME="sec:B.2">B.2 Arithmetic Functions</A></H2>

<P>
<TABLE>
<TR><TD><A HREF="sec-3.24.html#*/2">*/2</A><TD>Multiplication</TR>
<TR><TD><A HREF="sec-3.24.html#**/2">**/2</A><TD>Power function</TR>
<TR><TD><A HREF="sec-3.24.html#+/2">+/2</A><TD>Addition</TR>
<TR><TD><A HREF="sec-3.24.html#-/1">-/1</A><TD>Unary minus</TR>
<TR><TD><A HREF="sec-3.24.html#-/2">-/2</A><TD>Subtraction</TR>
<TR><TD><A HREF="sec-3.24.html#//2">//2</A><TD>Division</TR>
<TR><TD><A HREF="sec-3.24.html#///2">///2</A><TD>Integer division</TR>
<TR><TD><A HREF="sec-3.24.html#/\/2">/\/2</A><TD>Bitwise and</TR>
<TR><TD><A HREF="sec-3.24.html#<</2">&lt;&lt;/2</A><TD>Bitwise left 
shift</TR>
<TR><TD><A HREF="sec-3.24.html#>>/2">&gt;&gt;/2</A><TD>Bitwise right 
shift</TR>
<TR><TD><A HREF="sec-3.24.html#./2">./2</A><TD>List of one character: 
character code</TR>
<TR><TD><A HREF="sec-3.24.html#\/1">\/1</A><TD>Bitwise negation</TR>
<TR><TD><A HREF="sec-3.24.html#\//2">\//2</A><TD>Bitwise or</TR>
<TR><TD><A HREF="sec-3.24.html#^/2">^/2</A><TD>Power function</TR>
<TR><TD><A HREF="sec-3.24.html#abs/1">abs/1</A><TD>Absolute value</TR>
<TR><TD><A HREF="sec-3.24.html#acos/1">acos/1</A><TD>Inverse (arc) 
cosine</TR>
<TR><TD><A HREF="sec-3.24.html#asin/1">asin/1</A><TD>Inverse (arc) sine</TR>
<TR><TD><A HREF="sec-3.24.html#atan/1">atan/1</A><TD>Inverse (arc) 
tangent</TR>
<TR><TD><A HREF="sec-3.24.html#atan/2">atan/2</A><TD>Rectangular to 
polar conversion</TR>
<TR><TD><A HREF="sec-3.24.html#ceil/1">ceil/1</A><TD>Smallest integer 
larger than arg</TR>
<TR><TD><A HREF="sec-3.24.html#ceiling/1">ceiling/1</A><TD>Smallest 
integer larger than arg</TR>
<TR><TD><A HREF="sec-3.24.html#cos/1">cos/1</A><TD>Cosine</TR>
<TR><TD><A HREF="sec-3.24.html#cputime/0">cputime/0</A><TD>Get CPU time</TR>
<TR><TD><A HREF="sec-3.24.html#e/0">e/0</A><TD>Mathematical constant</TR>
<TR><TD><A HREF="sec-3.24.html#exp/1">exp/1</A><TD>Exponent (base <VAR>e</VAR>)</TR>
<TR><TD><A HREF="sec-3.4.html#float/1">float/1</A><TD>Explicitly convert 
to float</TR>
<TR><TD><A HREF="sec-3.24.html#float_fractional_part/1">float_fractional_part/1</A><TD>Fractional 
part of a float</TR>
<TR><TD><A HREF="sec-3.24.html#float_integer_part/1">float_integer_part/1</A><TD>Integer 
part of a float</TR>
<TR><TD><A HREF="sec-3.24.html#floor/1">floor/1</A><TD>Largest integer 
below argument</TR>
<TR><TD><A HREF="sec-3.4.html#integer/1">integer/1</A><TD>Round to 
nearest integer</TR>
<TR><TD><A HREF="sec-3.24.html#log/1">log/1</A><TD>Natural logarithm</TR>
<TR><TD><A HREF="sec-3.24.html#log10/1">log10/1</A><TD>10 base logarithm</TR>
<TR><TD><A HREF="sec-3.24.html#max/2">max/2</A><TD>Maximum of two 
numbers</TR>
<TR><TD><A HREF="sec-3.24.html#min/2">min/2</A><TD>Minimum of two 
numbers</TR>
<TR><TD><A HREF="sec-3.24.html#mod/2">mod/2</A><TD>Remainder of division</TR>
<TR><TD><A HREF="sec-3.24.html#random/1">random/1</A><TD>Generate random 
number</TR>
<TR><TD><A HREF="sec-3.24.html#rem/2">rem/2</A><TD>Remainder of division</TR>
<TR><TD><A HREF="sec-3.24.html#round/1">round/1</A><TD>Round to nearest 
integer</TR>
<TR><TD><A HREF="sec-3.24.html#truncate/1">truncate/1</A><TD>Truncate 
float to integer</TR>
<TR><TD><A HREF="sec-3.24.html#pi/0">pi/0</A><TD>Mathematical constant</TR>
<TR><TD><A HREF="sec-3.24.html#sign/1">sign/1</A><TD>Extract sign of 
value</TR>
<TR><TD><A HREF="sec-3.24.html#sin/1">sin/1</A><TD>Sine</TR>
<TR><TD><A HREF="sec-3.24.html#sqrt/1">sqrt/1</A><TD>Square root</TR>
<TR><TD><A HREF="sec-3.24.html#tan/1">tan/1</A><TD>Tangent</TR>
<TR><TD><A HREF="sec-3.24.html#xor/2">xor/2</A><TD>Bitwise exclusive or</TR>
</TABLE>

