%
% CWI running headers and footers
%
% File		: cwiheading.sty
% Version	: 1.1
% Modified	: 2/3/93 10:02:33
% Author	: Jan van der Steen (jansteen@cwi.nl)
% Based on	: Peter de Waal/Rob van der Horst
%
% We redefine the pagestyles: plain, headings and myheadings
%

\def\ps@plain{
    \let\@mkboth\@gobbletwo
    \def\@oddhead{%
	\hbox{} \hfil \sf\thepage
    }
    \def\@evenhead{%
	\sf\thepage \hfil \hbox{}
    }
    \def\@oddfoot{}
    \def\@evenfoot{}
}

\def\ps@headings{
    \let\@mkboth\markboth
    \def\@oddfoot{}
    \def\@evenfoot{}
    \def\@evenhead{%
	\sf\thepage\hfil{\egtsfi\leftmark}
    }
    \def\@oddhead{%
	\hbox{}{\egtsfi \rightmark} \hfil \normalsize\sf\thepage
    }
    \def\chaptermark##1{%
	\markboth{%
	    \ifnum \c@secnumdepth >\m@ne
		\@chapapp\ \thechapter. \ \fi ##1
	}{}
    }
    \def\sectionmark##1{%
	\markright{%
	    \ifnum \c@secnumdepth >\z@
		\thesection. \ \fi ##1
	}
    }
}

\def\ps@myheadings{
    \let\@mkboth\@gobbletwo
    \def\@oddhead{%
	\hbox{}{\egtsfi\rightmark} \hfil \sf\thepage
    }
    \def\@evenhead{%
	\sf\thepage \hfil {\egtsfi\leftmark}\hbox {}
    }
    \def\@oddfoot{}
    \def\@evenfoot{}
    \def\chaptermark##1{}
    \def\sectionmark##1{}
    \def\subsectionmark##1{}
}

\pagestyle{headings}
