<document>
<slide id=imm-I-1 mode=hide>
<h2><font color=gray>Practicum Inleiding Multimedia -- Opdracht I</font></h2>
<p align=right><a href=imm-practicum.html>Practicum Handleiding</a></p>

:@ titel
<p>
<red>Annotated Tour in Amsterdam</red>
:@ duur
<p>
1-2 minuten
:@ belasting
<p>
3/4 stp
:@ formaat
<p>
800x300, shockwave (dcr)
</slide>
<slide color=yellow id=imm-I-1-omschr mode=hide>
:@ omschrijving
<p>
Aan de hand van een routebeschrijving door Amsterdam
dient een presentatie gemaakt te worden waarbij
informatie aangeboden wordt over de locaties die
zich op die route bevinden.
De informatie moet vanuit een duidelijk bepaald perspectief te begrijpen
zijn, zoals bijvoorbeeld een historisch perspectief (een blik op de
locatie langs een tijds-dimensie), een bouwkundig perspectief 
(een blik op de locatie waarin de nadruk ligt op architectuur-stijl elementen),
of een cultureel perspectief (waarin bijvoorbeeld de relatie tot levende
of dode kunstenaars centraal staat).
De presentatie moet onderhoudend zijn. Visuele effecten moeten nadrukkelijk
niet geschuwd worden. De gebruiker/toeschouwer hoeft geen keuze te maken,
de presentatie voltrekt zich zonder enige interventie.
</slide>
<slide id=imm-I-1-fase mode=hide>
:@ fasering
<ol>
<li> bepaling van concept -- dwz route, perspectief en (globale) inhoud 
<li> uitwerking draaiboek -- keuze beeld materiaal, opeenvolgende scenes en transities 
<li> technische realizatie -- uitwerking scenes en beeld karakteristieken
<li> oplevering -- afwerking en omzetting naar shockwave formaat
<li> verantwoording -- een korte beschrijving van de presentatie met uitleg van de 'kennis' component
</ol>
</slide>
<slide id=imm-I-1-deliver mode=hide>
:@ deliverables
<p>
De groepen moeten een web-site voor het project bijhouden, waar de deliverables
cumulatief beschikbaar zijn:
<ol>
<li> week 1: bepaling van concept -- een A4 
<li> week 2: uitwerking draaiboek -- max 10 A4, met schetsen, foto materiaal, en een korte uitleg per scene 
<li> week 3: technische realizatie -- logboek van werkzaamheden
<li> week 3: oplevering -- director movie in .dir en .dcr formaat
<li> week 3: verantwoording -- een a twee A4
</ol>
</slide>

<slide color=yellow id=imm-I-1-etc mode=hide>
:@ deadlines
<p>
zie <a href=imm-practicum.html>practicum handleiding</a>
:@ groepen
<p>
Er wordt gewerkt in groepen van twee.
:@ begeleiding
<p>
Bij elke fase hoort een deliverable. Deze deliverable dient bij de begeleider
ingeleverd te worden en door de begeleider goedgekeurd te worden. 
</slide>
<slide color=red id=imm-I-opmerking mode=hide>
:@ opmerking
<p>
Het leren van Macromedia Director kost enige tijd.
In week 1 en 2, waarin het concept geformuleerd wordt
en het draaiboek vervaardigd wordt, worden de studenten geacht
zich met Macromedia Director vertrouwd te maken en, vooruitlopend
op het uiteindelijke product, fragmenten te realizeren en te experimenteren
met de visuele mogelijkheden van Director.
</slide>

</document>
