<slide id=12-answers color=red type=hide cap="Answers">
:@+ <a href=@online/oo/IV/12/@slide-Questions.html>Chapter 12</a>
<include file=navigate>

<N
- The Web is essentially a <em>client/server</em>
architecture.
Objects play an increasingly important role,
to extend client-side applications, server-side application
and to enhance the technological infrastructure for the Web itself.

- See section <ref file=@online/oo/IV/12/objects>Microsoft</ref>
for a description.
As an advantage one may mention that it is a powerful environment,
with a large installed user base.
A clear disadvantage is that the proposed architecture
is tightly connected with one  particular platform, Windows 95/NT. 

- Java and CORBA may be used for a smooth extension
of Web applications with (distributed) object facilities,
as illustrated in
<sliref id=java-orb file=@online/oo/IV/12/objects>
and <sliref id=steps file=@online/oo/IV/12/objects>.

- Computation on the Web is much more indeterminate than
computation in traditional object systems.
In comparison with LAN client/server systems delay
and response times are far less
predictable.

- See <sliref id=api-requirements file=@online/oo/IV/12/web-model>.

- See section <ref file=@online/oo/IV/12/web-model>DOM</ref>

- See section <ref file=@online/oo/IV/12/web-agents>agent-framework</ref>.

- Two basic issues arise: (1) syntactic issues,
that is how to incorporate new media into Web documents,
(2) semantic/operational issues, that is how to provide
the operational support fort the new media.
With the introduction of XML and XSL (a powerful stylesheet formalism
for XML) there seems to be generic support for tackling
these issues. 
Another way to provide such operational support
is to write a plugin for the various browsers and (client) platforms.
As an example,
see section <ref file=@online/oo/IV/12/jamming>Jamming</ref>.
N>
</slide>
