<document>
@* Relational databases

\slyname{2}

<include file=navigate>

%%<?slide file=@vrml/2.wrl>

<slide id=2-relational cap="Relational databases">
:@ Relational databases
<center><p><text align=center>
schema: (COMP,NAME,CITY)
</text></center>
</slide>

<slide id=2-algebra cap="Relational algebra">
<raw height=500>
:@ Relational algebra
<ul>
<li> selection -- $%s_{c}(R)$: $%s_{COMP=ABC}(emp)$
<li> projection -- $%p(R)$: $%p_{COMP,CITY}(emp)$
<li> cartesian product -- $R_1 \times R_2$
<li> union -- $R_1 \cup R_2$
<li> difference -- $R_1 - R_2$
<li> join -- $R_1 \Join_{c} R_2$ /// $R_1 \Join_{c} R_2 == %s_{c}(R_1 \times R_2)$
<li> intersection -- $R_1 \cap R_2 = R_1 - (R_1 - R_2)$
</ul>
</raw>
</slide>

<slide id=2-calculus cap="Relational calculus">
<raw height=300>
:@ Relational calculus
<ul>
<li> constants, variables, predicate symbols
<li> atom: $t \e R1$, $t.A$ <em>op</em> $%t$, $%t$ <em>op</em> $t.A$ /// for tuple term $t.A$
</ul>
</raw>
<raw height=300>
:@ Relational calculus formulae: $F$
<ul>
<li> atom
<li> $F_1 \wedge F_1$, $F_1 \vee F_2$, $\neg F$
<li> $(\forall t \e R)F$, $(\exists t \e R)F$
</ul>
</raw>
</slide>

<slide id=2-sql cap="Structured Query Language">
@ Structured Query Language
<display>
  SELECT attr1, attr2,...,attrn
  FROM   R1&lt;V1&gt;,R2&lt;V2&gt;,...Rk&lt;Vk&gt;
  WHERE  F
</display>
</slide>

<so q-2>
\clearpage
</document>
