<document>
:Name
<a href=@tm-Box.wrl>Box</a>
<vrml><example trans="0 -1.5 8" name=Box></vrml>
:Relevance
Boxes are important 'primitives'.<br>
Many shapes can be build using<br>
a (multiple) box(es) as a<br>
starting point.
:Syntax
<display size=0.8>
### <a ref=@tm-Box><red>Box</red></a>
Box { 
    field SFVec3f size 2 2 2
}
</display>
:Example(s)
<ul>
<li> A Box
<li> A Brick
<li> Anything more or less box-shaped
</ul>
:Dissection
<display size=0.6 level=auto>
<include file=simple/Box.wrl>
</display>
:Related Nodes
<ul>
<li>Shape
<li>other geometry nodes
<ul>
<li>Sphere, Cone, Cylinder
<li>Text
<li>IndexedFaceSet, IndexedLineSet, PointSet
<li>Extrusion, ElevationGrid
</ul>
</ul>
:Application(s)
<break size=2>
<center>
<object trans="100 -200 1000" scale="0.2 0.2 0.2">
#@include @vrml/applications/Boxes.wrl 
</object>
</center>
:Applications (2)
<break size=2>
<center>
<object trans="100 -200 1000" scale="0.2 0.2 0.2">
#@include @vrml/applications/ArtisticBoxes.wrl 
</object>
</center>
:Next
The Sphere node...
</document>
