<document>
:Name
<a href=@tm-Cylinder.wrl>Cylinder</a>
<vrml><example trans="0 -1.5 8" name=Cylinder></vrml>
:Relevance
Cylinders are important 'primitives'.<br>
:Syntax
<display size=0.8>
### <a ref=@tm-Cylinder><red>Cylinder</red></a>
Cylinder { 
    field SFFloat radius  1
    field SFFloat height  1
    field SFBool  bottom  TRUE
    field SFBool  side    TRUE
    field SFBool  top     TRUE
}
</display>
:Example(s)
<ul>
<li> Pipes
<li> Wheels and other disc shaped objects
</ul>
:Dissection
<display level=auto size=0.6>
<include file=simple/Cylinder.wrl>
</display>
:Related Nodes
<ul>
<li>Shape
<li>other geometry nodes
<ul>
<li>Box, Sphere, Cone
<li>Text
<li>IndexedFaceSet, IndexedLineSet, PointSet
<li>Extrusion, ElevationGrid
</ul>
</ul>
:Application(s)
<break size=2>
<center>
<object trans="100 -200 1000" scale="0.2 0.2 0.2">
#@include @vrml/applications/Cylinders.wrl
</object>
</center>       
:Next
The Cone node...
</document>
