<document>
:Name
<a href=@tm-FontStyle.wrl>FontStyle</a>
<vrml><example trans="0 -1.5 8" name=FontStyle></vrml>
:Relevance
FontStyle is the node that controlls how <br>
the font used by a Text node is rendered.
:Syntax
<display size=0.8>
### <a ref=@tm-FontStyle><red>FontStyle</red></a>
FontStyle { 
    field MFString family       ["SERIF"]
    field SFBool   horizontal   TRUE
    field MFString justify      "BEGIN"
    field SFString language     ""
    field SFBool   leftToRight  TRUE
    field SFFloat  size         1.0  
    field SFFloat  spacing      1.0   
    field SFString style        "PLAIN"
    field SFBool   topToBottom  TRUE
}
</display>
:Example(s)
<ul>
<li> Text on billboards or signs
<li> Virtual poetry
<li> Text display for multi-user chat
</ul>
:Dissection
<display level=auto size=0.6>
<include file=simple/FontStyle.wrl>
</display>
:Related Nodes
<ul>
<li> Text
</ul>
:Application(s)
whatever.wrl
:Next
The Appearance node...
</document>
