<document>
:Name
<a href=@tm-Material.wrl>Material</a>
<vrml><example trans="0 -1.5 8" name=Material></vrml>
:Relevance
A Material node controls the color aspects of<br>
the Appearance node, which in turn controls<br>
how the geometry component of a shape <br>
node is rendered.
:Syntax
<display size=0.8>
/// <a ref=@tm-Material><red>Material</red></a>
Material { 
    exposedField SFFloat ambientIntensity  0.2         
    exposedField SFColor diffuseColor      0.8 0.8 0.8 
    exposedField SFColor emissiveColor     0 0 0       
    exposedField SFFloat shininess         0.2         
    exposedField SFColor specularColor     0 0 0       
    exposedField SFFloat transparency      0           
}
</display>
:Example(s)
<ul>
<li> Almost all VRML files use Material nodes
</ul>
:Dissection
<display level=auto size=0.6>
<include file=simple/Material.wrl>
</display>
:Related Nodes
<ul>
<li>Appearance
</ul>
:Application(s)
<break size=2>
<center>
<object trans="100 -200 1000" scale="0.2 0.2 0.2">
#@include @vrml/applications/Material.wrl
</object>
</center>       
:Next
The Transform node...
</document>
