<document>
:Name
<a href=@tm-Shape.wrl>Shape</a>
:Relevance
The 'Shape' node defines a 3D shape,<br>
by combining appearance and geometry.<br>
:Syntax
<display size=0.8>
### <a ref=@tm-Box><red>Shape</red></a>
Shape { 
    field SFNode geometry         NULL
    field SFNode appearance       NULL
}
</display>
:Example(s)
<ul>
<li> All geometry in VRML.
</ul>
:Dissection
<display level=auto size=0.6>
<include file=simple/Shape.wrl>
</display>
:Related Nodes
<ul>
<li>Appearance
<ul>
<li>Material, 
<li>ImageTexture, MovieTexture, TextureTransform
</ul>
<li>geometry nodes
<ul>
<li>Box, Sphere, Cone, Cylinder 
<li>Text
<li>IndexedFaceSet, IndexedLineSet, PointSet
<li>Extrusion, ElevationGrid
</ul>
</ul>
:Application(s)
whatever.wrl
:Next
The Box node...
</document>
