<document>
:Name
<a href=@tm-Text.wrl>Text</a>
<vrml><example trans="0 -1.5 8" name=Text></vrml>
:Relevance
The Text node allows the use of<br>
text as geometry.<br>
:Syntax
<display size=0.8>
/// <a ref=@tm-Box><red>Text</red></a>
Text { 
    exposedField MFString string         ""  
    exposedField SFNode   fontStyle      NULL
    exposedField MFFloat  length         []
    exposedField SFFloat  maxExtent      0.0
}
</display>
:Example(s)
<ul>
<li> Text on billboards or signs
<li> Virtual poetry
<li> Text display for multi-user chat
</ul>
:Dissection
<display level=auto size=0.6>
<include file=simple/Text.wrl>
</display>
:Related Nodes
<ul>
<li>FontStyle
<li>Shape
<li>other geometry nodes
<ul>
<li>Box, Sphere, Cone, Cylinder
<li>IndexedFaceSet, IndexedLineSet, PointSet
<li>Extrusion, ElevationGrid
</ul>
</ul>
:Application(s)
whatever.wrl
:Next
The FontStyle node...
</document>
