<document>
:
<br>
<br>
<br>
<center><h1>Some 'techy' stuff</h1></center>
:Dynamic movement using scripts
<i>Topics:</i>
<ul>
<li>Blaxxun Extentions
  <ul>
  <li>Keyboard
  <li>Texture Text
  </ul>
<li>Dyanmic Movement
  <ul>
  <li>Game Loop
  <li>Movement Vectors
  <li>Vectors To VRML Events
  </ul>
</ul>
:Blaxxun Extentions
<i>Further documentation</i><br>
Most blaxxun extentions are documented<br>
extemely bad.<br>
<br>
The only doucmentation is the 'Release Nodes'<br>
See: <i><b>www.blaxxun.com/developer</b></i><br>
:Blaxxun Extentions - Keyboard Handling (1)
<i>'Connecting' keyboard events</i><br>
<font family="TYPEWRITER">
<display size="0.6">
function initialize() {
    // Request keyboard events
    oldMask = Browser.eventMask;
    // Request Key-Up&Down events only...
    Browser.eventMask = ((1<<5) | (1<<6)); 
    // Add 'me' as event observer
    Browser.addRoute(Browser,'event_changed',
                     me,     'onEvent');
}
</display>
</font>
:Blaxxun Extentions - Keyboard Handling (2)
<i>'Dis-connecting' keyboard events</i><br>
<font family="TYPEWRITER">
<display size="0.6">
function shutdown() {
    // Remove 'me' as event observer
    Browser.deleteRoute(Browser,'event_changed',
                        me,     'onEvent');
    // Restore old event Mask
    Browser.eventMask = oldMask;
}
</display>
</font>
:Blaxxun Extentions - Keyboard Handling (3)
<i>Handling keyboard events</i><br>
<font family="TYPEWRITER">
<display size="0.6">
function onEvent(e,time) {
    if (e.type == 'keydown') {
        if(e.keyCode == 32) space = TRUE;
        e.returnValue = false;
    } else if (e.type == 'keyup') {
        if(e.keyCode == 32) space = FALSE;
        e.returnValue = false;
    } else {
        Browser.print('Unknown event : '+e.type);
    }
}
</display>
</font>
:Blaxxun Extentions - Texture Text (1)
<i>What is it ?</i><br>
<ul>
<li>Normal Text generates complex geometry
<li>Limited in supported font-types
<li>Example: 
</ul>
<p>
<img justify="MIDDLE" length=10 size=3.5 src="images/font.gif">
</font>
:Blaxxun Extentions - Texture Text (2)
<object size=10 length=8 justify="MIDDLE">
Transform {
    translation -8 0 0
    scale 0.5 0.5 1
    children [ Shape {
        appearance Appearance {
            texture  ImageTexture {
                url "images/font.gif"
                repeatS FALSE
                repeatT FALSE
            }
            material Material { diffuseColor 1 1 1 }
        }
        geometry Text {
            string [ "THIS ALLOWS US TO",
                     "ADD TEXT IN CUSTOM FONTS",
                     "EASILY",
                     "",
                     "ONE DOWNSIDE HOWEVER IS",
                     "THAT IT IS ALYWAYS A",
                     "FIXED-WIDTH FONT.",
                     "",
                     "ABCDEFGHIJKLMNOPQRSTUVWX",
                     "YZ 1234567890 !@#%?,.:;*" ]
            fontStyle FontStyle {
                family ["TEXTURE 32 92 15 4 1.28 0 0"]
                justify "LEFT"
            }
        }
    } ]
}
</object>
:Blaxxun Extentions - Texture Text (3)
<i>VRML Syntax</i><br>
<font family="TYPEWRITER">
<display size="0.6">
Shape {
    appearance Appearance {
        texture  ImageTexture { url "font.gif" }
    }
    geometry Text {
        string [ "TEXT-HERE" ]
        fontStyle FontStyle {
            family ["TEXTURE 32 92 15 4 1.28 0 0"]
## Parameters, first-char, last-char,   cols, rows, 
##             aspect,     extra-space, italic-shift
        }
    }
}
</display>
</font>
:Scripting
<i>These examples</i><br>
Note these examples are 'homebrewed' there<br>
is no 'official' way to do these things.<br>
<br>
The sourcecode of the examples is available<br>
from the MMA-1 webpage.<br>
:Game Loop - Relisited (1)
<i>General Idea:</i><br>
<ul>
<li>TimeSensor sends SFTime events
<li>Script compensates for correct speed
<li>'Update' the world-state
</ul>
:Game Loop - Revisited (2)
<i>Code:</i><br>
<font family="TYPEWRITER">
<display size="0.6">
function tick(timeValue,timeStamp) {
    // Initialization
    if(oldTick == 0) oldTick = v;
    while (oldTick < timeValue) {
        // Increment with 1/20th of a second
        oldTick = oldTick + 0.05;
        // And update the world-state
        update();
    }
}
</display>
</font>
:Movement Vectors - Simple Physics (1)
<i>Simple Point-Mass Physics</i><br>
<ul>
<li>Object treated as point-mass and
  <ul>
  <li>has a Location
  <li>has an Orientation 
  <li>has a Speed (in a certain direction)
  <li>can Accelerate (in a certain direction)
  </ul>
</ul>
:Movement Vectors - Simple Physics (2)
<i>Fields Needed:</i><br>
<font family="TYPEWRITER">
<display size="0.6">
field SFVec3f    position    0 0 0
field SFRotation orientation 0 1 0 0
field SFVec3f    speed       0 0 0
field SFVec3f    direction   0 0 1
</display>
</font>
:Movement Vectors - Simple Physics (3)
<i>Some Code:</i><br>
<font family="TYPEWRITER">
<display size="0.6">
if(space) // Accelerate in currect direction
    speed = speed + direction*0.01;
if(left)  // Turn left
    direction = (new SFRotation(0,1,0, 0.1)).
                 multVec(direction);
if(right) // Turn right
    direction = (new SFRotation(0,1,0,-0.1)).
                 multVec(direction);
position = position + speed;
</display>
</font>
:Movement Vectors - Simple Physics (4)
<i>An Example:</i><br>
<center><a href="@archive/game/asteroids.wrl"><h1>Example 1</h1></a></center>
:Movement Vectors - Down To Earth (1)
<i>Simple 'Racing' Physics</i><br>
<ul>
<li>Gives a more realistic feeling
  <ul>
  <li>Turning changes direction of motion
  <li>Still has location, direction and speed
  <li>However, orientation == direction of motion
  </ul>
</ul>
:Movement Vectors - Down To Earth (2)
<i>Fields Needed:</i><br>
<font family="TYPEWRITER">
<display size="0.6">
field SFVec3f    position    0 0 0
field SFRotation orientation 0 1 0 0
field SFFloat    speed       0
field SFVec3f    direction   0 0 1
</display>
</font>
:Movement Vectors - Down To Earth (3)
<i>Some Code:</i><br>
<font family="TYPEWRITER">
<display size="0.6">
// Acc/De-cellerate
if(up)   speed = speed + 0.01;
if(down) speed = speed - 0.01;
if(left) // Turn left
    direction = (new SFRotation(0,1,0, 0.1)).
                 multVec(direction);
if(right) // Turn right
    direction = (new SFRotation(0,1,0,-0.1)).
                 multVec(direction);
position = position + direction*speed;
</display>
</font>
:Movement Vectors - Down To Earth (4)
<i>An Example:</i><br>
<center><a href="@archive/game/race.wrl"><h1>Example 2</h1></a></center>
:Vectors To VRML Events - (1)
<i>What is the problem ?</i><br>
<ul>
<li>Position is a SFVec3f field
  <ul>
  <li>OK for 'translation' field in 'Transform'
  <li>Or 'position' field of a 'Viewpoint'
  </ul>
<li>Direction is a SFVec3f field
  <ul>
  <li>Orientations are SFRotation in VRML !
  <li>Need to construct a rotation
  </ul>
</ul>
:Vectors To VRML Events - (2)
<i>Translating direction to rotation</i><br>
<ul>
<li>Eh !?, This cannot be done !
  <ul>
  <li>Fundementally something different !
  </ul>
<li>Need a 'defaultDirection' + 'rotation' 
  <ul>
  <li>Rotate 'defaultDirection' to 'direction'
  </ul>
<li>Now still infinite answers
  <ul>
  <li>A notion what is 'up' needed
  </ul>
</ul>
:Vectors To VRML Events - (3)
<i>More detailed</i><br>
Direction vectors and rotations are something<br>
fundementally different.<br>
<br>
The best we can do is calculate a rotation<br>
that 'rotates' a predefined 'defaultDirection'<br> 
in such a way that it is the same as our<br>
intended 'direction'.<br>
:Vectors To VRML Events - (4)
<i>Why do we ned 'up' ?</i><br>
The notion of 'up' is needed because<br>
there is one more degree of freedom to<br>
tame, the 'ROLL' (U.S. Mill. term).<br>
<br>
<br>
<object size=10 length=8 justify="MIDDLE">
Transform {
    rotation 0 0 1 -1.57
    children [
        DEF ROLL_TRANS Transform {
            children [
                Transform  {
                    translation 0 1 0
                    children [
                        Shape {
                            appearance Appearance {
                                material Material {
                                    diffuseColor 1 1 1
                                }
                            }
                            geometry Cone {}
                        }
                    ]
                }
                Transform  {
                    translation 0 -1.5 0
                    children [
                        Shape {
                            appearance Appearance {
                                material Material {
                                    diffuseColor 1 1 1
                                }
                            }
                            geometry Cylinder { height 3 radius 0.5 }
                        }
                    ]
                }
                Transform  {
                    translation 0.75 -1.5 0
                    children [
                        Shape {
                            appearance Appearance {
                                material Material {
                                    diffuseColor 1 1 1
                                }
                            }
                            geometry Box { size 0.5 3 0.5 }
                        }
                    ]
                }
            ]
        }
    ]
}
DEF ROLL_TIMER TimeSensor { loop TRUE }
DEF ROLL_INTER OrientationInterpolator {
    key [ 0 0.5 1.0 ]
    keyValue [ 0 1 0 0, 0 1 0 3.14, 0 1 0 6.28]
}
ROUTE ROLL_TIMER.fraction_changed TO ROLL_INTER.set_fraction 
ROUTE ROLL_INTER.value_changed    TO ROLL_TRANS.set_rotation
</object>
:Vectors To VRML Events - (5)
<i>Some Code</i><br>
<font family="TYPEWRITER">
<display size="0.6">
// Rotation from 'def' to 'direction'
rotA  = new SFRotation(defDirection,direction);
// Adjust 'up' vector, defUp = yAxis
up    = rotA.multVec(yAxis);
// Fix orientation with respect to 'up'
rotB  = new SFRotation(direction.cross(up),
                       direction.cross(yAxis));
// Combine both
orientation = rotA.multiply(rotB);
</display>
</font>
:Finally
<i>Let's wrap up...</i><br>
<br>
<br>
<center><h1> Any Questions ?</h1></center>
</document>



