<document>
:@- Introduction to XML, SOAP and Biztalk Server
<p>
Spreker: Arie Leeuwesteijn <a href=http://www.microsoft.com>Microsoft Consulting Services</a> //mailto:ariele@microsoft.com
<br> dinsdag 28 november, <include file=kader>
<p>
:@ Abstract
The Extensible Markup Language is an open test-based, markup language that provides structural and semantic information to all kind of data. Currently XML is the most exiting new development in Internet technology and forms the base for most of the new products in this area.
<p>
In the first part of this session we will look at the basic syntax rules of the XML language that allows you to read and write XML documents. Because XML is not a standalone technology we will also introduce and position related technologies like XML schema's (DTD, XDR and XSD), Extensible Stylesheet Language (XSL), Document Object Model (DOM), XPATH query language and the different XML parser models.
<p>
The second part of the session will focus on the use of XML in other technologies and products. The Simple Object Access Protocol (SOAP) is vendor-agnostic protocol that typically uses HTTP to transport XML-encoded information for remote method invocation on components in distributed Internet applications. Because many vendors support SOAP, it will be a key technology for the integration of applications on different platforms and from different vendors. SOAP, in the form of web services, is one of the core components of Microsoft's .NET architecture.

The Biztalk product is an example of how XML is currently used by organization for B2B e-Commerce and application integration. Biztalk is a product that is used to exchange XML documents between organizations and applications. It has functionality to handle the transport as well as bi-directional conversion of documents between different XML, EDI, X12 and Text formats. Users define the documents and related conversions with visual tools to generate the required XML and XSL documents. Biztalk also includes a workflow component that uses a visual tool to model and execute business processes. The models are stored in XLANG documents, which is a XML based language that can be executed by the Biztalk workflow engine.
<p>
Biztalk.org is an organization that defining the BizTalk Framework, a set of guidelines for how to publish schemas in XML and how to use XML messages. Through organizations can use published schemas or publish schemas themselves.


:@ More information on XML and related technologies:

:@ Sites:
<ul>
<li>http://www.w3c.org
<li>http://msdn.microsoft.com/xml
<li>http://  &lt;any vendor you like&gt;
</ul>

:@ Books:
<ul>
<li>Professional XML, Richard Anderson, WROX, ISBN 1861003110
<li>XML in action, William J.Pardi, MS-Press, ISBN 0735605629
<li>Essential XML, Don Box, Aaron Skonnard, Addison Wesley, ISBN 0201709147
</ul>

:@ More information on SOAP:

:@ Sites:
<ul>
<li>http://msdn.microsoft.com/xml/general/soapspec.asp
 <li>http://msdn.microsoft.com/xml/general/soap_webserv.asp
</ul>

:@ Books:
<ul>
<li>Understanding SOAP, Scribner & Stiver, SAMS, ISBN 0672319225
</ul>

:@ More information on Biztalk:
<ul>
<li> http://www.biztalk.org
<li> http://www.microsoft.com/biztalk
</ul>


<p>
<include file=contact>
</document>
