<document>
:@- Developing Java Applications for Limited Devices
<p>
Spreker: Marco Mulder <a href=http://www.oti.com>AMS/OTI</a> //mailto:Marco_Mulder@oti.com
<br> dinsdag 19 september, <include file=kader>
<p>
:@ Abstract
<p>
Devices such as mobile phones, PDAs and information systems in cars are
getting more advanced and wide-spread every day. This drives a vastly
growing demand for flexible embedded software that can be developed
quickly. Traditionally, embedded software is developed in a platform
specific, non-object oriented fashion using rather primitive development
tools. Lately, a shift is made to more advanced forms of software
development, using object orientation, platform independence and integrated
development environments. Since Java technology is currently one of the
main technologies that has these desirable properties, efforts are made by
the computer industry to enable Java for embedded software development. In
our presentation we will address the major issues such as having limited
resources and timing constraints. To show the current state of the art, we
will also give a demonstration of the development process of Java
applications for the PalmOS platform using IBM's Visual Age Micro Edition.
<p>
<include file=contact>
</document>
