<document>
<slide color=blue mode=hide cap="Objectives">
<h4>Objectives</h4>
<p>To gain practical experience in deploying 
object-oriented design and implementation techniques.</p>
See also the <a href=../contents.html>lectures OO</a>.
</slide>
<p>
<font color=red>
:@ Notes 2000
There will be a practicum this year. Assignments
are the same as in the previous century.
%%<blink>These pages are being modified.</blink>
</font>
<slide color=yellow mode=hide cap="Notes 98/99">
<font color=gray>
@ Notes 98/99
<p>In the past the objective stated above
has often been misunderstood as the liberty
to develop another application in C++ or Java.
This has led to a number of nice games.
Nice, but not very interesting in terms of their O-O
architecture. While the first such games may be considered
as pioneering work, most of its followers  did not
excel as imaginative examples of O-O software construction.
</slide>
<slide mode=hide cap="the spirit of challenge">
<p>For the O-O practicum  I wish to maintain the spirit of challenge.
That is to say, I want you to experiment with technologies that are of
current interest, and to taste how it is to build a framework with these
technologies in the domain of your choice.
In other words, it is not the individual application that is interesting,
but the approach that allows for developing a thousand applications with ease,
building on the ideas and solutions of your framework.
</slide>
<slide color=red mode=hide cap="If ...">
<p>
More concretely, if you insist on developing another game,
don't build a single game application, but try to develop
a framework that allows for building a variety of similar games.
Make sure that you factor out game strategies, for example by using
the <em>Strategy</em> pattern.
</slide>
<slide color=gold mode=hide cap="Major challenges">
<p> Now to give you an indication of what I see as the major challenges
in O-O software construction:
<ul>
<li> framework development
<li> separation of 'logic' from 'control'
<li> distributed (CORBA) object technology
<li> adequate visualisation of structure and processes
<li> knowledge intensive applications
</ul>
<p>
</slide>

<slide color=red mode=hide cap="discouragement">
<p>
All these subjects have been treated, or at least
hinted at in the <a href=../contents.html>OO Lectures</a>.
If you did not visit any of these lectures, I do actually
want to discourage you to participate in the practicum.
You do not learn much from writing an other Java program, do you?
</slide>
</font>
</document>
