<document>
<h2><gold>Office Suite (TM)</gold></h2>
<include file=navigate>
Various Software Empires (including the unnamed evil empire)
offer impressive collections of tools for 
administrative and organizational tasks.
This is your opportunity: make your contribution
to this domain of software applications.
In particular, we require you to develop a Web-aware suite.
Guidelines for how to tackle this problem in <i>hush</i> are given in
<a href="examples/index.html">Developing viewers for the Eye browser</a>.

<h2>Rationale</h2>

For the practicum you must develop one or more
components in the suite.
These components must be individually available, such
that they can be used stand alone, as well as components
in other software applications.
The use of <a href="http://www.omg.org/corba.htm">CORBA</a>
is strongly encouraged.
See <a href=../corba.html>Corba at the VU</a>.


<h2>Components</h2>
<ul>
<li> <b>Address Book</b> 
<li> <b>Document Editor</b> 
<li> <b>Spreadsheet</b>
<li> <b>Presentation Tool</b>
<li> <b>Calendar and Scheduler</b>
<li> <b>Appointment Manager</b>
<li> <b>Conference Tool</b>
</ul>

<h2>Design</h2>
The individual components must be defined by the developer
in such a way that both its functionality as well
as its actual software design and realization are
sufficiently clear to other users.
Examples and a motivation in terms of their use in the
daily practice of doing business or other administrative tasks
are essential ingredients of good documentation.
See also the <a href=documentation.html>Guidelines for Documentation</a>.


<h2>Comments</h2>
The use of distributed object technology is optional.
Don't use this technology if you are not sure that
you can handle the intricacies of distributed computing.

</document>
