<HTML>
<HEAD>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
   <META NAME="Author" CONTENT="Claude Petitpierre">
   <META NAME="GENERATOR" CONTENT="Mozilla/4.05 [en] (Win95; I) [Netscape]">
   <TITLE>reasons for going to sC++</TITLE>
</HEAD>
<BODY>

@* <a href=@talk-sc-reasons.html target=_top>Here are several good reasons to switch to sC++</a>


&nbsp;
<slide id=reasons-simple cap="Concurrency">
<H4>Simpler support for concurrency</H4>
&nbsp;sC++ provides a simple notion of thread embedded in active objects:
the active objects actually ARE the threads ! An array of threads is as
simple to declare as an array of usual (passive) objects. sC++ only defines
three new keywords: ACTIVE, ACCEPT and SELECT, and is 100% compatible with
C++.
</slide>
<BR>&nbsp;
<slide id=reasons-ipc cap="IPC">
<H4>Simpler interprocess communication</H4>
&nbsp;The syntax of the communications between active objects is the
same as the syntax of the calls made from the main to passive objects or
from passive to passive objects. An active object ACCEPTs a call whenever
it is ready to receive it. It may SELECT one out of several calls or 
acceptances. sC++ avoids the use of semaphores, channels, signals, or any particular
real-time library calls, and its IPC means compare very favorably with both Ada
and Java.
</slide>

<BR>&nbsp;
<slide id=reasons-hci cap="HCI">
<H4>Simpler computer human interfaces</H4>
&nbsp;The encapsulation of Motif in active objects makes the creation and
the reading of graphical objects straight forward.
<BR>&nbsp;
<H4>Simpler computer to computer communications</H4>
&nbsp;The encapsulation of sockets in active objects makes it possible
to establish a communication between two computers with only four 
statements in total, including he handling of the daemon socket.
</slide>
<BR>&nbsp;
<slide id=reason-event cap="event loop, wrappers">
<H4>
No need of event loop or wrappers</H4>
&nbsp;Assembling different components around the notion of event loops,
is always difficult, because they all have their own interface idiosyncraties.
Wrappers have been proposed to solve that problem, but they are most of
the time strongly linked to particular applications too. Active objects
offer a much wider independence between components. The software engineer
can put a display interface based on Motif, an HTTP server, CORBA servers
and clients, as well as bare TCP sockets in the same program, simply by
instanciating them side by side.
</slide>
<BR>&nbsp;
<slide id=reason-structure cap="Structure">
<H4>
Structure for application behavior</H4>
&nbsp;Current object oriented methodologies offer little guidance for the
design and the implementation of the code that calls the operations of
the objects at the right time and in the right order. Active objects provide
a clear means for defining the local behavior of the objects as well as
their global coordinated behavior.
</slide>
<BR>&nbsp;
<slide id=reasons-analysis cap="Modeling and analysis">
<H4>
Behavior modeling and analysis</H4>
&nbsp;sC++ applications can be modeled and analysed without preliminary
translation to a formal language, as its inter-object communication (or
IPC) mechanism has a very precise semantics.
</slide>
<BR>&nbsp;
<slide id=reasons-support cap="Support">
<H4>
Development support</H4>
&nbsp;A number of development tools are available and others will soon be. They
include the extended gcc compiler, a task level debugger, a random analyser
(random walk through the state space), an exhaustive state space analyser,
an IDL to sC++ compiler, a graphical editor for distributed application,
a model checker (in preparation, it will support temporal logic), various
libraries (GUI, sockets, graphic)
</slide>
<BR>&nbsp;
<slide id=reasons-avail cap="Availability">
<H4>
Availability</H4>
&nbsp;The environment runs on UNIX, (SUN, SGI, ALPHA), LINUX and is currently
ported to Windows'95. Everything is free of charge on the web (http://ltiwww.epfl.ch/sCxx).
A text book is available in French. An English version is in preparation.
</slide>
<BR>&nbsp;
<BR>&nbsp;
<BR>&nbsp;
</BODY>
</HTML>
