@ <a href=@talk-patterns.html target=_top>Motivation</a>

<slide color=yellow cap="Document processing">
<h1>
Take for example a document processing system ...
</h1>
<ul>
<li> material - words, images, tables
<li> formatting, layout
<li> online presentation and editing tool
</ul>
</slide>

<slide color=green id=x-composite cap="Composite ...">
@* Managing composites 
<font color=red>
@ Problem: very many items
</font><font color=blue>
@ Solution: flyweight class 
</font>
</slide>
<slide id=composite cap="Composite"><image src=local/composite.gif></slide>
<slide color=green id=x-strategy cap="Strategy ...">
@* Managing layout and formatting
<font color=red>
@ Problem: many algorithms
</font><font color=blue>
@ Solution: composer (strategy) class
</font>
</slide> 
<slide id=strategy cap="Strategy"><image src=local/strategy.gif></slide>

<slide color=green id=x-decorate cap="Decorate ...">
@* Display item with attributes
<font color=red>
@ Problem: non-uniform attributes
</font><font color=blue>
@ Solution: embed and hide attributes
</font>
</slide> 
<slide id=decorator cap="Decorator"><image src=local/decorator.gif></slide>

<slide color=green id=x-factory cap="Factory ...">
@* Develop multi-platform tools (1)
<font color=red>
@ Problem: different window toolkits
</font><font color=blue>
@ Solution: employ platform-specific factories
</font>
</slide> 
<slide id=factory cap="Factory"><image src=local/factory.gif></slide>


<slide color=green id=x-bridge cap="Bridge ...">
@* Develop multi-platform tools (2)
<font color=red>
@ Problem: offer uniform widget hierarchy
</font><font color=blue>
@ Solution: separate interface from implementation
</font>
</slide> 
<slide id=bridge cap="Bridge"><image src=local/bridge.gif></slide>


<slide color=green id=x-command cap="Command ...">
@* Provide rich functionality
<font color=red>
@ Problem: support commands with undo
</font><font color=blue>
@ Solution: abstract from specific commands 
</font>
</slide> 
<slide id=command cap="Command"><image src=local/command.gif></slide>
