<!doctype style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [ 

	<!-- $Id: results.dsl,v 1.11 1998/08/11 12:09:57 oo Exp oo $ -->

	<!entity je public "-//James Clark//Jade extensions//EN"> 
	<!entity util system "util.dsl"> 
]>

&je; &util; <!-- include jade extensions + string utilities -->

(default (make element)) 

(element count (empty-sosofo))

(define (field) 
   (make element gi: "B" 
     (if (not (first-sibling?)) (literal ", ") (literal " ")) 
     (process-children)))

(define (afield)
  (make sequence 
    (make empty-element gi: "A" attributes: (list (list "name" (data (current-node)))))
    (make element gi: "TT" (literal " <") (process-children) (literal ">"))))

(define (row)
  (make element gi: "TR"
    (make element gi: "TD" 
	attributes: (list (list "bgcolor" "#E0E0E0") (list "valign" "top"))
	(literal (STRING-DOWNCASE (gi)) ": "))
    (make element gi: "TD" 
	attributes: (list (list "bgcolor" "#EAEAEA") (list "valign" "top"))
	(process-children))))

(define (brow)
  (make element gi: "TR"
    (make element gi: "TD" attributes: (list (list "bgcolor" "#E0E0E0"))
		(literal (STRING-DOWNCASE (gi)) ": "))
    (make element gi: "TD" 
	attributes: (list (list "bgcolor" "#EAEAEA") (list "valign" "top"))
	(make element gi:"B" (process-children)))))

(define (arow)
  (make element gi: "TR"
      input-whitespace-treatment: 'collapse
    (make empty-element gi: "A" attributes: (list (list "name" (data (current-node)))))
    (make element gi: "TD" 
	(literal (STRING-DOWNCASE (gi)) ": "))
    (make element gi: "TD" (process-children))))

(element name (field))
(element email(afield))
(element date (row))
(element mark (brow))
(element program (row))
(element documentation (row))
(element architecture (row))
(element interface (row))
(element conclusion (row))

(element entry
  (make sequence 
    (make empty-element gi: "P")
    (literal (format-number (child-number) "1") ") ")
    (make element gi: "TABLE" attributes: (list (list "BORDER" "0"))
      (process-children))))

(element results
  (make sequence 
    (make document-type name: "HTML" public-id: "-//W3C//DTD HTML 3.2//EN")
    (make element gi: "HTML"
      input-whitespace-treatment: 'collapse
      (make element gi: "TITLE" (literal "OOP RESULTS 1998"))
      (make element gi: "BODY" attributes:  (list (list "bgcolor" "white"))
      	(make element gi: "H2"    (literal "OOP RESULTS 1998"))
      	(make element gi: "P"     (literal <![CDATA["Direct questions or complaints to <eliens> or <jrvosse>."]]>))
    	(process-children)))))
