<document>
@* <a href=@talk-events.html target=_top>Event-driven computation</a>

<include file=navigate>

<control>
<slide color=silver mode=hide id=2.4-sub>
:@ Subsections:
<ul>
<li> <a href=reactor.html>The Reactor pattern</a>
<li> <a href=systems.html>Abstract event systems</a>
</ul>
</slide>
<hr>
</control>

Event-driven computation underlies many applications,
ranging from graphical user interfaces to systems
for discrete event simulation and business process modeling.
An important characteristic of event-driven computation
is that control is relinquished to an environment
that waits for events to occur.
Handler function or handler objects are then invoked 
for an appropriate response.
<p>
In this section we will look at the <em>Reactor</em>
pattern that explains the interaction between objects
and the environment.
We will also look at an event system, in
which the event types are defined by the application programmer.
In this application, events are used to maintain global
consistency, similar to the <em>Observer</em> pattern.

@so reactor
@so systems

</document>
