<document>
@* <a href=@talk-design.html target=_top>From specification to implementation</a>
<include file=navigate>

<control>
<slide color=silver id=4.3-sub mode=hide>
:@ Subsections:
<ul>
<li> <a href=design-model.html>Structure versus behavior</a>
<li> <a href=design-formal.html>Model-based specification</a>
<li> <a href=design-abstract.html>Abstract systems</a>
</ul>
</slide>
<hr>
</control>

@$=P

\label{3-design}
\label{3-style}
%%\label{guidelines}
%%\comment{See [_LH89].}

Designing an object-oriented system
requires the identification of
object classes and the characterization of
their responsibilities,
preferably by means of {\em contracts}.
<p>
In addition, one must establish
the relationships between the object classes
constituting the system and
delineate the facilities the system offers to the user.
Such facilities are usually derived from
a requirements document and may be formally specified
in terms of abstract operations on the system.
%%See also section \ref{Fusion}.
<p>
In this section  we will look at
the means we have available to express
the properties of our object model,
and we will study how we may
employ abstract specifications of system
operations to arrive at the integration
of user actions and the object model
underlying a system in a seamless way.
The approach sketched may be characterized
as event-centered.

%%<?latex>
<so design-model>
<so design-formal>
<so design-abstract>
%%<?/latex>


</document>
