<document>
@* <a href=@talk-draw.html target=_top>The <i>drawtool</i> application</a>
\label{hush}
\label{Drawtool}

<include file=navigate>

<control>
<slide color=silver id=4.1-sub mode=hide>
:@ Subsections:
<ul>
<li> <a href=draw-simple.html>A simple drawing canvas in <em>hush</em></a>
<li> <a href=draw-tool.html>The <em>drawtool</em> application</a>
</ul>
</slide>
<hr>
</control>

Interactive editors are an interesting category of applications.
Interactive editors, which include word processors and drawing tools,
are the kind of applications the average (end) user is most familiar with.
From a software engineering perspective,
interactive editors are interesting
because they combine interactive and functional features.
See also [_GOF94], which provides many patterns for
interactive editors.
<p>
In the Software Engineering curriculum at the Vrije Universiteit,
we have repeatedly used interactive editors as a medium-term
assignment for CS2 students (five weeks for groups of four or five
students).
One example of such an assignment is the
<em>Interactive Design Assistant</em> discussed in section
<ref file=../1/ida>IDA</ref>.
Another example is the musical score editor
(see appendix <ref file=@online/oo/appendix/project/project>Projects</ref>),
which has been chosen by a selected group
of CS3 and CS4 students as a practical assignment for
the Object-Oriented Software Development course.

<p>
In this section we will look at the <em>drawtool</em>
application, which is a representative realization of a
(rather simple) drawing editor.
The implementation of <em>drawtool</em> 
presented here is realized in the Java version of the 
<em>hush</em> framework.
The <em>hush</em> C++ framework has been used for
a number of years in the Software Engineering curriculum,
but has recently been replaced by Java with Swing.
The <em>drawtool</em> application is nevertheless interesting
because it acted for many years as the basic example
of an interactive
editor for quite a number of students.
<p>
Before studying <em>drawtool</em>, we will first look at
the realization of a drawing canvas in <em>hush</em>

%5<?latex>
<so draw-simple>
<so draw-tool>
%%<?/latex>

</document>
