import hush.dv.api.*;
import hush.dv.widgets.canvas;

public class CircleHandler extends handler {

int x; int y;
boolean dragging;
canvas _canvas;
item it;

public CircleHandler(canvas c) {
	_canvas = c;
	dragging = false;
	}

public void press(Event ev) {
	dragging = true;
	x = ev.x(); y = ev.y();
	it = _canvas.oval(x,y,x,y);
	}

public void release(Event ev) {
	dragging = false;
	}

public void motion(Event ev) {
	if (dragging) {
	     it.del();
	     it = _canvas.oval(x,y,ev.x(),ev.y());
		}
	}
};
