<document>
\noindent
After studying general issues in the design and software
engineering of object-oriented applications and frameworks,
it is time to focus in somewhat more detail
on actual application development.
<p>
In this chapter we will look at the <em>drawtool</em>
application, as a representative of a broader category
of interactive editing tools.

\cleartrue
\vfig{1}
<slide color=gold id=4-overview cap="Application development">
@ Application development
\zline{\fbox{4}}
<I
- the drawtool applications
- guidelines for design
- from specification to implementation
I>
<p><blue>Additional keywords and phrases:
<em> hush framework, interactive editors, law of Demeter,
formal specification in Z, abstract systems</em>
</silver>
</slide>

The <em>drawtool</em> application is a Java application
using the multiparadigm <em>hush</em> framework.
However, in discussing its development, we will concentrate
on specifying the requirements and issues of design.
<p>
After that
we will treat some miscellaneous issues in
the design of classes.
This chapter will be concluded with a case study, a concise,
yet detailed, example of a more formal approach
to the development of an object-oriented application.


</document>
