<document>
@* <a href=@talk-prototype.html target=_top>Prototypes -- delegation versus inheritance</a>
\label{prototypes}

<include file=navigate>


<c>
<slide color=silver id=5.4-sub mode=hide>
:@ Subsections:
<ul>
<li> <a href=prototype-share.html>Alternative forms of sharing</a>
<li> <a href=prototype-self.html>Implementation techniques -- Self</a>
</ul>
</slide>
<hr>
</c>

The classical object model
(which is constituted by classes, objects and inheritance)
not only has its theoretical weaknesses (as outlined 
in the previous section)
but has also been criticized from a more pragmatic
perspective because of its inflexibility
when it comes to developing systems.

Code sharing has been mentioned as one of
the advantages of inheritance (as it allows incremental
development).
However, alternative (read more flexible) forms of
{\em sharing} have been proposed, employing
prototypes and delegation instead of inheritance.

<so prototype-share>
<so prototype-self>
</document>
