<document>
\vspace{-0.1cm}
@* <a href=@talk-components.html target=_top>Standards for interoperability</a>
\label{Interoperability}

<include file=navigate>

<control>
<slide color=silver id=6.2-sub mode=hide>
:@ Subsections:
<ul>
<li> <a href=components-com.html>Microsoft COM</a>
<li> <a href=components-corba.html>OMG CORBA</a>
<li> <a href=components-odmg.html>ODMG persistency</a>
</ul>
</slide>
<hr>
</control>

The potential of an object-oriented approach, obviously,
lies in the opportunities for {\em reuse},
both of code and design.
However, reuse requires a common understanding of
the basic principles underlying the technology and its application.
More particularly, the reuse of code requires
(a much more strict)
agreement with respect to the components from which
an application will be constructed and the
language constructs used to implement them.


In this section, we will look at
the object linking and embedding facilities
offered by Microsoft OLE,
and the standardization efforts
undertaken by the OMG (Object Management Group)
directed towards the interoperability of object components.
In addition, we will look at the efforts of the
ODMG (Object Database Management Group)
undertaken to develop a standard for persistent objects.

<?latex>
<so components-com>
<so components-corba>
<so components-odmg>
%%<so components-java>
<?/latex>

</document>
