<document>
:@* Composition
<include file=navigate>
<slipar>
:@ Objectives
This section discusses the problems
involved in establishing
global invariants
and presents some formalisms for
specifying the behavior of collections
of objects.
\nop{
It also includes a brief introduction
to model-based specification.
}

:@ Points to emphasize
<I
- {\em global invariants} --
dynamic aliasing
%% - {\em model-based specification} -- state and operations
- {\em compositions} --
contracts, scripts, interaction, joint actions
I>

:@ Hints
Formal methods for object-oriented
programming will increasingly become important.
In particular, a number of development methods
already include a model-based specification
language \`{a} la Z or VDM
for specifying the functional properties
of objects.
See also section \ref{zed}.

:@ Questions
<N
.so q5
N>

:@ Comments
This section is intended as a starting point
for studying formal approaches
to the specification of object-oriented
software.

\clearpage
</slipar>
</document>
