<document>
:@* Verification
<include file=navigate-guide>
<slipar>
:@ Objectives
This section discusses how behavioral
properties of programs may be verified,
by means of assertion logic.
It introduces the notions of program 
state and state transformations,
characterizes correctness formulae
and explains what is involved
in verifying such formulae.
Further, it presents the correctness
axioms for a simple imperative language.

:@ Points to emphasize
<I
- {\em states} -- transformations
- {\em verification} -- correctness formulae
- {\em axioms} -- consequence rules, abstraction
I>

:@ Hints
This section presents standard material
with respect to the verification of
programs.
Students may already be familiar with
it from other courses.

:@ Questions
<N
@so q2
N>

:@ Comments
Actually verifying programs is not an easy task.
You may include some exercises from [_AptO]
if needed.

\clearpage
</slipar>
</document>
