<document>
@* <a href=@talk-verification.html target=_top>Verifying behavioral properties</a>
\label{10:verification}
\label{verification}

<c>
<slide color=silver id=verification-sections mode=hide>
:@ Subsections:
<ul>
<li> <a href=verification-state.html>State transformers</a>
<li> <a href=verification-logic.html>Assertion logic</a>
</ul>
</slide>
<hr>
</c>


@$=raw

The concern with program correctness stems
from a period when projects were haunted
by what was called the {\em software crisis}.
Projects delivered software that contained
numerous bugs and large programs seemed to become
unmanageable, that is never error-free.
One of the most radical ideas proposed to 
counteract the software crisis was to require
that programs should formally be proven
correct before acceptance.
The charm of the idea, I find personally,
is that programming in a way becomes imbued with the flavor
of mathematics, which may in itself be one of
the reasons that the method never became very popular.


<so verification-state>
<so verification-logic>
</document>
