<document>
@* <a href=@talk-types.html target=_top>Abstraction and types</a>
\label{abstraction}

<include file=navigate>

<c>
<slide color=silver id=types-sections mode=hide>
:@ Subsections:
<ul>
<li> <a href=types-abstract.html>Abstraction in programming languages</a>
<li> <a href=types-constraints.html>Foundational perspectives -- types as constraints</a>
<li> <a href=types-object.html>Objectives of typed OOP</a>
</ul>
</slide>
<hr>
</c>

The concern for abstraction may be regarded as the driving
force behind the development of programming languages
(of which there are astoundingly many).
In the following we will discuss the role
of abstraction in programming,
and especially the importance of types.
We then briefly look at what mathematical means
we have available to describe types from a foundational
perspective and what we may (and may not) expect
from types in object-oriented programming.


<so types-abstract>
<so types-constraints>
<so types-object>

</document>
