<document>

\noindent
Adopting an object-oriented approach is ultimately
motivated by the need to develop applications.
In this chapter we will look at business applications.

\cleartrue
\vfig{1}
<slide color=gold num=11 id=ch-11 cap="Business process redesign">
@ Business process redesign
/// <box>11</box>
<I
- business objects -- the SanFrancisco framework
- business process modeling -- simulation
- visualization support -- collaboration and decision making
- migrating from legacy applications -- business objects
I>
<p><blue>Additional keywords and phrases: <em>
business objects, business logistics, frameworks,
object-oriented simulation
</em></font>
</slide>

We will start by discussing the San Franscisco framework,
which offers template business objects and business processes
for developing (business) applications.
Since IT is becoming the spine around which business
is organized, we will explore methods for modeling 
and simulating business processes.
We will then briefly describe an object-oriented 
simulation toolkit,
and discuss
support for the visualization of business processes
and its potential role in collaborative decision making.
Finally, we will reflect on the need to migrate
from legacy applications.

</document>
