<document>
:@+ Example -- dining philosophers
<include file=navigate>


Consider the following (classical) problem.
Five philosophers sit around a table with five chopsticks in between.
They think,
and if they are hungry and if two chopsticks are available, they eat. If a philosopher gets hungry and s/he cannot acquire a chopstick, the philosopher waits until s/he can. The philosopher does not think, if s/he is waiting
or eating. We are interested in the fraction of the time, that a philosopher actually thinks. 

<slide id=sim-dining type=fig cap="Dining philosophers">
<image name=@figures/sim/webdinner><br>
</slide>

In \sliref{sim-dining} a graphical rendering is given of
a simulation at work.
The applet displayed in the <em>hush</em> browser
is written with the Tcl/Tk command binding to the SIM library.
<p>
We will now look at two methods to define the actual
simulation mode, an <em>event-based</em> method and
a <em>process-based</em> method.

<so sim-event>
<so sim-process>

</document>
