<document>
:@* Methods
<include file=navigate-guide>
<slipar>
:@ Objectives
This section presents an overview
of the methods and tools
available for object-oriented
software development,
including analysis, design and implementation.
It distinguishes between methods
and tools derived from structured
approaches to software development
and purely object-oriented methods
and tools.
The Fusion method is discussed in more detail.
In particular, Fusion is compared with 
Objectory, OMT, Booch OOD and CRC.
It presents some of the available
program development environments
for C++,
as well as a list of object databases
offering an interface to C++.

<slide id=methods-points cap="Points to emphasize">
:@ Points to emphasize
<I
- {\em methods} -- structural  ->  object-oriented
- {\em tools} --
analysis, design, implementation
- {\em comparative study} -- Fusion
- {\em program development} --
environments for C++
- {\em object database systems} --
with C++ interface
I>
</slide>

:@ Hints
The comparison is made largely from the perspective of Fusion.
It is worth noting that light-weight Fusion amounts to OMT.
You may freely discuss your opinion on any of these methods.

<slide id=methods-questions cap="Questions">
:@ Questions
<N 
<include file=methods-questions>
N> 
</slide>

:@ Comments
Any of the methods and tools
mentioned in this section
deserve to be covered in much more detail.
However, it is important
to convey the transition from structured
approaches to object orientation
and raise the question what must be considered
{\em purely object-oriented}.
\clearpage
</slipar>
</document>
