<document>
@* <a href=@talk-visualize.html target=_top>Visualization support</a>
\label{DIVA}

<include file=navigate>

<control>
<slide color=silver id=visualize-sections mode=hide>
:@ Subsections:
<ul>
%%<li> <a href=visualize-example.html>Example -- business process redesign</a>
<li> <a href=visualize-user.html>So many users, so many perspectives</a>
%%<li> <a href=visualize-user.html>Interactive Information Visualization</a>
<li> <a href=visualize-diva.html>DIVA -- distributed visualization architecture</a>
</ul>
</slide>
<hr>
</control>

Visualization is one of the oldest forms of communication.
As expressed in the programmers manual of In3D from [_In3D], visualization may be used
to convey information and to help us manage,
analyze, control and comprehend vast amounts of information.

<slide id=3d-usa type=fig cap="Retail USA &copy; 1995--1999 Visible Decisions Inc.">
<image name=@figures/vis/In3D-USA>
</slide>

The visualization in \sliref{3d-usa}, which is one of
the examples that comes with <a href=http://www.vdi.com>In3D</a>,
depicts sales figures in the USA, embedded in an obvious
geographical metaphor.
The image, which may be animated to display the 
time-dependent changes in sales figures, 
contains a wealth of information that would be much more
difficult to comprehend if presented numerically or
even in (plain) 2D graphs.
<p>
In this section will discuss how visualization may
be used to give access to information and what role
visualization can play in decision making.
We will also look at the design rationale underlying
a generic distributed architecture for information
visualization, which is based on Java and VRML technology.

%%<so visualize-example>
<so visualize-user>
<so visualize-diva>
</document>
