<document>

\noindent
The explosive growth of the Web is perhaps the single
most important event in the history of computing technology.
What started as an information infrastructure
is now turning into an infrastructure encompassing
both information and applications,
and is becoming the backbone for the commercial deployment
of the Internet.

\cleartrue
\vfig{1}
<slide color=gold num=12 id=ch-12 cap="Web applications">
@ Web Applications
/// <box>12</box>
<I
- objects and the Web
- Web application development -- tools and environments
- DejaVU - Web applications with <em>hush</em>
- software architectures for the Web 
I>
<p><blue>Additional keywords and phrases:
<em>Web Objects, XML, Java, CORBA, multimedia, 
software architecture
</em></font>
</slide>

In this chapter, we will explore how the Web affects
(object-oriented) software development.
First of all, we will discuss whether
object orientation has any relevance for the Web
and for the development of Web applications.
We will look at some of the current trends
and technologies, discuss the possible occurrence
of the Object Web,
and look at an example deploying Web technology to provide
an infrastructure for distributed object computing.
We will reflect on the computation model
underlying the Web, to explore how to program the
Web to suit our needs.
We will also look at the phenomenon of
intelligent agents on the Web,
which may aid the user in retrieving the right
information and perform his/her tasks in a more
convenient way.
We then present some of our early research
on extending the Web with multimedia fuctionality,
carried out in the DejaVU project at the Vrije Universiteit.
Concluding this chapter, and the book,
we will discuss the forces that play a role
in defining a suitable software architecture for 
(object-oriented) Web applications.

</document>
