\documentstyle{vuletter}
\name{A. Eliens}
\signature{Anton Eliens}
\email{eliens@cs.vu.nl}
\location{Room T3.02}
\telephone{+31 20 5485780}
\uwdatum{}
\uwkenmerk{}
\kenmerk{}
\datum{\date}
\bijlagen{Book Proposal Form}
%%\betreft{betreft}
\subject{OOP}
\begin{document}
\begin{letter}{ Dr. S. Plumtree \\
Editor in Chief \\
Addison-Wesley Publishers Limited \\
Finchampstead Road,
Wokingham \\
Berkshire RG11 2NZ, 
United Kingdom
}
\opening{Dear Dr. Plumtree}

I am very glad that both reviewers
were positive about the idea of organizing
the book around the slides.
To answer your question to what extent
my book distinguishes itself from 'the others',
I must remark that, as I mentioned to
you during your visit, the need to develop my
own material for my course on OOP
occurred since non of the books available
at that time (and to my mind this still holds)
paid sufficient attention to foundational
issues and formal aspects of OOP.
In my book I aim at giving a comprehensive
account of the conceptual issues involved in OOP
with particular stress on foundational aspects
concerning abstract data types, inheritance
and what is called 'behavioral' refinement.
At the same time, however, it must serve
as an overview and can it provide only an 
introduction to the topics treated.
Generally, I have taken recourse to
primary material, that is to literature
that I consider to be landmarks in the development
of OOP. To my mind this provides the students
the best opportunity to develop their own view
of the field.
What I wish to show, and this is what I consider
to be the central theme in my course on OOP
(and of the book), is that many of the 
guide lines for object oriented design and system
development, which are often very informally
not to say vaguely formulated, indeed do
have a counterpart in constraints that arise
out of the formal analysis of types and inheritance.
(Meyers book on Eiffel does devote attention
to these aspects, but not completely according to my
taste, due to the exclusive concentration of Eiffel.)

The manuscript I have given you is a rather preliminary
skeleton, and in all honesty, I was a little surprised
that the reactions were so positive.
As it is, non-trivial effort is needed to make the transition
from the manuscript to a book suitable for a wider 
audience,
but I am gladly willing to engage in this enterprise
if you also consider it worthwhile.
To enable you to make a decision, I have filled
in the Book Proposal Form as best as I could
and I have included a description of the
the contents of the book as I see it at this stage.
Also, you will find a preliminary version of the first chapter,
including the accompanying slides in a format suitable for
presentation.
If you have any further questions, please do not hesitate to contact me.
Speaking for myself, I am looking forward to writing
a book for your company.

\closing{Yours sincerely}
\end{letter}
\end{document}
