<document>
<include file=navigate>

:@ Control
C++ provides a number of elementary control structures,
directly inherited from C.
\see{cc-control}


<slide id=cc-control caption="C++ -- control">
:@ Control
\ifsli{\vspace{-0.5cm}}{}
<I
- conditional -- <em> $if \, (b) \, S1; \, else \, S2;$ </em>
- selection -- <em> $switch(n) {{ case \: n1: S1; break; ...  default: ... }}$ </em>
- iteration -- <em> $while \, (b) \, S$ </em>
- looping  -- <em> $for( int \, i = 1; i <= MAX; i +  + )\, S $ </em>
- jumps -- <em> return, break, continue, goto </em>
I>
\ifsli{\vspace{-1cm}}{}
</slide>

These include a
{\em conditional} statement
(of which the else part may be omitted),
a {\em selection} statement
(that allows for a default branch),
an {\em iteration} statement
(which is also offered in a reversed form
to allow a repeat),
a {\em loop} statement
(consisting of an initialization part, a part
to test for termination, and a repetition part to increase
the loop variable)
and, finally, {\em jumps}
(including the so much despised {\em goto}).
</document>
