//@ broker.java - adapted from hush broker

package hush; // this is fake

import org.omg.CORBA.*;
import java.io.*;


public class broker {
boolean _fl = false;
java.applet.Applet _applet = null;

public broker() { }
public broker(boolean fl) { _fl = fl; }
public broker(java.applet.Applet x) {
	_applet = x;
	init(null);
	}

public void init(String[] args) {
if (_applet == null) {
       	_orb = ORB.init(args,new java.util.Properties());
       	if (!_fl)
	    _boa = _orb.BOA_init(args,new java.util.Properties());
} else 
	_orb = ORB.init(_applet, null);
}

//@ run -- server-only

public int operator() {
        if (!_fl) _boa.impl_is_ready(null);
	return 0; // OK
	}


//@ object references

public String ref(org.omg.CORBA.Object x) {
	return _orb.object_to_string(x);
	}

public org.omg.CORBA.Object ref(String s) {
	org.omg.CORBA.Object obj = _orb.string_to_object(s);
	if (obj == null)
		throw new RuntimeException();
	return obj;
	}

public org.omg.CORBA.Object object(String f) {
	String x = filein(f);
	return ref(x);
	}

public void refout(java.lang.String f, org.omg.CORBA.Object x) {
	fileout(f,ref(x));
	}


//@ filein, fileout -- in hush these are url-enabled

public void fileout(String f, String s) {
try
  {
  FileOutputStream file = new FileOutputStream(f);
  PrintWriter out = new PrintWriter(file);
  out.println(s);
  out.flush();
  file.close();
  }
catch(IOException ex)
  {
  System.err.println("Can't write to `" + ex.getMessage() + "'");
  System.exit(1);
  }

}

public String filein(String f) {
String ref = null;
try
  {
  String refFile = "world.ref";
  FileInputStream file = new FileInputStream(refFile);
  BufferedReader in =
                    new BufferedReader(new InputStreamReader(file));
  ref = in.readLine();
  file.close();
  }
catch(IOException ex)
    {
    System.err.println("Can't read from `" +
                                   ex.getMessage() + "'");
    System.exit(1);
    }
return ref;
}


//@ write html file -- for applets

public void html( String f, org.omg.CORBA.Object p,  String desc ) {
try
  {
  String ref = ref(p);
  FileOutputStream file = new FileOutputStream(f);
  PrintWriter out = new PrintWriter(file);
  out.println("<applet codebase=\"@classes\" " + desc + ">");
  out.println("<param name=ior value=\"" + ref + "\">");
  out.println("<param name=org.omg.CORBA.ORBClass " +
                            "value=com.ooc.CORBA.ORB>");
  out.println("<param name=org.omg.CORBA.ORBSingletonClass " +
                            "value=com.ooc.CORBA.ORBSingleton>");
  out.println("</applet>");
  out.flush();
  file.close();
  }
catch(IOException ex)
    {
    System.err.println("Can't write to `" + ex.getMessage() + "'");
    System.exit(1);
    }
}

//@ print exceptions

public void print(Exception ex) {
	System.err.println(ex.getMessage());
	ex.printStackTrace();
	}

//@ ...

public ORB _orb;
public BOA _boa;
};
