//@ client.c -- adapted from Orbacus - Hello World

#include "broker.h"  /// see <a href=broker.h.html>broker.h</a>

#include <universe.idl.h> /// don't look at <a href=universe.idl.h.html>universe.idl.h</a>

int main(int argc, char* argv[], char*[])
{
    broker* _broker = new broker(); /// get yourself a broker

    try
    {
	_broker->init(argc,argv); /// wake up

	corba::object* obj = _broker->object("world.ref"); /// get a reference
	universe_world_var world = universe_world::_narrow(obj); /// and create the world
	
	
//@  Main loop -- say hello
	
	cout << "Enter 'h' for hello or 'x' for exit:\n";
	char c;

	do
	{
	    cout << "> ";
	    cin >> c;
	    if (c == 'q') {
		world->halt();
		exit(0);
		}
	    else if (c == 'h') {
		world -> hello();
	        world -> ask("How are Clinton's affairs?");
	        cout << "client:" << world->tell() << endl;
		}
	}
	while(c != 'x');
    }
    catch(corba::exception ex)
    {
	_broker->print(ex);
	return 1;
    }

    return 0;
}

//</>
