//@ server.c -- adapted from Orbacus -- Hello World

#include "broker.h"    /// see <a href=broker.h.html>broker.h</a>

#include <world-srv.h>  /// see <a href=world-srv.h.html>world-srv.h</a>

int main(int argc, char* argv[], char*[])
{
    broker* _broker = new broker(); /// get yourself a broker

    try
    {
	_broker->init(argc,argv); /// initialize orb and boa

	universe_world_var p = new universe_world_srv; /// create the universe server

	_broker->refout("world.ref", p); /// announce that the world has been created
	
	_broker->operator()(); /// and run the implementation of the world
    }
    catch(corba::exception& ex)
    {
	_broker->print(ex);
	return 1;
    }

    return 0;
}

//</>
