<document>

<include file=navigate>



:@ Summary
\noindent
This section has presented an overview of the
DLP language.
It discussed the design principles underlying DLP and
characterized its principal application
area as the development of knowledge-based systems.

<slide style=gold id=dlp-summ caption="DLP -- summary">
:@ The language DLP
/// <box>E</box>
\ifsli{\vspace{-0.5cm}}{}
<I
- {\em design principles} -- logic
- {\em terminology} -- distributed backtracking
- {\em syntax} -- Prolog + additional statements
- {\em objects} -- non-logical instance variables
- {\em inheritance} -- static
- {\em techniques} -- active intelligent agents
I>
\ifsli{\vspace{-1cm}}{}
</slide>

It gave a brief characterization of Prolog,
explained how DLP syntactically extends 
Prolog
with constructs for parallel object-oriented programming,
and characterized the computation model of DLP.
Some examples were given to illustrate
the definition of objects and the use of inheritance.
<p>
Knowledge-intensive applications will increasingly
become part of mainstream IT.
Distributed declarative languages and systems, 
of which DLP is just one example are likely to become 
the vehicle of choice for such applications.
<p>
A language such as DLP is particularly well
suited for the realization of so-called agents,
software processes that act as an intermediary
between the end-user of a system and the system itself.

</document>
