<document>

<include file=navigate>

:@ Terminology
Syntactically, DLP may be regarded as an extension of Prolog
with constructs for parallel object-oriented programming.
However, in addition to the familiar Prolog constructs
it offers objects as well.


\vfig{1}
<slide id=dlp-term caption="DLP -- terminology">
:@ Objects <em> -- a labeled set of clauses</em>
%%<!--\c{\zline{\fbox{DLP}}}-->
/// <box>DLP</box>
\ifsli{\vspace{-0.2cm}}{}
<program>
object $name$ {
var $variables$.

$constructor$ $clauses$
$method$ $clauses$
}
</program>
\ifsli{\ln\vspace{-1.5cm}}{}
</slide>

An object definition or object in DLP is a
(labeled) collection of (Prolog) clauses
that define the methods supported by the object,
and which in addition may contain non-logical 
variables that are private to each instance.
An active object also contains one or more constructor clauses
that defines the object's own activity.
\see{dlp-term}
</document>
