<document>

<include file=navigate>

:@ Technology
Developing programs in Eiffel is meant to
be primarily a matter of modeling,
that is designing classes and the
(inheritance) relations between classes.
An essential ingredient of class development
is the design of appropriate interfaces.

<slide id=eiffel-tech caption="Eiffel -- techniques">
:@ Rename and/or redefine
<program>
<i>class</i> C <i>export</i> ... <i>inherit</i>
  A <i>rename</i> m <i>as</i> m1 <i>redefine</i> p
  B <i>rename</i> m <i>as</i> m2 <i>redefine</i> q
<i>feature</i>
...
<i>end</i>
</program>
\vspace{-0.5cm}
</slide>

To define a class as (derived from) a combination
of classes, Eiffel allows both the renaming
and redefinition of inherited features.
\see{eiffel-tech}
In [_Meyer88], many practical hints are given and
numerous examples
employing these mechanisms.
</document>
