<slide id=11-answers color=red type=hide cap="Answers">
:@+ <a href=@online/oo/IV/11/@slide-Questions.html>Chapter 11</a>
<include file=navigate>

<N
- Business objects give access to corporate data.
For the end-user, flexibility in manipulating these 
data is what counts.
For management, business objects may provide a handle
to define business processes that make optimal use
of IT resources.

- The SanFrancisco framework gives development companies
the foundation for developing added-value products.
It is meant to be a reusable framework of business process and
business object components, that provides
a generic solution for the realization of (IT support for)
business processes.

- See <sliref id=sf-layers file=@online/oo/IV/11/objects>.

- Logistics-based modeling is concerned with quantitative
aspects of business processes, such as throughput and workload.
Discrete event simulation provides the tools
to model such aspects.

- The <em>request for loans</em> process, discussed
in section <ref file=@online/oo/IV/11/model-example>Loans</ref>,
is such an example.

- See <sliref id=sim-classes file=@online/oo/IV/11/simulate>.

- As requirements we may mention support for interaction,
support for multiple views, and powerful modeling or
visualization primitives.
See <sliref id=in3d-arch file=@online/oo/IV/11/visualize-user>
for an example architecture.

- One of the issues to decide upon is whether
a two-tier or three-tier architecture is chosen.
Another issue is how to make the legacy information available,
and how to incorporate additional business logic
in (for example middle-tier) objects.
For actual solutions, see
section <ref file=@online/oo/IV/11/legacy>Legacy</ref>.

N>
</slide>
