<slide id=6-answers color=red type=hide cap="Answers">
:@+ <a href=@online/oo/II/6/@slide-Questions.html>Chapter 6</a>
<include file=navigate>

<N

- The major characteristic of a component is that it
is a unit of independent deployment.
In contrast, an object is simply a unit of instantiation.
There may be many objects in a component.
In addition, components must satisfy much stricter
requirements than objects. For example, components
may not have persistent state, which transcends the boundaries
of a transaction.
See <sliref id=component-definition file=@online/oo/II/6/issues-definitions>.

- See <sliref id=technology-matrix file=@online/oo/II/6/issues-technology>.

- These are all, in some way, standards for interoperability.
There is an obvious commonality since they all use
some form of an Interface Definition Language.
There are, however, many differences.
For example, Microsoft (D)COM is being enforced as a de facto
standard for the Windows platform, whereas both CORBA and the ODMG standard
are developed by a consortium to arrive at a vendor-independent standard, encompassing multiple platforms.
See section <ref file=@online/oo/II/6/components>Interoperability</ref>.

- A number of perspectives relevant to the
evaluation of the Java platform are mentioned in
<sliref id=Perspectives file=@online/oo/II/6/java>,
among which are the <em>software engineering</em>
and <em>system development</em> perspectives.
In brief, the Java platform is very promising
as it provides numerous APIs.
There may be some doubt, however, about its efficiency.
Also, questions have been raised about issues such
as the maintainability of Java code.

- See section <ref file=@online/oo/II/6/workgroup>Workgroup</ref>.

- One of the problems that occurs is how to integrate
the (remote) object types with the types provided
by the library.
In section <ref file=@online/oo/II/6/crush>Crush</ref>
the notion of <em>client adaptors</em> has been
introduced as a solution to this problem.
N>
</slide>
