<document>
:@+ Example 

<include file=navigate>

As an example, look at
the definition of a module <em>universe</em> below.
It contains an interface named <em>world</em>
which provides a method <em>hello</em>
and two additional methods <em>ask</em> and <em>tell</em>.

<slide type=hide cap="universe.idl">
%%@ <a href=universe.idl.html>universe.idl</a>
<program>
<include file=universe.idl>
</program>
\vspace{-0.4cm}
</slide>

The <em>ask</em> method 
has a string input parameter
and the <em>tell</em> method has a string result type.
<p>
All methods supported by the <em>world</em> interface
are synchronous, except for the
<em>halt</em> method, which is annotated as <em>oneway</em>.
<p>
The realization of the <em>universe</em> module 
is given in Appendix <ref file=../corba/contents>Universe</ref>.
</document>
