<document>

<include file=navigate>

:@ Control 
Smalltalk has no control structures
except  message passing.
However, familiar control structures
are defined as methods on
{\em booleans} and {\em integers}.
\see{sm-control}

@$=P

<slide id=sm-control caption="Smalltalk -- control">
@ Keyword methods
<program>
  (i <= 7) 
        ifTrue: [ m:= "oke" ]
        ifFalse: [ ... ]
</program>
\vspace{-0.4cm}
:@ Control structures
<I
- conditional -- $ ifTrue: ifFalse: $
- iteration -- $ whileTrue: $
- looping -- $ to: by: do:  [ :i | ... ] $
I>
\vspace{-0.1cm}
</slide>

For example, an {\em if-statement}
may be obtained by defining
the method <em>ifTrue: ifFalse:</em>
on booleans.
(Despite the use of keywords, parameter passing in Smalltalk is 
positional.
Each sequence of keywords may be
regarded as a different method.)

In a similar vein,
we may define iteration and looping.
For looping, we may employ
the parameter mechanism of blocks,
as indicated above.
</document>
