<document>
:@+ Interaction diagrams

<include file=navigate>

Interaction diagrams are needed to clarify the
actual behavior of a system, in particular the
interaction between objects (or classes of objects)
that result when executing a use case.

<slide id=uml-interact type=fig cap="Interaction diagrams">
<image name=@figures/uml/interact>
</slide>

Interaction diagrams come in two forms,
<em>sequence</em> diagrams and
<em>collaboration</em> diagrams.
<p>
Sequence diagrams depict objects and their lifelines.
When an object becomes active, the lifeline may be widened
to a rectangle for the period of activity.
<p>
Collaboration diagrams depict the objects and
their relations in a more static manner.
Messages between objects, indicated by arrows,
may be specified in greater or lesser detail.
Also here, as a rule of thumb, details are given only when needed.
To indicate message sequencing in collaboration diagrams
numbering may be used, increasing or, as illustrated in
\sliref{uml-interact}(b), branching.
%%the example diagram on the right, branching.
</document>
