CC=CC
CFLAGS= -g -I/usr/prac/oo/dv/include
LEX=/usr/prac/oo/dv/bin/oolex
YACC=/usr/prac/oo/dv/bin/ooyacc -n $* -d -v

.SUFFIXES: .l .s .i .p .c .flt .x .out
.s.h:; cctxt $*.s > $*.h
.i.c:; cctxt $*.i > $*.c

.x.out:
	cctxt $*.x > @$*.x.c
	$(CC) $(CFLAGS) @$*.x.c -o $*.out
.y.out:
	if [ -f $*.s ]; then ../lexident.flt < $*.s > $*.h
	if [ -f $*.i ]; then ../lexident.flt < $*.i > $*.c
	if [ -f $*.x ]; ../lexident.flt < $*.x > $*.x.c
	$(CC) $(CFLAGS) $*.x.c -o $*.out

.l.flt: 
	$(LEX) -t $*.l > $*.c
	$(CC) $(CFLAGS) -o $*.flt $*.c -ll
	rm -f $*.o $*.c tmp.*
