<include file=navigate>
\vspace{-0.5cm}
:@ Intended readers
The book will primarily address an academic audience,
or IT professionals with an academic interest.
Nevertheless, since I am getting more and more
involved in joint research with business partners
and the development of extra-academic curricula,
examples are included that are of more relevance
to IT in business.
In particular, it contains a section on
the deployment of (object-oriented)
simulation for business process redesign,
and a section on the 3D visualisation of business
data using object technology.
<p>
This book may be used as the primary text for a course on OO
or independently as study or reference material.
It may be used by the following categories of readers:
<ul>
<li> <em>students</em> -- as a textbook or as supplementary reading
for research or project papers.
<li> <em>software engineers</em> -- as (another) text on object-oriented software development.
<li> <em>professional teachers</em> -- as ready-made material for a course
on object-oriented software development.
</ul>
<p>
Naturally, this is not meant to exclude other readers.
For instance, researchers may find the book useful
for its treatment of foundational issues.
Programmers may benefit from the hints and example programs in Java
and C++.
Another reason for using this book may be its compact representation
of already  familiar material and the references to other (often research) literature.
<p>
The book is meant to be self-contained.
As prior knowledge, however, a general background in computer science
(that is, computer languages and data structures as a minimum)
is required.
To fully understand the sections that deal with foundational issues
or formal aspects, the reader must also
have some knowledge of elementary mathematical logic.

