<document>
<slide mode=hide cap=Tracks">
<include file=navigate>
:@ Tracks
For those developing a course on object-oriented programming,
the book offers a choice between various tracks,
for which the ingredients are sketched below.
Also, an indication is given of the sections that contain
more advanced material.
<hr>
<control>
<style type=text/css>
TH { color: red ; }
TD { color: blue ; background: yellow; }
</style>
<table id=tracks cellspacing=10 border=0>
<tr>
<th align=left>Track</th>  
<th align=center>Regular</th>
<th align=center>Extended</th>
<th align=center>Advanced</th>
</tr>
<script language=javascript src=row.js></script>
<script language=javascript src=tracks.js></script>
</table>
</control>
</slide>
<latex>
\ln
\begin{center}
\begin{tabular}{ l | l | l | l }
 & regular & extended & advanced \\ \hline
programming & 2, 4, 5, 12 & 6, 11 & 7, 8 \\ \hline
software engineering & 1, 3, 4, 11 & 8.1-2, 10.1 &  9.1-3, 10.2 \\ \hline
theoretical &  1, 3, 8 &  5, 9.1-4 & 9.5-6, 10  \\ \hline
\end{tabular}
\end{center}
\ln
</latex>
<hr>
The
<em>programming track</em>, consisting
of chapters 2, 4, 5 and 12, may be augmented with
material from the appendices and  chapters 6 and 11.
The <em> software engineering track</em>,
consisting of chapters 1, 3, 4 and 11,
may be augmented with material from the theoretical
track as indicated.
The <em>theoretical track</em>,
consisting of chapters 8, 9 and 10,
may need to be augmented with more general
information concerning OOP provided in the other tracks.
<control>
<style type=text/css>
TD { color: black ; background: white; }
</style>
</control>
</document>
