<document class=article>
<include file=navigate>

<bibliography>
<!-- \raggedright -->

%K BolEl94
%A D. Bolier and A. Eliens,
%T <a href=http://www.cs.vu.nl/~eliens/sms/>
Sim -- a C++ simulation library</a>, IR-367,
%O Vrije Universiteit (1994)

%K W3-Style
%A B. Bos, D. Raggett and H{\aa}kon Lie,
%T HTML3 and Style Sheets, W3C Working Draft,
%O W3C Working Drafts are available at: http://www.w3.org/pub/WWW/TR

%K SP
%A J. Clark,
%T SP --- An SGML parser,
%O October 1995, Available at http://www.jclark.com/sp.html

%K MHEG
%A F. Colaitis and F. Bertrand,
%T The MHEG standard -- principles and examples of applications,
%O Multimedia/Hypermedia in Open Distributed Environments,
Springer-Verlag, 
Proceedings of the Eurographics Symposium, Graz (Austria), 
June 6--9, 1994

%K Coplien92
%A J. Coplien,
%B Advanced C++ Programming Styles and Idioms,
%O Addison-Wesley (1992) 

%K DoornEl95
%A M. van Doorn and A. Eliens,
%T Integrating WWW and Applications,
%O Third International World Wide Web Conference --
Technology, Tools and Applications,
April 10-14, 1995, Darmstadt 

%K DynaText
%A EBT,
%T DynaText,
%O Electronic Book Technologies

%K Eliens92
%A A. Eliens,
%B <a href=http://www.cs.vu.nl/~eliens/books/dlp>
DLP - A language for distributed logic programming</a>,
%O Wiley (1992)

%K Eliens95
%A A. Eliens,
%B <a href=http://www.cs.vu.nl/~eliens/book/poosd.html>
Principles of Object-Oriented Software Development</a>,
%O Addison-Wesley (1995)

%K Eliens95b
%A A. Eliens,
%T <a href=http://www.cs.vu.nl/~eliens/hush/>
Hush -- a C++ API for Tcl/Tk</a>, 
%O The X Resource, Issue 14, April 1995, pp. 111-155

%K Erfle
%A R. Erfle,
%T Specification of Temporal Constraints in Multimedia Documents Using HyTime,
%O Electronic Publishing 6(4), pp. 397-411, December 1993 

%K GOF94
%A E. Gamma, R. Helm, R. Johnson and J. Vlissides,
%B Design Patterns -- Elements of Reusable Object-Oriented Software,
%O Addison-Wesley (1994)

%K Dexter
%A F. Halasz and M. Schwarz,
%T The Dexter Hypertext Reference Model,
%O Edited by K. Gr{\o}nb{\ae}ck and R. Trigg, 
Communications of the ACM 2(37), pp. 30-39, February 1994

%K AHM
%A L. Hardman, D. C. A. Bulterman and G. van Rossum,
%T The Amsterdam Hypermedia Model: Adding Time and Context to the Dexter Model,
%O Communications of the ACM 2(37), pp. 50-62, February 1994

%K Java
%A J. Gosling and H. McGilton,
%T The Java(tm) Language Environment: A White Paper,
%O Sun Microsystems, available at 
<a href=http://java.sun.com/whitePaper/java-whitepaper-1.html>
http://java.sun.com/whitePaper/java-whitepaper-1.html</a>

%K Grif
%A GRIF S.A.,
%T Grif SGML ActiveViews,
%O http://www.grif.fr/

%K SGML
%A International Organization for Standardization,
%T Information Processing --- Text and Office Information Systems --- Standard Generalized Markup Language (SGML),
%O ISO 8879:1986 

%K HyTime
%A International Organization for Standardization,
%T Information Technology --- Hypermedia/Time-based Structuring Language (HyTime),
%O ISO 10744:1992

%K DSSSL
%A International Organization for Standardization / International Electrotechnical Commission,
%T Document Style Semantics and Specification Language (DSSSL),
%O DIS ISO/IEC 10179, 1995 

%K OssEl94
%A J. van Ossenbruggen and A. Eliens,
%T Music in Time-based Hypermedia,
%O Proceedings of the European Conference on Hypermedia Technology 1994,  
ACM Press, pp. 224-227

%K OssEl95
%A J. van Ossenbruggen and A. Eliens,
%T Bringing Music to the Web,
%O Proceedings of the Fourth International World Wide Web Conference -- The Web Revolution, December 1995.
World Wide Web Journal, O'Reilly and Associates, Inc., pp. 309-314,
Also at <a href=http://www.w3.org/pub/Conferences/WWW4/Papers/143/>
http://www.w3.org/pub/Conferences/WWW4/Papers/143/</a>

%K Tcl
%A J. Ousterhout,
%B Tcl and the Tk Toolkit
%O Addison-Wesley, 1995

%K Mesa
%A B. Paul,
%T The Mesa 3-D graphics library,
%O See <a href=http://www.ssec.wisc.edu/~brianp/Mesa.html>
http://www.ssec.wisc.edu/~brianp/Mesa.html</a>
 
%K VRML
%A M. Pesce,
%B VRML -- Browsing & Building Cyberspace
%O New Riders, 1995
 
%K HTML3
%A D. Raggett,
%T Document Type Definition for the HyperText Markup Language (HTML DTD),
%O IETF. Part of the HyperText Markup Language Specification Version 3.0 
(Expired Internet Draft) Available at http://www.w3.org/pub/WWW/MarkUp/html3/html3.dtd

%K Python
%A G. van Rossum,
%T <a href="http://www.python.org/">Python</a> Reference Manual,
%O Centrum voor Wiskunde en Informatica, CWI Report CS-R9525, April 1995

%K Qvlib
%A Silicon Graphics
%T Qvlib
%O See <a href=http://webspace.sgi.com/Tools/index.html>
http://webspace.sgi.com/Tools/index.html</a>
 
%K Panorama
%A SoftQuad Inc,
%T Panorama PRO,
%O See also http://www.sq.com/

%K SperGold94
%A C. M. Sperberg-McQueen and Robert F. Goldstein,
%T HTML to the Max --- A Manifesto for Adding SGML Intelligence to the World-Wide Web,
%O Proceedings of the Second International World Wide Web Conference '94: Mosaic and the Web, October 1994
	
%K Csound
%A B. Vercoe,
%T Csound, A Manual for the Audio Processing System and Supporting Programs with Tutorials,
%O Available via ftp://cecelia.media.mit.edu/pub/Csound/Csound.man.ps.Z, MIT Media Lab, 1993

</bibliography>
</document>
