.SUFFIXES: .t .c .tex .html .ps .eps .gif

LATEX = latex2e

.t.html:; ht-ml.flt < $*.t > $*.html
.c.html:; cc-ml.flt < $*.c > $*.html

TPS = ht-ml.flt -latex | html-latex.flt

default: all
 
index.html: index       
	ht-ml.flt < index > index.html
	cp index.html $(NAME).html
	touch index

.t.ps:
	cat $*.t | $(TPS) > $*.tex
	$(LATEX) $*.tex
	dvips < $*.dvi > $*.ps
	touch $*.t

.html.ps:
	html-latex.flt < $*.html > $*.tex
	$(LATEX) $*.tex
	dvips < $*.dvi > $*.ps

.tex.ps:
	$(LATEX) $*
	dvips < $*.dvi > $*.ps

.html.gif:
	html-latex.flt < $*.html > $*.tex
	$(LATEX) $*.tex
	dvips < $*.dvi > $*.ps
	# convert $*.ps $*.gif

.eps.gif:
	# convert $*.eps $*.gif




