<slide id=midi-processing type=fig cap="Processing MIDI file">
<image pre="\hspace{2.0cm}" name=local/acoi/process>
</slide>

The actual processing is depicted in \sliref{midi-processing}.
The input is a MIDI file.
As indicated in the top line, the MIDI file itself may
be generated from a <em>Lilypond</em> file.
Lilypond is a \LaTeX-like formatting language for
musical scores that also supports the generation of MIDI [_Lily].
As indicated on the bottom line, processing a MIDI file
results in a collection of features as well as in a MIDI file
and Lilypond file.
The (result) MIDI file contains an extract
of the original (input) MIDI file and the Lilypond file
contains a score for this extract,
that may be presented to the (end) user as the result of a query.
This setup allows us to verify whether our extract or
abstraction of the origanal musical structure is effective,
simply by comparing the input (MIDI or Lilypond)
musical structure with the output (MIDI or Lilypond) extract. 
