<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<!--Converted with LaTeX2HTML 98.1 release (February 19th, 1998)
originally by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>So Many Users -- So Many Perspectives</TITLE>
<META NAME="description" CONTENT="So Many Users -- So Many Perspectives">
<META NAME="keywords" CONTENT="perspectives">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<LINK REL="STYLESHEET" HREF="perspectives.css">
<LINK REL="next" HREF="node22.html">
<LINK REL="previous" HREF="perspectives.html">
<LINK REL="up" HREF="perspectives.html">
<LINK REL="next" HREF="node2.html">
</HEAD>
<BODY >

<A NAME="tex2html42"
 HREF="node2.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="@icons/latex2html/icons.gif/next_motif.gif"></A> 
<A NAME="tex2html40"
 HREF="perspectives.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="@icons/latex2html/icons.gif/up_motif.gif"></A> 
<A NAME="tex2html34"
 HREF="perspectives.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="@icons/latex2html/icons.gif/previous_motif.gif"></A>   
<BR>
<B> Next:</B> <A NAME="tex2html43"
 HREF="node2.html">Introduction</A>
<B> Up:</B> <A NAME="tex2html41"
 HREF="perspectives.html">No Title</A>
<B> Previous:</B> <A NAME="tex2html35"
 HREF="perspectives.html">No Title</A>
<BR>
<BR>


<H1><A NAME="SECTION00100000000000000000">
So Many Users -- So Many Perspectives</A>
</H1>

<P>

<H3>Abstract:</H3>
<DIV>
Visualization -- the transformation of data and information into
multimedia including pictures, animation and 3D scenes -- enables
users to understand information more naturally. It reveals patterns
and relations in the information which may otherwise remain hidden. As
a consequence, it can provide a single user with enough
<EM>valuable</EM> information to support decision making. In addition to
this, visualization can also be used to explain information to other
people. In this case, the results of visualization are deployed as
arguments in collaborative decision making.

<P>
This paper discusses a distributed visualization architecture which
supports collaborative decision making. The architecture is designed
with the following consideration in mind: ``multiple users, with
different information needs, require multiple views or perspectives of
the data.'' Additionally, in order to support the cooperation between
users during the decision making process, we extend the architecture
with collaborative aspects including session management, and the
exchange of visualization perspectives.
</DIV>
<P>

<P>
Visualization, Software Architecture, Collaboration, Decision
Making

<P>
<BR><HR>

<A NAME="CHILD_LINKS">&#160;</A>
<UL>
<LI><A NAME="tex2html44"
 HREF="node2.html">Introduction</A>
<UL>
<LI><A NAME="tex2html45"
 HREF="node3.html">Structure</A>
</UL>
<LI><A NAME="tex2html46"
 HREF="node4.html">Re-designing business processes at the GAK</A>
<UL>
<LI><A NAME="tex2html47"
 HREF="node5.html">Example: registration of new companies</A>
</UL>
<LI><A NAME="tex2html48"
 HREF="node6.html">Multi-user visualization</A>
<LI><A NAME="tex2html49"
 HREF="node7.html">Collaborative visualization</A>
<UL>
<LI><A NAME="tex2html50"
 HREF="node8.html">Issues</A>
<UL>
<LI><A NAME="tex2html51"
 HREF="node9.html">Sessions</A>
<LI><A NAME="tex2html52"
 HREF="node10.html">Sharing perspectives</A>
<LI><A NAME="tex2html53"
 HREF="node11.html">Interference versus non-interference</A>
<LI><A NAME="tex2html54"
 HREF="node12.html">Communications</A>
</UL>
<LI><A NAME="tex2html55"
 HREF="node13.html">Requirements</A>
</UL>
<LI><A NAME="tex2html56"
 HREF="node14.html">Collaborative multi-user visualization architecture</A>
<UL>
<LI><A NAME="tex2html57"
 HREF="node15.html">Software components</A>
<LI><A NAME="tex2html58"
 HREF="node16.html">User Environment</A>
<UL>
<LI><A NAME="tex2html59"
 HREF="node17.html">Display agents</A>
<LI><A NAME="tex2html60"
 HREF="node18.html">Controllers</A>
</UL>
<LI><A NAME="tex2html61"
 HREF="node19.html">CORBA and the Web</A>
</UL>
<LI><A NAME="tex2html62"
 HREF="node20.html">Application</A>
<LI><A NAME="tex2html63"
 HREF="node21.html">Conclusions</A>
</UL>

<BR><HR>
<ADDRESS>
<I>A Eliens</I>
<BR><I>1998-09-05</I>
</ADDRESS>
</BODY>
</HTML>
