<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<!--Converted with LaTeX2HTML 98.1 release (February 19th, 1998)
originally by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>Application</TITLE>
<META NAME="description" CONTENT="Application">
<META NAME="keywords" CONTENT="perspectives">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<LINK REL="STYLESHEET" HREF="perspectives.css">
<LINK REL="next" HREF="node21.html">
<LINK REL="previous" HREF="node14.html">
<LINK REL="up" HREF="node1.html">
<LINK REL="next" HREF="node21.html">
</HEAD>
<BODY >

<A NAME="tex2html263"
 HREF="node21.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="@icons/latex2html/icons.gif/next_motif.gif"></A> 
<A NAME="tex2html261"
 HREF="node1.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="@icons/latex2html/icons.gif/up_motif.gif"></A> 
<A NAME="tex2html255"
 HREF="node19.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="@icons/latex2html/icons.gif/previous_motif.gif"></A>   
<BR>
<B> Next:</B> <A NAME="tex2html264"
 HREF="node21.html">Conclusions</A>
<B> Up:</B> <A NAME="tex2html262"
 HREF="node1.html">So Many Users </A>
<B> Previous:</B> <A NAME="tex2html256"
 HREF="node19.html">CORBA and the Web</A>
<BR>
<BR>


<H1><A NAME="SECTION00160000000000000000">&#160;</A>
<A NAME="application">&#160;</A>
<BR>
Application
</H1>

<slide id=screenshot cap="Screenshot">
<BR>
<DIV ALIGN="CENTER"><A NAME="appl.screenshot">&#160;</A><A NAME="338">&#160;</A>
<TABLE WIDTH="50%">
<CAPTION><STRONG>Figure 4:</STRONG>
A perspective with a remote control</CAPTION>
<TR><TD>
<image src=screenshot.gif>
<IGNORE
 WIDTH="14" HEIGHT="18"
 SRC="img3.gif"
 ALT="\begin{figure}
\begin{center}
\epsfig{file=screenshot.eps, width=\linewidth, clip=} \end{center}\end{figure}"></TD></TR>
</TABLE>
</DIV>
</slide>
<BR>

<P>
Figure&nbsp;<A HREF="node20.html#appl.screenshot">4</A> presents a 
screenshot of the desktop of a decision maker participating in a 
collaborative session as described in the example of Section&nbsp;<A HREF="node4.html#example">2</A>. We 
describe a scenario of how the user gets to this display.

<P>
The decision maker starts a Java and VRML enabled Web-browser and follows a 
link pointing to a D<SMALL>IVA</SMALL> server. The resulting HTML file will setup the 
user environment. First, the user has to log in, making available her name and 
network address, and after that she can choose from one or more sessions to join. 
Once the user enters a session, she will be assigned a role and  
then gets a default or enforced perspective. The VRML world showing her view 
is embedded in the Web page. Two Java applets will contain the session interface 
and the collaboration interface (these are not shown in the screenshot). 

<P>
With a push on a button she is able to request a remote control, which will 
arrive at her environment (assuming that she is allowed to do 
so). Once the remote control arrives in the form of a mobile object, this object 
pops up a remote control user interface on the display. The user is then able to 
control the simulation that is associated with the remote control. In Figure&nbsp;<A HREF="node20.html#appl.screenshot">4</A>
the remote control can be used to run, stop and reset the 
simulation. In addition, the speed of the simulation as well as three 
parameters can be changed. Changes to the simulation will accordingly appear in 
the visualization in the browser window.

<P>
<HR>

<A NAME="tex2html263"
 HREF="node21.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="@icons/latex2html/icons.gif/next_motif.gif"></A> 
<A NAME="tex2html261"
 HREF="node1.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="@icons/latex2html/icons.gif/up_motif.gif"></A> 
<A NAME="tex2html255"
 HREF="node19.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="@icons/latex2html/icons.gif/previous_motif.gif"></A>   
<BR>
<B> Next:</B> <A NAME="tex2html264"
 HREF="node21.html">Conclusions</A>
<B> Up:</B> <A NAME="tex2html262"
 HREF="node1.html">So Many Users </A>
<B> Previous:</B> <A NAME="tex2html256"
 HREF="node19.html">CORBA and the Web</A>

<ADDRESS>
<I>A Eliens</I>
<BR><I>1998-09-05</I>
</ADDRESS>
</BODY>
</HTML>
