<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<!--Converted with LaTeX2HTML 98.1 release (February 19th, 1998)
originally by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>Conclusions</TITLE>
<META NAME="description" CONTENT="Conclusions">
<META NAME="keywords" CONTENT="perspectives">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<LINK REL="STYLESHEET" HREF="perspectives.css">
<LINK REL="previous" HREF="node20.html">
<LINK REL="up" HREF="node1.html">
<LINK REL="next" HREF="node22.html">
</HEAD>
<BODY >

<A NAME="tex2html271"
 HREF="node22.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="@icons/latex2html/icons.gif/next_motif.gif"></A> 
<A NAME="tex2html269"
 HREF="node1.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="@icons/latex2html/icons.gif/up_motif.gif"></A> 
<A NAME="tex2html265"
 HREF="node20.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="@icons/latex2html/icons.gif/previous_motif.gif"></A>   
<BR>
<B> Next:</B> <A NAME="tex2html272"
 HREF="node22.html">Bibliography</A>
<B> Up:</B> <A NAME="tex2html270"
 HREF="node1.html">So Many Users </A>
<B> Previous:</B> <A NAME="tex2html266"
 HREF="node20.html">Application</A>
<BR>
<BR>


<H1><A NAME="SECTION00170000000000000000">&#160;</A>
<A NAME="conclusions">&#160;</A>
<BR>
Conclusions
</H1>
This paper is based on our belief that (interactive) visualizations are useful arguments in decision making because they provide such quick insight into information by using the human perceptual abilities. By means of collaborative visualization, decision makers are able to discuss a shared information source, such as a business process simulation, to convince other users of their point of view. 

<P>
Based on a discussion of issues in collaborative visualization, we have concluded that the following requirements are needed for our visualization architecture. 

<P>
First, different perspectives are necessary because multiple users, with different information needs, require different views on the data. These perspectives can be created by means of shared concept spaces and presentation components that make use of display agents. 

<P>
Consequently, an important requirement is the exchange of visualization perspectives, for example, by enforcement or by a repository of perspectives. The exchange is achieved by cloning and transporting display agents, which in turn define how and what available information is presented to the users. 

<P>
To manage the cooperative sessions, we have defined two collaboration components that handle the rights and obligations belonging to the roles of the participants. 

<P>
As a final requirement, we have stated that interference should be avoided as much as possible because other participants are involved in the actions taken. On the other hand, interaction with a running simulation to evaluate some <EM>what-if</EM> situations is very powerful. Therefore, we have created remote control components to interact with simulations and other data generators. 

<P>
In further research, we are investigating an extension of the shared concept space to store sessions that can be replayed at a later time. Additionally, we are planning a case study to determine for useful visualization primitives to represent business information. 

<P>

<HR>

<A NAME="tex2html271"
 HREF="node22.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="@icons/latex2html/icons.gif/next_motif.gif"></A> 
<A NAME="tex2html269"
 HREF="node1.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="@icons/latex2html/icons.gif/up_motif.gif"></A> 
<A NAME="tex2html265"
 HREF="node20.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="@icons/latex2html/icons.gif/previous_motif.gif"></A>   
<BR>
<B> Next:</B> <A NAME="tex2html272"
 HREF="node22.html">Bibliography</A>
<B> Up:</B> <A NAME="tex2html270"
 HREF="node1.html">So Many Users </A>
<B> Previous:</B> <A NAME="tex2html266"
 HREF="node20.html">Application</A>

<ADDRESS>
<I>A Eliens</I>
<BR><I>1998-09-05</I>
</ADDRESS>
</BODY>
</HTML>
