<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<!--Converted with LaTeX2HTML 98.1 release (February 19th, 1998)
originally by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>Example: registration of new companies</TITLE>
<META NAME="description" CONTENT="Example: registration of new companies">
<META NAME="keywords" CONTENT="perspectives">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<LINK REL="STYLESHEET" HREF="perspectives.css">
<LINK REL="previous" HREF="node4.html">
<LINK REL="up" HREF="node4.html">
<LINK REL="next" HREF="node6.html">
</HEAD>
<BODY >

<A NAME="tex2html100"
 HREF="node6.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="@icons/latex2html/icons.gif/next_motif.gif"></A> 
<A NAME="tex2html98"
 HREF="node4.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="@icons/latex2html/icons.gif/up_motif.gif"></A> 
<A NAME="tex2html94"
 HREF="node4.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="@icons/latex2html/icons.gif/previous_motif.gif"></A>   
<BR>
<B> Next:</B> <A NAME="tex2html101"
 HREF="node6.html">Multi-user visualization</A>
<B> Up:</B> <A NAME="tex2html99"
 HREF="node4.html">Re-designing business processes at</A>
<B> Previous:</B> <A NAME="tex2html95"
 HREF="node4.html">Re-designing business processes at</A>
<BR>
<BR>


<H2><A NAME="SECTION00121000000000000000">
Example: registration of new companies</A>
</H2>

<P>
As a concrete example, consider the process of registering the employees of a newly established company for social security. In the past, the employer had to go to a number of counters to fill in the required forms. When the client had forgotten something needed for the registration, he had to go back to get it and start the whole procedure again. 

<P>
As a re-designed alternative we want to explore two options. First, all the paper forms could be combined into a single computer application. All forms could then be filled in at once, in dialogue with a single GAK employee. Second, a GAK employee might be able to go to the newly established company. There, using a laptop, she could fill in all of the needed information by asking it directly to the client on the spot.

<P>
To decide which alternative is preferable, we have to consider a number of aspects including the cost of the alternative, the satisfaction of the clients, and the time needed to register the company. 

<P>
A visualization of the <EM>business process flow</EM> is useful in explaining the business process alternatives, . This illustrates who is performing which tasks and how the information flows through the model. Additionally, a <EM>geographical visualization</EM> shows how far and how often clients and employees of the GAK have to travel. The costs, waiting times and other statistical information of the re-designed alternatives can be presented using <EM>statistical visualizations</EM>, such as charts and histograms.

<P>
The decision makers, who are spread out over the country, plan to make the definitive decision at a meeting. However, before that, they want to prepare and discuss several alternatives. The above mentioned visualizations offer the decision makers (and other interested employees) a common ground for discussion.

<P>
Essentially, we want to support two forms of collaboration: <EM>synchronous distributed</EM> and <EM>face to face</EM> (<A
 HREF="node22.html#UI:Ellis">Ellis et&nbsp;al., 1991</A>). In order to help the participants prepare for the meeting, we first support <EM>synchronous distributed</EM> collaboration where the users cooperate at the same time but in different places. Secondly, at the meeting, where the decisions are made, the decision makers will discuss the selected alternatives <EM>face to face</EM>, i.e. same time, same place. 

<P>
<HR>

<A NAME="tex2html100"
 HREF="node6.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="@icons/latex2html/icons.gif/next_motif.gif"></A> 
<A NAME="tex2html98"
 HREF="node4.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="@icons/latex2html/icons.gif/up_motif.gif"></A> 
<A NAME="tex2html94"
 HREF="node4.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="@icons/latex2html/icons.gif/previous_motif.gif"></A>   
<BR>
<B> Next:</B> <A NAME="tex2html101"
 HREF="node6.html">Multi-user visualization</A>
<B> Up:</B> <A NAME="tex2html99"
 HREF="node4.html">Re-designing business processes at</A>
<B> Previous:</B> <A NAME="tex2html95"
 HREF="node4.html">Re-designing business processes at</A>

<ADDRESS>
<I>A Eliens</I>
<BR><I>1998-09-05</I>
</ADDRESS>
</BODY>
</HTML>
