<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<!--Converted with LaTeX2HTML 98.1 release (February 19th, 1998)
originally by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>Sessions</TITLE>
<META NAME="description" CONTENT="Sessions">
<META NAME="keywords" CONTENT="perspectives">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<LINK REL="STYLESHEET" HREF="perspectives.css">
<LINK REL="next" HREF="node10.html">
<LINK REL="previous" HREF="node8.html">
<LINK REL="up" HREF="node8.html">
<LINK REL="next" HREF="node10.html">
</HEAD>
<BODY >

<A NAME="tex2html150"
 HREF="node10.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="@icons/latex2html/icons.gif/next_motif.gif"></A> 
<A NAME="tex2html148"
 HREF="node8.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="@icons/latex2html/icons.gif/up_motif.gif"></A> 
<A NAME="tex2html142"
 HREF="node8.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="@icons/latex2html/icons.gif/previous_motif.gif"></A>   
<BR>
<B> Next:</B> <A NAME="tex2html151"
 HREF="node10.html">Sharing perspectives</A>
<B> Up:</B> <A NAME="tex2html149"
 HREF="node8.html">Issues</A>
<B> Previous:</B> <A NAME="tex2html143"
 HREF="node8.html">Issues</A>
<BR>
<BR>


<H4><A NAME="SECTION00141010000000000000">
Sessions</A>
</H4>

<P>
Collaboration normally takes place in some kind of meeting, which can differ in 
interaction protocols, group size, formality, etc. Each participant of the 
collaboration can have one or more <EM>roles</EM> depending on the sort of 
meeting. A role is a set of rights and obligations&nbsp;(<A
 HREF="node22.html#UI:Ellis">Ellis et&nbsp;al., 1991</A>). We 
distinguish the following roles: chair, listener, talker and interactor. The 
chair sets up the session, a listener is a passive participant, a talker is 
actively explaining his arguments and, finally, an interactor is able to 
interact with shared resources. The rights and obligations of the different 
roles are determined by the <EM>interaction protocol</EM>. 
The possibility to switch roles dynamically is important, since a 
listener can change into a talker from one moment to the other.

<P>
Collaborative visualization in D<SMALL>IVA</SMALL> is a virtual meeting, where the 
participants are at different places and their desktops are connected by a 
network. We will call the event of such a virtual meeting a <EM>session</EM>. 
Session management should support several kinds of sessions and thus be 
able to handle changing numbers of participants, their roles and interaction 
protocols.

<P>
The notion of <EM>subgroups</EM> makes it feasible to split the total group of 
participants in (non disjoint) groups. These subgroups can communicate separately or
perform subtasks. Subgroups can come into existence dynamically.

<P>
<HR>

<A NAME="tex2html150"
 HREF="node10.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="@icons/latex2html/icons.gif/next_motif.gif"></A> 
<A NAME="tex2html148"
 HREF="node8.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="@icons/latex2html/icons.gif/up_motif.gif"></A> 
<A NAME="tex2html142"
 HREF="node8.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="@icons/latex2html/icons.gif/previous_motif.gif"></A>   
<BR>
<B> Next:</B> <A NAME="tex2html151"
 HREF="node10.html">Sharing perspectives</A>
<B> Up:</B> <A NAME="tex2html149"
 HREF="node8.html">Issues</A>
<B> Previous:</B> <A NAME="tex2html143"
 HREF="node8.html">Issues</A>

<ADDRESS>
<I>A Eliens</I>
<BR><I>1998-09-05</I>
</ADDRESS>
</BODY>
</HTML>
