Visualization -- the transformation of data and information into
multimedia including pictures, animation and 3D scenes -- enables
users to understand information more naturally. It reveals patterns
and relations in the information which may otherwise remain hidden. As
a consequence, it can provide a single user with enough
<EM>valuable</EM> information to support decision making. In addition to
this, visualization can also be used to explain information to other
people. In this case, the results of visualization are deployed as
arguments in collaborative decision making.

<P>
This paper discusses a distributed visualization architecture which
supports collaborative decision making. The architecture is designed
with the following consideration in mind: ``multiple users, with
different information needs, require multiple views or perspectives of
the data.'' Additionally, in order to support the cooperation between
users during the decision making process, we extend the architecture
with collaborative aspects including session management, and the
exchange of visualization perspectives.
