<H4><A NAME="SECTION00152010000000000000">
Display agents</A>
</H4>

<P>
From the shared concept space, information is being sent to <EM>display 
agents</EM>. These agents are present at the user environment and each of them 
maintains one gadget. The information they receive is  transformed into a 
visualization. As an example, consider the visualization in 
Figure&nbsp;<A HREF="node20.html#appl.screenshot">4</A> on page&nbsp;<A HREF="node20.html#appl.screenshot"><IMG  ALIGN="BOTTOM" BORDER="1" ALT="[*]"
 SRC="@icons/latex2html/icons.gif/cross_ref_motif.gif"></A>. The line of 
three puppets in front of the desk is a visualization gadget depicting a queue.
When the display agent senses that the length of the queue increases by 
one, it accordingly places a fourth puppet on the screen. 

<P>
The display agents also reside in the perspective repository.  When a user 
requests a certain view, the agents that represent that view are cloned and 
moved to the user environment to build the perspective in the VRML world. 
Enforcing a perspective onto another user is accomplished by cloning and moving 
the display agents from one user to another.

<P>
Now why can we call these entities agents? There are a lot of definitions of agents&nbsp;(<A
 HREF="node22.html#Agents:Franklin96">Franklin &amp; Graesser, 1996</A>), and the question can be raised why a display agent is an agent. In other words, how does it differ from a standard program or software component? For one, the agents are autonomous, which means they execute on their own. Second, they react on certain input and subsequently act on their environment, namely, they sense information from the shared concept space and act on the VRML world. They have some goals they need to accomplish. Third, the display agents can communicate with each other, for instance, to discuss how to place the gadgets each of them represents on the screen (this is a future feature). Fourth, they have a domain which they have knowledge of. This domain is the visualization of information. Fifth, they act on behalf of a user. Users can give their preferences to a display agent, and the agent will take care of it. All in all, the display agent fits quite a number of definitions of autonomous agents given by <A
 HREF="node22.html#Agents:Franklin96">Franklin &amp; Graesser (1996)</A>.

<P>
