\documentstyle{vuletter}
\name{A. Eliens}
\signature{Anton Eliens}
\email{eliens@cs.vu.nl}
\location{Room T3.33}
\telephone{+31 20 5485780}
\uwdatum{}
\uwkenmerk{}
\kenmerk{}
\datum{\date}
\bijlagen{Remarks}
%%\betreft{betreft}
\subject{Review}
\begin{document}
\begin{letter}{ Dr. S. Plumtree \\
Editor in Chief \\
Addison-Wesley Publishers Limited \\
Finchampstead Road,
Wokingham \\
Berkshire RG11 2NZ, 
United Kingdom
}
\opening{Dear Simon}


Thank you for sending me the first
review.
I appreciate the detailed comments
and the reviewer's rather acute observation of
the shortcomings of the book.
The marking in the text and the corresponding
notes are certainly very helpful.
(See the enclosed remarks.)
On some issues, however, I must disagree with the reviewer.
For example,
my supposed {\em identification
of polymorphism with inheritance}
seems to be based on a misunderstanding,
which may easily be avoided by emphasizing
the topic in an appropriate place in the text.

With regard to the idea of having
a running example throughout,
I am afraid I do not see how to fit this 
into the text.
(See my remarks below.)

Nevertheless, to incorporate
a more extensive example in the hypermedia
chapter, illustrating a number of the
concepts introduced throughout the book,
seems not such a bad idea.
However, I am still in doubt whether
such a case study must be included in chapter 
12 or be attached as an appendix,

Since the first version, I have included
for each chapter a summary, a number of
questions, and additional references to the
literature.
To a certain extent, I have already adressed
the style issues raised by the reviewer,
in response to comments of my collegues.
Also, a number of the {\em bugs} have been
eliminated.

Following the indications given by Alan Grove,
I have been working on the layout as well.
He will receive a sample chapter for
further comments.

My plans are
\begin{itemize}
\item to correct 
the errors in the text and address
the style issues raised by the reviewer,
\item
to augment the material where needed, and
\item
to think about a hypermedia
application illustrating the issues
addressed in the book.
\end{itemize}

Further, I think it is important to decide
on the title of the book.

Finally, I intended to use the book
for the OOP course at the VU, fall 94.
Is it alright with you if a limited
number of copies is made as a handout to
the students?
\closing{Yours sincerely}
\end{letter}
\end{document}
