@* Discussion

The adapted preface and contents overview clearly indicates
the changes wrt to the first edition.
For clarity I have marked the chapters that will 
be substantially changed with an asteriks.
<p>
Adding new topics is one thing,
eliminating parts of the book, naturally, is quite another thing.
Yet, I have chosen to remove the chapters on C++ (previously ch. 2),
software engineering issues (ch. 4),
concurrency in C++ (ch 6),
composition (ch 7), software libraries (ch. 11) and hypermedia (ch 12).
Some of this material, for example parts of the hypermedia
chapter (12) and software engineering issues (4),
will reappear elsewhere.
Nevertheless, since some of this material is obsolete,
and other material does not function well in classroom,
it is better to remove it, and allow its space to be taken
by other topics.
<p>
As concerns the amount of pages, I definitely do not want
to exceed the current number of pages (513),
rather I would like to cut it back to, say, 450.
<p>
I have thought about eliminating or reducing part III,
which deals with foundational issues of OO.
Parts of it could, for example,
be replaced by material on (OO) simulation
or examples of programming games.
That would mean that I would, proportionally, pay
more attention to my own work.
Suggestions and comments of the reviewers that
would help me in making a choice
are welcome!
<p>
Overall I do consider the contents of the book balanced,
in the sense that it treats both theoretical and technological issues.
The phrase 'Principles' in the title is still justified,
since despite the fact that technology is treated
rather extensively, ultimately the focus is on 'abstractions',
in the form of language constructs, interfaces,
composition mechanisms, patterns and transparent distribution.


