<document>

:@* Summary
\noindent
This section has presented an overview of C++.
It gave an outline of its history,
and discussed the design principles underlying C++
and its heritage from C.


<slide id=cc-summ caption="C++ -- summary">
:@ The language C++
\zline{\fbox{C}}
\ifsli{\vspace{-0.5cm}}{}
<I
- {\em design principles} -- efficiency
- {\em terminology} -- object, type
- {\em syntax} -- object, reference, pointer
- {\em objects} -- abstract data types
- {\em inheritance} -- virtual functions
- {\em techniques} -- operators, templates, overloading
I>
\ifsli{\vspace{-1cm}}{}
</slide>

It listed the keywords that C++ introduces
in addition to the keywords employed in C
and characterized the object-oriented constructs
supported by C++.
An example was given to illustrate the difference between 
realizing an abstract data type in C and realizing
the same abstract data type in C++.
Further, it illustrated the use of virtual functions
when deriving classes by inheritance,
and discussed a number of additional features
supported by C++.
</document>
