<document>

:@* Summary
\noindent
This section has presented an overview of the
DLP language.
It discussed the design principles underlying DLP and
characterized its principal application
area as the development of knowledge-based systems.


<slide id=dlp-summ caption="DLP -- summary">
:@ The language DLP
\zline{\fbox{D}}
\ifsli{\vspace{-0.5cm}}{}
<I
- {\em design principles} -- logic
- {\em terminology} -- distributed backtracking
- {\em syntax} -- Prolog & additional statements
- {\em objects} -- non-logical instance variables
- {\em inheritance} -- static
- {\em techniques} -- active intelligent objects
I>
\ifsli{\vspace{-1cm}}{}
</slide>

It gave a brief characterization of Prolog,
explained how DLP syntactically extends 
Prolog
with constructs for parallel object-oriented programming,
and characterized the computation model of DLP.
Some examples were given to illustrate
the definition of objects and the use of inheritance.
</document>
