<document>
:@ The filechooser class
A filechooser may be used to select files from the current
working directory.
Selecting a file may be done by double clicking on an 
item in the listbox or by typing a name in the entry.
To confirm the choice, either the $OK$ button must
be pressed.
Giving a return in the entry has the same effect.
The dialog may be interrupted by pressing the $cancel$
button.

<slide id=class-filech cap="The filechooser class">
\ifsli{\vspace{0.5cm}}{\vspace{0.1cm}}
[P
interface filechooser : widget { /// \c{\fbox{filechooser}}

filechooser(); /// \c{to create an exemplar}

filechooser(char* p, char * options = "");
filechooser(widget* w, char* p, char * options = "");

char* get();
};
P]
\ifsli{\ln\vspace{-1.5cm}}{\vspace{-0.2cm}}
</slide>

An action or handler may be attached to the filechooser.
It is activated when either the $OK$ and $cancel$ 
is pressed.
The name of the button is given as an additional
argument when calling the handler.
</document>
