<document>

:@ The listbox class
The {\em listbox} widget is used to allow the
user to select an item from a list of
alternatives.

<slide id=class-listbox cap="The {\em listbox} class">
\ifsli{\vspace{0.5cm}}{\vspace{0.1cm}}
[P
interface listbox : widget { /// \c{\fbox{listbox}}

listbox(char* p, char* options = "");
listbox(widget* w, char* p, char* options = "");

void insert(char* s);
char* get(int d);  /// \c{// entry with index d, starts from 0}

void singleselect();
protected:
install(action&, char* args);
};
P]
\ifsli{\ln\vspace{-1.5cm}}{\vspace{-0.2cm}}
</slide>

The $listbox$ may be filled by using $insert$.
When a handler is attached to the widget, it
is activated when the user double clicks
on an item.
The selected entry is passed as an additional parameter
to the handler.
The entry may also be obtained by either 
$kit::selection$ or $listbox::get$.
</document>
