<document>

:@ The scale class
The {\em scale} widget may be used to obtain numerical
input from the user.

<slide id=class-scale cap="The scale class">
\ifsli{\vspace{0.5cm}}{\vspace{0.1cm}}
[P
interface scale : widget { /// \c{\fbox{scale}}
scale(char* p, char* options = "");
scale(widget* w, char* p, char* options = "");
void text(char* s); /// \c{// text to display}
void from(int n); /// \c{// begin value}
void to(int n); /// \c{// end value}
int get();  /// \c{// gets the value}
void set(int v); /// \c{// sets the value}
protected:
install(action&, char* args);
};
P]
\ifsli{\ln\vspace{-1.5cm}}{\vspace{-0.2cm}}
</slide>

When a handler is attached to a {\em scale}
it is called when the user releases the
slider.
The value of the {\em scale} is passed as an additional
parameter when invoking the handler.
The default binding for the scale is the $ButtonRelease$ event.
</document>
