<document>

<slide id=class-scrollbar cap="The scrollbar class">
\ifsli{\vspace{0.5cm}}{\vspace{0.1cm}}
[P
interface scrollbar : widget { /// \c{\fbox{scrollbar}}
scrollbar(char* p, char* options = "");
scrollbar(widget* w, char* p, char* options = "");
void orient(char* opts="vertical"); 
xview(widget* w); /// \c{// install widget to scroll}
yview(widget* w); /// \c{// install widget to scroll}
};
P]
\ifsli{\ln\vspace{-1.5cm}}{\vspace{-0.2cm}}
</slide>

:@ The scrollbar class
The {\em scrollbar} allows the user to scroll
through widgets
that are only partly displayed.

<p>
The default orientation of a {\em scrollbar} is vertical.
A scrollbar must be explicitly attached to a widget $w$
by calling the $scrollbar::yview$ functions for
vertical scrollbars and $scrollbar::xview$ for
horizontal scrollbars.
To obtain the proper geometrical layout, the
scrollbar and the widget it controls must
usually be packed in a frame.
</document>
