<document>
<a href=@talk-txt.html target=_top><img src=base/sou4.jpg align=right></a>
<slipar>
:@ Objectives
This appendix presents a brief introduction to
the programming language Smalltalk.
It discusses the design principles underlying Smalltalk
and the terminology originally associated with
Smalltalk.
It further covers the basic syntactic constructs
and characterizes object behavior and inheritance
using examples.
Also, an illustration is given of the use of the MVC
paradigm.

:@ Points to emphasize
<I
- {\em design principles} -- prototyping
- {\em terminology} -- object, class, protocols
- {\em syntax} -- method expressions
- {\em objects} -- $self$ reference
- {\em inheritance} -- class hierarchy
- {\em techniques} -- MVC paradigm
I>

:@ Comments
It is important to emphasize that all expressions
in Smalltalk are basically method expressions,
including the definition of classes and metaclasses.

\clearpage
</slipar>
</document>
