@ Background and motivations

When looking for material for a course
Object oriented Programming, I could not find a book
that paid sufficient attention to the foundational
and formal aspects of OOP.
Most of the books, moreover, were 
written from a perspective on OOP that did not suit 
my purposes.
What I looked for could for a large part only be
found in research papers.
As a consequence, I organized the course
around a small number of papers.
I selected the papers that, to my mind,
can be considered as {\em landmark papers},
papers that have become known as originally presenting
some significant notion or insight.
The apparent disadvantage of basing a course on OOP
on papers is the obvious lack of a unified view,
and even a consistent use of terminology.
The advantage of such an approach, however,
is that students are encouraged to assess
the contribution of each paper and to form their
own view by critically comparing the different viewpoints
expressed in the papers.\ftn{
Personally, I favor the use of original papers,
since these somehow show more clearly
how the ideas put forward originated.
Later, more polished, renderings of these same ideas
often lack this quality of 'discovery'.
}
The idea of organizing a book around
the slides came quite naturally,
as the result of structuring the growing collection of 
slides, and the wish to maintain the compact representation 
offered by the slides.
