<document>
<a href=../@talk-paradigm.html target=_top><img src=@base/logo.gif align=bottom></a>
<slipar>
<control>
<slide id=paradigms style=guide cap="Paradigms of programming">
<center><font color=red>
<h1>Paradigms of programming</h1>
</font></center>
</slide>
</control>
:@ Objectives
This section characterizes object-oriented programming
as a paradigm of programming,
in relation to other well-established paradigms.
In particular, it intends to delineate, following
[_St88], what it means to support a particular paradigm
or style of programming.

<slide id=1-paradigm style=guide cap="Paradigm">
:@ Points to emphasize
<I
- {\em styles of programming} -- as a family of conventions
- {\em data abstraction} -- and its possible realizations
- {\em polymorphism}  -- and the features of inheritance
I>
</slide>

:@ Hints
The discussion of the evolvement of the object-oriented
paradigm is best placed in the perspective of the genesis
of programming languages as embodying increasingly
powerful mechanisms for abstraction.

<slide id=1-paradigm-questions style=guide cap="Questions">
:@ Questions
<N 
\setcounter{enumi}{5}
- How is OOP related to programming languages?
- What classes of languages support OOP features? Explain.
N>
</slide>

:@ Comments
Many students favor the phrase {\em small is beautiful},
and hence seem at first, especially when brought up with Modula
or Pascal, to be somewhat apprehensive towards features
such as encapsulation and inheritance.
They seem to be sometimes wondering: ``<em>Why do we need these features
when we can already express what we want in Modula?</em>.''
It takes some pains to convince them that in real life
small is certainly not always to be considered beautiful,
and that many of the additional features offered for example
by C++ are not superfluous but, on the contrary,
essential to realize abstract data types.
\clearpage
</slipar>
</document>
