@* Types and inheritance 
\comment{See [_HOB87].}
\sly{types}{
@ O{\rm bject} O{\rm riented} M{\rm ethodology}
\nl
{\footnotesize
increases programmer 
productivity by enhancing software maintainability, extensibility and
reusability !
}
<I
- {\bf types} -- {\em major organizing principle in OO}
- {\bf inheritance} -- {\em to specify relations between types}
I>
:@ OOP $\stackrel{blurs}{=}$ design + implementation
*- {\em types provide natural basis for modularization}
{\bf Well designed type structure:} minimize and localize 
dependencies among types !
}
\sli{
{\bf Object = state + behavior}
*- {\em computation is sending messages}
{\bf Subtyping}
*- if $B <_{subtype} A$ then $use A => use B$
{\bf Inheritance} ( $->$ type hierarchy graph ) 
*- {\em code sharing} (storage representation + operations)
\noindent
$[]$ overriding, virtual functions / methods\n
{\bf Protection:} {\em private, public, protected}
\n
}
\sli{
@ Type = objects with similar behavior
*- {\em partial types are designed to have subtypes}
\noindent
$[]$ super type: \fbox{{\bf interface}}\n
$[]$ implementation is left to subtypes

@ Where to put functionality?
*- {\em factor out code} (building blocks)
{\em reusability} -- how useful is the code?\n
{\em complexity} -- how difficult to implement?\n
{\em applicability} -- how relevant to the type?\n
{\em implementation} -- how dependent?
\n
}
\sli{
@ Subtyping (design methodology)
*- {\em stepwise refinement by specialization }
{\footnotesize  C.f. decomposition : (data/procedural abstraction)}
\nl
{\em Specialization} -- conceptual hierarchies\n
{\em Implementation} -- to realize a supertype\n
{\em Combination}  -- multiple inheritance

@ Nonstandard subtyping:\n
{\em Generalization} --  e.g. $Win -> ColorWin$ \n
{\em Variance} -- e.g. {\it Mouse $ -> $ Tablet} [{\rm Pointing}]\n
{\em Limitation} -- e.g. {\it Deque $ -> $ Stack }
\nln
{\footnotesize {\bf $[]$} Creativity and clear headed thinking are the most important ingredients of design } !
\n
}


