@* Inheritance as Incremental Modification 
\comment{See [_WZ88].}
\sli{
@ Inheritance
{\em -- incremental modification mechanism}
*- {\bf R}esult = {\bf P}arent + {\bf M}odifier\n
Example: $R  = {{ a1, a2 }} + {{ a2, a3 }} = {{ a1, a2, a3 }}$
\nl
{\em Independent attributes}: M disjoint from P\n
{\em Overlapping attributes}: M overrules P

\nop{
@ Inheritance is incremental modification\n
{\em Modifiability} -- (constraints) \n 
{\em Granularity} -- (classes, entities, attributes) \n
{\em Multiplicity} -- (multiple inheritance) \n
{\em Quality} -- (specifications or code)
}
}

\sli{
@ Self-reference
*- bound to object ({\em dynamic}), not to textual module ({\em static})

@ Dynamic binding
<I>- $R = {{...,P_i: self!A,...}} + {{ ...,M_j: self!B, ... }}$

@ Attributes
<I
- {\em --  redefined} -- in both P and M 
- {\em --  virtual} -- not defined in P 
- {\em --  recursive} -- defined in P, not in M
I>
$[]$ {\em In a world without self-reference inheritance reduces to invocation} !
\n
}

