<document>
%%@* <a href=g-typ.html>Type abstraction</a>
@* <a href=@talk-types.html target=_top>Type abstraction</a>
%%\comment{See [_CW85].}

In this section we will study type
calculi that allow us to express
the various forms of polymorphism, including
{\em inclusion polymorphism} (due to inheritance),
{\em parametric polymorphism} (due to generics)
and {\em intersection types} (due to overloading),
in a syntactic way, by means of appropriate
{\em type expressions}.

The type calculi are based on the typed lambda calculus
originally introduced in [_Ca84] to study the semantics
of multiple inheritance.
We will first study some simple extensions to the typed
lambda calculus and then discuss examples
involving universal quantification (defining parametric types),
existential quantification (hiding implementation details)
and bounded quantification (modeling subtypes
derived by inheritance).
For those not familiar with the lambda calculus,
a very elementary introduction is given below.
For each calculus, examples will be given to relate
the insights developed to properties of the 
C++ type system.


@so lambda
@so calculi
</document>
