<document>
@* <a href=g-app.html>Application integration <em>-- standards</em></a>

The potential of an object-oriented approach, obviously,
lies in the opportunities for {\em reuse},
both of code and design.
However, reuse requires a common understanding of
the basic principles underlying the technology and its application.
More particularly, the reuse of code requires
(a much more strict)
agreement with respect to the components from which
an application will be constructed and the
language constructs used to implement them.


In this section, we will look at
the object linking and embedding facilities
offered by Microsoft OLE,
and the standardization efforts
undertaken by the OMG (Object Management Group)
directed towards the interoperability of object components.
In addition, we will look at the efforts of the
ODMG (Object Database Management Group)
undertaken to develop a standard for persistent objects.
And, finally we will discuss the duality between
object and events,
which both play an important role in the design
and realization of component-based systems.


@so ole

@so omg
@so odmg


@so duality
</document>
