<document>

Object oriented technology cannot be learned
from a textbook.
As stressed by many authors,
including [_BC89] and [_Booch94],
an object oriented approach requires insight
in the techniques available for object oriented
modeling and preferably first-hand experience
with an object oriented language.
It is generally acknowledged that
(both for the individual and a company)
the learning required to master an object oriented
approach is considerable,
but necessary in order to profit from its potential benefits.

To gain an understanding of what object orientation
means in practice, it is worthwhile to study
actual applications of object oriented programming,
as for example described in [_Pinson90] and [_Harmon93].
Personally, I consider {\em learning by example}
to be much more effective than learning the rules
of some development method.
Such methods and their accompanying tools
may become effective when engaging
in a large-scale project, after acquiring an initial
understanding of the potential of object orientation.
In particular when a (large) number of developers
and programmers are involved, a common method
and a shared terminology are essential to the success
of a software development project,
with or without an object oriented approach.
</document>
