<document>
<slipar>
:@ Objectives
This section gives an introduction 
to the concept of hypermedia.
It covers the notions of hypertext and 
multimedia and discusses the integration
of hypertext and multimedia in hypermedia.
It further discusses the requirements
that must be met by hypermedia interfaces
and gives an overview of the major hypermedia
application areas.

:@ Points to emphasize
<I
- {\em hypertext} -- nodes and links
- {\em multimedia} -- programmable media
- {\em user interfaces} -- 
direct manipulation
- {\em applications} -- a classification of
systems
I>

:@ Hints
Navigation is an important issue
in hypertext and hypermedia systems.
Despite the support for multimedia
contents, many hypermedia systems
intrinsically rely on text- or menu-based
navigation techniques.
Graphical techniques, such as 2D and 3D
maps, however, provide much more
powerful means for navigation.

:@ Questions
<N
- How would you characterize hypermedia?
What requirements can you think of for
hypermedia interfaces?
- Discuss the problem of navigation
in hypermedia systems. Think of some solutions.
- How would you classify hypermedia systems?
Discuss some examples.
N>

:@ Comments
Many systems today provide embedded
hypertext or hypermedia facilities, as
such as in online help systems.
Most of the program assignments listed
in appendix \ref{app-program}
involve hypermedia features.
\clearpage
</slipar>
</document>
