<document>
<slipar>
:@ Objectives
This section gives an overview of
$hush$, a {\em hyper utility shell}
library.
Hush provides a powerful and flexible
toolkit that allows programming in C++
as well as in the script
language Tcl.
It is presented as an example of a
multi-paradigm approach to
hypermedia development.

:@ Points to emphasize
<I
- {\em hush} -- a C++ API for Tcl/Tk
- {\em handlers} -- C++ binding to actions and events
- {\em events} -- interactions with the user
- {\em widgets} -- graphical interface development
- {\em hypertext} -- embedded widget commands
I>

:@ Hints
For an overview of the $hush$ widget classes see
appendix \ref{hush-man}.

:@ Question
<N \setcounter{enumi}{5}
- What is your opinion
on combining C++ with scripts
written in an interpreted language?
Explain your point of view.
N>

:@ Comments
There are many alternative solutions
for combining objects and callbacks.
Discuss the trade-offs between using
functions as callbacks and objects with a
designated member function.
\clearpage
</slipar>
</document>
