void tablet::init(char* options) {

c = new canvas(this,".canvas",options);
c->configure("-relief sunken -background white");
c->geometry(200,100);
c->region(0,0,800,800);

scrollbar* scrollx = new scrollbar(this,".scrollx");
scrollx->orient("horizontal");
scrollx->pack("-side bottom -fill x");

scrollbar* scrolly = new scrollbar(this,".scrolly");
scrolly->orient("vertical");
scrolly->pack("-side right -fill y");

c->pack();

c->xscroll(scrollx); scrollx->xview(c);
c->yscroll(scrolly); scrolly->yview(c);
}
