#include "hush.h"

class box_handler : public handler {
public:

box_handler( canvas* cv ) { c = cv; moving = 0; }

void press( event& e ) {
	  moving = 1; x = e.x(); y = e.y();
	  id = c->rectangle(x,y,x,y); 
	  }

void motion( event& e ) {  /// must be improved
  if (moving) {
	sprintf(buf,"%s coords %d %d %d %d %d", 
		c->path(), (int) id, x, y, e.x(), e.y());
	tk->eval( buf );
	}
  }

void release( event&  ) { moving = 0; }

protected:
canvas* c; int moving; item id; int x,y;
char buf[BUFSIZ];
};


void program( kit* tk, int, char** ) {
 
    tk->trace();

    canvas* c = new canvas(".canvas");
    c->handler(new canvas_handler(c));

    tk->pack(c);
    tk->pack(".quit");
}

int main (int  argc, char  **argv) {
    session* s = new session(argc,argv,"root");
    return s->run(program);
}
