\slide{class-kit}{The {\em kit} class}{
."@ The interpreter $kit$
%%\zline{\fbox{kit}}
\ifsli{}{\vspace{0.1cm}}
\ifsli{
[P
interface kit { /// \fbox{kit} 

int eval(char* cmd); 
char* result();     
void result(char* s);   
char* evaluate(char* cmd); 
int source(char* f); 

action& action(char* name, handler* h);

class event event();

widget* root(); 
widget* pack(widget* w, char* opts = "");
widget* pack(char* wp, char* opts = "";

char* selection(char* opts=""); 

void after(int msecs, char* cmd); 
void after(int n, handler* h);

void update(char* opts="");

char* send(char* it, char* cmd);

void trace(int level = 1); 
void notrace(); 
void quit(); 
};
P]
\ifsli{\ln\vspace{-1.5cm}}{}
}{
[P
interface kit { /// \fbox{kit} 

int eval(char* cmd); ///// to evaluate script command
char* result();     ///// to fetch the result of $eval$
void result(char* s);   ///// to set the result of $eval$
char* evaluate(char* cmd) ///// combines $eval$ and $result$
int source(char* f); ///// to load a script from file

action& action(char* name, handler* h);

class event event(); ///// returns the last event

widget* root(); ///// returns toplevel (root) widget
widget* pack(widget* w, char* options = "");
widget* pack(char* wp, char* options = "";

char* selection(char* options=""); ///// X environment

void after(int msecs, char* cmd); 
void after(int n, handler* h);

void update(char* options="");

char* send(char* it, char* cmd);

void trace(int level = 1); 
void notrace(); 
void quit() ///// to terminate the session
};
P]
}
\ifsli{}{\vspace{-0.2cm}}
}
