
@+ The $hypertext$ widget

."so draw-help

\c{
Both the Tk canvas and text widget allow to bind
actions to particular items
and hence to define dynamically what we may call
{\em hyperstructures}.

A different, in a way more static, approach is offered
by the $hypertext$ widget originally developed by
George Howlett. %%{P george.howlett@att.com P}.
}

.so hyper-eps

\c{
The $hypertext$ widget may be used to display text
files containing embedded Tcl code.
The Tcl code must be placed between
escapes, that take the form of {\tt \%\%}
for both the begin and end of the code.
A screen shot of a fragment of the on-line help
for $drawtool$ is given in \sliref{XX}.
Notice, that the on-line help provides a
replica of the $drawtool$ application, surrounded
by text.
When looking at (again a fragment of) the hypertext
file specifying the contents of the on-line help,
given below,
you see that the $drawtool$ command defined
in section \ref{XX} 
is employed to create the embedded widget.
%%\slide{help-text}{ A hypertext help file }{
[P
Rubber banding: press the left mouse button
and release whwn the rectangle is of appropriate
size
    \%\%
drawtool \$this.draw 
\$this append \$this.draw 
\$this.draw create rectangle 20 20 120 50 
\$this append \$this.draw 
\%\%
For additional information click on the \%\% 
button \$this.goto -text instruction -command end-of-text
\$this append \$this.goto
\%\%
button.
P]
%%}
When specifying the hypertext file,
widgets may be
given a pathname relative to the pathname of the
hypertext widget by using the variable {\em this}.
In addition the hypertext widget offers the variables
{\em thisline} and {\em thisfile} to identify the
current line number and current file name.
}

\c{
Any of the widgets and commands offered by Tcl/Tk or supported
by $hush$ may be included in a hypertext file,
including the ones defined by the program
itself.
}
