@ The {\em scrollbar} class

\c{
The {\em scrollbar} allows the user to scroll
through widgets
that are only partly displayed.
}

\slide{class-scrollbar}{The {\em scrollbar} class}{
[P
interface scrollbar : widget { /// \fbox{scrollbar}
scrollbar(char* p, char* options = "");
scrollbar(widget* w, char* p, char* options = "");
void orient(char* opts="vertical"); /// to determine orientation
xview(widget* w); /// install widget to scroll
yview(widget* w); /// install widget to scroll
};
P]
}

\c{
The default orientation of a {\em scrollbar} is vertical.
A scrollbar must be explicitly attached to a widget $w$
by calling the $scrollbar::yview$ functions for
vertical scrollbars and $scrollbar::xview$ for
horizontal scrollbars.
To obtain the proper geometrical layout, the
scrollbar and the widget it controls must
usually be packed in a frame.
}
   
