An essential component of (compound) dialog widgets
is usually an $entry$ widget, that may be used
to obtain (typed) input from the user.
}

\sli{
[P
interface entry : widget { /// \fbox{entry}

entry(char* p, char* options = "");
entry(widget* w,char* p, char* options = "");

void insert(char* s);  /// insert text
char* get(); /// to retrieve (edited) text
};
P]
}

\c{
The $entry$ class shown above offers, in addition
to the two (standard) constructors,
the functions $insert$ and $get$, that are used respectively to set
and get the text that will appear in the entry,
The text appearing in the entry may be edited by the user.
}
