<document>

@ Standards
The field of hypermedia is evolving
rapidly.
One development of particular interest
is the {\em World Wide Wibe}
initiated by CERN (Switzerland).
The {\em World Wide Web} allows the user
to locate and retrieve documents
world-wide accross the Internet.
A collection of browsers is available
to browse through these documents.
The {\em Mosaic} browser
for example,
offers powerful hypermedia facilities.
The documents are required to be written
in HTML (HyperText Markup Language), a standard hypermedia
markup language in the SGML tradition.
Some browsers, as for example {\em Mosaic},
allow for other document types as well.

Another development of interest is
the MIME (Multipurpose Internet Mail Exchange) standard.
MIME offers the opportunity to
send electronic mail consisting of a variety
of (multimedia) material.
To inspect multimedia mail, the recipient
must define an appropriate display tool
for each kind of content.
In effect, the MIME standard is now
being used by the {\em Mosaic} server
as an internal representation language.

Currently, neither HTML nor
MIME allow for the definition of
synchronization constraints between
components.
A standard (in development) that provides features for synchronization is 
the HyTime markup language, which is another
offspring of the SGML family.
</document>
