#include <iostream.h>



class R;

class A { /// \fbox{$A$}
public:
A(int n);
A(char* s); 
R* operator->() { if (rep) return rep;else return 0; }
protected:
A() { cout << "A:" << endl;  }
private:
R* rep;
};

class R { /// \fbox{$R$}
public:
R() { }
void insert(A& r);
virtual void process() { print(); if (next) (*next)->process(); }
virtual void print() = 0;
protected:
A* next;
};


class N : public R {  /// \fbox{$N$}
public:
N(int i) : n(i) { }
void print() { cout << n << endl; }
protected:
int n;
};

class S : public R {  /// \fbox{$S$}
public:
S(char* p) : s(p) { }
void print() { cout << s << endl; }
protected:
char* s;
};


A::A(int n) { cout << "$A:" << endl; rep = new N(n); cout << "A$" << endl; }
A::A(char* s) { cout << "$A:" << endl;rep = new S(s); cout << "A$" << endl; }


void R::insert(A& r) {
	if (!next) next = &r;
	else (*next)->insert(r);
}

void main() {
A e1(2),e2("hi"),e3(1);
e1->insert(e2);
e1->insert(e3);
e1->process();
}



