<document>
<slipar>
:@ Objectives
This section discusses the additional requirements that must
be satisfied for distributed computing.
It presents a list of abstraction
or transparency requirements and
presents an environment
for distributed object computing.
It also discusses
the issues involved
in replicating objects and
remote object method invocation.
Finally, it sketches some of the
available network protocols.

:@ Points to emphasize
<I
- {\em transparency} --
distributed abstractions
- {\em distributed object computing} --
remote object method invocation
- {\em object replication} --
dual objects, annotations, placement
I>

:@ Hints
A more systematic approach to distributed
computing within an object-oriented
framework is proposed by the OMG.
See section \ref{OMG}.
However, the proposal of the OMG primarily
concerns standards.
This section is focused on mechanisms.

:@ Question
<N \setcounter{enumi}{9}
- What are the problems involved in remote
object invocation?
Characterize the model of dual objects.
Do you consider this an adequate solution? 
Explain.
N>

:@ Comments
It is (still) an open question what contribution
object orientation has to offer
for distributed computing.
An interesting model for distributed
computing is presented in [_Orca].
This model may be characterized as only weakly
object-based.
\clearpage
</slipar>
</document>
