<document>
<control>
<h1>Preface -- Instructor's Guide</h1>
<hr>
<a href=preface.html>Preface</a>,
<a href=tracks.html>Tracks</a>
<hr>
</control>

<slipar>
The instructor's guide accompanying
{\em Principles of Object-Oriented Software Development} 
provides the slides, in a format suitable for
presentation, around which the material
in the book is organized.

In addition, the instructor's guide provides 
hints and
indicates potential difficulties in presenting the
material to students.

Each chapter summarizes and gives a brief sketch of 
the rationale underlying the selection of material
for that chapter.

Further, for each section, a brief recapitulation is given of the
objectives, that is the ideas and insights the section is intended
to convey,
and also an indication is given of points to emphasize
and possible difficulties.

Also, for each chapter, suggestions are given for
project assignments.
These suggestions are based on project assignments
to students at the Vrije Universiteit, which 
range from writing a paper (three weeks),
a programming project (six weeks) and
small research projects (four months).

Finally, I have included some comments,
which undoubtly reflect my own experience in presenting
the material to students, to encourage the instructor
to augment the presentation with material to his or her
taste.
</slipar>
</document>
