<document>

@ Abstraction
The approach taken ... may be characterized
as {\em abstract},
in the sense that attention is paid primarily to concepts
rather than particular details of a solution
or implementation language.
By chance, in response to a discussion in my class,
I looked up the meaning of {\em abstract}
in a dictionary, where to my surprise I learned
that one of its meanings 
is {\em to steal}, {\em to take away dishonestly}.
Jokingly, I remarked that this meaning sheds a different
light on the notion of {\em abstract data types},
but at a deeper level I recognized the extent
to which the ideas presented ... have profited
from the ideas originally developed by others.
My rendering of these ideas in a more abstract form
is, however, not meant to appropriate them in a dishonest way,
but rather to give these ideas the credit they deserve by
fitting them in a context, a framework encompassing
both theoretical and pragmatical aspects of object-oriented computing.
As one of the meanings of the adjective {\em abstract},
the dictionary also lists the word {\em abstruse}
(not easy to understand).
There is no need to say that, within the limits of
my capabilities, I have tried to avoid becoming abstruse.

</document>
