<document>
<h1>12. Project implementation</h1>

Participants of the project are
<ul>
<li> SE/VU -- Software Engineering (VU) 
<li> AI/VU -- Artificial Intelligence (VU)
<li> IS/TUE -- Information Systems (TUE)
</ul>
Since there are three groups involved, it is important to 
create a structure that allows for the cooperation between the three groups.
Remark: Due to the adaptation of the original proposal, however,
the project has been scaled down significantly.
As a consequence, the focus will be on theoretical research
and not, as in the original proposal, on the development
of an actual software framework for agent-oriented systems.
<h4>Organization</h4>
For the duration of the project, Prof. Dr. J. Treur (AI/VU)
will act as the Scientific Director, with as a principal 
responsibility the supervision and coordination of the
activities from a scientific perspective.
Dr. A. Eliens (VU/SE) will have the role of Coordinator
or Managing Director, and take care of organizational matters such as
periodic meetings and the distribution of software. 
All participants will be a member of the Scientific Board,
that will monitor scientific progress by periodic meetings.

<h2>a. Activities</h2>
The activities of the post-doc researcher will be centered
around the following topics:
<ul>
<li> A modeling framework for cooperative agents
<li> Logical foundations of agent behavior
<li> The development of task- or application-specific
generic agent models
<li> Verification and validation of agent specifications
</ul>


As a case study we propose to develop a partial realization
of an agent-oriented application, Pamela.
This will involve joint activities with respect to:

<ul>
<li> A methodology for developing agent-based systems
<li> Pamela - a generic agent-based application
</ul>

<h4>Pamela</h4>
In the design and development of <i>Pamela</i>
the following phases can be distinguished:
  <ol>
  <li> Functional Design 
  <li> Prototype Realization 
  <li> Evaluation  
  <li> Final Design and Realization 
  </ol>
We will specify the functional design
in DESIRE.
Also in the first year, work will be done on
components for the realization of the prototype,
in particular for retrieval capability, Internet access,
and presentation facilities.
If time allows we will develop a prototype implementation.
The evaluation of the prototype realization
will be done in cooperation with the ASZ-GAK group
and Rabofacet.
<p>
Apart from the supervision by the Scientific Director and
the Scientific Board, the post-doc will be be actively involved in
guiding and coordinating the joint work, which has as a target
the development of Pamela.

<h2>b. Personel</h2>

Funding is requested for 
one post-doc (for two years)
who will be placed at the VU,
and in the internal organisaion of the
Artificial Intelligence section (AI/VU).
<p>

<so new/structure new/finances new/output>

<h2>f. Collaboration</h2>
The combined expertise of the groups involved
allows us to cover the modeling aspects, the realization aspects
and the issues of information retrieval in an adequate way.
Being organized in SIKS the groups already know each other
and have frequent contacts, although this has not resulted
in any formal cooperation thus far.
How the collaboration will be organised has been outlined above.

</document>
