<h2>c. Results</h2>

The WASP project is aimed to result in
a framework (in its extended meaning) for the
development of agent-based Web-aware applications.
Such a framework includes:
<ul>
<li> a methodology for developing agent-based applications, as well as
<li> a logical foundation for modeling agent behavior; and in addition
<li> guidelines for realizing actual agent applications, and
<li> software components that can be used as building blocks, including
<li> a language for programming agent behavior.
</ul>
In addition we wish our work to result in a generic
agent application <i>Pamela</i> that demonstrates the
capabilities of our approach.
The intended results, divided over the various aspects
of our project, are summarized below.

<h4>Modeling the behavior of cooperative agents</h4>
<ul>
<li> a formalism for modeling cooperative agents
<li> logical foundations of agent behavior
<li> modeling user preferences in information retrieval
<li> modeling circumstantial awareness and negotiation
</ul>
<h4>Realizing Web-aware agents</h4>
<ul>
<li> generic agent software components
<li> user interface components for managing agents
<li> communication primitives for agent communication
<li> guidelines for developing agent systems
</ul>
<h4>Architectural support</h4>
<ul>
<li> an agent-based programming language
<li> a high-level API for Web-aware applications
<li> an object-based framework for distributed agent applications
<li> tools for agent-based information retrieval and management
</ul>
<h4>Pamela</h4>
The Pamela application is intended as a vehicle
to demonstrate the various aspects of our project.
For a selected domain, to be chosen in the
course of the project, we will produce
a Personal Agent for Maintaining an Electronic Archives
that assists a human user in gathering material for
which a preference has been indicated.
Gathering information will be done in cooperation
with personal assistants defined for other human
users. Pamela will be able to notify the human
user about the discovery of any relevant material
and will provide for multimedia facilities to
present the material and to browse related information.
