<document>
<h4>ASZ -- GAK group</h4>

Contact: S.C. Chang -- man. R&D, 
Postbus 8300,
1005 CA Amsterdam,
schang@gak.nl
<p>
ASZ (Automatisering Sociale Zekerheid)
is a software house owned by the Gak Group.
The Gak Group is involved in the regulation of social security
schemes in the Netherlands.
Under these regulations, 
benefits or provisions are granted to workers in special circumstances
such as unemployment, sickness or disability.
The Gak Group is a privatized company, financed by trade and industry. 
It handles pension, assurances and social security schemes
on behalf of approximately 5 million workers. 
The group operates from 30 district offices and 200 smaller branches
spread all over the country.
Due to frequent changes in the Social Security Acts
as well the IT infrastructuur,
many of its information systems evolve permanently.
More than 15000 workers are employed in the Gak Group.
<p>
Thiel Chang is a manager research and development
at the ASZ (Automatisering Sociale Zekerheid bv) in Amsterdam,
the Netherlands.
He has responsibility for the experimental research programs
for the innovation of legacy information systems.
Before becoming manager R&D,
he has also had several managerial positions
like head of a large software maintenaince department
and head of a main frame systems group.
He has worked extensively on object oriented software engineering, 
(OO)databases, knowledge based systems, reusability,
software architecture, software components and
client server applications.
In a significant number of his research projects
object oriented methods and OO case tools were used.
He has also teached computer science at some colleges.
Before joining ASZ he worked as a computer scientist and project leader 
at several Dutch companies.
Chang received a BS degree in mathematics at the Leiden University 
in 1978 and studied computer science at the Vrije Universiteit, 
Amsterdam.
He has published over 10 papers as a co-author in journals 
as well as conferences and served on invited panels
and program committees at several ACM conferences.
He is a member of IEEE and ACM.
His current research include design and implementation
of business objects and component-based applications.
</document>
