<document>
<h1>8. Content</h1>

In this section we describe the underlying scientific
problem our project is concerned with, and
we will further detail the method(s) we will employ,
and the expected results. In addition we will explain
the relevance of our contribution for the scientific
community and we will assess our project with respect to
its scientific merits.

<so problem>
<so method>
<so results>

<h2>d. Contribution</h2>

Scientifically, our work is of significance for the
areas of
<ul>
<li> distributed information and knowledge-based systems,
<li> multi-agent systems
<li> user-interface development, and
<li> object-oriented software engineering.
</ul>
In particular, because we propose to take 
an integrated approach to the problem of providing
agent support for Web-aware applications, 
the efforts coming from the different areas
of expertise of the participants
results, hopefully, in a more encompassing
theoretical and practical framework
than would have been possible for each
of the participants individually, or more in general
in a more mono-disciplinary approach.

<h2>3. Merits</h2>
Clearly our project covers both fundamental
and pragmatic aspects.
It is application-oriented in the sense that
it is aimed at satisfying the conditions
for developing actual agent-based applications.
However, it is fundamental to the extent
that it is based on well-founded 
principles of modeling and software engineering.
In the area of information retrieval, moreover,
we hope to come up with a substantially
new approach for the discovery of new (recent) interesting
and relevant information in a large distributed hypermedia
information system such as the Web.
</document>
