@* The notion of Software Architecture
<include file=navigate>

<slide color=gold id=architecture-fig cap="Guess ...">
<a href=@slide-slogan-architect.html>
<image src=local/patterns.gif>
</a>
</slide>


<slide color=yellow id=Elements-1 cap="Elements of Architecture -- models and views">
:@ Elements of Architecture 
<h5 align=right> [_Wolf]</h5>
<ul>
<li> processing elements -- data transformations
<li> data elements -- contain information
<li> connections -- glueing elements together
</ul>
</slide>

<slide color=yellow id=Elements-2 cap="Elements of Architecture -- models and views">
:@ Models and Views
%%<h5 align=right> [_Kruchten95]</h5>
<ul>
<li> logical -- functional requirements
<li> process -- performance, availability, ...
<li> physical -- scalability, configuration
<li> development -- organization of software
<li> scenarios -- instances of use cases
</ul>
%%:@ Definitions
%%<ul>
%%<li> http://www.sei.cmu.edu/architecture/definitions.html
%%</ul>
<h5 align=right><a href=@online/oo/II/7/architecture.html>Elements of Architecture</a></h5>
</slide>

<slide id=arch-notion cap="Our building metaphor is wrong!">
<h4> <red>Our <blue>building</blue> metaphor is wrong!</red> </h4>
<p>
Architectural decisions must strive for an ecology of change,
that is a flexible arrangement of components
to promote changes in business-logic and adaptiveness to
a changing environment.
<h5 align=right><a href=@online/oo/IV/12/architecture.html>Software Architecture Revisited</a></h5>
</slide>

<slide color=green id=styles cap="Architectural software styles">
:@ Architectural software styles
%%///<box>class of architectures</box>
<ul>
<li> <em>component types</em> -- process, event, ...
<li> <em>runtime relations</em> -- topology
<li> <em>semantic constraints</em> -- immutability
<li> <em>communication, coordination</em> -- connectors
</ul>
<h5 align=right><a href=@online/oo/II/7/7.html>Software Architecture</a></h5>
</slide>

<slide color=yellow id=arch-themes cap="Themes and variations">
:@ Themes and variations
%%///<box>technological constraints</box>
<ul>
<li> OO -- simple call and return
<li> CORBA -- independent components
<li> WWW -- data centered
<li> events -- independent components
<li> logic -- virtual machine architecture
</ul>
<h5 align=right><a href=@online/oo/I/1/trends.html>Beyond Object-Orientation?</a></h5>
</slide>

<slide  id=web-architecture cap="Architectural issues">
<h4> <red>Architectural issues for the Web</red></h4>
<ul>
<li> <blue>managing growth, maintaining installed base</blue>
<li> <blue>enhanced functionality -- <em>multimedia</em></blue>
<li> <blue>improved infrastructure -- <em>HTTP-NG</em></blue>
</ul>
<h5 align=right><a href=@online/courses/web/1.html>Application Infrastructure</a></h5>
</slide>

