

connected(From, To, Path) :-
	connected(From, To, Path, [From]).

connected(To, To, [To], _).
connected(From, To, [From|Path], Visited) :-
        (   connection(From, Via)
        ;   connection(Via, From)
        ),
        not_visited(Visited, Via),
        connected(Via, To, Path, [Via|Visited]).


not_visited([], _).
not_visited([X|Visited], Y) :- X \== Y, not_visited(Visited, Y).
