// ShowLayout.java

import com.sun.java.swing.*;
import java.awt.*;

class ShowLayout extends JFrame
{
	
	ShowLayout()
	{
		setTitle("Layout show");
				
		// FlowLayout
		JPanel panelFlow = new JPanel();
		panelFlow.setBorder(BorderFactory.createTitledBorder("FlowLayout"));
		panelFlow.setLayout( new FlowLayout() );
		JButton kwik = new JButton("kwik");
		JButton kwek = new JButton("kwek");
		JButton kwak = new JButton("kwak");
		panelFlow.add(kwik);
		panelFlow.add(kwek);
		panelFlow.add(kwak);
				
		// BorderLayout
		JPanel panelBorder = new JPanel();
		panelBorder.setBorder(BorderFactory.createTitledBorder("BorderLayout"));
		panelBorder.setLayout( new BorderLayout() );
		JButton north = new JButton("North");
		JButton east = new JButton("East");
		JButton south = new JButton("South");
		JButton west = new JButton("West");
		JButton center = new JButton("Center");
		panelBorder.add(north, "North");		
		panelBorder.add(east, "East");		
		panelBorder.add(south, "South");		
		panelBorder.add(west, "West");		
		panelBorder.add(center, "Center");		

		// GridLayout
		JPanel panelGrid = new JPanel();
		panelGrid.setBorder(BorderFactory.createTitledBorder("GridLayout"));
		panelGrid.setLayout(new GridLayout(2,3));
		JButton one = new JButton("One");
		JButton two = new JButton("Two");
		JButton three = new JButton("Three");
		JButton four = new JButton("Four");
		JButton five = new JButton("Five");
		JButton six = new JButton("Six");
		panelGrid.add(one);
		panelGrid.add(two);
		panelGrid.add(three);
		panelGrid.add(four);
		panelGrid.add(five);
		panelGrid.add(six);
		
		// the Frame contains all panels
		Container c = getContentPane();
		c.setLayout(new FlowLayout());
		c.add(panelFlow);
		c.add(panelBorder);
		c.add(panelGrid);
	}
	
	public static void main(String args[])
	{
		JFrame frame = new ShowLayout();
		frame.pack();
		frame.setVisible(true);
	}
}
