<html><head><title></title></head>
<body bgcolor=#ffffff>
 
<a href="cover.html">[Top]</a> <a href="boa2.html">[Prev]</a> <a href="interov.html">[Next]</a> <a href="corb2pra.html">[Bottom]</a>
<hr><br>
 
<a name="229">
<h1> Standard OMG IDL Types</h1>
</a><dl>
<p align=right clear=all>
<b><font size=7>
A 
</font></b>
</p>
<hr><a name="919">
The OMG IDL types listed in this appendix are available in all ORB implementations. IDL specifications that incorporate these types are therefore portable across ORB implementations. .  
<Table Border="3">
<caption><a name="238">
TBL. 13	 Types Defined by IDL <p>
</a></caption>
<tr><th><a name="240">
 Type<p>
</a><th><a name="241">
 Described In<p>
</a>
<tr><td><a name="242">
 short<p>
</a><td><a name="243">
 <a href="idlsyn.html#526">"Integer Types" on page &#32;3-21</a><p>
</a>
<tr><td><a name="244">
 long<p>
</a><td><a name="245">
 <a href="idlsyn.html#526">"Integer Types" on page &#32;3-21</a><p>
</a>
<tr><td><a name="246">
 unsigned short<p>
</a><td><a name="247">
 <a href="idlsyn.html#526">"Integer Types" on page &#32;3-21</a><p>
</a>
<tr><td><a name="248">
 unsigned long<p>
</a><td><a name="249">
 <a href="idlsyn.html#526">"Integer Types" on page &#32;3-21</a><p>
</a>
<tr><td><a name="250">
 float<p>
</a><td><a name="251">
 <a href="idlsyn.html#528">"Floating-Point Types" on page &#32;3-21</a><p>
</a>
<tr><td><a name="252">
 double<p>
</a><td><a name="254">
 <a href="idlsyn.html#528">"Floating-Point Types" on page &#32;3-21</a><p>
</a>
<tr><td><a name="258">
 char<p>
</a><td><a name="261">
 <a href="idlsyn.html#532">"Char Type" on page &#32;3-21</a><p>
</a>
<tr><td><a name="264">
 boolean<p>
</a><td><a name="268">
 <a href="idlsyn.html#534">"Boolean Type" on page &#32;3-22</a><p>
</a>
<tr><td><a name="269">
 octet<p>
</a><td><a name="271">
 <a href="idlsyn.html#536">"Octet Type" on page &#32;3-22</a><p>
</a>
<tr><td><a name="272">
 struct<p>
</a><td><a name="273">
 <a href="idlsyn.html#541">"Structures" on page &#32;3-22</a><p>
</a>
<tr><td><a name="274">
 union<p>
</a><td><a name="275">
 <a href="idlsyn.html#548">"Discriminated Unions" on page &#32;3-23</a><p>
</a>
<tr><td><a name="276">
 enum<p>
</a><td><a name="277">
 <a href="idlsyn.html#568">"Enumerations" on page &#32;3-24</a><p>
</a>
<tr><td><a name="278">
 sequence<p>
</a><td><a name="279">
 <a href="idlsyn.html#576">"Sequences" on page &#32;3-25</a><p>
</a>
<tr><td><a name="280">
 string<p>
</a><td><a name="281">
 <a href="idlsyn.html#347">"String Literals" on page &#32;3-8</a><p>
</a>
<tr><td><a name="282">
 array<p>
</a><td><a name="283">
 <a href="idlsyn.html#591">"Arrays" on page &#32;3-26</a><p>
</a>
<tr><td><a name="284">
 any<p>
</a><td><a name="303">
 <a href="idlsyn.html#801">"Any Type" on page &#32;3-22</a><p>
</a>
<tr><td><a name="304">
 Object<p>
</a><td><a name="306">
 <a href="orbif2.html#109">"Object Reference Operations" on page &#32;7-2</a><p>
</a>

</Table>

<Table>
<tr><td>
</Table>
<p>
</a><a name="910">
<a href="appxtype.html#330">TBL. 14 on page A-2</a> lists the ORB pseudo-objects that should be available in any language mapping; in the C mapping, these definitions are contained in the file orb.h. Pseudo-objects cannot be invoked with the dynamic interface, and do not have object references. Those pseudo-objects that cannot be used as general arguments (passed as arguments in requests on real objects) are identified in the table. The definitions of pseudo-objects that can be used as general arguments are contained in the file orb.idl, and can be <strong>#included</strong> into IDL specifications.  
<Table Border="3">
<caption><a name="305">
TBL. 14	 Pseudo-objects <p>
</a></caption>
<tr><th><a name="308">
 Name<p>
</a><th><a name="309">
 General Argument?<p>
</a><th><a name="316">
 In orb.idl?<p>
</a><th><a name="339">
 Described In<p>
</a>
<tr><td><a name="310">
 Environment<p>
</a><td><a name="311">
 No<p>
</a><td><a name="317">
 No<p>
</a><td><a name="341">
 [insert new c map ref]<p>
</a>
<tr><td><a name="312">
 Request<p>
</a><td><a name="313">
 No<p>
</a><td><a name="318">
 No<p>
</a><td><a name="342">
 <a href="dii2.html#314"> Section 4.2 on page 4-4</a><p>
</a>
<tr><td><a name="314">
 Context<p>
</a><td><a name="315">
 No<p>
</a><td><a name="319">
 No<p>
</a><td><a name="343">
 <a href="dii2.html#411"> Section 4.5 on page 4-12</a><p>
</a>
<tr><td><a name="320">
 ORB<p>
</a><td><a name="329">
 No<p>
</a><td><a name="331">
 No<p>
</a><td><a name="344">
 <a href="orbif2.html#101"> Section 7.1 on page 7-1</a><p>
</a>
<tr><td><a name="321">
 BOA<p>
</a><td><a name="332">
 No<p>
</a><td><a name="333">
 No<p>
</a><td><a name="345">
 <a href="boa2.html#76"> Section 8.2 on page 8-3</a><p>
</a>
<tr><td><a name="322">
 TypeCode<p>
</a><td><a name="334">
 Yes<p>
</a><td><a name="335">
 Yes<p>
</a><td><a name="346">
 <a href="intrep2.html#139"> Section 6.4.2 on page 6-5</a><p>
</a>
<tr><td><a name="323">
 Principal<p>
</a><td><a name="336">
 Yes<p>
</a><td><a name="337">
 Yes<p>
</a><td><a name="347">
 <a href="boa2.html#130"> Section 8.2.4 on page 8-9</a><p>
</a>
<tr><td><a name="324">
 NVList<p>
</a><td><a name="338">
 No<p>
</a><td><a name="340">
 No<p>
</a><td><a name="348">
 <a href="dii2.html#203"> Section 4.1.1 on page 4-1</a><p>
</a>

</Table>

<Table>
<tr><td>
</Table>
<p>
</a><a name="330">
Types used with the Interface Repository are shown in <a href="appxtype.html#330">TBL. 14 on page A-2</a>. They are contained in orb.idl.  
<Table Border="3">
<caption><a name="423">
TBL. 15	 Interface Repository Types <p>
</a></caption>
<tr><th><a name="351">
 Name<p>
</a><th><a name="352">
 Type<p>
</a><th><a name="353">
 Described In<p>
</a>
<tr><td><a name="327">
 Identifier<p>
</a><td><a name="328">
 string<p>
</a><td><a name="349">
 <a href="intrep2.html#360"> Section 6.6 on page 6-30</a><p>
</a>
<tr><td><a name="253">
 RepositoryId<p>
</a><td><a name="298">
 string<p>
</a><td><a name="299">
 <a href="intrep2.html#360"> Section 6.6 on page 6-30</a><p>
</a>
<tr><td><a name="354">
 OperationMode<p>
</a><td><a name="355">
 enum<p>
</a><td><a name="356">
 <a href="intrep2.html#4222"> Section 6.5.21 on page 6-25</a><p>
</a>
<tr><td><a name="357">
 ParameterMode<p>
</a><td><a name="358">
 enum<p>
</a><td><a name="359">
 <a href="intrep2.html#4222"> Section 6.5.21 on page 6-25</a><p>
</a>
<tr><td><a name="360">
 AttributeMode<p>
</a><td><a name="361">
 enum<p>
</a><td><a name="362">
 <a href="intrep2.html#4199"> Section 6.5.20 on page 6-24</a><p>
</a>
<tr><td><a name="363">
 InterfaceDescription<p>
</a><td><a name="364">
 struct<p>
</a><td><a name="365">
 <a href="intrep2.html#4144"> Section 6.5.22 on page 6-27</a><p>
</a>
<tr><td><a name="366">
 OperationDescription<p>
</a><td><a name="367">
 struct<p>
</a><td><a name="368">
 <a href="intrep2.html#4222"> Section 6.5.21 on page 6-25</a><p>
</a>
<tr><td><a name="369">
 AttributeDescription<p>
</a><td><a name="370">
 struct<p>
</a><td><a name="371">
 <a href="intrep2.html#4199"> Section 6.5.20 on page 6-24</a><p>
</a>
<tr><td><a name="372">
 ParameterDescription<p>
</a><td><a name="373">
 struct<p>
</a><td><a name="374">
 <a href="intrep2.html#4222"> Section 6.5.21 on page 6-25</a><p>
</a>
<tr><td><a name="375">
 RepositoryDescription<p>
</a><td><a name="376">
 struct<p>
</a><td><a name="377">
 <a href="intrep2.html#7542"> Section 6.5.6 on page 6-16</a><p>
</a>
<tr><td><a name="378">
 ModuleDescription<p>
</a><td><a name="379">
 struct<p>
</a><td><a name="380">
 <a href="intrep2.html#7578"> Section 6.5.7 on page 6-17</a><p>
</a>
<tr><td><a name="406">
 ConstDescription<p>
</a><td><a name="407">
 struct<p>
</a><td><a name="408">
 <a href="intrep2.html#7592"> Section 6.5.8 on page 6-17</a><p>
</a>
<tr><td><a name="409">
 ExceptionDescription<p>
</a><td><a name="410">
 struct<p>
</a><td><a name="411">
 <a href="intrep2.html#4116"> Section 6.5.19 on page 6-23</a><p>
</a>
<tr><td><a name="412">
 TypeDescription<p>
</a><td><a name="413">
 struct<p>
</a><td><a name="414">
 <a href="intrep2.html#7542"> Section 6.5.6 on page 6-16</a><p>
</a>
<tr><td><a name="415">
 FullInterfaceDescription<p>
</a><td><a name="416">
 struct<p>
</a><td><a name="417">
 <a href="intrep2.html#4144"> Section 6.5.22 on page 6-27</a><p>
</a>
<tr><td><a name="350">
 InterfaceDef<p>
</a><td><a name="421">
 interface<p>
</a><td><a name="422">
 <a href="intrep2.html#4144"> Section 6.5.22 on page 6-27</a><p>
</a>
<tr><td><a name="381">
 OperationDef<p>
</a><td><a name="382">
 interface<p>
</a><td><a name="383">
 <a href="intrep2.html#4222"> Section 6.5.21 on page 6-25</a><p>
</a>
<tr><td><a name="384">
 AttributeDef<p>
</a><td><a name="385">
 interface<p>
</a><td><a name="386">
 <a href="intrep2.html#4199"> Section 6.5.20 on page 6-24</a><p>
</a>
<tr><td><a name="387">
 ParameterDef<p>
</a><td><a name="388">
 interface<p>
</a><td><a name="389">
 <a href="intrep2.html#969"> Section 6.7 on page 6-33</a><p>
</a>
<tr><td><a name="390">
 RepositoryDef<p>
</a><td><a name="391">
 interface<p>
</a><td><a name="392">
 <a href="intrep2.html#7542"> Section 6.5.6 on page 6-16</a><p>
</a>
<tr><td><a name="393">
 ModuleDef<p>
</a><td><a name="394">
 interface<p>
</a><td><a name="395">
 <a href="intrep2.html#7578"> Section 6.5.7 on page 6-17</a><p>
</a>
<tr><td><a name="418">
 TypeDef<p>
</a><td><a name="419">
 interface<p>
</a><td><a name="420">
 <a href="intrep2.html#7542"> Section 6.5.6 on page 6-16</a><p>
</a>
<tr><td><a name="396">
 ConstDef<p>
</a><td><a name="397">
 interface<p>
</a><td><a name="398">
 <a href="intrep2.html#7592"> Section 6.5.8 on page 6-17</a><p>
</a>
<tr><td><a name="399">
 ExceptionDef<p>
</a><td><a name="400">
 interface<p>
</a><td><a name="401">
 <a href="intrep2.html#4116"> Section 6.5.19 on page 6-23</a><p>
</a>
<tr><td><a name="402">
 ImplementationDef<p>
</a><td><a name="403">
 interface<p>
</a><td><a name="404">
 <a href="boa2.html#84"> Section 8.2.1 on page 8-5</a><p>
</a>

</Table>

<Table>
<tr><td>
</Table>
 <p>
</a><a name="255">
The <strong>any</strong> type can be used to represent a variety of types of values. All ORB implementations must support all data types expressible in OMG IDL as <strong>any</strong>																				 values.<p>
</a></dl>

<hr><br>
 
<a href="cover.html">[Top]</a> <a href="boa2.html">[Prev]</a> <a href="interov.html">[Next]</a> <a href="corb2pra.html">[Bottom]</a>
<hr><br>
 


<address>
<a href="mailto:pubs@omg.org">pubs@omg.org</a>
</address>

<i>Copyright &#169; 1995, <a href="http://www.omg.org">Object Management Group.</a>   All rights
reserved.</i>

<!-- This file was created with Quadralay WebWorks Publisher 3.0.4 -->
<!-- -->
<!-- For more information on how this document, and how the rest of -->
<!-- this server was created, email pubs@omg.org -->
<!-- -->
<!-- Last updated: 06/10/96 08:48:42 -->

</body>
</html>
