<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> The class means</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" The class means">
<meta name="keywords" value="guide">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html431 HREF="node23.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html429 HREF="node21.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html423 HREF="node21.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html433 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>   <A NAME=tex2html434 HREF="node27.html"><IMG ALIGN=BOTTOM ALT="index" SRC="http://www.cs.vu.nl/images/latex2html//index_motif.gif"></A>   <BR>
<B> Next:</B> <A NAME=tex2html432 HREF="node23.html"> The class employee</A>
<B>Up:</B> <A NAME=tex2html430 HREF="node21.html"> Other classes</A>
<B> Previous:</B> <A NAME=tex2html424 HREF="node21.html"> Other classes</A>
<BR> <HR> <P>
<H3><A NAME=SECTION00073100000000000000> The class means</A></H3>
<P>
The class <em> means</em><A NAME=437>&#160;</A> is derived from the SIM class 
<em> resource</em><A NAME=439>&#160;</A>.
<P>
<PRE>class means : public resource 
{
public:
  means(histogram* h, double c = 1.0);    // histogram should be WEIGHTED
  means(double c = 1.0);                  // constructor, c = capacity

  void occupy_frequency(double a, bpgenerator* g = NULL, 
                        distribution db = EXACT, double b = 0);
                                          // set unavailability frequency
  void occupy_duration(double a, bpgenerator* g = NULL, 
                       distribution db = EXACT, double b = 0);
                                          // set unavailability duration
};
</PRE>
<P>
Objects of class <em> means</em> have a capacity that can be specified when
creating the object. Take, for instance, a process where customers 
are served at counters and there are three counters. To simulate such a process 
one could create an object <em> counter</em> of class <em> means</em> with capacity
three.
<P>
If certain means are also used in operations that are not part of the modelled
process, one can use the members <em> occupy_frequency</em> and <em>
occupy_duration</em> to specify how often -- the frequency -- and how long -- the
duration -- the means are not available. The frequency and duration can be
generated according to a certain distribution, specified by the parameters of
the member functions <em> occupy_frequency</em> and <em> occupy_duration</em>.
<P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Mon Jun  1 11:51:50 MET DST 1998</I>
</ADDRESS>
</BODY>
