<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> The simulation library SIM</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" The simulation library SIM">
<meta name="keywords" value="guide">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html195 HREF="node5.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html193 HREF="guide.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html187 HREF="node3.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html197 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>   <A NAME=tex2html198 HREF="node27.html"><IMG ALIGN=BOTTOM ALT="index" SRC="http://www.cs.vu.nl/images/latex2html//index_motif.gif"></A>   <BR>
<B> Next:</B> <A NAME=tex2html196 HREF="node5.html"> The library BPSIM</A>
<B>Up:</B> <A NAME=tex2html194 HREF="guide.html">No Title</A>
<B> Previous:</B> <A NAME=tex2html188 HREF="node3.html"> Logistics Based Business </A>
<BR> <HR> <P>
<H1><A NAME=SECTION00040000000000000000> The simulation library SIM</A></H1>
<P>
The BPSIM library is an extension of the simulation library SIM<A NAME=123>&#160;</A>.
SIM adopts the method of Discrete Event Simulation<A NAME=124>&#160;</A>.
With this approach, the components of the model consists of events, which are
activated at certain points in time and in this way affect the overall state
of the system.
The simulation library SIM consists of the following C++ classes 
([<A HREF="node26.html#bolier">1</A>]):
<UL><LI> <em> simulation</em>, the class <em> simulation</em><A NAME=129>&#160;</A> keeps 
the scheduler, that controls which event should be activated. It employs a
calender of events and repeatedly extracts the event, that should execute.
A clock<A NAME=130>&#160;</A> is kept, so it can be determined which event becomes 
the current.
Furthermore, it maintains a conditional list<A NAME=131>&#160;</A> where 
events can be put that
could not execute but may be executed in the future;
<LI> <em> event</em>, events<A NAME=133>&#160;</A> represent the dynamic objects in the 
system. They
have a temporary existence and unique characteristics. An event in the
simulation should be derived from the abstract class <em> event</em> and be given
functionality by overwriting its function operator<A NAME=135>&#160;</A>. 
The function operator is the member function that is called by the 
simulation when the event is activated;
<LI> <em> entity</em>, an entity<A NAME=137>&#160;</A> represents a 
process<A NAME=138>&#160;</A> in the system, it combines
several related events into one process. As with the <em> event</em> class, the
<em> entity</em> class is abstract. A process should be derived from it and be
given functionality by overwriting its function operator;
<LI> <em> generator</em>, <A NAME=142>&#160;</A> a collection functions that permits 
a variety of random
streams and probability distributions for generating random numbers;
<LI> <em> resource</em>, a resource<A NAME=144>&#160;</A> represents a passive object 
in the model, that is used by an event;
<LI> <em> queue</em>, a queue<A NAME=146>&#160;</A> maintains queued events, that
are, for example, waiting for a resource to become free;
<LI> <em> histogram</em>, the class <em> histogram</em><A NAME=149>&#160;</A> makes it 
possible to gather and print samples. For example, information about queue
sizes and waiting times can be gathered;
<LI> <em> analysis</em>, the class <em> analysis</em><A NAME=152>&#160;</A> makes it 
possible to analyze a
histogram. Members for confidence intervals, fitting curves and probility 
distributions and for analyzing steady state behavior are provided.
</UL><BR> <HR><A NAME=tex2html195 HREF="node5.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html193 HREF="guide.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html187 HREF="node3.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html197 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>   <A NAME=tex2html198 HREF="node27.html"><IMG ALIGN=BOTTOM ALT="index" SRC="http://www.cs.vu.nl/images/latex2html//index_motif.gif"></A>   <BR>
<B> Next:</B> <A NAME=tex2html196 HREF="node5.html"> The library BPSIM</A>
<B>Up:</B> <A NAME=tex2html194 HREF="guide.html">No Title</A>
<B> Previous:</B> <A NAME=tex2html188 HREF="node3.html"> Logistics Based Business </A>
<BR> <HR> <P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Mon Jun  1 11:51:50 MET DST 1998</I>
</ADDRESS>
</BODY>
