<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 3.0//EN">
 <h3>make.rules</h3><pre class=program lang="C++">
  include /usr/share/lib/make/make.rules

  # CCC   = /opt/SUNWspro/SC3.0.1/bin/CC
  # HUSH    = /home/se/hush/version/se96
  # DPFLAGS = -I/opt/SUNWspro/SC3.0.1/include/CC/ # For makedepend
  # DEBUGFLAGS = -g +w
  # 
  # cc2html = /home/dejavu/hush/src/tools/html-1.0/cc-html.flt

  CCC     = g++
  HUSH    = /home/hush
  HUSH    = /home/se/hush/version/se96
  DPFLAGS = -I/opt/gcc-2.7.2/lib/g++-include/
  DEBUGFLAGS = -g -Wall

  cc2html = cc2doc

  LIBS    = -L$(HUSH)/lib -R$(HUSH)/lib -lhush -lwidgets -ldvtk -ldvtcl 
  XLIBS   = -L$(OPENWINHOME)/lib -R$(OPENWINHOME)/lib -lX11 -lm
  TKLIBS  = -ltk4.1 -ltcl7.5 

  CCFLAGS = $(DEBUGFLAGS) -I$(HUSH)/include
  LDFLAGS = $(LIBS) $(XLIBS) $(TKLIBS)

  demo:;          exec $(TARGET)
  depend:;        makedepend  -- $(CCFLAGS) -- $(DPFLAGS) $(SOURCES)
  clean::;        rm -fr $(TARGET) *.o *.bak *~ Templates.DB
  cleandoc::;     rm -f *.html
  htmldoc:;       for i in make.rules Makefile $(HEADERS) $(SOURCES); \
                          do expand $$i | $(cc2html) &gt; $$i.html; done


  </pre>