<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE>How to make a Makefile</TITLE>
</HEAD>
<BODY>
<meta name="description" value="How to make a Makefile">
<meta name="keywords" value="make">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html18 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif_gr.gif">   <IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif_gr.gif">         <BR>
<B> Next:</B> <A NAME=tex2html19 HREF="node1.html"> Introduction</A>
<BR> <HR> <P>
<P>
<H1>How to make a Makefile</H1>
<P><STRONG>John Romein, SAM 
	<BR> 
	Vrije Universiteit <BR> 
	Department of Mathematics and Computer Science <BR> 
	Amsterdam, The Netherlands
	<BR> 
	<i> john@cs.vu.nl, sam@cs.vu.nl</i> <BR> 
    <BR> 
    Version 1.0se <BR> 
    </STRONG><P>
<P>
<H3>Abstract:</H3>
<EM><i> Make</i> is a program that is commonly used to build and maintain
large programs.
Although very useful, it is not user-friendly.
This tutorial tries to explain how <i> make</i> works, and how to
write a <code>Makefile</code>.
We start with some simple examples in C and C++, which should be sufficient
for most programmers to maintain their programs.
</EM><P>
<BR> <HR>
<UL> 
<LI> <A NAME=tex2html20 HREF="node1.html#SECTION00010000000000000000"> Introduction</A>
<LI> <A NAME=tex2html21 HREF="node2.html#SECTION00020000000000000000"> What you need to know about the compiler</A>
<UL> 
<LI> <A NAME=tex2html22 HREF="node3.html#SECTION00021000000000000000"> The stages from sourcefiles to an executable</A>
<UL> 
<LI> <A NAME=tex2html23 HREF="node4.html#SECTION00021100000000000000"> Making objectfiles from source:  .c  .o</A>
<LI> <A NAME=tex2html24 HREF="node5.html#SECTION00021200000000000000"> Making an executable from objectfiles and libraries: 
 .o, .a  a.out</A>
</UL> 
<LI> <A NAME=tex2html25 HREF="node6.html#SECTION00022000000000000000"> Compiler options</A>
</UL> 
<LI> <A NAME=tex2html26 HREF="node7.html#SECTION00030000000000000000"> A simple Makefile</A>
<UL> 
<LI> <A NAME=tex2html27 HREF="node8.html#SECTION00031000000000000000"> Doing it all by hand</A>
<LI> <A NAME=tex2html28 HREF="node9.html#SECTION00032000000000000000"> Finding the dependencies</A>
<LI> <A NAME=tex2html29 HREF="node10.html#SECTION00033000000000000000"> Let make do the work</A>
<LI> <A NAME=tex2html30 HREF="node11.html#SECTION00034000000000000000"> Using macro's</A>
<LI> <A NAME=tex2html31 HREF="node12.html#SECTION00035000000000000000"> Using patterns</A>
<LI> <A NAME=tex2html32 HREF="node13.html#SECTION00036000000000000000"> Removing targets</A>
<LI> <A NAME=tex2html33 HREF="node14.html#SECTION00037000000000000000"> Using libraries</A>
<LI> <A NAME=tex2html34 HREF="node15.html#SECTION00038000000000000000"> C++</A>
<LI> <A NAME=tex2html35 HREF="node16.html#SECTION00039000000000000000"> Compilation failures</A>
</UL> 
<LI> <A NAME=tex2html36 HREF="node17.html#SECTION00040000000000000000"> Generating dependencies</A>
<LI> <A NAME=tex2html37 HREF="node18.html#SECTION00050000000000000000"> Useful to know ...</A>
<UL> 
<LI> <A NAME=tex2html38 HREF="node19.html#SECTION00051000000000000000"> Commonly used make-options</A>
<LI> <A NAME=tex2html39 HREF="node20.html#SECTION00052000000000000000"> Other documentation</A>
</UL> 
<LI> <A NAME=tex2html40 HREF="node21.html#SECTION00060000000000000000">   About this document ... </A>
</UL>
<BR> <HR>
<P><ADDRESS>
<I>Megens SA <BR>
Thu Jun 20 11:26:28 MET DST 1996</I>
</ADDRESS>
</BODY>
