<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Using patterns</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Using patterns">
<meta name="keywords" value="make">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html170 HREF="node13.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html168 HREF="node7.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html162 HREF="node11.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html171 HREF="node13.html"> Removing targets</A>
<B>Up:</B> <A NAME=tex2html169 HREF="node7.html"> A simple Makefile</A>
<B> Previous:</B> <A NAME=tex2html163 HREF="node11.html"> Using macro's</A>
<BR> <HR> <P>
<H2><A NAME=SECTION00035000000000000000> Using patterns</A></H2>
<P>
<P><A NAME=150>&#160;</A><A NAME=Makefile3>&#160;</A><IMG  ALIGN=BOTTOM ALT="" SRC="img17.gif">
<BR><STRONG>Figure 9:</STRONG> Pattern substitution in macro expansions.<BR>
<P>
<P>
The Makefile in figure 9 shows how we can use pattern substitution to
replace patterns in a list of identifiers. We changed the definition of
<code>OBJECTS</code> to replace all trailing <code>.c</code> in <code>$(SOURCES)</code> 
by <code>.o</code>. Note also the use of
comments, which start with a hash and extend to the end of the line.
<P>
A pattern can also be substituted in targets and dependencies.
This is very useful to specify how a source file can be compiled to an object
file.
All source files are compiled in a similar way, so we write a
<b> pattern rule</b> for generating a <code>.o</code> file from a <code>.c</code> file.
<P>
<P><A NAME=234>&#160;</A><A NAME=Makefile4>&#160;</A><IMG  ALIGN=BOTTOM ALT="" SRC="img18.gif">
<BR><STRONG>Figure 10:</STRONG> The use of <i> pattern rules</i>.<BR>
<P>
<P>
Figure <A HREF="node12.html#Makefile4">10</A> shows how we can use such a pattern rule.
This rule states how we can make a <code>.o</code> file from its corresponding
 <code>.c</code> file.
The macro <code>$&lt;</code> is used to denote the current dependency.
Analogous, <code>$@</code> denotes the current target.
Note that the dependencies at the end of the <code>Makefile</code> remain.
<i> Make</i> still needs to know <em> when</em> it must update a target.
<P>
In this example we explicitely gave the pattern rule for <code>%.o: %.c</code>,
but we do not need to do so.
Generation of an object file from a source file is so common, that <i> make</i>
knows how to do it.
If we omit the whole rule, <i> make</i> uses a slightly different but
functionally equivalent built-in default (suffix) rule.
However, defining the rule explicitly never hurts.
<P>
<BR> <HR>
<P><ADDRESS>
<I>Megens SA <BR>
Thu Jun 20 11:26:28 MET DST 1996</I>
</ADDRESS>
</BODY>
