<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> C++</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" C++">
<meta name="keywords" value="make">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html200 HREF="node16.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html198 HREF="node7.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html192 HREF="node14.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html201 HREF="node16.html"> Compilation failures</A>
<B>Up:</B> <A NAME=tex2html199 HREF="node7.html"> A simple Makefile</A>
<B> Previous:</B> <A NAME=tex2html193 HREF="node14.html"> Using libraries</A>
<BR> <HR> <P>
<H2><A NAME=SECTION00038000000000000000> C++</A></H2>
<P>
A <code>Makefile</code> for C++ programs needs some minor modifications.
Unfortunately, for C++ there are few standards: C++ implementation files
can have a <code>.c</code>, <code>.C</code> or <code>.cc</code> extension, and a compiler
can recognize any combination of these extensions as source files.
Different <i> make</i> implementations can have different default macros
for compiler names too.
<i> GNU Make</i> defines <code>CXX</code> as <code>g++</code> by default and uses
<code>CXXFLAGS</code> to pass flags to the C++ compiler.
<i> Solaris Make</i> defines <code>CCC</code> as <code>CC</code> by default and uses
<code>CCCFLAGS</code> to pass flags to the C++ compiler.
<P>
We should therefore never rely on default implicit rules provided by a certain
flavor of <i> make</i>.
Always write a <code>%.o: %.C</code> or <code>%.o: %.cc</code> pattern rule, depending on
which extension you use for your implementation files.
<P>
<BR> <HR>
<P><ADDRESS>
<I>Megens SA <BR>
Thu Jun 20 11:26:28 MET DST 1996</I>
</ADDRESS>
</BODY>
