<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Creating windows</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Creating windows">
<meta name="keywords" value="prototyping-www">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html278 HREF="node23.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html276 HREF="node12.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html272 HREF="node21.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html279 HREF="node23.html"> Building the interface</A>
<B>Up:</B> <A NAME=tex2html277 HREF="node12.html"> An introduction to </A>
<B> Previous:</B> <A NAME=tex2html273 HREF="node21.html"> Widget paths</A>
<BR> <HR> <P>
<H2><A NAME=SECTION000310000000000000000> Creating windows</A></H2>
<P>
So far we've only seen examples of using widgets in the main window of
<b>wish</b> . But what if we want to create an application that has multiple
windows? Then we need to create our own windows, called <em>toplevels</em> in
Tk. A toplevel can be created like a widget:
<PRE>% toplevel .t -width 320 -height 200 -text &quot;A new window&quot;
</PRE>
In contrast to a widget, a toplevel is shown directly after it is
created, since there's no need to put it somewhere in a window.
<P>
An example of a window using a frame and a couple of buttons is created with
the following commands:
<PRE>toplevel .t
frame .t.f
button .t.f.b1 -text &quot;Button 1&quot; -command { puts &quot;Button 1 pressed&quot; }
button .t.f.b2 -text &quot;Button 2&quot; -command { puts &quot;Button 2 pressed&quot; }
pack .t.f.b1 -side top
pack .t.f.b2 -side bottom
pack .t.f -side left
button .t.b3 -text &quot;Button 3&quot; -command { puts &quot;Button 3 pressed&quot; }
pack .t.b3 -side right -fill both
wm title .t &quot;A new window&quot;
</PRE>
This creates a window with pathname <code>.t</code>. All widgets that are to be
put in this window are prepended with this pathname.
This example also demonstrates binding simple commands to buttons and
changing the title of a window by means of the window manager command
(<code>wm</code>). To change the title of a window, a command of the form 
<code>wm title</code> <em>windowpath</em> <em>newtitle</em> is given (see
[<A HREF="node32.html#TclTkRefGuide">1</A>] for more information about <code>wm</code>-commands).
<P>
The resulting window is shown in figure <A HREF="node22.html#figSimpleWindow">5</A>.
<P>
<P><A NAME=142>&#160;</A><A NAME=figSimpleWindow>&#160;</A><IMG  ALIGN=BOTTOM ALT="" SRC="img5.gif">
<BR><STRONG>Figure 5:</STRONG> Example of a toplevel<BR>
<P><BR> <HR>
<P><ADDRESS>
<I>SE Praktikum <BR>
Tue Aug 13 13:33:30 MET DST 1996</I>
</ADDRESS>
</BODY>
