<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Substitutions</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Substitutions">
<meta name="keywords" value="prototyping-www">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html122 HREF="node8.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html120 HREF="node2.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html114 HREF="node6.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html123 HREF="node8.html"> Procedures</A>
<B>Up:</B> <A NAME=tex2html121 HREF="node2.html"> An introduction to </A>
<B> Previous:</B> <A NAME=tex2html115 HREF="node6.html"> Expressions</A>
<BR> <HR> <P>
<H2><A NAME=SECTION00025000000000000000> Substitutions</A></H2>
<P>
We already saw one form of substitution: variable substitution by putting
<code>$</code> in front of a variable. Another form of substitution is
<em>command substitution</em>. Suppose you want to give to some variable a value
that's the result of some
computation: that's not possible with the constructs described so far:
<PRE>% set myvar 3 * 27
wrong # args: should be &quot;set varName ?newValue?&quot;
% set myvar 3*27
3*27
% set myvar expr 3*27
wrong # args: should be &quot;set varName ?newValue?&quot;
</PRE>
The first and third try will fail because the number of arguments to
<code>set</code> is wrong. The second try is not so strange when you remember that
Tcl only knows strings. What you want to do here is to substitute the value
of a computation (for example <code>expr 3*27</code>) for one of the arguments.
This is done by using square brackets ('<code>[</code>' and '<code>]</code>'):
<PRE>% set myvar [ expr 3*27 ]
81
% puts $myvar
81
</PRE>
<P>
Tcl offers a couple of other forms of substitution, but these are not
described here.
<P>
<BR> <HR>
<P><ADDRESS>
<I>SE Praktikum <BR>
Tue Aug 13 13:33:30 MET DST 1996</I>
</ADDRESS>
</BODY>
