// intstack.cc

#include "intstack.h"

const int maxsize = 10;

intstack::intstack()
{
    top_ = 0;
    stack_ = new int[maxsize];
}

intstack::~intstack()
{
    top_ = 0;
    delete[] stack_;
}

void intstack::push(int element)
{
    stack_[top_] = element;
    top_++;
}

void intstack::pop(int& element)
{
    top_--;
    element = stack_[top_];
}

bool intstack::empty()
{
    return (top_ == 0);
}

bool intstack::full()
{
    return (top_ == maxsize);
}
