<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> The histogram class</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" The histogram class">
<meta name="keywords" value="sim">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html463 HREF="node30.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html461 HREF="node26.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html457 HREF="node28.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html465 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html464 HREF="node30.html"> Realizing accuracy goals</A>
<B>Up:</B> <A NAME=tex2html462 HREF="node26.html"> Gathering results with </A>
<B> Previous:</B> <A NAME=tex2html458 HREF="node28.html"> Samples and reports</A>
<BR> <HR> <P>
<H3><A NAME=SECTION00051300000000000000> The histogram class</A></H3>
<P>
The class <i> histogram</i> has the following interface :
<PRE>   interface histogram
   {
      histogram(char* p,char* options = &quot;&quot;);
      histogram(widget* w,char* p,char* options = &quot;&quot;);
      virtual ~histogram();      
   
      void sample(double x,double y = 1);     // adds a sample
   
      ofstream* file(char* fn);         // write samples to fn
      void closefile(char* fn);         // write samples to fn

      void reset();                 // resets histogram
   
      double mean();                // return mean
      double variance();            // return variance
      double standarddeviation();   // return standard deviation
      double sumfrequencies();      // return sum of frequencies
      double minimum();             // return minimum value
      double maximum();             // return maximum value

      friend ostream&amp; operator&lt;&lt;(ostream&amp; os,histogram&amp; h);
   };
</PRE>
<P>
The <i> reset</i> method resets a histogram as if nothing was recorded
yet (by setting the internal data to its original state). The simulation, generator, resource and queue classes also contain
this method. The use is made clear in the following section.
<P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Tue Oct 31 09:27:21 MET 1995</I>
</ADDRESS>
</BODY>
