<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> The analysis class</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" The analysis class">
<meta name="keywords" value="sim">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html539 HREF="node37.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html537 HREF="node32.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html533 HREF="node35.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html541 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html540 HREF="node37.html"> Graphics</A>
<B>Up:</B> <A NAME=tex2html538 HREF="node32.html"> Analyzing the results</A>
<B> Previous:</B> <A NAME=tex2html534 HREF="node35.html"> Fitting curves and </A>
<BR> <HR> <P>
<H3><A NAME=SECTION00053400000000000000> The analysis class</A></H3>
<P>
The interface of the class <i> analysis</i> is :
<PRE>   interface analysis 
   {
     analysis(histogram* h);           // taking histogram to be analyzed
     virtual ~analysis();   

     screen* format(char* p,char* options = &quot;&quot;);
     screen* format(widget* w,char* p,char* options = &quot;&quot;);
 
     double confidence(char* options = &quot;&quot;); // confidence interval of mean
     double confidence(histogram* h,char* options = &quot;&quot;); // difference

     double covariance(histogram* h2);  // covariance h and h2
     double correlation(histogram* h2)  // correlation h and h2
   
     double chisquaretest(double* expected); // chi-square test
   
     double linear();                    // linear fit, return chi-square
     double linear(double a,double b);   
     double quadratic();                 // quadratic fit, return chi-square
     double quadratic(double a,double b,double c);
   
     double uniform();                   // uniform fit, return chi-square
     double uniform(double a,double b);     
     double exponential();               // exponential fit, return chi-square
     double exponential(double a);     
               .
               .
               .
     double laplace();                   // laplace fit, return chi-square
     double laplace(double a); 
   
     int behavior(histogram* h,int n);   // report behavior, gets buffer size
   };
</PRE>
<P>
The <i> analysis</i> class provides a format method to create the
output screen. If this function is not invoked the screen is by
default toplevel. The format method takes the following options
<P>
<UL><LI>  -foreground (color) - default black
<LI>  -background (color) - default grey
<LI>  -plot (color) - default red  (for curve fitting)
<LI>  -width (int) - default 400
<LI>  -height (int) - default 100
<P>
</UL>
<P>
The method <i> behavior</i> can be used to analyze the 
behavior of the simulation, for example when detecting the steady state. 
It generates a report on the moving average of the given histogram.
<P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Tue Oct 31 09:27:21 MET 1995</I>
</ADDRESS>
</BODY>
