<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Probability distributions</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Probability distributions">
<meta name="keywords" value="sim">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html712 HREF="node52.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html710 HREF="sim.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html704 HREF="node50.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html714 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html713 HREF="node52.html">   About this document </A>
<B>Up:</B> <A NAME=tex2html711 HREF="sim.html">SIM : a C++ </A>
<B> Previous:</B> <A NAME=tex2html705 HREF="node50.html"> A test on </A>
<BR> <HR> <P>
<H1><A NAME=SECTION000100000000000000000> Probability distributions</A></H1>
<P>
The <i> generator</i> and <i> analysis</i> classes use the following probability distributions as
described in [Watkins 93] and [Kalvelagen 90]. 
Some use the <IMG  ALIGN=BOTTOM ALT="" SRC="img33.gif"> function, which is defined as :
<IMG  ALIGN=MIDDLE ALT="" SRC="img34.gif">
<P>
The distributions are :
<UL><LI> <i> the uniform distribution</i>, this distribution represents the
situation whereby a random number can take values within a finite
range <IMG  ALIGN=MIDDLE ALT="" SRC="img35.gif"> with equal probability. It is characterized
by the following function :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img36.gif"><P>
<P>
The method in the library takes the upper and lower limit as parameters.
<LI> <i> the exponential distribution</i>, takes the non-negative mean <IMG  ALIGN=BOTTOM ALT="" SRC="img37.gif"> as parameter. Its function :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img38.gif"><P>
<P>
This function is used to model purely random events such as the time
between arrivals of a customer.
<LI> <i> the hyperexponential distribution</i>, takes the non-negative means <IMG  ALIGN=BOTTOM ALT="" SRC="img39.gif"> and <IMG  ALIGN=MIDDLE ALT="" SRC="img40.gif"> of two
exponential distributions as parameters. It then generates a variate 
from the first distribution with chance <i> p</i> and
a variate of the second with chance <i> 1-p</i>. Its function :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img41.gif"><P>
<P>
<LI> <i> the normal distribution</i>, the first parameter
to this distribution is the mean <IMG  ALIGN=BOTTOM ALT="" SRC="img42.gif">, the second is the standard deviation
<IMG  ALIGN=MIDDLE ALT="" SRC="img43.gif">.
It is characterized by the following probability distribution :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img44.gif"><P>
<P>
This function is used for the modeling of the additive effect of
several independent trials.
<LI> <i> the lognormal distribution</i>, 
It is calculated as the logarithm of the normal distribution with
<IMG  ALIGN=BOTTOM ALT="" SRC="img45.gif"> as mean and <IMG  ALIGN=MIDDLE ALT="" SRC="img46.gif"> as standard deviation. Its
probability function :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img47.gif"><P>
<P>
<LI> <i> the erlang distribution</i>.
It is used to model service times in a
queuing system that has <i> n</i> servers where each server has
a mean service time of <IMG  ALIGN=BOTTOM ALT="" SRC="img48.gif">. The overall service time of
this system is given by the <i> erlang</i> distribution.
It is characterized by the following distribution :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img49.gif"><P>
<P>
<LI> <i> the gamma distribution</i>, this distribution is parameterized
by two values <IMG  ALIGN=BOTTOM ALT="" SRC="img50.gif"> and <IMG  ALIGN=MIDDLE ALT="" SRC="img51.gif">, both greater then 0.
It has the following probability distribution :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img52.gif"><P>
<P>
<LI> <i> the poisson distribution</i>, gets the mean <IMG  ALIGN=BOTTOM ALT="" SRC="img53.gif"> as parameter. This function is used to model the number
of occurrences, such as the number of component failures, over a given
period of time. It is characterized by the following distribution :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img54.gif"><P>
<P>
<LI> <i> the geometric distribution</i>,  this distribution is characterized
by <i> p</i>, the chance on success. It is used to model the number of
occurrences between two significant events as the number of
failures to acquire a particular resource until the first success.
Its distribution :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img55.gif"><P>
<P>
<LI> <i> the hypergeometric distribution</i>.
Suppose that a sample of size <i> n</i> is to be randomly chosen (without
replacements) from an urn containing <i> m</i> balls of which <i> mp</i>
are white and <i> m(1-p)</i> are black. The chance of <i> x</i> white
balls selected follows the hypergeometric distribution and is equal to :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img56.gif"><P>
<P>
<LI> <i> the weibull distribution</i>, it gets <IMG  ALIGN=BOTTOM ALT="" SRC="img57.gif"> and
<IMG  ALIGN=MIDDLE ALT="" SRC="img58.gif"> as parameters, both greater then 0. It is used for reliability
measures such as the lifetime of components. It is characterized by
the following distribution function :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img59.gif"><P>
<P>
<LI> <i> the binomial distribution</i>, 
gets as parameters <i> p</i>, the chance on a success and <i> n</i>, the
number of trials. It is used to model the number of successes in <i> n</i>
independent Bernoulli trials. It has the following probability distribution :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img60.gif"><P>
<P>
<LI> <i> the negative binomial distribution</i>,
it is parameterized by <i> p</i>, the chance on a success, and
 n, the number of successes. The negative binomial distribution
returns the number of failures before the <IMG  ALIGN=BOTTOM ALT="" SRC="img61.gif"> success. You can
think of the number of retransmissions of a file. The negative binomial
distribution is characterized by the following function :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img62.gif"><P>
<P>
<LI> <i> the beta distribution</i>, this probability function is characterized by the
two parameters <IMG  ALIGN=BOTTOM ALT="" SRC="img63.gif"> and <IMG  ALIGN=MIDDLE ALT="" SRC="img64.gif">. It is used to model random proportions
as the fraction of customers that could not be served. It has the
following distribution :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img65.gif"><P>
<P>
<LI> <i> the laplace distribution</i>.
The laplace distribution looks like
the exponential distribution with a mirror image in the y-axis. It has
the following probability function :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img66.gif"><P>
<P>
<LI> <i> the <IMG  ALIGN=MIDDLE ALT="" SRC="img67.gif"> distribution</i>,
with <i> n</i>, the degrees of freedom as parameter.
It has as probability distribution function :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img68.gif"><P>
<P>
The <IMG  ALIGN=MIDDLE ALT="" SRC="img69.gif"> distribution is a special case of the gamma distribution with
<IMG  ALIGN=MIDDLE ALT="" SRC="img70.gif"> and <IMG  ALIGN=MIDDLE ALT="" SRC="img71.gif">.
<LI> <i> the student's t distribution</i>, it
also gets the degrees of freedom as parameter.
If n is large enough (<IMG  ALIGN=MIDDLE ALT="" SRC="img72.gif">), it can be approximated by the standard
normal distribution. It has as function :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img73.gif"><P>
<P>
<LI> <i> the F distribution</i>, returns a value of the F distribution, which
is often used for testing variances. The distribution takes
two positive integers as arguments, defining the degrees of freedom
of the variances being tested.
It has a probability distribution function :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img74.gif"><P>
<P>
<LI> <i> the triangular distribution</i>, it gets the mode of the distribution as parameter. Dependent on the
mode <i> m</i> the distribution is in the function takes on various triangular shapes.
If the mode is equal to 0.5, the triangular distribution is symmetrical. It has the following probability function :
<P><IMG  ALIGN=BOTTOM ALT="" SRC="img75.gif"><P></UL><BR> <HR><A NAME=tex2html712 HREF="node52.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html710 HREF="sim.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html704 HREF="node50.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html714 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html713 HREF="node52.html">   About this document </A>
<B>Up:</B> <A NAME=tex2html711 HREF="sim.html">SIM : a C++ </A>
<B> Previous:</B> <A NAME=tex2html705 HREF="node50.html"> A test on </A>
<BR> <HR> <P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Tue Oct 31 09:27:21 MET 1995</I>
</ADDRESS>
</BODY>
