<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> The event class</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" The event class">
<meta name="keywords" value="sim">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html217 HREF="node9.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html215 HREF="node6.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html211 HREF="node7.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html219 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html218 HREF="node9.html"> The process-oriented approach</A>
<B>Up:</B> <A NAME=tex2html216 HREF="node6.html"> The event-based approach</A>
<B> Previous:</B> <A NAME=tex2html212 HREF="node7.html"> The Dining Philosophers</A>
<BR> <HR> <P>
<H3><A NAME=SECTION00033200000000000000> The event class</A></H3>
<P>
The interface of the <i> event</i> class :
<P>
<PRE>   interface event 
   {
   protected :
     event(int qp=0,int sp=0,int kf = FALSE);  // queuing and scheduling 
                                  // priority and kill flag as arguments
   
   public :
     virtual ~event();                   // destructor.
   
     virtual int operator()() = 0;       // empty

     virtual int verify();               // returns OK
   
     int report(histogram* h,double interval = 0);  // create report
   
     void stamp();                       // add time stamp
     double timespent();                 // time since the stamp
   
     int queuingpriority();              // return queuing priority
     int schedulingpriority();           // return scheduling priority
     void queuingpriority(int p);        // adjust queuing priority
     void schedulingpriority(int p);     // adjust scheduling priority
   
     int active();                       // is active ?
     int pending();                      // is pending ?
     int conditional();                  // is conditional ?
     int closed();                       // is closed ?
     int passive();                      // is passive ?
     int queued();                       // is queued ?
   };
</PRE>
<P>
When creating an event it receives the queuing and scheduling priorities
and a kill flag, which should be set to OK when the simulation is ran
for a number of terminated events. The report method generates a
histogram of the time the events stayed in the simulation.
It is printed each <i> interval</i> time units.
<P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Tue Oct 31 09:27:21 MET 1995</I>
</ADDRESS>
</BODY>
