<document>
<title>DejaVu -- OOP/Hypermedia (Vrije Universiteit, Amsterdam)</title>
<h1>DejaVu -- OOP/Hypermedia (Vrije Universiteit, Amsterdam)</h1>
The DejaVu OOP/Hypermedia project at the Vrije Universiteit
(Amsterdam) aims at developing a framework for
intelligent, distributed hypermedia applications.
The research has thus far resulted in a number of publications,
as well as software libraries for the development
of hypermedia applications, multimedia user interfaces
and (animated) simulations.
The project team consists of a coordinator (A. Eliens)
and three assistent researchers, as well as a programmer.
Topics of attention include:
object-orientation,
declarative markup,
time-based media,
active documents,
simulation
and
multi-paradigm software environments.
In the DejaVu project, technology has been developed
that allows for a connection to the World Wide Web
and that enables the user to employ active documents
on the Web.

<control>
<h4>References</h4>
</control>
<references>
<dl>
<dt> Eliens92
<dd> A. Eliens,
DLP - A language for distributed logic programming,
Wiley (1992)
<dt> Eliens95
<dd> A. Eliens,
Principles of Object-Oriented Software Development,
Addison-Wesley (1995)
<dt> Eliens95b
<dd> A. Eliens,
Hush -- a C++ API for Tcl/Tk, 
The X Resource, Issue 11, April 1995
<dt> BolEl94
<dd> D. Bolier \& A. Eliens,
Sim -- a C++ simulation library, IR-367,
Vrije Universiteit (1994)
<dt> OssEl94
<dd> J. van Ossenbruggen \& A. Eliens,
Music in Time-based Hypermedia,
Proc. European Conference on Hypermedia Technology 1994,
pp. 224-227
<dt> DoornEl94
<dd> M. van Doorn \& A. Eliens,
Integrating WWW and Applications,
ERCIM W4G
Int. Workshop on WWW Design Issues '94,
Amsterdam, Nov 29- Dec. 1
<dt> DoornEl95a
<dd> M. van Doorn \& A. Eliens
Information management, SGML and active documents,
ERCIM W4G,
Int. Workshop on WWW Design Issues '95,
Paris Feb. 8-10
<dt> VisserEl95
<dd> C. Visser \& A. Eliens,
A Language System Architecture for the Interoperability of
Distributed Multi-Paradigm Objects,
European Research Seminar on Advances in Distributed Systems,
L'Alpe d'Huez, April 3-7, 1995
<dt> DoornEl95b
<dd> M. van Doorn \& A. Eliens,
Integrating WWW and Applications,
In Proc. Third Int. World Wide Web Conf. --
Technology, Tools and Applications,
April 10-14, 1995, Darmstadt,
Computer Networks and ISDN Systems 27(6), pp. 1105-1110
</dl>
</references>
</document>
