<h4>Connecting to the WWW</h4>
<include file=navigate>
In addition to the basic hypertext facility mentioned before,
the DejaVu framework also provides support
(in the form of the <i>web</i> widget)
for hypertext files written in HTML.
The <i>web</i> widget displays HTML files and allows for 
following links defined by URLs.
In addition to the standard widget functions,
it offers a function <i>loadhome</i>, to load
a home page.
In a similar way as the basic hypertext widget,
the <i>web</i> widget allows for embedding
(Tcl) script code, by using the
special (non-HTML) tag <i>hush</i>,
as illustrated below:
<pre>
 &lt;h1&gt;Digital video for HushWWW&lt;/h1&gt;
 &lt;hush tcl=source [urlfile http://www.cs.vu.nl/~se/mpeg.tcl&gt;
 You need the hush browser to play this MPEG demo 
 &lt/hush&gt;
</pre>
The actual script code itself may be obtained
from some site by using the special command
<i>urlfile</i>.
The text inbetween the <i>hush</i> begin and end tag
will be displayed by 'ordinary' browsers, such as Mosaic
and Netscape.
Evaluating the script code may, similar as
for the hypertext widget, result in packing
additional widgets to the browser (widget),
as for example a video widget showing an mpeg movie.
<include file=navigate>
