<h4>Digital video</h4>

Digital video may be considered as another
standard ingredient of hypermedia and multimedia
framworks.
To employ digital video, our framework offers
the class <i>video</i>, of which
the public interface is shown below:
<pre>
   interface video : widget {
     ...
     void file( char* name );
     ...
     void forward();
     void rewind();
     ...
     void bind( int frmanr, handler* h);
   };
</pre>
Apart from the usual widget creation commands,
the class <i>video</i> has functions for reading
in a video file, to play (forward)
and to rewind.
In addition, it offers a function <i>bind</i>
which may be used to bind a framenumber to an event.
Binding framenumbers to events
allows for both synchronization and hyperlinking,
albeit in a low level fashion.
<p>
Our video extension is based on the public domain <i>xanim</i>
package and includes support
for MPEG, AVI and Quicktime.
