class A {
  public:
    A();
    virtual ~A() { delete body; }
    virtual void f1()  { body->f1(); }
    virtual void f2()  { body->f2(); }
  private: 
    A* body;
  protected: 
    A(int dummy); 
};

class BodyOfA: public A {
  public:
    BodyOfA() : A(666) { };
    void f1()  { cout << "A::f1()" << endl; }
    void f2()  { cout << "A::f2()" << endl; f1(); }
};

A::A() { body = new BodyOfA; }
A::A(int dummy) { body = 0; }
