<slide id=www5-abstract cap="Abstract">
<H2><a href=@talk-absract.html target=_top>Abstract</a></H2>

There seems to be a trend towards replacing
monolithic general-purpose Web browsers
by more finely-tuned Web applications
enhanced with user-specific functionality,
such as for example applets that allow
for user-interaction or
the display of dynamic information.
<P>
This raises the issue of what support should be
provided for developing such applications.
This workshop intents to address these issues.
Topics include:
<UL>
<LI> Web programming languages
<LI> components for developing Web applications
<LI> software libraries -- HTML/HTTP support
<LI> (object) composition mechanisms -- CORBA, OLE, ...
<LI> additional communication protocols --
broadcasting, ToolTalk, ...
<LI> agents -- mobile code, ...
</UL>
To focus the discussion, we state that
"<em>the language wars are over, the next war will
be an API war, or rather several of them</em>."
In other words, as a result of the workshop, we like
to see (proposals for) high-level support
for Web-integrated applications.
<p>
We like the workshop to result in
<UL>
<LI> the definition of requirements for high-level APIs
and frameworks for Web programming
<LI> the characterization of suitable components
for Web-aware applications,
<LI> an overview of existing APIs for the Web
</UL>
</slide>
