<h2>Keynote -- What is the Web's model of computation? </h2>
The keynote was given by
Luca Cardelli.
As testified by a summary of the main points below
(recorded by Dave de Roure)
it is not altogether clear what exactly is
the Web's model of computation, nor what support should be provided
on a language level or API level.
 
<slide id=www5-keynote cap="Keynote -- What is the Web's model of computation?">
@ Keynote -- What is the Web's model of computation?
<ul>
<li> There is concept of "global computation" (eg crawlers) but...
<li> Web is not uniform (except HTTP)
<li> Speed of light is finite => mobility a necessity
<li> Single global structure not enough, view as multiple "global computers"
  ("intrawebs", maybe non<li>HTTP, non-Java-VM) each with some guarantees
<li> model of computation = language independent model for APIs
                       + model on which to base language constructs
<li> turn web into uniform structure or "program the complexity" (yes)?
<li> existing programming models don't capture locality
<li> observables like referential integrity and QoS not in trad. models
<li> Different languages may be appropriate for different
  "global computers" e.g. Telescript, Obliq, Java
<li> Semantics needed to understand computational assumptions and requirements, 
  answer important security questions, reason about programs
<li> Issues: Typing (MIME is a mechanism...?), security, reliability,
  modularity, resource management
</ul>
<p>
See http://www.research.digital.com/SRC/personal/Luca_Cardelli/home.html
for more material.
</slide>
<hr>
The slides are available at
(A4) http://www.research.digital.com/SRC/personal/Luca_Cardelli/Slides/WWW5APITalk.A4.ps
<br> 
(USLetter) http://www.research.digital.com/SRC/personal/Luca_Cardelli/Slides/WWW5APITalk.ps
<hr>
<p>
In particular, Cardelli's speech made clear
that the distinction between API, languages and
computation models is not clear cut.
