<h2>Rationale</h2>
<p>
The workshop was intended to focus on
concepts and requirements for high-level API
suitable for developing Web-aware applications.
An explicit goal of the workshop was to publish
state of the art references to existing APIs.
<p>
The papers that were submitted covered a wide range of interests,
including computation models, applications and user
requirements, software architectures and libraries
as well as heuristics and guidelines for API developers.

<slide id=www5-rationale cap="Rationale">
@ Rationale
<dl>
<dt> <b>C</b>omputation Models  
<dd>
[_Model], [_DOOWWW], [_CAMEO], [_HIPPO], [_V6]
<dt> <b>A</b>pplications and Users
<dd>
[_Meta], [_UOD], [_URA], [_VAPIS], [_VEMMI] , [_Tele]
<dt> <b>S</b>oftware Architecture 
<dd>
[_W3CReference], [_V6],
[_Broker], [_CAMEO], [_DejaVu], [_Jigsaw], [_FastCGI]
<dt> <b>H</b>euristics and Guidelines
<dd>
[_W3CReference], [_Configure], [_VAPIS]
</dl>
</slide>

As can be expected opinions diverged
on many of the issues, even the need for APIs
to exist at all.
To get the flavor of the positions presented
by the participants, some of the points put forward
are listed below:
<slide id=www5-positions cap="Positions">
<ul>
    <li>APIs should be layered, open-ended, thread-safe,
        platform-independent, ...
    <li>Configuration must be part of API.
    <li>APIs must provide support for monitoring, notification 
        and triggering.
    <li>APIs should be avoided -- instead filter composition
        devices should be used.
    <li>APIs should provide for callbacks, plug-ins, ...
</ul>
</slide>

A summary of the papers can be found
together with the list of
<a href=participants.html#Positions>participants</a>.



