<document class=article>

<h2>References</h4>

<bibliography>

%K Support
%A A.T.M. Aerts, P.M.E. De Bra and J.T. De Munk,
%T Supporting Hyperdocuments on World Wide Web,
%O Proceedings of the Interdisciplinary 
Conference on "Informatiewetenschap", Delft, 1996.

%K Tasks
%A Brazier, F.M.T., Treur, J., Wijngaards, N.J.E., and Willems, M.
%T Formal specification of hierarchically (de)composed tasks.
%O In: Gaines, B.R.
and Musen, M. (eds.), Proc. of the 9th Banff Knowledge Acquisition
for Knowledge-Based Systems Workshop, University of Calgary, 
1995.

%K Multiagents
%A Brazier, F.M.T., Dunin Keplicz, B., Jennings, N. and Treur, J.,
%T Formal specification of multi-agent systems: a real world case.
%O In: Lesser, V.
(ed.). Proc. 1st International Conference on Multi-Agent Systems
ICMAS 95. pp. 25-32. AAAI Press, Menlo Park, 1995.

%K Modeling
%A F.M.T. Brazier, B. Dunin-Keplicz, N. Jennings and J. Treur,
%T Modelling distributed industrial processes in
a multi-agent framework,
%O In: G.
O' Hare and S. Kirn (eds.), Towards the Intelligent Organisation - The
Coordination Perspective, Springer Verlag, 1996

%K Compositional
%A Brazier, F.M.T., Dunin Keplicz, B., Jennings, N. and Treur, J.,
%T DESIRE: Modelling Multi-Agent Systems in a Compositional Formal
Framework.
%O International Journal of Cooperative Information Systems vol. 6,
M. Huhns, M. Singh (eds.), Special Issue on Formal Methods in
Cooperative Information Systems: Multi-Agent Systems, 1997.


%K ModelAge96
%A F.M.T. Brazier, P.A.T. van Eck, J. Treur,
%T Modelling cooperative
behaviour for resource access in a compositional multi-agent
environment,
%O Proc. MODELAGE'96 Workshop, Portugal

%K ModelAge97
%A F.M.T. Brazier, B. Dunin Keplicz, J. Treur, R. Verbrugge,
%T Modelling internal dynamic behaviour of BDI agents.
%O Proc.  MODELAGE'97 Workshop, Italy

%K ATAL96
%A Brazier, F.M.T., Jonker, C.M., Treur, J.,
%T Formalisation of a cooperation model based on joint intentions,
%O In: J. Muller, M.  Wooldridge, N.R. Jennings (eds.),
Intelligent Agents III, (Proc.  Third Int. Workshop on
Agent Theories, Architectures and Languages,
ATAL'96), Lecture Notes in AI, Springer Verlag, 1997, to appear


%K KAW96
%A Brazier, F.M.T., Treur, J., Wijngaards, N.J.E.,Willems, M.,
%T Temporal Semantics of Complex Reasoning Tasks.
%O In: B. Gaines, M.
Musen (eds.), Proc. 10th Banff Knowledge Acquisition Workshop,
KAW'96, University of Calgary, 1996



%K User
%A F.M.T. Brazier, J. Treur, N.J.E. Wijngaards,
%T Modelling Interaction with Experts: the Role of a Shared Task Model,
%O In: W. Wahlster (ed.),
Proc. European Conference on AI,  ECAI'96, John Wiley and Sons,
1996


%K Cooperation
%A F.M.T. Brazier, C.M. Jonker, J. Treur,
%T Modelling Project Coordination in a Multi-Agent Framework.
%O Proc. Fifth Workshops on Enabling 
Technologies: Infrastructure for Collaborative Enterprises (WET 
ICE'96), IEEE Computer Society Press, 1996


%K Tower
%A P. De Bra, G.J. Houben, Y. Kornatzky,
%T An Extensible Data Model for Hyperdocuments,
%O Proc. 4-th ACM Conf. on Hypertext, pp. 222-231, 1992.
Also at: http://www.win.tue.nl/~debra/echt92/final.ps

%K Browsing
%A P. De Bra, G.J. Houben, Y. Kornatzky,
%T A Formal Approach to Analyzing the Browsing Semantics of Hypertext,
%O Proc. CSN-94 Conference, pp. 78-89, 1994.
Also at: http://www.win.tue.nl/~debra/csn94/csn94.ps

%K Bra
%A P. De Bra, G.J. Houben, Y. Kornatzky, R. Post,
%T Information Retrieval in Distributed Hypertexts,
%O Proc. RIAO-94 Conference, pp. 481-492, New York, 1994.
Also at:
http://www.win.tue.nl/~debra/riao94/explore.ps

%K Dress
%A P.M.E. de Bra and A. Aerts,
%T Multi-user publishing in the Web:
DreSS, a document repository service station,
%O Proc. NLUUG Autumn Conference "Publishing on the World Wide Web", pp. 13-26,
1995.
Also at:
http://www.win.tue.nl/~debra/dress/dress-paper.html



%K Fish
%A P.M.E. de Bra and R.D.J. Post,
%T Searching for arbitrary information in the WWW:
the Fish-search for Mosaic,
%O (on-line) Proc. 2nd Int. World Wide Web Conf., 1994.
Available at:
http://www.ncsa.uiuc.edu/SDG/IT94/Proceedings/Searching/debra/article.html

%K Search
%A P.M.E. de Bra and R.D.J. Post,
%T Information retrieval in the World-Wide Web:
making client-based searching feasible
%O Proc. of the 1st Int. World Wide Web Conf., Journal on Computer Networks and
ISDN Systems, No 27, pp. 183-192, Elsevier, 1994.
Also at
http://www.cern.ch/PapersWWW94/reinpost.ps

%K Applications
%A M. van Doorn and A. Eliens,
%T Integrating WWW and Applications,
%O Proc. of the 3th Int. World Wide Web Conf. --
Technology, Tools and Applications,
Computer Networks and ISDN systems,
Vol 27. No 6, Elsevier, 1995, pp. 1105-1110,
Also at
http://www.igd.fhg.de/www/www95/proceedings/papers/48/main.html

%K Compositional
%A Dunin-Keplicz, B. and Treur, J.,
%T Compositional formal specification of multi-agent systems.
%O In: Wooldridge, M. and Jennings, N.R. (eds.)
Intelligent Agents. Lecture Notes in Artificial Intelligence, Vol. 890,
Springer-Verlag, pp. 102-117, 1995.

%K ICMAS96
%A B. Dunin-Keplicz, L.C. Verbrugge,
%T Collective commitments,
%O Proc. of the Second International Conference on Multi-Agent
Systems, ICMAS'96, MIT Press, 1996

%K DLP
%A A. Eliens,
%B <a href=http://www.cs.vu.nl/~eliens/books/dlp>
DLP - A language for distributed logic programming</a>,
%O Wiley (1992)


%K OO
%A A. Eliens,
%B <a href=http://www.cs.vu.nl/~eliens/book/poosd.html>
Principles of Object-Oriented Software Development</a>,
%O Addison-Wesley (1995)

%K Hush
%A A. Eliens,
%T <a href=http://www.cs.vu.nl/~eliens/hush/>
Hush -- a C++ API for Tcl/Tk</a>,
%O The X Resource, Issue 14, April 1995, pp. 111-155

%K Animate
%A A. Eliens, J.R. van Ossenbruggen, S.P.C. Schonhage,
%T Animating the Web -- an SGML-based approach
%O Proc. Int. Conf. on 3D and Multimedia on the Internet, WWW and Network,
Bradford, 17-18 April 1996, Britisch Computer Society

%K JELIA94
%A J. Engelfriet, J. Treur,
%T Temporal Theories of Reasoning.
%O In: C.
MacNish, D.Pearce, L.M. Pereira (eds.), Logics in Artifical
Intelligence, Proceedings JELIA 94, Lecture Notes in Artificial
Intelligence, Vol. 838, Springer-Verlag, 1994, pp. 279-299. Also in:
Journal of Applied Non-Classical Logics 5(2), 1995, pp. 239-261.

%K ECAI94
%A Gavrila, I.S. and Treur, J.
%T A formal model for the dynamics of compositional reasoning systems,
%O In A.G. Cohn (ed.), Proc.
11th European Conference on Artificial Intelligence, ECAI'94 ,
John Wiley & Sons, Chichester, 1994, pp. 307-311.



%K Desire
%A Langevelde, I.A. van, Philipsen, A.W. and Treur, J.,
%T Formal specification of compositional architectures.
%O In: B. Neumann (ed.) Proc. 10th
European Conference on Artificial Intelligence, ECAI'92, John Wiley
and Sons, Chichester, 1992, pp. 272-276.

%K OODB
%A J.T. de Munk, A.T.M. Aerts, P.M.E. De Bra,
%T OODB Support for WWW Applications: Disclosing the internal structure of
Hyperdocuments,
%O TUE Computing Science Reports No. 96-08, ISSN 0926-4515, 1996.
Also at: http://www.win.tue.nl/~wsinatma/dbswww.html
 
%K Music
%A J.R. van Ossenbruggen and A. Eliens,
%T Bringing Music to the Web,
%O Proc. of the 4th Int. World Wide Web Conference '95 --
The Web revolution,
World Wide Web Journal, O'Reilly and Assoc., Inc., pp. 309-314,
Also at 
http://www.w3.org/pub/Conferences/WWW4/Papers/143/

%K Logical
%A Treur, J. and Willems, M.,
%T A logical foundation for verification.
%O In: Cohn,
A.G. (ed.) Proc. of the 11th European Conf. on AI, ECAI'94. pp.
745-749, John Wiley & Sons, Chichester, 1994.

%K Verification
%A Treur, J. and Willems, M.,
%T Formal notions for verification of dynamics of knowledge-based systems.
%O In: Ayel, M. and Rousset, M.C. (eds.)
Proc. of the European Symp. on the Validation and Verification of
Knowledge-Based Systems EUROVAV'95. pp. 189-199. Chambery:
ADERIAS-LIA, 1995.

%K META94
%A Treur J.,
%T Temporal Semantics of Meta-Level Architectures for
Dynamic Control of Reasoning.
%O In: L. Fribourg and F. Turini (ed.),
Logic Program Synthesis and Transformation-Meta-Programming in
Logic, Proceedings of the Fourth International Workshop on
Meta-Programming in Logic, META'94. Springer Verlag, Lecture
Notes in Computer Science, vol. 883, 1994, pp. 353-376.

%K VE95
%A C. Visser and A. Eliens,
%T A Language System Architecture for the Interoperability of
Distributed Multi-Paradigm Objects,
%O European Research Seminar on Advances in Distributed Systems,
L'Alpe d'Huez, April 3-7, 1995

%K SE
%A J.C. van Vliet,
%B Software Engineering -- Principles and Practice
%O Wiley (1993)
 
%K Chatting
%A M. van Welie and A. Eliens,
%T <a href=http://www.cs.vu.nl/~martijn/chatting.html>Chatting on the Web</a>
%O ERCIM W4G Workshop, 7-9 febr 1996, GMD St Augustin, Germany
(availble at 
http://www.cs.vu.nl/~martijn/chatting.html
 

%K Oasis
%A F-C. Cheong,
%B Oasis: an agent-oriented programming 
language for heterogeneous distributed 
environment,
%O Dissertation Univ. of Michigan, 1992

%K Internet
%A F-C. Cheong,
%B Internet Agents: Spiders, Wanderers, Brokers and Bots
%O New Riders, 1996

%K Softbots
%A O. Etzioni and D. Weld,
%T A Softbot-based interface to the Web,
%O CACM 37(7), 1994, pp. 72-76

%K IsIt
%A S. Franklin and A. Graesser,
%T Is it an Agent, or just a Program?:
A taxonomy for autonomous agents,
%O Report Institute of Intelligent Systems, University of Memphis 

%K Software
%A M.R. Genesereth and S.P. Ketchpel,
%T Software Agents
%O CACM 37(7), 1994, pp. 48-53

%K Java
%A J. Gosling and H. McGilton,
%T The Java(tm) Language Environment: A White Paper
%O Sun Microsystems, available at 
http://java.sun.com/whitePaper/java-whitepaper-1.html

%K Negro
%A N. Negroponte
%B Being Digital
%O New Riders, 1995


%K Architecture
%A D. Riecken
%T M: An architecture of integrated agents
%O CACM 37(7), 1994, pp. 107-116

%K Survey
%A M. Wooldridge and N.R. Jennings
%T Agent Theories, Architectures and Languages: A Survey
%O In: Wooldridge, M. and Jennings, N.R. (eds.)
Intelligent Agents, Lecture Notes in AI, Vol. 890, pp. 1-39, Springer-
Verlag, 1995.

</bibliography>

</document>

