% USER LEVEL TEST DATA

item(sphere).

group @{
  children @[
    def saucer = `transform(
       translation(0,1,1),scale(0.6,0.2,0.6),rotation(0.5,0.5,0,1.5),
       [
         `item(A),`A,
         % this can used to propagate a color over a region
         `(color(blue)=>>cone)
       ]
     ),
    `transform(
       translation(1,-2,0),scale(0.2,0.6,0.9),rotation(0,1,0,2.0),
       [
         `item(B),`B
         %`box
       ]
     ),
    `transform(
       translation(-1,-2,0),scale(0.8,0.4,0.4),rotation(0,1,0,1.5),
       [
         % just to show how one can play with variables
        `ranshape(S), `S,  
         use saucer
       ]
     ),
     def t = 'TimeSensor' @{
       loop='TRUE',cycleInterval=8
     },
     def p = 'PositionInterpolator' @{
        key @[0, 0.25, 0.5, 0.75, 1],
        keyValue @[
           0, 2, 1,
           -1, 1, 0,
           2, 2.5, 1,
           -2, 0, -1,
           0, 2, 1
        ]
     },
     def r = 'OrientationInterpolator' @{
        key @[0.0, 0.5, 1.0],
        keyValue @[
          0.5,0.5,0.0,1.5,
          0.0,1,0.0,-1.0,
          0.5,0.5,0.0,1.5
        ]
     }
   ],
   route t.fraction_changed to p.set_fraction,
   route t.fraction_changed to r.set_fraction
}.

route p.value_changed to saucer.set_translation .
route r.value_changed to saucer.set_rotation .

