
polymetricpaper = \paper {
  Score = \translator {
    \type Score_engraver;
    \consists "Score_priority_engraver";
    \consists "Priority_horizontal_align_engraver";
    \consists "Vertical_align_engraver";
    % \consists "Timing_engraver"; % removed Timing_engraver
    \accepts "Staff";
  }

  Staff = \translator {
    \type "Line_group_engraver_group";

    defaultclef = violin;

    \consists "Bar_engraver";
    \consists "Clef_engraver";
    \consists "Key_engraver";
    \consists "Local_key_engraver";
    \consists "Time_signature_engraver";
    \consists "Timing_engraver";  % added Timing_engraver
    \consists "Staff_sym_engraver";
    \consists "Separating_line_group_engraver";

    \accepts "Voice";
  }
}
\score {
  \melodic <
    \type Staff = one { \time 2/4; c'4 c'4 c'4 c'4 c'4 c'4 }
    \type Staff = two { \time 3/4; c'4 c'4 c'4 c'4 c'4 c'4 }
  >
  \paper { \polymetricpaper
    linewidth = -1.;
  }
}
