<document>

\noindent
Adopting an object-oriented approach is ultimately
motivated by the need to develop applications.
The advantage of an object-oriented approach
lies in the opportunities for reuse,
maintainability and interoperability of distinct
software components.

\cleartrue
\vfig{1}
<slide num=11 id=ch-11 cap="Chapter 11: Libraries and environments">
@ Libraries and environments
\zline{\fbox{$11$}}
<I
- standardization
- naming and retrieval
- methods and tools {\em -- Fusion}
- libraries for C++
I>
Additional keywords and phrases: <em>
object model architecture, object request broker,
reuse, design, structured methods,
requirements engineering, abstract systems, object/event duality
</em>
</slide>

From a pragmatic point of view, object-oriented technology
supports a component-based approach.
In this chapter, we will look at the standardization
efforts undertaken by the OMG (Object Management Group)
that are directed towards the interoperability of
independent software components.
Also, we will look at the design issues
involved in developing library components
by discussing the lessons drawn from the development
of the Eiffel libraries.
Further, we will discuss a number of the methods
and tools available for object-oriented software
development.
We discuss the Fusion method in greater detail,
then look at a number of libraries for C++.
In particular, we will discuss the criteria
by which such libraries may be evaluated before deciding
to use them in an actual software development project.
</document>
