@+ <a href=@talk-java.html target=_top>Java</a>

<slide id=java-question cap="What is the Question?">
<table>
<tr> <td>If</td> </tr>
<tr> <td></td><td><b>Java</b></td> </tr>
<tr> <td></td><td></td><td>is the Answer,</td>
<tr> <td>What is</td> </tr>
<tr> <td></td><td></td><td>the Question?</td>
</table>
<p><font color=green>see Ted Lewis, IEEE Computer, March 1997, p. 136
</font>
</slide>

<slide id=java-dream cap="The dream: UNCOL">
@ The dream: UNCOL
<ul>
<li> Java is pervasive
<li> remember, most of Java is just warmed-up C/C++
</ul>
@ UNCOL = Universal Common Language 
<ul>
<li> (1963) Algol -> PL/I -> Pascal -> Ada -> C++ -> ...
<li> Java as UNCOL: the dial-tone of the Internet
</ul>
<p><font color=red>if todays languages are inadequate for Software
then Java must be inadequate too ...</font>
</slide>

<slide id=java-legacy cap="Hostages of legacy code">
@ Hostages of legacy code
<ul>
<li> our responsibility is that future applications (built with Java)
are well-behaved legacy systems
<li> US DOD: $ 30 billion in year 2000 problem
<li> maintaining legacy COBOL from the 70's is a major industry ...
<li> by 2010, Java will be the maintenance tail
wagging the software dog!
</ul>
</slide>

<slide id=java-history cap="Is Java doomed to repeat history?">
@ Is Java doomed to repeat history?
<ul>
<li> elegant minimalism is one of the goals of Java,
<br><font color=red>remember Pascal, a toy language!</font>
<li> Java lacks IO, OS support ...
</ul>
</slide>

<slide id=java-down cap="Java = ...">
<center><p>
Java = watered-down C++, retrofitting Pascal
</center>
@ Problems
<ul>
<li> syntax: int i = ++i--;
<li> unruly scope rules: C++ plus f i n a l, 
n a t i v e, s y n c h r o n i z e d, ...
<li> threads: potential deadlocks
</ul>
</slide>


<slide id=java-requs cap="Java: a better mousetrap?">
@ Java: a better mousetrap?
<ul>
<li> requirements: no support <font color=red>(assert)</font>
<li> defacts: syntax, <i>non-standard APIs</i>
<li> components: Beans <-> ActiveX, CORBA, OpenDoc
<li> cycle time: Java does little to accommodate Internet time,
like <b>script languages</b> do
<li> complexity: <i>Java does not advance the intellectual frontier!</i>
</ul>
</slide>
