impl unit T		%%	@(#)T.i	1.3

use Q O X
include N U T

alias T = Union7(A,V,F,O,Q,X,R)


class F
var f put get : A, arg_1 put get : T, arg_2 put get : T

fn mk(s:A,t1,t2:T):F
temp x:=F.new()
{
if t2==nil & isc(t1) then x@arg_2 := a2(t1); x@arg_1:= a1(t1)  
else
      x@arg_1:=t1; x@arg_2:=t2;
fi; x@f:=s; result x;
} mk

end F

@[ The code above shows that a term is defined as the union of a number
of components,
respectively a constant (string), a logical variable,
a function term,
an object, a process and a component for
a non-logical variable or a channel.
Notice that the function $mk$ of the class $F$ takes care
of left justifying a function term, by putting the first
term of its argument list in its first argument variable
and the rest in the second,
either as a $nil$ term, a simple term or a compound term.
This way of dealing with argument lists allows functions on terms
to use a direct recursion on subterms, instead of a more
expensive indirect recursion via a list of arguments.
\ln
An auxiliary class R is introduced for storing database functions 
and for possible future extensions. @]
class R var t put get : T, d put get : D end R
