
\begin{figure}[htbp] \caption{Communication between processes} \label{fig:com}
\setlength{\unitlength}{1cm}

\hspace{1.7cm}
\b{tabular}[t]{|p{4.0cm}|p{4.0cm}|p{4.0cm}|} \hline
%%\multicolumn{3}{|c|}{ \it Communication between processes } \\ \hline \hline
\b{picture}(4.0,4.5)(-0.3,-0.5)
\put(0.3,2.6){\makebox(0,0){ {P O!m(t) P} } }
\put(2.1,2.6){\makebox{ {P m(t) P} } }
\put(1.0,2.5){\circle{0.1}}
\multiput(1.1,2.5)(0.1,0){9}{\line(6,0){0.05}}
\put(2.0,2.5){\circle*{0.1}}
\put(1.0,2.6){\line(0,6){0.8}}
\e{picture}
&
\b{picture}(4.0,4.5)(-0.3,-0.5)
\put(0.3,2.6){\makebox(0,0){ {P O!m(t) P} } }
\put(2.1,2.6){\makebox{ {P m(t) P} } }
\put(0.6,1.1){\makebox(0,0){ {P Q? P} } }
\put(1.0,1.0){\circle{0.1}}
\put(1.0,1.0){\line(0,6){1.4}}
\put(1.0,2.5){\circle{0.1}}
\multiput(1.1,2.5)(0.1,0){9}{\line(6,0){0.05}}
\put(2.0,2.5){\circle*{0.1}}
\put(1.0,2.6){\line(0,6){0.8}}
\multiput(2.0,1.1)(0,0.2){7}{\line(0,6){0.1}}
\e{picture}
&
\b{picture}(4.0,4.5)(-0.3,-0.5)
\put(0.3,2.6){\makebox(0,0){ {P O!m(t) P} } }
\put(2.1,2.6){\makebox{ {P m(t) P} } }
\put(0.6,1.1){\makebox(0,0){ {P Q? P} } }
\put(2.1,1.1){\makebox{ $%h_1,%h_2,...$ } }
\put(1.0,0.1){\line(0,6){0.8}}
\put(1.0,1.0){\circle{0.1}}
\put(1.0,1.0){\line(0,6){1.4}}
\put(1.0,2.5){\circle{0.1}}
\multiput(1.1,2.5)(0.1,0){9}{\line(6,0){0.05}}
\multiput(1.1,1.0)(0.1,0){9}{\line(6,0){0.05}}
\put(1.15,1.0){\vector(-4,0){0.1}}
\put(2.0,2.5){\circle*{0.1}}
\put(1.0,2.6){\line(0,6){0.8}}
%%\put(2.0,1.0){\line(0,6){1.0}}
\multiput(2.0,1.1)(0,0.2){7}{\line(0,6){0.1}}
\put(2.0,1.0){\circle{0.1}}
\e{picture}
\\ \hline \hline
\leftcomment{goal}
%%\b{picture}(0,0)\put(-0.5,0.07){\makebox(0,0)[r]{\it goal}}\e{picture}
{P Q = O!m(t) P} & {P m(t) P} & {P Q? P} \\
\hline
\leftcomment{effect}
%%\b{picture}(0,0)(0,0)\put(-0.5,0.07){\makebox(0,0)[r]{\it effect}}\e{picture}
\small \sloppy A new process is created, \n
to evaluate the method call {P m(t) P}.
The goal {P O!m(t) P} is first rewritten
to the sequence {P Q = O!m(t) P}, followed by {P Q? P},
in order to request for the resulting answer substitutions.
& \small \sloppy The goal {P m(t) P} is evaluated by a processes
refering to the object for which the method is called.
The calling process must wait for the results.
& \small \sloppy Backtracking over the results may take place
as long as there are any alternative solutions.
Backtracking is initiated by the processes that invoked the
rendez-vous.
\\ \hline 
\e{tabular}
\e{figure}
