@+ Declarative versus procedural semantics
\label{lp:semantics}

Logic is an excellent vehicle for reasoning about the
state of affairs in a particular world.
The advantage of logic is that it offers
a natural formalism to express the facts and rules that pertain
to that world.
We will explain how such facts and rules can be stated in a {\em logic program}.
Our treatment is based on [_Ll84].
\index{declarative semantics}
\prologindex{declarative semantics}

.so programs formulas
.so models
.so procedural
