Below we have depicted the steps that are taken in evaluating a
goal such as the one above.
%%@bf[hp]\caption{Gnd-parallelism}\label{ext:and}

\setlength{\unitlength}{0.01cm}
\nop{

@d(ud,5) @d(ul,@(2*ud)) @d(xu,@(1*ul)) @d(yu,@(1*ul)) @d(rd,@(1*ul))

@d(xln,@(18*xu)) @d(yln,@(20*yu))
@d(xd,@(xln/8)) @d(yd,@(yln/8))

@d(x0,@((8/2)*xd)) @d(y0,@((2/1)*yd))

@d(x1,@(x0+2*xd)) @d(x2,@(x1+(3*xd))) @d(x3,@(x2+(4*xd)))
@d(y1,@(y0+yd)) @d(y2,@(y1+(3*yd))) @d(y3,@(y2+(2*yd)))
@d(y4,@(y3+(4*yd)))

@d(px,@(x2+(4/1)*xd))) @d(py,@(y3+((3/1)*yd)))
@d(xdf,@(0)) @d(ydf,@(0))
@d(tx,p{@(px/100).3cm})
}
\def\x{\rule[-0.3cm]{0cm}{.8cm}}



\ln
\hspace{1.0cm}
@bt[t]{|tx|tx|tx|tx|} \hline
%%@mc{3}{|c|}{ \it and-parallel goal evaluation } \\ \hline \hline

@bp(px,py)(xdf,ydf)

@p(x1,y3){@bl{\footnotesize  $Q=O!G$ } }
%%@p(x1,y2){@bl{\footnotesize  $A$ } }
@p(x2,y3){@br{ \footnotesize  $G$ } }

%%@p(x1,y2){@c{rd}}
@p(x1,y3){@c{rd}}

@p(x2,y3){@c*{rd}}

@p(x1,@(y3+rd)){@up{@(2*yd)}}
%%@p(x1,@(y2+rd)){@up{@((y3-y2)-2*rd)}}

@mp(@(x1+rd),y3)(rd,0){@((x2-x1)/rd)}{@right{ud}}

@ep
&
@bp(px,py)(xdf,ydf)

@p(x1,y3){@bl{\footnotesize  $Q=O!G$ } }
@p(x1,y2){@bl{\footnotesize  $A$ } }
@p(x2,y3){@br{ \footnotesize  $G$ } }

@p(x1,y2){@c{rd}}
@p(x1,y3){@c{rd}}

@p(x2,y3){@c*{rd}}

@p(x1,@(y3+rd)){@up{@(2*yd)}}
@p(x1,@(y2+rd)){@up{@((y3-y2)-2*rd)}}

@mp(@(x1+rd),y3)(rd,0){@((x2-x1)/rd)}{@right{ud}}
@mp(x2,@(y2-rd))(0,@(2*yu)){@((y3-y1)/(4*yu))}{@down{rd}}

@ep
&

@bp(px,py)(xdf,ydf)

@p(x1,y3){@bl{\footnotesize  $Q=O!G$ } }
@p(x1,y2){@bl{\footnotesize  $A$ } }
@p(x1,y1){@bl{\footnotesize  $Q?$ } }
%%@p(x2,y1){@br{ \footnotesize  $%h_1,%h_2,...$ } }
@p(x2,y3){@br{ \footnotesize  $G$ } }

@p(x1,y1){@c{rd}}
@p(x1,y2){@c{rd}}
@p(x1,y3){@c{rd}}

%%@p(x2,y1){@c{rd}}
@p(x2,y3){@c*{rd}}

@p(x1,@(y3+rd)){@up{@(2*yd)}}
%%@p(x1,@(y1-rd)){@down{yd}}
@p(x1,@(y1+rd)){@up{@((y2-y1)-2*rd)}}
@p(x1,@(y2+rd)){@up{@((y3-y2)-2*rd)}}

@mp(x2,@(y1+rd))(0,@(2*yu)){@((y3-y1)/(2*yu))}{@up{rd}}

%%@mp(@(x1+rd),y1)(rd,0){@((x2-x1)/rd)}{@right{ud}}
%%@p(@(x1+(2*rd)),y1){@v(-4,0){@(2*rd)}}

@mp(@(x1+rd),y3)(rd,0){@((x2-x1)/rd)}{@right{ud}}

@ep

&

@bp(px,py)(xdf,ydf)

%%@p(x1,y4){@b{ $%a$ } }
%%@p(x3,y4){@b{ $%b$ } }
%%@p(x3,y3){@br{ \footnotesize  $accept(...,m,...)$ } }
%%@p(x2,y4){ @b{ $%b'$ } }
@p(x1,y3){@bl{\footnotesize  $Q=O!G$ } }
@p(x1,y2){@bl{\footnotesize  $A$ } }
@p(x1,y1){@bl{\footnotesize  $Q?$ } }
@p(x2,y1){@br{ \footnotesize  $%h_1$ } }
@p(x2,y3){@br{ \footnotesize  $G$ } }

@p(x1,y1){@c{rd}}
@p(x1,y2){@c{rd}}
@p(x1,y3){@c{rd}}

@p(x2,y1){@c{rd}}
@p(x2,y3){@c*{rd}}

@p(x1,@(y3+rd)){@up{@(2*yd)}}
@p(x1,@(y1-rd)){@down{yd}}
@p(x1,@(y1+rd)){@up{@((y2-y1)-2*rd)}}
@p(x1,@(y2+rd)){@up{@((y3-y2)-2*rd)}}

@mp(x2,@(y1+rd))(0,@(2*yu)){@((y3-y1)/(2*yu))}{@up{rd}}

@mp(@(x1+rd),y1)(rd,0){@((x2-x1)/rd)}{@right{ud}}
@p(@(x1+(2*rd)),y1){@v(-4,0){@(2*rd)}}

@mp(@(x1+rd),y3)(rd,0){@((x2-x1)/rd)}{@right{ud}}

@ep
\\ \hline
\nop{
\hline
\leftcomment{goal}
{P Q=O!G P} & {P A P} & {P Q? P} \\
\hline
\leftcomment{effect}
\small \sloppy G new process is created, \n
to evaluate the method call {P G P}.
& \small \sloppy During the remote evaluation of {P G P}
the goal {P A P} is evaluated by the process itself.
& \small \sloppy The results of evaluating {P A P} and {P G P}
are merged. Backtracking over the solutions for {P G P} may occur.
\\ \hline 
}
\nop{
\it definition &
\multicolumn{3}{|l|}{\x {P G & B :- Q = self!G, B, Q? P} }
\\ \hline
}
@et
%%@ef

\ln\ln
When the call $Q=O!G$ is accepted, a process for evaluating $G$
is created. The caller may proceed with the evaluation of $A$,
whereafter it must wait for an answer for $G$.
The resumption goal $Q?$ succeeds when the answer is received.
