
Below we have depicted the steps that are taken in evaluating a
goal such as the one above.
%%\begin{figure}[hp]\caption{Gnd-parallelism}\label{ext:and}

\setlength{\unitlength}{0.01cm}
\nop{

 )  

}
\def\x{\rule[-0.3cm]{0cm}{.8cm}}

\ln
\hspace{1.0cm}
\begin{tabular}[t]{|p{ 2.3cm}|p{ 2.3cm}|p{ 2.3cm}|p{ 2.3cm}|} \hline
%%\multicolumn{3}{|c|}{ \it and-parallel goal evaluation } \\ \hline \hline

\begin{picture}(286,275)(0,0)

\put(132,200){\makebox(0,0)[r]{\footnotesize  $Q=O!G$ } }
%%\put(132,150){\makebox(0,0)[r]{\footnotesize  $A$ } }
\put(198,200){\makebox(0,0)[l]{ \footnotesize  $G$ } }

%%\put(132,150){\circle{10}}
\put(132,200){\circle{10}}

\put(198,200){\circle*{10}}

\put(132, 210){\line(0,6){ 50}}
%%\put(132, 160){\line(0,6){ 30}}

\multiput( 142,200)(10,0){ 6}{\line(6,0){5}}

\end{picture}
&
\begin{picture}(286,275)(0,0)

\put(132,200){\makebox(0,0)[r]{\footnotesize  $Q=O!G$ } }
\put(132,150){\makebox(0,0)[r]{\footnotesize  $A$ } }
\put(198,200){\makebox(0,0)[l]{ \footnotesize  $G$ } }

\put(132,150){\circle{10}}
\put(132,200){\circle{10}}

\put(198,200){\circle*{10}}

\put(132, 210){\line(0,6){ 50}}
\put(132, 160){\line(0,6){ 30}}

\multiput( 142,200)(10,0){ 6}{\line(6,0){5}}
\multiput(198, 140)(0, 20){ 3}{\line(0,-6){10}}

\end{picture}
&

\begin{picture}(286,275)(0,0)

\put(132,200){\makebox(0,0)[r]{\footnotesize  $Q=O!G$ } }
\put(132,150){\makebox(0,0)[r]{\footnotesize  $A$ } }
\put(132,75){\makebox(0,0)[r]{\footnotesize  $Q?$ } }
%%\put(198,75){\makebox(0,0)[l]{ \footnotesize  $%h_1,%h_2,...$ } }
\put(198,200){\makebox(0,0)[l]{ \footnotesize  $G$ } }

\put(132,75){\circle{10}}
\put(132,150){\circle{10}}
\put(132,200){\circle{10}}

%%\put(198,75){\circle{10}}
\put(198,200){\circle*{10}}

\put(132, 210){\line(0,6){ 50}}
%%\put(132, 65){\line(0,-6){25}}
\put(132, 85){\line(0,6){ 55}}
\put(132, 160){\line(0,6){ 30}}

\multiput(198, 85)(0, 20){ 6}{\line(0,6){10}}

%%\multiput( 142,75)(10,0){ 6}{\line(6,0){5}}
%%\put( 152,75){\vector(-4,0){ 20}}

\multiput( 142,200)(10,0){ 6}{\line(6,0){5}}

\end{picture}

&

\begin{picture}(286,275)(0,0)

%%\put(132,300){\makebox(0,0){ $%a$ } }
%%\put(286,300){\makebox(0,0){ $%b$ } }
%%\put(286,200){\makebox(0,0)[l]{ \footnotesize  $accept(...,m,...)$ } }
%%\put(198,300){ \makebox(0,0){ $%b'$ } }
\put(132,200){\makebox(0,0)[r]{\footnotesize  $Q=O!G$ } }
\put(132,150){\makebox(0,0)[r]{\footnotesize  $A$ } }
\put(132,75){\makebox(0,0)[r]{\footnotesize  $Q?$ } }
\put(198,75){\makebox(0,0)[l]{ \footnotesize  $%h_1$ } }
\put(198,200){\makebox(0,0)[l]{ \footnotesize  $G$ } }

\put(132,75){\circle{10}}
\put(132,150){\circle{10}}
\put(132,200){\circle{10}}

\put(198,75){\circle{10}}
\put(198,200){\circle*{10}}

\put(132, 210){\line(0,6){ 50}}
\put(132, 65){\line(0,-6){25}}
\put(132, 85){\line(0,6){ 55}}
\put(132, 160){\line(0,6){ 30}}

\multiput(198, 85)(0, 20){ 6}{\line(0,6){10}}

\multiput( 142,75)(10,0){ 6}{\line(6,0){5}}
\put( 152,75){\vector(-4,0){ 20}}

\multiput( 142,200)(10,0){ 6}{\line(6,0){5}}

\end{picture}
\\ \hline
\nop{
\hline
\leftcomment{goal}
{P Q=O!G P} & {P A P} & {P Q? P} \\
\hline
\leftcomment{effect}
\small \sloppy G new process is created, \n
to evaluate the method call {P G P}.
& \small \sloppy During the remote evaluation of {P G P}
the goal {P A P} is evaluated by the process itself.
& \small \sloppy The results of evaluating {P A P} and {P G P}
are merged. Backtracking over the solutions for {P G P} may occur.
\\ \hline 
}
\nop{
\it definition &
\multicolumn{3}{|l|}{\x {P G & B :- Q = self!G, B, Q? P} }
\\ \hline
}
\end{tabular}
%%\end{figure}

\ln\ln
When the call $Q=O!G$ is accepted, a process for evaluating $G$
is created. The caller may proceed with the evaluation of $A$,
whereafter it must wait for an answer for $G$.
The resumption goal $Q?$ succeeds when the answer is received.
