
\begin{figure}[htb]\caption{and-parallelism}\label{ext:and}

\setlength{\unitlength}{0.01cm}
\nop{

 )  

}
\def\x{\rule[-0.3cm]{0cm}{.8cm}}

\hspace{1.7cm}
\begin{tabular}[t]{|p{ 4.0cm}|p{ 4.0cm}|p{ 4.0cm}|} \hline
\multicolumn{3}{|c|}{ \it And-parallel goal evaluation }
\\ \hline \hline

\begin{picture}(400,275)(0,0)

\put(125,200){\makebox(0,0)[r]{ $A&B$ } }
\put(125,150){\makebox(0,0)[r]{ $B$ } }
\put(250,200){\makebox(0,0)[l]{ $A$ } }

\put(125,150){\circle{10}}
\put(125,200){\circle{10}}

\put(250,200){\circle*{10}}

\put(125, 210){\line(0,6){ 50}}
\put(125, 160){\line(0,6){ 30}}

\multiput( 135,200)(10,0){ 12}{\line(6,0){5}}

\end{picture}
&

\begin{picture}(400,275)(0,0)

\put(125,200){\makebox(0,0)[r]{ $A&B$ } }
\put(125,150){\makebox(0,0)[r]{ $B$ } }
\put(125,75){\makebox(0,0)[r]{ $Q?$ } }
%%\put(250,75){\makebox(0,0)[l]{ $%h_1,%h_2,...$ } }
\put(250,200){\makebox(0,0)[l]{ $A$ } }

\put(125,75){\circle{10}}
\put(125,150){\circle{10}}
\put(125,200){\circle{10}}

%%\put(250,75){\circle{10}}
\put(250,200){\circle*{10}}

\put(125, 210){\line(0,6){ 50}}
%%\put(125, 65){\line(0,-6){25}}
\put(125, 85){\line(0,6){ 55}}
\put(125, 160){\line(0,6){ 30}}

\multiput(250, 85)(0, 20){ 6}{\line(0,6){10}}

%%\multiput( 135,75)(10,0){ 12}{\line(6,0){5}}
%%\put( 145,75){\vector(-4,0){ 20}}

\multiput( 135,200)(10,0){ 12}{\line(6,0){5}}

\end{picture}

&

\begin{picture}(400,275)(0,0)

%%\put(125,300){\makebox(0,0){ $%a$ } }
%%\put(350,300){\makebox(0,0){ $%b$ } }
%%\put(350,200){\makebox(0,0)[l]{ $accept(...,m,...)$ } }
%%\put(250,300){ \makebox(0,0){ $%b'$ } }
\put(125,200){\makebox(0,0)[r]{ $A&B$ } }
\put(125,150){\makebox(0,0)[r]{ $B$ } }
\put(125,75){\makebox(0,0)[r]{ $Q?$ } }
\put(250,75){\makebox(0,0)[l]{ $%h_1,%h_2,...$ } }
\put(250,200){\makebox(0,0)[l]{ $A$ } }

\put(125,75){\circle{10}}
\put(125,150){\circle{10}}
\put(125,200){\circle{10}}

\put(250,75){\circle{10}}
\put(250,200){\circle*{10}}

\put(125, 210){\line(0,6){ 50}}
\put(125, 65){\line(0,-6){25}}
\put(125, 85){\line(0,6){ 55}}
\put(125, 160){\line(0,6){ 30}}

\multiput(250, 85)(0, 20){ 6}{\line(0,6){10}}

\multiput( 135,75)(10,0){ 12}{\line(6,0){5}}
\put( 145,75){\vector(-4,0){ 20}}

\multiput( 135,200)(10,0){ 12}{\line(6,0){5}}

\end{picture}
\\ \hline \hline
\leftcomment{goal}
{P A&B P} & {P B P} & {P Q? P} \\
\hline
\leftcomment{effect}
\small \sloppy A new process is created, \n
to evaluate the method call {P A P}.
& \small \sloppy During the remote evaluation of {P A P}
the goal {P B P} is evaluated by the process itself.
& \small \sloppy The results of evaluating {P B P} and {P A P}
are merged. Backtracking over the solutions for {P A P} may occur.
\\ \hline 
\nop{
\it definition &
\multicolumn{3}{|l|}{\x {P A & B :- Q = self!A, B, Q? P} }
\\ \hline
}
\end{tabular}
\end{figure}
