object travel {
use lib.
var city = [amsterdam, paris, london].

travel():- accept(any), travel().

reachable(X):- length(city,N), get(N,X).

add(X):- append([X],city,R), city := R.

get(N,X):- element(N,city,X). 
get(N,X):- N > 1, N1 = N - 1, get(N1,X).

length([],0).
length([H|T],N):- length(T,N1), N = N1 + 1.

element(1,[X|_],X).
element(N,[_|T],X):- 
	   N > 1,
	   N1 = N - 1,
	   element(N1,T,X).
}
