
%%\begin{figure}[hp]\caption{Communication by rendez-vous}\label{ext:rv}
\setlength{\unitlength}{0.01cm}
\nop{

 )  

}

\ln\ln
\hspace{1cm}
\begin{tabular}[t]{|p{ 11.2cm}|} \hline
\multicolumn{1}{|c|}{ \it remote goal evalueation } \\ \hline \hline
\begin{picture}(1120,429)(0,0)

\put(280,363){\makebox(0,0){ $%a$ } }
\put(784,363){\makebox(0,0){ $%b$ } }
\put(784,231){\makebox(0,0)[l]{ $accept(any)$ } }
\put(560,363){ \makebox(0,0){ $%b'$ } }
\put(280,231){\makebox(0,0)[r]{ $O!G$ } }
\put(280,99){\makebox(0,0)[r]{ $?$ } }
\put(560,99){\makebox(0,0)[l]{ $%h_1,%h_2,...$ } }
\put(560,198){\makebox(0,0)[l]{ $G$ } }

\put(280,99){\circle{10}}
\put(280,231){\circle{10}}

\put(560,99){\circle{10}}
\put(560,198){\circle*{10}}
\put(784,231){\circle{10}}
\put(784,99){\circle{10}}

\put(280, 241){\line(0,6){ 66}}
\put(280, 89){\line(0,-6){33}}
%%\put(280, 109){\line(0,6){ 112}}
\put(784, 241){\line(0,6){ 66}}
\put(784, 89){\line(0,-6){ 66}}

\multiput(560, 109)(0, 20){ 4}{\line(0,6){10}}

\multiput( 290,99)(10,0){ 28}{\line(6,0){5}}
\put( 300,99){\vector(-4,0){ 20}}

\multiput( 290,231)(10,0){ 50}{\line(6,0){5}}

\end{picture}
\\ \hline
\nop{
\hline
\small
We assume that $O$ is bound to $%b$, the constructor process
for an object. Process $%b'$
is a variant of $%b$ in that they refer to the same object.
In accepting the call a goal $?$ is inserted,
with $Q$ bound to $%b'$.
The substitution $%h_1,%h_2,...$ are the answer substitutions 
computed in evaluating $m(t)$.
\\ \hline
}
\end{tabular}
%%\end{figure}
\ln\ln
