\begin{figure}[p]\caption{{\em An object oriented solution to the N-queens problem}}\label{obj:queen}
\index{DLP programs! queen}
\xdeno{{\it queen}}{
.ds queens.pl
}
\ln {\em
Each queen checks whether it occupies a
legal position with respect to its neighbor.
The last queen in the row does not have a neighbor
as is indicated by the constant {P [] P}.
The expression {P row // max P} delivers {P row P} modulo {P max P},
where {P max P} is the instance variable recording the maximum row number.
} \end{figure}
