:@ Orient84/K
combines the
paradigms of object oriented, logic based,
demon oriented and concurrent programming. [_IT86].

Concurrency is achieved by having active objects executing their own
behavior.
Apart from a {\it behavioral} part, each object contains a 
{\it knowledge-base} part consisting of clauses,
and a {\it monitor} part specifying the synchronization conditions
of the object.

Orient84/K supports instance variables, classes,
inheritance, prioritized execution of objects,
prioritized answering of method calls
and {\it trigger} predicates, that become activated when
certain conditions are met.

In [_IT86] considerable attention is paid to the design of a virtual
machine for efficiently executing concurrent objects.
The issues considered include the management of
concurrently and sequentially executable objects,
and the compilation of Orient84/K programs into an efficient
intermediate code.
