#include <hush/query.h>
#include <hush/handler.h>
#include <hush/event.h>

#include <iostream.h>

class cerr_handler : public handler { /// cerr handler
public:
cerr_handler(kit* x) { x->_register(this); }
int operator()() {
	cerr << "checking: " << _event->arg(1) << endl;
	return OK;
	}
};

int main( ) {
    char args[]="kit=pl src=local.pl";
    kit* q = new query(args);
    q->bind("cerr", new cerr_handler(q));
    q->eval("aio");
    char* p;
    while ( (p = q->result()) ) cout << "<li> AIO: " << p << endl;
    return 0;
    }

//</>
