import hush.dv.api.session;
import hush.dv.api.handler;
import hush.dv.pl.*;

public class local extends session {

// a cerr handler

public class cerr_handler extends handler {  /// cerr
public int operator() {
	cerr("From handler: " + _event.arg(2) );
	return OK;
	}
};

//@ Now local takes over again

public local() {
	super(0);
	depends("hush"); // and not widgets
	}

  public void prelude() {
	debug("local.prelude (Java) ...");
	}

//@ application main

  public int main() {   /// application.main
	debug("local.main (Java) ...");
        kit pl = new kit();
	if (pl==null) debug("no kit, apparently");
	else {
		pl.source("local.pl");
		pl.bind("cerr",new cerr_handler());
		pl.eval("nonaio");
		String res = null;
		while ( (res = pl.result()) != null ) {
			System.out.println("<li> " + res);
			}
	}
	return OK;
	}

//@ static main

  public static void main(String args[]) { /// main
    session s = new local();
    s.run();
  }

}

//</>
