%%@ server logic

ask(N,X,R) :-
	cerr([calling(ask(N,X,R)),nl]),
	(
	X = halt -> R = halt;
	X = Y:C, var(Y), clause(C,_) -> setof(Y,C,L), L = R;
	X = Y:C, nonvar(Y) -> attribute(P,Y:C), R = P-Y:C;
	clause(X,_) -> setof(X,X,L), L = R;
	X = x -> R=ok, cerr([leaving,nl]);
	fact(N,R) -> fact(N,R);
	(cerr([asking(X),nl]),
	R = 'I do nt know')).

%%@ shared knowledge

attribute(all,_:ok).

:- [facts,world].

%%</>
