
// begin of object_community.pl code file.

// begin of unit user code.

final class user_community_2 extends Code {

public boolean exec (DLP m) {

	switch (m.PSreg) {

		// head: community(_G845, _G846)

	case 0:
		m.allocate (4);
		//m.success =
		m.get_x_varia (10,1);	/* W */
		m.get_y_value (0,2);	/* N */
		m.end_head ();
		break;

	case 1:

		// goal: world(_G845, _G855, _G856)

		m.put_x_value (10,1);	/* 'W' */
		m.put_y_value (3,2);	/* 'Rw' */
		m.put_y_value (2,3);	/* 'Nw' */
		m.call (user.world_3); /*1*/
		break;

	case 2:

		// goal: people(_G855, _G862, _G856, _G864)

		m.put_y_value (3,1);	/* 'Rw' */
		m.put_v_varia (2);	/* 'Unknown' */
		m.put_y_value (2,3);	/* 'Nw' */
		m.put_y_value (1,4);	/* 'Np' */
		m.call (user.people_4); /*1*/
		break;

	case 3:

		// goal: company(_G864, _G846)

		m.put_y_value (1,1);	/* 'Np' */
		m.put_y_value (0,2);	/* 'N' */
		m.deallocate ();
		m.exec (user.company_2);
		break;

	case 4:
		m.end_rule ();
		break;

	} // switch
	return m.success;
} // user:community/2 exec()

// user:community/2 decls.
// end of user:community/2 decls.

public boolean init (DLP m) {
 return true;
} // user:community/2 init()

} // user:community/2

final class user_world_1 extends Code {

public boolean exec (DLP m) {

	switch (m.PSreg) {

		// head: world(casa)

	case 0:
		m.try_me_else (2);
		//m.success =
		m.get_atom (casa__0,1);
		m.end_head ();
		break;

	case 1:
		m.end_fact ();
		break;

		// head: world(vu)

	case 2:
		m.retry_me_else (4);
		//m.success =
		m.get_atom (vu__0,1);
		m.end_head ();
		break;

	case 3:
		m.end_fact ();
		break;

		// head: world(cwi)

	case 4:
		m.trust_or_fail ();
		//m.success =
		m.get_atom (cwi__0,1);
		m.end_head ();
		break;

	case 5:
		m.end_fact ();
		break;

	} // switch
	return m.success;
} // user:world/1 exec()

// user:world/1 decls.
 public SymbolDescriptor casa__0;
 public SymbolDescriptor vu__0;
 public SymbolDescriptor cwi__0;
// end of user:world/1 decls.

public boolean init (DLP m) {
 casa__0 = m.define_symbol ("casa".intern(), 0);
 vu__0 = m.define_symbol ("vu".intern(), 0);
 cwi__0 = m.define_symbol ("cwi".intern(), 0);
 return true;
} // user:world/1 init()

} // user:world/1

final class user_world_3 extends Code {

public boolean exec (DLP m) {

	switch (m.PSreg) {

		// head: world([_G852|_G846], _G846, [world(_G852)])

	case 0:
		//m.success =
		m.get_list (1);
		m.uni_x_varia (11);	/* H */
		m.uni_x_varia (12);	/* T */
		m.get_x_value (12,2);	/* T */
		m.get_list (3);
		m.uni_x_varia (13);	/* Xtmp */
		m.uni_nil ();
		m.get_struct (world__1,13);
		m.uni_x_value (11);	/* H */
		m.end_head ();
		break;

	case 1:

		// goal: world(_G852)

		m.put_x_value (11,1);	/* 'H' */
		m.exec (user.world_1);
		break;

	case 2:
		m.end_rule ();
		break;

	} // switch
	return m.success;
} // user:world/3 exec()

// user:world/3 decls.
 public SymbolDescriptor op__dot__2;
 public SymbolDescriptor world__1;
 public SymbolDescriptor sl_sr__0;
// end of user:world/3 decls.

public boolean init (DLP m) {
 op__dot__2 = m.define_symbol (".".intern(), 2);
 world__1 = m.define_symbol ("world".intern(), 1);
 sl_sr__0 = m.define_symbol ("[]".intern(), 0);
 return true;
} // user:world/3 init()

} // user:world/3

final class user_people_4 extends Code {

public boolean exec (DLP m) {

	switch (m.PSreg) {

		// head: people(_G845, _G846, _G847, _G848)

	case 0:
		m.allocate (3);
		//m.success =
		m.get_x_varia (11,1);	/* L */
		m.get_x_varia (12,2);	/* R */
		m.get_y_value (2,3);	/* W */
		m.get_y_value (0,4);	/* N */
		m.end_head ();
		break;

	case 1:

		// goal: people(_G845, _G846, _G858)

		m.put_x_value (11,1);	/* 'L' */
		m.put_x_value (12,2);	/* 'R' */
		m.put_y_value (1,3);	/* 'S' */
		m.call (user.people_3); /*1*/
		break;

	case 2:

		// goal: append(_G847, _G858, _G848)

		m.put_y_value (2,1);	/* 'W' */
		m.put_y_value (1,2);	/* 'S' */
		m.put_y_value (0,3);	/* 'N' */
		m.deallocate ();
		m.exec (dlplib.append_3);
		break;

	case 3:
		m.end_rule ();
		break;

	} // switch
	return m.success;
} // user:people/4 exec()

// user:people/4 decls.
// end of user:people/4 decls.

public boolean init (DLP m) {
 return true;
} // user:people/4 init()

} // user:people/4

final class user_people_3 extends Code {

public boolean exec (DLP m) {

	switch (m.PSreg) {

		// head: people([], _G846, [])

	case 0:
		m.try_me_else (2);
		//m.success =
		m.get_nil (1);
		m.get_v_varia (2);	/* Unknown */
		m.get_nil (3);
		m.end_head ();
		break;

	case 1:
		m.end_fact ();
		break;

		// head: people([_G2020|_G2021], _G2014, [person(_G2020)|_G2024])

	case 2:
		m.retry_me_else (6);
		m.allocate (3);
		//m.success =
		m.get_list (1);
		m.uni_x_varia (11);	/* H */
		m.uni_y_value (2);	/* T */
		m.get_y_value (1,2);	/* R */
		m.get_list (3);
		m.uni_x_varia (12);	/* Xtmp */
		m.uni_y_value (0);	/* N */
		m.get_struct (person__1,12);
		m.uni_x_value (11);	/* H */
		m.end_head ();
		break;

	case 3:

		// goal: person(_G2020)

		m.put_x_value (11,1);	/* 'H' */
		m.call (user.person_1); /*1*/
		break;

	case 4:

		// goal: people(_G2021, _G2014, _G2024)

		m.put_y_value (2,1);	/* 'T' */
		m.put_y_value (1,2);	/* 'R' */
		m.put_y_value (0,3);	/* 'N' */
		m.deallocate ();
		m.exec (user.people_3);
		break;

	case 5:
		m.end_rule ();
		break;

		// head: people([_G4623|_G4624], [_G4623|_G4627], _G4618)

	case 6:
		m.trust_or_fail ();
		//m.success =
		m.get_list (1);
		m.uni_x_varia (11);	/* H */
		m.uni_x_varia (12);	/* T */
		m.get_list (2);
		m.uni_x_value (11);	/* H */
		m.uni_x_varia (13);	/* R */
		m.get_x_varia (14,3);	/* N */
		m.end_head ();
		break;

	case 7:

		// goal: people(_G4624, _G4627, _G4618)

		m.put_x_value (12,1);	/* 'T' */
		m.put_x_value (13,2);	/* 'R' */
		m.put_x_value (14,3);	/* 'N' */
		m.exec (user.people_3);
		break;

	case 8:
		m.end_rule ();
		break;

	} // switch
	return m.success;
} // user:people/3 exec()

// user:people/3 decls.
 public SymbolDescriptor sl_sr__0;
 public SymbolDescriptor op__dot__2;
 public SymbolDescriptor person__1;
// end of user:people/3 decls.

public boolean init (DLP m) {
 sl_sr__0 = m.define_symbol ("[]".intern(), 0);
 op__dot__2 = m.define_symbol (".".intern(), 2);
 person__1 = m.define_symbol ("person".intern(), 1);
 return true;
} // user:people/3 init()

} // user:people/3

final class user_person_1 extends Code {

public boolean exec (DLP m) {

	switch (m.PSreg) {

		// head: person(joe)

	case 0:
		m.try_me_else (2);
		//m.success =
		m.get_atom (joe__0,1);
		m.end_head ();
		break;

	case 1:
		m.end_fact ();
		break;

		// head: person(marilyn)

	case 2:
		m.retry_me_else (4);
		//m.success =
		m.get_atom (marilyn__0,1);
		m.end_head ();
		break;

	case 3:
		m.end_fact ();
		break;

		// head: person(bill)

	case 4:
		m.retry_me_else (6);
		//m.success =
		m.get_atom (bill__0,1);
		m.end_head ();
		break;

	case 5:
		m.end_fact ();
		break;

		// head: person(marcel)

	case 6:
		m.trust_or_fail ();
		//m.success =
		m.get_atom (marcel__0,1);
		m.end_head ();
		break;

	case 7:
		m.end_fact ();
		break;

	} // switch
	return m.success;
} // user:person/1 exec()

// user:person/1 decls.
 public SymbolDescriptor joe__0;
 public SymbolDescriptor marilyn__0;
 public SymbolDescriptor bill__0;
 public SymbolDescriptor marcel__0;
// end of user:person/1 decls.

public boolean init (DLP m) {
 joe__0 = m.define_symbol ("joe".intern(), 0);
 marilyn__0 = m.define_symbol ("marilyn".intern(), 0);
 bill__0 = m.define_symbol ("bill".intern(), 0);
 marcel__0 = m.define_symbol ("marcel".intern(), 0);
 return true;
} // user:person/1 init()

} // user:person/1

final class user_company_2 extends Code {

public boolean exec (DLP m) {

	switch (m.PSreg) {

		// head: company(_G845, [company(_G854)|_G845])

	case 0:
		m.allocate (3);
		//m.success =
		m.get_y_value (2,1);	/* W */
		m.get_list (2);
		m.uni_x_varia (10);	/* Xtmp */
		m.uni_y_value (2);	/* W */
		m.get_struct (company__1,10);
		m.uni_x_varia (11);	/* X */
		m.end_head ();
		break;

	case 1:

		// goal: member(world(_G854), _G845)

		m.put_struct (world__1,1);
		m.set_x_value (11);	/* 'X' */
		m.put_y_value (2,2);	/* 'W' */
		m.call (dlplib.member_2); /*1*/
		break;

	case 2:

		// goal: member(person(_G870), _G845)

		m.put_struct (person__1,1);
		m.set_y_value (1);	/* 'P1' */
		m.put_y_value (2,2);	/* 'W' */
		m.call (dlplib.member_2); /*1*/
		break;

	case 3:

		// goal: member(person(_G878), _G845)

		m.put_struct (person__1,1);
		m.set_y_value (0);	/* 'P2' */
		m.put_y_value (2,2);	/* 'W' */
		m.call (dlplib.member_2); /*1*/
		break;

	case 4:

		// goal: not(this, _G870=_G878)

		m.put_this (1);
		m.put_struct (op__eq__2,2);
		m.set_y_value (1);	/* 'P1' */
		m.set_y_value (0);	/* 'P2' */
		m.deallocate ();
		m.exec (dlplib.not_2);
		break;

	case 5:
		m.end_rule ();
		break;

	} // switch
	return m.success;
} // user:company/2 exec()

// user:company/2 decls.
 public SymbolDescriptor op__dot__2;
 public SymbolDescriptor company__1;
 public SymbolDescriptor world__1;
 public SymbolDescriptor person__1;
 public SymbolDescriptor this__0;
 public SymbolDescriptor op__eq__2;
// end of user:company/2 decls.

public boolean init (DLP m) {
 op__dot__2 = m.define_symbol (".".intern(), 2);
 company__1 = m.define_symbol ("company".intern(), 1);
 world__1 = m.define_symbol ("world".intern(), 1);
 person__1 = m.define_symbol ("person".intern(), 1);
 this__0 = m.define_symbol ("this".intern(), 0);
 op__eq__2 = m.define_symbol ("=".intern(), 2);
 return true;
} // user:company/2 init()

} // user:company/2

final class user_go_0 extends Code {

public boolean exec (DLP m) {

	switch (m.PSreg) {

		// head: go

	case 0:
		m.allocate (1);
		//m.success =
		m.end_head ();
		break;

	case 1:

		// goal: community([casa, joe, marcel], _G852)

		m.put_list (9);
		m.set_atom (marcel__0);
		m.set_nil ();
		m.put_list (10);
		m.set_atom (joe__0);
		m.set_x_value (9);	/* 'Xtmp' */
		m.put_list (1);
		m.set_atom (casa__0);
		m.set_x_value (10);	/* 'Xtmp' */
		m.put_y_value (0,2);	/* 'W' */
		m.call (user.community_2); /*1*/
		break;

	case 2:

		// goal: write(_G852)

		m.put_y_value (0,1);	/* 'W' */
		m.call (dlplib.write_1); /*1*/
		break;

	case 3:

		// goal: nl

		m.deallocate ();
		m.exec (dlplib.nl_0);
		break;

	case 4:
		m.end_rule ();
		break;

	} // switch
	return m.success;
} // user:go/0 exec()

// user:go/0 decls.
 public SymbolDescriptor op__dot__2;
 public SymbolDescriptor casa__0;
 public SymbolDescriptor joe__0;
 public SymbolDescriptor marcel__0;
 public SymbolDescriptor sl_sr__0;
// end of user:go/0 decls.

public boolean init (DLP m) {
 op__dot__2 = m.define_symbol (".".intern(), 2);
 casa__0 = m.define_symbol ("casa".intern(), 0);
 joe__0 = m.define_symbol ("joe".intern(), 0);
 marcel__0 = m.define_symbol ("marcel".intern(), 0);
 sl_sr__0 = m.define_symbol ("[]".intern(), 0);
 return true;
} // user:go/0 init()

} // user:go/0

// end of unit user code.

// end of object_community.pl code file.

