#include <hush/hush.h> 
#include <hush/query.h>

#include <iostream.h>
#include <stdio.h>

class cerr_handler : public handler { /// cerr handler
public:
cerr_handler(kit* x) { x->_register(this); }
int operator()() {
	cerr << "checking: " << _event->arg(2) << endl;
	return OK;
	}
};

class application : public session {  /// the application
public:
application( int argc, char* argv[] ) : session(argc,argv,"hush") {}

int main( ) {
    char args[]="kit=pl src=local.pl";
    kit* q = new query(args);
    (*q)(); // to prepare
    q->bind("cerr", new cerr_handler(q));
    q->eval("aio");
    char* p;
    while ( (p = q->result()) ) cout << "<li> AIO: " << p << endl;
    return 0;
    }
};

//@ main

int main (int argc, char  **argv) { /// main
    session* s = new application(argc,argv);
    s->depends(0);
    s->run();
    delete s;
    //session::statistics();
    return 0;
}

//</>
