HUSH = $Z
CFG  = $(HUSH)/cfg
  
include $(CFG)/install.mk
include $(CFG)/document.mk
			     
name = `$(HUSH)/bin/name`
objects = `$(HUSH)/bin/objects`
classes = `$(HUSH)/bin/classes`
			     
SLUSH = /home/eliens/hush/src/distribution/hush-4.0
DELTA = book-dv-4.0
			     
version = -4.0
			     
category  = tk
kind      = document
type      = book
index      = -
                               
document = /home/eliens/www/online/hush/$(name)
destination = /home/eliens/www/online/hush/$(name)
			     
extents      = Makefile makefile mkfile README TODO index COPYRIGHT *.txt *.mx *.l *.y *.tcl *.sh *.pl *.dlp *.tp *.th *.cl *.clips *.bx *.vr *.world *.in *.mk *.cfg *.js *.css *.py *.mod *.lr *.ami *.idl *.sc *.c *.cc *.cpp *.java *.h *.i *.ly \*.txt \*.mx \*.l \*.y \*.tcl \*.sh \*.pl \*.dlp \*.tp \*.th \*.cl \*.clips \*.bx \*.vr \*.world \*.in \*.mk \*.cfg \*.js \*.css \*.py \*.mod \*.lr \*.ami \*.idl \*.sc \*.c \*.cc \*.cpp \*.java \*.h \*.i \*.ly 
			     
config-cp = echo
install-cp = cp
doc-cp = cp
			     
config    = document
install   = document
clean     = document
doc       = config install extra txt
slush     = document
delta     = document
			     
no-config = false
no-install = false
no-clean = false
no-doc = false
no-slush = false
no-delta = false
			     
no-recursive-config = false
no-recursive-install = false
no-recursive-clean = false
no-recursive-doc = false
no-recursive-slush = true
no-recursive-delta = true
			     
package   = dv.hush.$(name)
library   = libbk
script   = dv/hush/$(name)
header   = dv/hush/$(name)
                               
idl       = $(name)
                               
depth     = ../../
			     
location  = dv/hush/$(name)/
prefix    = dv-hush-$(name)-
level     = ../../
server    = flits/hush/$(name)
			     
htflags   = 
			     
source    = /home/eliens/www/online/../bk/hush/$(name)
			     
extents = Makefile contents index *.t

#htflags = -t -top -title

config = doc
install = doc
doc = local generic links

no-recursive-config = true
no-recursive-install = true
no-recursive-clean = true
no-recursive-doc = true

links = 
echo  = $(links)

up = 

doc-local: local-doc
local-doc: 
	@set -x; if [ -n "$(echo)" ]; then \
	   echo "<index mode=echo options=\"-bar -loc $(echo)\">" > @echo; \
	   $(ht-ml) - -notitle contents > contents.html; \
	fi;

link-source = /examples

doc-links: links-doc
links-doc:
old-links:
	@set -x; echo "Linking $(links)"; \
	if [ -n "$(links)" ]; then \
	   for i in $(links) @base; do \
	     if [ ! -h $(document)/$$i -a ! -d $(document)/$$i ]; then \
		ln -s $(DOCUMENTS)/sources/$$i$(link-source) \
					       $(document)/$$i; \
	     fi; \
	done; \
	fi;

all: doc
