<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.52
     from sicstus.tex on 6 October 1998 -->

<TITLE>SICStus Prolog - Introduction</TITLE>
</HEAD>
<BODY>
Go to the first, previous, <A HREF="sicstus_2.html">next</A>, <A HREF="sicstus_50.html">last</A> section, <A HREF="sicstus_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC1" HREF="sicstus_toc.html#TOC1">Introduction</A></H1>

<P>
Prolog is a simple but powerful programming language developed at the
University of Marseilles [Roussel 75], as a practical tool for
<EM>programming in logic</EM> [Kowalski 74].  From a user's point of view
the major attraction of the language is ease of programming.  Clear,
readable, concise programs can be written quickly with few errors.

</P>
<P>
<A NAME="IDX1"></A>
<A NAME="IDX2"></A>
For an introduction to programming in Prolog, readers are recommended to
consult [Sterling &#38; Shapiro 86].  However, for the benefit of those who
do not have access to a copy of this book, and for those who have some
prior knowledge of logic programming, a summary of the language is
included.  For a more general introduction to the field of Logic
Programming see [Kowalski 79].  See section <A HREF="sicstus_5.html#SEC36">The Prolog Language</A>.

</P>
<P>
<A NAME="IDX3"></A>
This manual describes a Prolog system developed at the Swedish Institute
of Computer Science.  Parts of the system were developed by the project
"Industrialization of SICStus Prolog" in collaboration with Ericsson
Telecom AB, NobelTech Systems AB, Infologics AB and Televerket.  The
system consists of a <EM>WAM</EM> emulator written in C, a library and
runtime system written in C and Prolog and an interpreter and a compiler
written in Prolog.  The Prolog engine is a Warren Abstract Machine (WAM)
emulator [Warren 83].  Two modes of compilation are available: in-core
i.e. incremental, and file-to-file.  When compiled, a predicate will
run about 8 times faster and use memory more
economically. Implementation details can be found in [Carlsson 90] and
in several technical reports available from SICS.

</P>
<P>
SICStus Prolog follows the mainstream Prolog tradition in terms of
syntax and built-in predicates, and is largely compatible with
DECsystem-10 Prolog and Quintus Prolog.

</P>
<P><HR><P>
Go to the first, previous, <A HREF="sicstus_2.html">next</A>, <A HREF="sicstus_50.html">last</A> section, <A HREF="sicstus_toc.html">table of contents</A>.
</BODY>
</HTML>
