<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.52
     from sicstus.tex on 6 October 1998 -->

<TITLE>SICStus Prolog - Table of Contents</TITLE>
</HEAD>
<BODY>
<H1>SICStus Prolog User's Manual</H1>
<H2>by the Intelligent Systems Laboratory</H2>
<H2></H2>
<H2>Swedish Institute of Computer Science</H2>
<H2>PO Box 1263</H2>
<H2>SE-164 29  Kista, Sweden</H2>
<H2></H2>
<H2>Release 3.7.1</H2>
<H2>October 1998</H2>
<ADDRESS>Swedish Institute of Computer Science </ADDRESS>
<ADDRESS><CODE><A HREF="mailto:sicstus-request@sics.se">sicstus-request@sics.se</A></CODE></ADDRESS>
http://www.sics.se/isl/sicstus.html
<P>
<P><HR><P>
<UL>
<LI><A NAME="TOC1" HREF="sicstus_1.html#SEC1">Introduction</A>
<LI><A NAME="TOC2" HREF="sicstus_2.html#SEC2">Acknowledgments</A>
<LI><A NAME="TOC3" HREF="sicstus_3.html#SEC3">Notational Conventions</A>
<UL>
<LI><A NAME="TOC4" HREF="sicstus_3.html#SEC4">Keyboard Characters</A>
<LI><A NAME="TOC5" HREF="sicstus_3.html#SEC5">Mode Spec</A>
<LI><A NAME="TOC6" HREF="sicstus_3.html#SEC6">Predicate Spec</A>
<LI><A NAME="TOC7" HREF="sicstus_3.html#SEC7">Development and Runtime Systems</A>
<LI><A NAME="TOC8" HREF="sicstus_3.html#SEC8">Function Prototypes</A>
<LI><A NAME="TOC9" HREF="sicstus_3.html#SEC9">ISO Compliance</A>
</UL>
<LI><A NAME="TOC10" HREF="sicstus_4.html#SEC10">How to Run Prolog</A>
<UL>
<LI><A NAME="TOC11" HREF="sicstus_4.html#SEC11">Getting Started</A>
<UL>
<LI><A NAME="TOC12" HREF="sicstus_4.html#SEC12">Finding Libraries at Runtime</A>
<LI><A NAME="TOC13" HREF="sicstus_4.html#SEC13">Environment Variables</A>
</UL>
<LI><A NAME="TOC14" HREF="sicstus_4.html#SEC14">Reading in Programs</A>
<LI><A NAME="TOC15" HREF="sicstus_4.html#SEC15">Inserting Clauses at the Terminal</A>
<LI><A NAME="TOC16" HREF="sicstus_4.html#SEC16">Directives:  Queries and Commands</A>
<UL>
<LI><A NAME="TOC17" HREF="sicstus_4.html#SEC17">Queries</A>
<LI><A NAME="TOC18" HREF="sicstus_4.html#SEC18">Commands</A>
</UL>
<LI><A NAME="TOC19" HREF="sicstus_4.html#SEC19">Syntax Errors</A>
<LI><A NAME="TOC20" HREF="sicstus_4.html#SEC20">Undefined Predicates</A>
<LI><A NAME="TOC21" HREF="sicstus_4.html#SEC21">Program Execution And Interruption</A>
<LI><A NAME="TOC22" HREF="sicstus_4.html#SEC22">Exiting From The Top-Level</A>
<LI><A NAME="TOC23" HREF="sicstus_4.html#SEC23">Nested Executions--Break and Abort</A>
<LI><A NAME="TOC24" HREF="sicstus_4.html#SEC24">Saving and Restoring Program States</A>
<LI><A NAME="TOC25" HREF="sicstus_4.html#SEC25">Emacs Interface</A>
<UL>
<LI><A NAME="TOC26" HREF="sicstus_4.html#SEC26">Customizing Emacs</A>
<LI><A NAME="TOC27" HREF="sicstus_4.html#SEC27">Basic Configuration</A>
<LI><A NAME="TOC28" HREF="sicstus_4.html#SEC28">Usage</A>
<LI><A NAME="TOC29" HREF="sicstus_4.html#SEC29">Mode Line</A>
<LI><A NAME="TOC30" HREF="sicstus_4.html#SEC30">Configuration</A>
<LI><A NAME="TOC31" HREF="sicstus_4.html#SEC31">Tips</A>
<UL>
<LI><A NAME="TOC32" HREF="sicstus_4.html#SEC32">Font-locking</A>
<LI><A NAME="TOC33" HREF="sicstus_4.html#SEC33">Auto-fill mode</A>
<LI><A NAME="TOC34" HREF="sicstus_4.html#SEC34">Speed</A>
<LI><A NAME="TOC35" HREF="sicstus_4.html#SEC35">Changing Colors</A>
</UL>
</UL>
</UL>
<LI><A NAME="TOC36" HREF="sicstus_5.html#SEC36">The Prolog Language</A>
<UL>
<LI><A NAME="TOC37" HREF="sicstus_5.html#SEC37">Syntax, Terminology and Informal Semantics</A>
<UL>
<LI><A NAME="TOC38" HREF="sicstus_5.html#SEC38">Terms</A>
<UL>
<LI><A NAME="TOC39" HREF="sicstus_5.html#SEC39">Integers</A>
<LI><A NAME="TOC40" HREF="sicstus_5.html#SEC40">Floats</A>
<LI><A NAME="TOC41" HREF="sicstus_5.html#SEC41">Atoms</A>
<LI><A NAME="TOC42" HREF="sicstus_5.html#SEC42">Variables</A>
<LI><A NAME="TOC43" HREF="sicstus_5.html#SEC43">Compound Terms</A>
</UL>
<LI><A NAME="TOC44" HREF="sicstus_5.html#SEC44">Programs</A>
</UL>
<LI><A NAME="TOC45" HREF="sicstus_5.html#SEC45">Declarative Semantics</A>
<LI><A NAME="TOC46" HREF="sicstus_5.html#SEC46">Procedural Semantics</A>
<LI><A NAME="TOC47" HREF="sicstus_5.html#SEC47">Occurs-Check</A>
<LI><A NAME="TOC48" HREF="sicstus_5.html#SEC48">The Cut Symbol</A>
<LI><A NAME="TOC49" HREF="sicstus_5.html#SEC49">Operators</A>
<LI><A NAME="TOC50" HREF="sicstus_5.html#SEC50">Syntax Restrictions</A>
<LI><A NAME="TOC51" HREF="sicstus_5.html#SEC51">Comments</A>
</UL>
<LI><A NAME="TOC52" HREF="sicstus_6.html#SEC52">Running Prolog in Parallel</A>
<UL>
<LI><A NAME="TOC53" HREF="sicstus_6.html#SEC53">Introduction</A>
<LI><A NAME="TOC54" HREF="sicstus_6.html#SEC54">Running a Parallel Example</A>
<LI><A NAME="TOC55" HREF="sicstus_6.html#SEC55">Main Issues of Parallel Execution</A>
<UL>
<LI><A NAME="TOC56" HREF="sicstus_6.html#SEC56">The Muse Model</A>
<LI><A NAME="TOC57" HREF="sicstus_6.html#SEC57">Scheduling</A>
<LI><A NAME="TOC58" HREF="sicstus_6.html#SEC58">Cut, Side Effects and Suspension</A>
</UL>
<LI><A NAME="TOC59" HREF="sicstus_6.html#SEC59">Visualization Tools</A>
<UL>
<LI><A NAME="TOC60" HREF="sicstus_6.html#SEC60">Must</A>
<LI><A NAME="TOC61" HREF="sicstus_6.html#SEC61">Visandor</A>
<LI><A NAME="TOC62" HREF="sicstus_6.html#SEC62">Vimust</A>
</UL>
<LI><A NAME="TOC63" HREF="sicstus_6.html#SEC63">Programming Considerations</A>
</UL>
<LI><A NAME="TOC64" HREF="sicstus_7.html#SEC64">The Module System</A>
<UL>
<LI><A NAME="TOC65" HREF="sicstus_7.html#SEC65">Basic Concepts</A>
<LI><A NAME="TOC66" HREF="sicstus_7.html#SEC66">Module Prefixing</A>
<LI><A NAME="TOC67" HREF="sicstus_7.html#SEC67">Defining Modules</A>
<LI><A NAME="TOC68" HREF="sicstus_7.html#SEC68">Importation</A>
<LI><A NAME="TOC69" HREF="sicstus_7.html#SEC69">Module Name Expansion</A>
<LI><A NAME="TOC70" HREF="sicstus_7.html#SEC70">Meta-Predicate Declarations</A>
</UL>
<LI><A NAME="TOC71" HREF="sicstus_8.html#SEC71">Loading Programs</A>
<UL>
<LI><A NAME="TOC72" HREF="sicstus_8.html#SEC72">Predicates which Load Code</A>
<LI><A NAME="TOC73" HREF="sicstus_8.html#SEC73">Declarations</A>
<UL>
<LI><A NAME="TOC74" HREF="sicstus_8.html#SEC74">Multifile Declarations</A>
<LI><A NAME="TOC75" HREF="sicstus_8.html#SEC75">Dynamic Declarations</A>
<LI><A NAME="TOC76" HREF="sicstus_8.html#SEC76">Volatile Declarations</A>
<LI><A NAME="TOC77" HREF="sicstus_8.html#SEC77">Block Declarations</A>
<LI><A NAME="TOC78" HREF="sicstus_8.html#SEC78">Meta-Predicate Declarations</A>
<LI><A NAME="TOC79" HREF="sicstus_8.html#SEC79">Module Declarations</A>
<LI><A NAME="TOC80" HREF="sicstus_8.html#SEC80">Public Declarations</A>
<LI><A NAME="TOC81" HREF="sicstus_8.html#SEC81">Mode Declarations</A>
<LI><A NAME="TOC82" HREF="sicstus_8.html#SEC82">Parallel and Sequential Declarations</A>
</UL>
<LI><A NAME="TOC83" HREF="sicstus_8.html#SEC83">Considerations for File-To-File Compilation</A>
</UL>
<LI><A NAME="TOC84" HREF="sicstus_9.html#SEC84">Debugging</A>
<UL>
<LI><A NAME="TOC85" HREF="sicstus_9.html#SEC85">The Procedure Box Control Flow Model</A>
<LI><A NAME="TOC86" HREF="sicstus_9.html#SEC86">Basic Debugging Predicates</A>
<LI><A NAME="TOC87" HREF="sicstus_9.html#SEC87">Spy-points</A>
<LI><A NAME="TOC88" HREF="sicstus_9.html#SEC88">Format of Debugging messages</A>
<LI><A NAME="TOC89" HREF="sicstus_9.html#SEC89">Options Available during Debugging</A>
<LI><A NAME="TOC90" HREF="sicstus_9.html#SEC90">Consulting during Debugging</A>
<LI><A NAME="TOC91" HREF="sicstus_9.html#SEC91">Catching Exceptions</A>
</UL>
<LI><A NAME="TOC92" HREF="sicstus_10.html#SEC92">Built-In Predicates</A>
<UL>
<LI><A NAME="TOC93" HREF="sicstus_10.html#SEC93">Input / Output</A>
<UL>
<LI><A NAME="TOC94" HREF="sicstus_10.html#SEC94">Reading-in Programs</A>
<LI><A NAME="TOC95" HREF="sicstus_10.html#SEC95">Term and Goal Expansion</A>
<LI><A NAME="TOC96" HREF="sicstus_10.html#SEC96">Input and Output of Terms</A>
<LI><A NAME="TOC97" HREF="sicstus_10.html#SEC97">Character Input/Output</A>
<LI><A NAME="TOC98" HREF="sicstus_10.html#SEC98">Stream I/O</A>
<LI><A NAME="TOC99" HREF="sicstus_10.html#SEC99">DEC-10 Prolog File I/O</A>
<LI><A NAME="TOC100" HREF="sicstus_10.html#SEC100">An Example</A>
</UL>
<LI><A NAME="TOC101" HREF="sicstus_10.html#SEC101">Arithmetic</A>
<LI><A NAME="TOC102" HREF="sicstus_10.html#SEC102">Comparison of Terms</A>
<LI><A NAME="TOC103" HREF="sicstus_10.html#SEC103">Control</A>
<LI><A NAME="TOC104" HREF="sicstus_10.html#SEC104">Error and Exception Handling</A>
<LI><A NAME="TOC105" HREF="sicstus_10.html#SEC105">Information about the State of the Program</A>
<LI><A NAME="TOC106" HREF="sicstus_10.html#SEC106">Meta-Logic</A>
<LI><A NAME="TOC107" HREF="sicstus_10.html#SEC107">Modification of Terms</A>
<LI><A NAME="TOC108" HREF="sicstus_10.html#SEC108">Modification of the Program</A>
<LI><A NAME="TOC109" HREF="sicstus_10.html#SEC109">Internal Database</A>
<LI><A NAME="TOC110" HREF="sicstus_10.html#SEC110">Blackboard Primitives</A>
<LI><A NAME="TOC111" HREF="sicstus_10.html#SEC111">All Solutions</A>
<LI><A NAME="TOC112" HREF="sicstus_10.html#SEC112">Coroutining</A>
<LI><A NAME="TOC113" HREF="sicstus_10.html#SEC113">Debugging</A>
<LI><A NAME="TOC114" HREF="sicstus_10.html#SEC114">Execution Profiling</A>
<LI><A NAME="TOC115" HREF="sicstus_10.html#SEC115">Muse</A>
<LI><A NAME="TOC116" HREF="sicstus_10.html#SEC116">Miscellaneous</A>
</UL>
<LI><A NAME="TOC117" HREF="sicstus_11.html#SEC117">Mixing C and Prolog</A>
<UL>
<LI><A NAME="TOC118" HREF="sicstus_11.html#SEC118">Notes</A>
<LI><A NAME="TOC119" HREF="sicstus_11.html#SEC119">Calling C from Prolog</A>
<UL>
<LI><A NAME="TOC120" HREF="sicstus_11.html#SEC120">Foreign Resource and Conversion Declarations</A>
<LI><A NAME="TOC121" HREF="sicstus_11.html#SEC121">Static and Dynamic linking</A>
<LI><A NAME="TOC122" HREF="sicstus_11.html#SEC122">Conversion Declarations</A>
<LI><A NAME="TOC123" HREF="sicstus_11.html#SEC123">Conversions between Prolog Arguments and C Types</A>
<LI><A NAME="TOC124" HREF="sicstus_11.html#SEC124">Interface Predicates</A>
<LI><A NAME="TOC125" HREF="sicstus_11.html#SEC125">Init and Deinit Functions</A>
<LI><A NAME="TOC126" HREF="sicstus_11.html#SEC126">Creating the Linked Foreign Resource</A>
</UL>
<LI><A NAME="TOC127" HREF="sicstus_11.html#SEC127">Support Functions</A>
<UL>
<LI><A NAME="TOC128" HREF="sicstus_11.html#SEC128">Creating and Manipulating SP_term_refs</A>
<LI><A NAME="TOC129" HREF="sicstus_11.html#SEC129">Creating Prolog Terms</A>
<LI><A NAME="TOC130" HREF="sicstus_11.html#SEC130">Accessing Prolog Terms</A>
<LI><A NAME="TOC131" HREF="sicstus_11.html#SEC131">Testing Prolog Terms</A>
<LI><A NAME="TOC132" HREF="sicstus_11.html#SEC132">Unifying and Comparing Terms</A>
<LI><A NAME="TOC133" HREF="sicstus_11.html#SEC133">Memory Allocation</A>
</UL>
<LI><A NAME="TOC134" HREF="sicstus_11.html#SEC134">Calling Prolog from C</A>
<UL>
<LI><A NAME="TOC135" HREF="sicstus_11.html#SEC135">Finding One Solution of a Call</A>
<LI><A NAME="TOC136" HREF="sicstus_11.html#SEC136">Finding Multiple Solutions of a Call</A>
<LI><A NAME="TOC137" HREF="sicstus_11.html#SEC137">Calling Prolog Asynchronously</A>
<LI><A NAME="TOC138" HREF="sicstus_11.html#SEC138">Exception Handling in C</A>
</UL>
<LI><A NAME="TOC139" HREF="sicstus_11.html#SEC139">SICStus Streams</A>
<UL>
<LI><A NAME="TOC140" HREF="sicstus_11.html#SEC140">Prolog Streams</A>
<LI><A NAME="TOC141" HREF="sicstus_11.html#SEC141">Defining a New Stream</A>
<UL>
<LI><A NAME="TOC142" HREF="sicstus_11.html#SEC142">Low Level I/O Functions</A>
<LI><A NAME="TOC143" HREF="sicstus_11.html#SEC143">Installing a New Stream</A>
<LI><A NAME="TOC144" HREF="sicstus_11.html#SEC144">Internal Representation</A>
</UL>
<LI><A NAME="TOC145" HREF="sicstus_11.html#SEC145">Hookable Standard Streams</A>
<UL>
<LI><A NAME="TOC146" HREF="sicstus_11.html#SEC146">Writing User-stream Hooks</A>
<LI><A NAME="TOC147" HREF="sicstus_11.html#SEC147">Writing User-stream Post-hooks</A>
<LI><A NAME="TOC148" HREF="sicstus_11.html#SEC148">User-stream Hook Example</A>
</UL>
</UL>
<LI><A NAME="TOC149" HREF="sicstus_11.html#SEC149">Muse Support Functions</A>
<LI><A NAME="TOC150" HREF="sicstus_11.html#SEC150">Hooks</A>
<LI><A NAME="TOC151" HREF="sicstus_11.html#SEC151">Runtime Systems</A>
<UL>
<LI><A NAME="TOC152" HREF="sicstus_11.html#SEC152">Initializing the Prolog Engine</A>
<LI><A NAME="TOC153" HREF="sicstus_11.html#SEC153">Loading Prolog Code</A>
<LI><A NAME="TOC154" HREF="sicstus_11.html#SEC154">Creating the Executable</A>
<LI><A NAME="TOC155" HREF="sicstus_11.html#SEC155">Running the Executable</A>
</UL>
<LI><A NAME="TOC156" HREF="sicstus_11.html#SEC156">Development Systems</A>
<LI><A NAME="TOC157" HREF="sicstus_11.html#SEC157">Examples</A>
<UL>
<LI><A NAME="TOC158" HREF="sicstus_11.html#SEC158">Train Example (connections)</A>
<LI><A NAME="TOC159" HREF="sicstus_11.html#SEC159">I/O on Lists of Character Codes</A>
<LI><A NAME="TOC160" HREF="sicstus_11.html#SEC160">Exceptions from C</A>
<LI><A NAME="TOC161" HREF="sicstus_11.html#SEC161">Stream Example</A>
</UL>
</UL>
<LI><A NAME="TOC162" HREF="sicstus_12.html#SEC162">Mixing Java and Prolog</A>
<UL>
<LI><A NAME="TOC163" HREF="sicstus_12.html#SEC163">Prerequisites</A>
<LI><A NAME="TOC164" HREF="sicstus_12.html#SEC164">Calling Java from Prolog</A>
<UL>
<LI><A NAME="TOC165" HREF="sicstus_12.html#SEC165">Static and Dynamic Linking</A>
<LI><A NAME="TOC166" HREF="sicstus_12.html#SEC166">Declarating Java-methods</A>
</UL>
<LI><A NAME="TOC167" HREF="sicstus_12.html#SEC167">Conversions between Prolog Arguments and Java Types</A>
<UL>
<LI><A NAME="TOC168" HREF="sicstus_12.html#SEC168">Calling Java from Prolog: An Example</A>
</UL>
<LI><A NAME="TOC169" HREF="sicstus_12.html#SEC169">Calling Prolog from Java</A>
<LI><A NAME="TOC170" HREF="sicstus_12.html#SEC170">Jasper Package Class Reference</A>
<LI><A NAME="TOC171" HREF="sicstus_12.html#SEC171">Exception Handling</A>
<LI><A NAME="TOC172" HREF="sicstus_12.html#SEC172">Resources</A>
</UL>
<LI><A NAME="TOC173" HREF="sicstus_13.html#SEC173">Programming Tips and Examples</A>
<UL>
<LI><A NAME="TOC174" HREF="sicstus_13.html#SEC174">Programming Guidelines</A>
<LI><A NAME="TOC175" HREF="sicstus_13.html#SEC175">Indexing</A>
<LI><A NAME="TOC176" HREF="sicstus_13.html#SEC176">Last Call Optimization</A>
<LI><A NAME="TOC177" HREF="sicstus_13.html#SEC177">If-Then-Else Compilation</A>
<LI><A NAME="TOC178" HREF="sicstus_13.html#SEC178">Programming Examples</A>
<UL>
<LI><A NAME="TOC179" HREF="sicstus_13.html#SEC179">Simple List Processing</A>
<LI><A NAME="TOC180" HREF="sicstus_13.html#SEC180">Family Example (descendants)</A>
<LI><A NAME="TOC181" HREF="sicstus_13.html#SEC181">Association List Primitives</A>
<LI><A NAME="TOC182" HREF="sicstus_13.html#SEC182">Differentiation</A>
<LI><A NAME="TOC183" HREF="sicstus_13.html#SEC183">Use of Meta-Logical Predicates</A>
<LI><A NAME="TOC184" HREF="sicstus_13.html#SEC184">Use of Term Expansion</A>
<LI><A NAME="TOC185" HREF="sicstus_13.html#SEC185">Prolog in Prolog</A>
<LI><A NAME="TOC186" HREF="sicstus_13.html#SEC186">Translating English Sentences into Logic Formulae</A>
<LI><A NAME="TOC187" HREF="sicstus_13.html#SEC187">Muse FLI Example</A>
</UL>
</UL>
<LI><A NAME="TOC188" HREF="sicstus_14.html#SEC188">The Prolog Library</A>
<LI><A NAME="TOC189" HREF="sicstus_15.html#SEC189">Array Operations</A>
<LI><A NAME="TOC190" HREF="sicstus_16.html#SEC190">Association Lists</A>
<LI><A NAME="TOC191" HREF="sicstus_17.html#SEC191">Attributed Variables</A>
<LI><A NAME="TOC192" HREF="sicstus_18.html#SEC192">Heap Operations</A>
<LI><A NAME="TOC193" HREF="sicstus_19.html#SEC193">List Operations</A>
<LI><A NAME="TOC194" HREF="sicstus_20.html#SEC194">Term Utilities</A>
<LI><A NAME="TOC195" HREF="sicstus_21.html#SEC195">Ordered Set Operations</A>
<LI><A NAME="TOC196" HREF="sicstus_22.html#SEC196">Queue Operations</A>
<LI><A NAME="TOC197" HREF="sicstus_23.html#SEC197">Random Number Generator</A>
<LI><A NAME="TOC198" HREF="sicstus_24.html#SEC198">Operating System Utilities</A>
<LI><A NAME="TOC199" HREF="sicstus_25.html#SEC199">Updatable Binary Trees</A>
<LI><A NAME="TOC200" HREF="sicstus_26.html#SEC200">Unweighted Graph Operations</A>
<LI><A NAME="TOC201" HREF="sicstus_27.html#SEC201">Weighted Graph Operations</A>
<LI><A NAME="TOC202" HREF="sicstus_28.html#SEC202">Socket I/O</A>
<LI><A NAME="TOC203" HREF="sicstus_29.html#SEC203">Linda--Process Communication</A>
<UL>
<LI><A NAME="TOC204" HREF="sicstus_29.html#SEC204">Server</A>
<LI><A NAME="TOC205" HREF="sicstus_29.html#SEC205">Client</A>
</UL>
<LI><A NAME="TOC206" HREF="sicstus_30.html#SEC206">External Storage of Terms (External Database)</A>
<UL>
<LI><A NAME="TOC207" HREF="sicstus_30.html#SEC207">Basics</A>
<LI><A NAME="TOC208" HREF="sicstus_30.html#SEC208">Current Limitations</A>
<LI><A NAME="TOC209" HREF="sicstus_30.html#SEC209">The DB-Spec--Informal Description</A>
<LI><A NAME="TOC210" HREF="sicstus_30.html#SEC210">Predicates</A>
<LI><A NAME="TOC211" HREF="sicstus_30.html#SEC211">An Example Session</A>
<LI><A NAME="TOC212" HREF="sicstus_30.html#SEC212">The Db-Spec</A>
</UL>
<LI><A NAME="TOC213" HREF="sicstus_31.html#SEC213">Boolean Constraint Solver</A>
<UL>
<LI><A NAME="TOC214" HREF="sicstus_31.html#SEC214">Solver Interface</A>
<LI><A NAME="TOC215" HREF="sicstus_31.html#SEC215">Examples</A>
<UL>
<LI><A NAME="TOC216" HREF="sicstus_31.html#SEC216">Example 1</A>
<LI><A NAME="TOC217" HREF="sicstus_31.html#SEC217">Example 2</A>
<LI><A NAME="TOC218" HREF="sicstus_31.html#SEC218">Example 3</A>
<LI><A NAME="TOC219" HREF="sicstus_31.html#SEC219">Example 4</A>
</UL>
</UL>
<LI><A NAME="TOC220" HREF="sicstus_32.html#SEC220">Constraint Logic Programming over Rationals or Reals</A>
<UL>
<LI><A NAME="TOC221" HREF="sicstus_32.html#SEC221">Introduction</A>
<UL>
<LI><A NAME="TOC222" HREF="sicstus_32.html#SEC222">Referencing this Software</A>
<LI><A NAME="TOC223" HREF="sicstus_32.html#SEC223">Acknowledgments</A>
</UL>
<LI><A NAME="TOC224" HREF="sicstus_32.html#SEC224">Solver Interface</A>
<UL>
<LI><A NAME="TOC225" HREF="sicstus_32.html#SEC225">Notational Conventions</A>
<LI><A NAME="TOC226" HREF="sicstus_32.html#SEC226">Solver Predicates</A>
<LI><A NAME="TOC227" HREF="sicstus_32.html#SEC227">Unification</A>
<LI><A NAME="TOC228" HREF="sicstus_32.html#SEC228">Feedback and Bindings</A>
</UL>
<LI><A NAME="TOC229" HREF="sicstus_32.html#SEC229">Linearity and Nonlinear Residues</A>
<UL>
<LI><A NAME="TOC230" HREF="sicstus_32.html#SEC230">How Nonlinear Residues are made to disappear</A>
<LI><A NAME="TOC231" HREF="sicstus_32.html#SEC231">Isolation Axioms</A>
</UL>
<LI><A NAME="TOC232" HREF="sicstus_32.html#SEC232">Numerical Precision and Rationals</A>
<LI><A NAME="TOC233" HREF="sicstus_32.html#SEC233">Projection and Redundancy Elimination</A>
<UL>
<LI><A NAME="TOC234" HREF="sicstus_32.html#SEC234">Variable Ordering</A>
<LI><A NAME="TOC235" HREF="sicstus_32.html#SEC235">Turning Answers into Terms</A>
<LI><A NAME="TOC236" HREF="sicstus_32.html#SEC236">Projecting Inequalities</A>
</UL>
<LI><A NAME="TOC237" HREF="sicstus_32.html#SEC237">Why Disequations</A>
<LI><A NAME="TOC238" HREF="sicstus_32.html#SEC238">Syntactic Sugar</A>
<UL>
<LI><A NAME="TOC239" HREF="sicstus_32.html#SEC239">Monash Examples</A>
<UL>
<LI><A NAME="TOC240" HREF="sicstus_32.html#SEC240">Compatibility Notes</A>
</UL>
</UL>
<LI><A NAME="TOC241" HREF="sicstus_32.html#SEC241">A Mixed Integer Linear Optimization Example</A>
<LI><A NAME="TOC242" HREF="sicstus_32.html#SEC242">Implementation Architecture</A>
<UL>
<LI><A NAME="TOC243" HREF="sicstus_32.html#SEC243">Fragments and Bits</A>
<UL>
<LI><A NAME="TOC244" HREF="sicstus_32.html#SEC244">Rationals</A>
<LI><A NAME="TOC245" HREF="sicstus_32.html#SEC245">Partial Evaluation, Compilation</A>
<LI><A NAME="TOC246" HREF="sicstus_32.html#SEC246">Asserting with Constraints</A>
</UL>
<LI><A NAME="TOC247" HREF="sicstus_32.html#SEC247">Bugs</A>
</UL>
</UL>
<LI><A NAME="TOC248" HREF="sicstus_33.html#SEC248">Constraint Logic Programming over Finite Domains</A>
<UL>
<LI><A NAME="TOC249" HREF="sicstus_33.html#SEC249">Introduction</A>
<UL>
<LI><A NAME="TOC250" HREF="sicstus_33.html#SEC250">Referencing this Software</A>
<LI><A NAME="TOC251" HREF="sicstus_33.html#SEC251">Acknowledgments</A>
</UL>
<LI><A NAME="TOC252" HREF="sicstus_33.html#SEC252">Solver Interface</A>
<UL>
<LI><A NAME="TOC253" HREF="sicstus_33.html#SEC253">Posting Constraints</A>
<LI><A NAME="TOC254" HREF="sicstus_33.html#SEC254">A Constraint Satisfaction Problem</A>
<LI><A NAME="TOC255" HREF="sicstus_33.html#SEC255">Reified Constraints</A>
</UL>
<LI><A NAME="TOC256" HREF="sicstus_33.html#SEC256">Available Constraints</A>
<UL>
<LI><A NAME="TOC257" HREF="sicstus_33.html#SEC257">Arithmetic Constraints</A>
<LI><A NAME="TOC258" HREF="sicstus_33.html#SEC258">Membership Constraints</A>
<LI><A NAME="TOC259" HREF="sicstus_33.html#SEC259">Propositional Constraints</A>
<LI><A NAME="TOC260" HREF="sicstus_33.html#SEC260">Combinatorial Constraints</A>
<LI><A NAME="TOC261" HREF="sicstus_33.html#SEC261">User-Defined Constraints</A>
</UL>
<LI><A NAME="TOC262" HREF="sicstus_33.html#SEC262">Enumeration Predicates</A>
<LI><A NAME="TOC263" HREF="sicstus_33.html#SEC263">Statistics Predicates</A>
<LI><A NAME="TOC264" HREF="sicstus_33.html#SEC264">Answer Constraints</A>
<LI><A NAME="TOC265" HREF="sicstus_33.html#SEC265">The Constraint System</A>
<UL>
<LI><A NAME="TOC266" HREF="sicstus_33.html#SEC266">Definitions</A>
<LI><A NAME="TOC267" HREF="sicstus_33.html#SEC267">Pitfalls of Interval Reasoning</A>
</UL>
<LI><A NAME="TOC268" HREF="sicstus_33.html#SEC268">Defining Global Constraints</A>
<UL>
<LI><A NAME="TOC269" HREF="sicstus_33.html#SEC269">The Global Constraint Programming Interface</A>
<LI><A NAME="TOC270" HREF="sicstus_33.html#SEC270">Reflection Predicates</A>
<LI><A NAME="TOC271" HREF="sicstus_33.html#SEC271">FD Set Operations</A>
<LI><A NAME="TOC272" HREF="sicstus_33.html#SEC272">A Global Constraint Example</A>
</UL>
<LI><A NAME="TOC273" HREF="sicstus_33.html#SEC273">Defining Primitive Constraints</A>
<UL>
<LI><A NAME="TOC274" HREF="sicstus_33.html#SEC274">Indexicals</A>
<LI><A NAME="TOC275" HREF="sicstus_33.html#SEC275">Range Expressions</A>
<LI><A NAME="TOC276" HREF="sicstus_33.html#SEC276">Term Expressions</A>
<LI><A NAME="TOC277" HREF="sicstus_33.html#SEC277">Monotonicity of Indexicals</A>
<LI><A NAME="TOC278" HREF="sicstus_33.html#SEC278">FD predicates</A>
<LI><A NAME="TOC279" HREF="sicstus_33.html#SEC279">Execution of Propagating Indexicals</A>
<LI><A NAME="TOC280" HREF="sicstus_33.html#SEC280">Execution of Checking Indexicals</A>
<LI><A NAME="TOC281" HREF="sicstus_33.html#SEC281">Goal Expanded Constraints</A>
</UL>
<LI><A NAME="TOC282" HREF="sicstus_33.html#SEC282">Example Programs</A>
<UL>
<LI><A NAME="TOC283" HREF="sicstus_33.html#SEC283">Send More Money</A>
<LI><A NAME="TOC284" HREF="sicstus_33.html#SEC284">N Queens</A>
<LI><A NAME="TOC285" HREF="sicstus_33.html#SEC285">Cumulative Scheduling</A>
</UL>
<LI><A NAME="TOC286" HREF="sicstus_33.html#SEC286">Syntax Summary</A>
<UL>
<LI><A NAME="TOC287" HREF="sicstus_33.html#SEC287">Syntax of Indexicals</A>
<LI><A NAME="TOC288" HREF="sicstus_33.html#SEC288">Syntax of Arithmetic Expressions</A>
<LI><A NAME="TOC289" HREF="sicstus_33.html#SEC289">Operator Declarations</A>
</UL>
</UL>
<LI><A NAME="TOC290" HREF="sicstus_34.html#SEC290">Constraint Handling Rules</A>
<UL>
<LI><A NAME="TOC291" HREF="sicstus_34.html#SEC291">Copyright</A>
<LI><A NAME="TOC292" HREF="sicstus_34.html#SEC292">Introduction</A>
<LI><A NAME="TOC293" HREF="sicstus_34.html#SEC293">Introductory Examples</A>
<LI><A NAME="TOC294" HREF="sicstus_34.html#SEC294">CHR Library</A>
<UL>
<LI><A NAME="TOC295" HREF="sicstus_34.html#SEC295">Loading the Library</A>
<LI><A NAME="TOC296" HREF="sicstus_34.html#SEC296">Declarations</A>
<LI><A NAME="TOC297" HREF="sicstus_34.html#SEC297">Constraint Handling Rules, Syntax</A>
<LI><A NAME="TOC298" HREF="sicstus_34.html#SEC298">How CHR work</A>
<LI><A NAME="TOC299" HREF="sicstus_34.html#SEC299">Pragmas</A>
<LI><A NAME="TOC300" HREF="sicstus_34.html#SEC300">Options</A>
<LI><A NAME="TOC301" HREF="sicstus_34.html#SEC301">Built-In Predicates</A>
<LI><A NAME="TOC302" HREF="sicstus_34.html#SEC302">Consulting and Compiling Constraint Handlers</A>
<LI><A NAME="TOC303" HREF="sicstus_34.html#SEC303">Compiler-generated Predicates</A>
<LI><A NAME="TOC304" HREF="sicstus_34.html#SEC304">Operator Declarations</A>
<LI><A NAME="TOC305" HREF="sicstus_34.html#SEC305">Exceptions</A>
</UL>
<LI><A NAME="TOC306" HREF="sicstus_34.html#SEC306">Debugging CHR Programs</A>
<UL>
<LI><A NAME="TOC307" HREF="sicstus_34.html#SEC307">Control Flow Model</A>
<LI><A NAME="TOC308" HREF="sicstus_34.html#SEC308">CHR Debugging Predicates</A>
<LI><A NAME="TOC309" HREF="sicstus_34.html#SEC309">CHR Spy-points</A>
<LI><A NAME="TOC310" HREF="sicstus_34.html#SEC310">CHR Debugging Messages</A>
<LI><A NAME="TOC311" HREF="sicstus_34.html#SEC311">CHR Debugging Options</A>
</UL>
<LI><A NAME="TOC312" HREF="sicstus_34.html#SEC312">Programming Hints</A>
<LI><A NAME="TOC313" HREF="sicstus_34.html#SEC313">Constraint Handlers</A>
<LI><A NAME="TOC314" HREF="sicstus_34.html#SEC314">Backward Compatibility</A>
</UL>
<LI><A NAME="TOC315" HREF="sicstus_35.html#SEC315">Prolog Objects</A>
<UL>
<LI><A NAME="TOC316" HREF="sicstus_35.html#SEC316">Getting Started</A>
<LI><A NAME="TOC317" HREF="sicstus_35.html#SEC317">Declared Objects</A>
<UL>
<LI><A NAME="TOC318" HREF="sicstus_35.html#SEC318">Object Declaration</A>
<LI><A NAME="TOC319" HREF="sicstus_35.html#SEC319">Method Declarations</A>
<LI><A NAME="TOC320" HREF="sicstus_35.html#SEC320">Generic Objects for Easy Reuse</A>
</UL>
<LI><A NAME="TOC321" HREF="sicstus_35.html#SEC321">Self, Message Sending, and Message Delegation</A>
<LI><A NAME="TOC322" HREF="sicstus_35.html#SEC322">Object Hierarchies, Inheritance, and Modules</A>
<UL>
<LI><A NAME="TOC323" HREF="sicstus_35.html#SEC323">Inheritance</A>
<LI><A NAME="TOC324" HREF="sicstus_35.html#SEC324">Differential Inheritance</A>
<LI><A NAME="TOC325" HREF="sicstus_35.html#SEC325">Use of Modules</A>
<LI><A NAME="TOC326" HREF="sicstus_35.html#SEC326">Super and Sub</A>
<LI><A NAME="TOC327" HREF="sicstus_35.html#SEC327">The Keyword Super</A>
<LI><A NAME="TOC328" HREF="sicstus_35.html#SEC328">Semantic Links to Other Objects</A>
<LI><A NAME="TOC329" HREF="sicstus_35.html#SEC329">Dynamically Declared Objects</A>
<LI><A NAME="TOC330" HREF="sicstus_35.html#SEC330">Dynamic Methods</A>
<LI><A NAME="TOC331" HREF="sicstus_35.html#SEC331">Inheritance of Dynamic Behavior</A>
</UL>
<LI><A NAME="TOC332" HREF="sicstus_35.html#SEC332">Creating Objects Dynamically</A>
<UL>
<LI><A NAME="TOC333" HREF="sicstus_35.html#SEC333">Object Creation</A>
<LI><A NAME="TOC334" HREF="sicstus_35.html#SEC334">Method Additions</A>
<LI><A NAME="TOC335" HREF="sicstus_35.html#SEC335">Parameter Passing to New Objects</A>
</UL>
<LI><A NAME="TOC336" HREF="sicstus_35.html#SEC336">Access Driven Programming--Daemons</A>
<LI><A NAME="TOC337" HREF="sicstus_35.html#SEC337">Instances</A>
<LI><A NAME="TOC338" HREF="sicstus_35.html#SEC338">Built-In Objects and Methods</A>
<UL>
<LI><A NAME="TOC339" HREF="sicstus_35.html#SEC339">Universal Methods</A>
<LI><A NAME="TOC340" HREF="sicstus_35.html#SEC340">Inlined Methods</A>
<LI><A NAME="TOC341" HREF="sicstus_35.html#SEC341">The Proto-Object "object"</A>
<LI><A NAME="TOC342" HREF="sicstus_35.html#SEC342">The built-in object "utility"</A>
</UL>
<LI><A NAME="TOC343" HREF="sicstus_35.html#SEC343">Expansion to Prolog Code</A>
<UL>
<LI><A NAME="TOC344" HREF="sicstus_35.html#SEC344">The Inheritance Mechanism</A>
<LI><A NAME="TOC345" HREF="sicstus_35.html#SEC345">Object Attributes</A>
<LI><A NAME="TOC346" HREF="sicstus_35.html#SEC346">Object Instances</A>
<LI><A NAME="TOC347" HREF="sicstus_35.html#SEC347">The Object Declaration</A>
<LI><A NAME="TOC348" HREF="sicstus_35.html#SEC348">The Method Code</A>
<LI><A NAME="TOC349" HREF="sicstus_35.html#SEC349">Parameter Transfer</A>
</UL>
<LI><A NAME="TOC350" HREF="sicstus_35.html#SEC350">Examples</A>
<UL>
<LI><A NAME="TOC351" HREF="sicstus_35.html#SEC351">Classification of Birds</A>
<LI><A NAME="TOC352" HREF="sicstus_35.html#SEC352">Inheritance and Delegation</A>
<LI><A NAME="TOC353" HREF="sicstus_35.html#SEC353">Prolog++ programs</A>
</UL>
</UL>
<LI><A NAME="TOC354" HREF="sicstus_36.html#SEC354">Generalized Horn Clause Language</A>
<LI><A NAME="TOC355" HREF="sicstus_37.html#SEC355">Tcl/Tk Interface</A>
<UL>
<LI><A NAME="TOC356" HREF="sicstus_37.html#SEC356">Prolog to Tcl</A>
<UL>
<LI><A NAME="TOC357" HREF="sicstus_37.html#SEC357">Command Format</A>
</UL>
<LI><A NAME="TOC358" HREF="sicstus_37.html#SEC358">Tcl to Prolog</A>
<LI><A NAME="TOC359" HREF="sicstus_37.html#SEC359">Tk</A>
</UL>
<LI><A NAME="TOC360" HREF="sicstus_38.html#SEC360">The Gauge Profiling Tool</A>
<LI><A NAME="TOC361" HREF="sicstus_39.html#SEC361">I/O on Lists of Character Codes</A>
<LI><A NAME="TOC362" HREF="sicstus_40.html#SEC362">Jasper</A>
<LI><A NAME="TOC363" HREF="sicstus_41.html#SEC363">Glue Code Generator</A>
<LI><A NAME="TOC364" HREF="sicstus_42.html#SEC364">Timeout Predicate</A>
<LI><A NAME="TOC365" HREF="sicstus_43.html#SEC365">Cross Reference Producer</A>
<LI><A NAME="TOC366" HREF="sicstus_44.html#SEC366">Summary of Built-In Predicates</A>
<LI><A NAME="TOC367" HREF="sicstus_45.html#SEC367">Full Prolog Syntax</A>
<UL>
<LI><A NAME="TOC368" HREF="sicstus_45.html#SEC368">Notation</A>
<LI><A NAME="TOC369" HREF="sicstus_45.html#SEC369">Syntax of Sentences as Terms</A>
<LI><A NAME="TOC370" HREF="sicstus_45.html#SEC370">Syntax of Terms as Tokens</A>
<LI><A NAME="TOC371" HREF="sicstus_45.html#SEC371">Syntax of Tokens as Character Strings</A>
<LI><A NAME="TOC372" HREF="sicstus_45.html#SEC372">Escape Sequences</A>
<LI><A NAME="TOC373" HREF="sicstus_45.html#SEC373">Notes</A>
</UL>
<LI><A NAME="TOC374" HREF="sicstus_46.html#SEC374">Standard Operators</A>
<LI><A NAME="TOC375" HREF="sicstus_47.html#SEC375">References</A>
<LI><A NAME="TOC376" HREF="sicstus_48.html#SEC376">Predicate Index</A>
<LI><A NAME="TOC377" HREF="sicstus_49.html#SEC377">Prolog Objects Method Index</A>
<LI><A NAME="TOC378" HREF="sicstus_50.html#SEC378">Concept Index</A>
</UL>
<P><HR><P>
This document was generated on 6 October 1998 using the
<A HREF="http://wwwinfo.cern.ch/dis/texi2html/">texi2html</A>
translator version 1.52.</P>
</BODY>
</HTML>
