<HTML><HEAD><TITLE>SWI-Prolog Reference Manual: Section 1.12</TITLE><LINK REL=home HREF="Title.html">
<LINK REL=contents HREF="Contents.html">
<LINK REL=index HREF="Index.html">
<LINK REL=summary HREF="sec-B.html">
<LINK REL=previous HREF="sec-1.11.html">
<LINK REL=next HREF="sec-1.13.html">
</HEAD>

<BODY>

<HR><CENTER><A HREF="Title.html">Home</A>
<A HREF="Contents.html">Contents</A>
<A HREF="Index.html">Index</A>
<A HREF="sec-B.html">Summary</A>
<A HREF="sec-1.11.html">Previous</A>
<A HREF="sec-1.13.html">Next</A>
</CENTER>

<HR>

<H2><A NAME="sec:1.12">1.12 Version 2.5 Release Notes</A></H2>

<P>Version 2.5 is an intermediate release on the path from 2.1 to 3.0. 
All changes are to the foreign-language interface, both to user- and 
system predicates implemented in the C-language. The aim is twofold. 
First of all to make garbage-collection and stack-expansion 
(stack-shifts) possible while foreign code is active without the 
C-programmer having to worry about locking and unlocking C-variables 
pointing to Prolog terms. The new approach is closely compatible to the 
Quintus and SICStus Prolog foreign interface using the <CODE>+term</CODE> 
argument specification (see their respective manuals). This allows for 
writing foreign interfaces that are easily portable over these three 
Prolog platforms.

<P>According to the current plan, ISO compliant exception handling and 
hooks for source-code debugging will be added before the system will be 
called 3.0.

<P>Apart from various bug fixes listed in the Changelog file, these are 
the main changes since 2.1.0:

<P><UL>
<LI><I>ISO compatibility</I><BR>
Many ISO compatibility features have been added: <A NAME="idx:open/4:22"></A><A HREF="sec-3.15.html#open/4">open/4</A>, 
arithmetic functions, syntax, etc.
<LI><I>WIN32</I><BR>
Many fixes for the Win32 (NT, '95 and win32s) platforms. Notably many 
problems related to pathnames and a problem in the garbage collector.
<LI><I>Performance</I><BR>
Many changes to the clause indexing system: added hash-tables, lazy 
computation of the index information, etc.
<LI><I>Portable saved-states</I><BR>
The predicate <A NAME="idx:qsave_program/[1,2]:23"></A><A HREF="sec-6.html#qsave_program/1">qsave_program/[1,2]</A> 
allows for the creating of machine independent saved-states that load 
very quickly.
</UL>

