<HTML><HEAD><TITLE>SWI-Prolog Reference Manual</TITLE><LINK REL=home HREF="Title.html">
<LINK REL=contents HREF="Contents.html">
<LINK REL=index HREF="Index.html">
<LINK REL=summary HREF="sec-B.html">
<LINK REL=previous HREF="sec-2.12.html">
<LINK REL=next HREF="sec-3.1.html">
</HEAD>

<BODY>

<HR><CENTER><A HREF="Title.html">Home</A>
<A HREF="Contents.html">Contents</A>
<A HREF="Index.html">Index</A>
<A HREF="sec-B.html">Summary</A>
<A HREF="sec-2.12.html">Previous</A>
<A HREF="sec-3.1.html">Next</A>
</CENTER>

<HR>

<H1><A NAME="sec:3">3 Built-In Predicates</A></H1>

<P>

<HR><CENTER>

<H2>Section Index</H2>

</CENTER>

<HR><UL><UL>
<LI><A HREF="sec-3.1.html"><B>3.1 Notation of Predicate Descriptions</B></A>
<LI><A HREF="sec-3.2.html"><B>3.2 Consulting Prolog Source files</B></A><UL>
<LI><A HREF="sec-3.2.html#sec:3.2.1">3.2.1 Quick Load Files</A></UL>
<LI><A HREF="sec-3.3.html"><B>3.3 Listing Predicates and Editor 
Interface</B></A>
<LI><A HREF="sec-3.4.html"><B>3.4 Verify Type of a Term</B></A>
<LI><A HREF="sec-3.5.html"><B>3.5 Comparison and Unification or Terms</B></A><UL>
<LI><A HREF="sec-3.5.html#sec:3.5.1">3.5.1 Standard Order of Terms</A></UL>
<LI><A HREF="sec-3.6.html"><B>3.6 Control Predicates</B></A>
<LI><A HREF="sec-3.7.html"><B>3.7 Meta-Call Predicates</B></A>
<LI><A HREF="sec-3.8.html"><B>3.8 ISO compliant Exception handling</B></A><UL>
<LI><A HREF="sec-3.8.html#sec:3.8.1">3.8.1 Debugging and exceptions</A>
<LI><A HREF="sec-3.8.html#sec:3.8.2">3.8.2 The exception term</A>
<LI><A HREF="sec-3.8.html#sec:3.8.3">3.8.3 Printing a message from an 
exception</A></UL>
<LI><A HREF="sec-3.9.html"><B>3.9 Handling signals</B></A><UL>
<LI><A HREF="sec-3.9.html#sec:3.9.1">3.9.1 Notes on signal handling</A></UL>
<LI><A HREF="sec-3.10.html"><B>3.10 Advanced control-structures: blocks</B></A>
<LI><A HREF="sec-3.11.html"><B>3.11 Grammar rule interface (phrase)</B></A>
<LI><A HREF="sec-3.12.html"><B>3.12 Database</B></A><UL>
<LI><A HREF="sec-3.12.html#sec:3.12.1">3.12.1 Indexing databases</A></UL>
<LI><A HREF="sec-3.13.html"><B>3.13 Declaring Properties of Predicates</B></A>
<LI><A HREF="sec-3.14.html"><B>3.14 Examining the Program</B></A>
<LI><A HREF="sec-3.15.html"><B>3.15 Input and Output</B></A><UL>
<LI><A HREF="sec-3.15.html#sec:3.15.1">3.15.1 Input and Output Using 
Implicit Source and Destination</A>
<LI><A HREF="sec-3.15.html#sec:3.15.2">3.15.2 Explicit Input and Output 
Streams</A>
<LI><A HREF="sec-3.15.html#sec:3.15.3">3.15.3 Switching Between Implicit 
and Explicit I/O</A></UL>
<LI><A HREF="sec-3.16.html"><B>3.16 Status of Input and Output Streams</B></A>
<LI><A HREF="sec-3.17.html"><B>3.17 Primitive Character Input and Output</B></A>
<LI><A HREF="sec-3.18.html"><B>3.18 Term Reading and Writing</B></A>
<LI><A HREF="sec-3.19.html"><B>3.19 Analysing and Constructing Terms</B></A>
<LI><A HREF="sec-3.20.html"><B>3.20 Analysing and Constructing Atoms</B></A>
<LI><A HREF="sec-3.21.html"><B>3.21 Representing Text in Strings</B></A>
<LI><A HREF="sec-3.22.html"><B>3.22 Operators</B></A>
<LI><A HREF="sec-3.23.html"><B>3.23 Arithmetic</B></A>
<LI><A HREF="sec-3.24.html"><B>3.24 Arithmetic Functions</B></A>
<LI><A HREF="sec-3.25.html"><B>3.25 Adding Arithmetic Functions</B></A>
<LI><A HREF="sec-3.26.html"><B>3.26 List Manipulation</B></A>
<LI><A HREF="sec-3.27.html"><B>3.27 Set Manipulation</B></A>
<LI><A HREF="sec-3.28.html"><B>3.28 Sorting Lists</B></A>
<LI><A HREF="sec-3.29.html"><B>3.29 Finding all Solutions to a Goal</B></A>
<LI><A HREF="sec-3.30.html"><B>3.30 Invoking Predicates on all Members 
of a List</B></A>
<LI><A HREF="sec-3.31.html"><B>3.31 Forall</B></A>
<LI><A HREF="sec-3.32.html"><B>3.32 Formatted Write</B></A><UL>
<LI><A HREF="sec-3.32.html#sec:3.32.1">3.32.1 Writef</A>
<LI><A HREF="sec-3.32.html#sec:3.32.2">3.32.2 Format</A>
<LI><A HREF="sec-3.32.html#sec:3.32.3">3.32.3 Programming Format</A></UL>
<LI><A HREF="sec-3.33.html"><B>3.33 Terminal Control</B></A>
<LI><A HREF="sec-3.34.html"><B>3.34 Operating System Interaction</B></A>
<LI><A HREF="sec-3.35.html"><B>3.35 File System Interaction</B></A>
<LI><A HREF="sec-3.36.html"><B>3.36 User Toplevel Manipulation</B></A>
<LI><A HREF="sec-3.37.html"><B>3.37 Creating a Protocol of the User 
Interaction</B></A>
<LI><A HREF="sec-3.38.html"><B>3.38 Debugging and Tracing Programs</B></A>
<LI><A HREF="sec-3.39.html"><B>3.39 Obtaining Runtime Statistics</B></A>
<LI><A HREF="sec-3.40.html"><B>3.40 Finding Performance Bottlenecks</B></A>
<LI><A HREF="sec-3.41.html"><B>3.41 Memory Management</B></A>
<LI><A HREF="sec-3.42.html"><B>3.42 Windows DDE interface</B></A><UL>
<LI><A HREF="sec-3.42.html#sec:3.42.1">3.42.1 DDE client interface</A>
<LI><A HREF="sec-3.42.html#sec:3.42.2">3.42.2 DDE server mode</A></UL>
