<HTML><HEAD><TITLE>SWI-Prolog Reference Manual: Section 5.1</TITLE><LINK REL=home HREF="Title.html">
<LINK REL=contents HREF="Contents.html">
<LINK REL=index HREF="Index.html">
<LINK REL=summary HREF="sec-B.html">
<LINK REL=previous HREF="sec-5.html">
<LINK REL=next HREF="sec-5.2.html">
</HEAD>

<BODY>

<HR><CENTER><A HREF="Title.html">Home</A>
<A HREF="Contents.html">Contents</A>
<A HREF="Index.html">Index</A>
<A HREF="sec-B.html">Summary</A>
<A HREF="sec-5.html">Previous</A>
<A HREF="sec-5.2.html">Next</A>
</CENTER>

<HR>

<H2><A NAME="sec:5.1">5.1 Overview of the Interface</A></H2>

<P>A special include file called <CODE>SWI-Prolog.h</CODE> should be 
included with each C-source file that is to be loaded via the foreign 
interface. The installation process installs this file in the directory <CODE>include</CODE> 
in the SWI-Prolog home directory (<CODE>?- feature(home, Home).</CODE>). 
This C-header file defines various data types, macros and functions that 
can be used to communicate with SWI-Prolog. Functions and macros can be 
divided into the following categories:

<P><UL COMPACT>
<LI>Analysing Prolog terms
<LI>Constructing new terms
<LI>Unifying terms
<LI>Returning control information to Prolog
<LI>Registering foreign predicates with Prolog
<LI>Calling Prolog from C
<LI>Global actions on Prolog (halt, break, abort, etc.)
</UL>

