<HTML><HEAD><TITLE>SWI-Prolog Reference Manual: Section 6.1</TITLE><LINK REL=home HREF="Title.html">
<LINK REL=contents HREF="Contents.html">
<LINK REL=index HREF="Index.html">
<LINK REL=summary HREF="sec-B.html">
<LINK REL=previous HREF="sec-6.html">
<LINK REL=next HREF="sec-6.2.html">
</HEAD>

<BODY>

<HR><CENTER><A HREF="Title.html">Home</A>
<A HREF="Contents.html">Contents</A>
<A HREF="Index.html">Index</A>
<A HREF="sec-B.html">Summary</A>
<A HREF="sec-6.html">Previous</A>
<A HREF="sec-6.2.html">Next</A>
</CENTER>

<HR>

<H2><A NAME="sec:6.1">6.1 Limitations of qsave_program</A></H2>

<P>There are three areas that require special attention when using
<A NAME="idx:qsave_program/[1,2]:637"></A><A HREF="sec-6.html#qsave_program/1">qsave_program/[1,2]</A>.

<P><UL>
<LI>If the program is an embedded Prolog application or uses the foreign 
language interface, care has to be taken to restore the appropriate 
foreign context. See <A HREF="sec-6.2.html">section 6.2</A> for details.

<P>
<LI>If the program uses directives (<CODE>:- goal.</CODE> lines) that 
perform other actions then setting predicate attributes (dynamic, 
volatile, etc.) or loading files (consult, etc.), the directive may need 
to be prefixed with <A NAME="idx:initialization/1:638"></A><A HREF="sec-3.2.html#initialization/1">initialization/1</A>.

<P>
<LI>Database references as returned by <A NAME="idx:clause/3:639"></A><A HREF="sec-3.14.html#clause/3">clause/3</A>, <A NAME="idx:recorded/3:640"></A><A HREF="sec-3.12.html#recorded/3">recorded/3</A>, 
etc. are not preserved and may thus not be part of the database when 
saved.
</UL>

