%
% CWI article style
%
% File		: cwiarticle.sty
% Version	: 1.2
% Modified	: 5/26/93 16:26:05
% Author	: Jan van der Steen (jansteen@cwi.nl)
% Based on	: Peter de Waal/Rob van der Horst
%
\input article.sty			% Based on Lamports article style

%
% CWI article dimensions
%
\if@twoside
    \oddsidemargin    0in		% Left margin on odd-numbered pages.
    \evensidemargin\oddsidemargin	% Left margin on even-numbered pages.
    \marginparwidth 107pt		% Width of marginal notes.
\else
    \oddsidemargin    0in		% Left margin on odd-numbered pages.
    \evensidemargin\oddsidemargin	% Left margin on even-numbered pages.
    \marginparwidth 107pt		% Width of marginal notes.
\fi

\textwidth	   15.5cm		% Width of text line.
\textheight	   21.5cm		% \textheight is the height of text
					% (including footnotes and figures,
					% excluding running head and foot.
\topmargin	      0pt
\headsep	    0.6cm
\raggedbottom


%
% General initialisation
%
\input cwigeneral.sty\relax
