%
% CWI fonts
%
% File		: cwifonts.sty
% Version	: 1.2
% Modified	: 5/26/93 15:30:12
% Author	: Jan van der Steen (jansteen@cwi.nl)
% Based on	: Peter de Waal/Rob van der Horst
%
% 1. small point sizes of \sf family
% 2. define the \sfi family (sans serif italics)

\font\sevsf    = cmss10   \@ptscale7	% sans serif
\font\sevsfi   = cmssi10  \@ptscale7	% italic sans serif
\font\egtsf    = cmss8			% sans serif
\font\egtsfi   = cmssi8			% italic sans serif
\font\ninsfi   = cmssi9			% italic sans serif
\font\tensfi   = cmssi10		% italic sans serif
\font\elvsfi   = cmssi10  \@halfmag	% italic sans serif
\font\twlsfi   = cmssi10  \@magscale1	% italic sans serif
%\font\frtnsf  = cmss10   \@magscale2	% sans serif
%\font\frtnsfi = cmssi10  \@magscale2	% italic sans serif
\font\frtnsf   = cmss12   \@magscale1	% sans serif
\font\frtnsfi  = cmssi12  \@magscale1	% italic sans serif

% Added by LM:
\font\tensf    = cmss10			% sans serif

% % The following part is suspicious, if it is used, keywords like
% % \large and \Large no longer work
% 
% \def\sfi{\protect\psfi}
% 
% \newfam\sfifam		% \sfi is fam 11 ? (see lfonts.tex)
% 
% % save original defs of \vpt, \vipt, \viipt, etc.
% 
% \let\vpt@=\vpt
% \let\vipt@=\vipt
% \let\viipt@=\viipt
% \let\viiipt@=\viiipt
% \let\ixpt@=\ixpt
% \let\xpt@=\xpt
% \let\xipt@=\xipt
% \let\xiipt@=\xiipt
% \let\xivpt@=\xivpt
% \let\xviipt@=\xviipt
% \let\xxpt@=\xxpt
% \let\xxvpt@=\xxvpt
% 
% \def\vpt{
%     \vpt@
%     \def\psf{\@subfont\sf\rm}
%     \def\psfi{\@subfont\sfi\rm}
% }
% \def\@vpt{}
% 
% \def\vipt{
%     \vipt@
%     \def\psf{\@subfont\sf\rm}
%     \def\psfi{\@subfont\sfi\rm}
% }
% \def\@vipt{}
% 
% \def\viipt{
%     \viipt@
%     \def\psf{\@getfont\psf\sffam\@viipt{cmss10\@ptscale7}}
%     \def\psfi{\@getfont\psfi\sfifam\@viipt{cmssi10\@ptscale7}}
% }
% \def\@viipt{}
% 
% \def\viiipt{
%     \viiipt@
%     \def\psf{\@getfont\psf\sffam\@viiipt{cmss8}}
%     \def\psfi{\@getfont\psfi\sfifam\@viiiipt{cmssi8}}
% }
% \def\@viiipt{}
% 
% \def\ixpt{
%     \ixpt@
%     \def\psf{\@getfont\psf\sffam\@ixpt{cmss9}}
%     \def\psfi{\@getfont\psfi\sfifam\@ixpt{cmssi9}}
% }
% \def\@ixpt{}
% 
% \def\xpt{
%     \xpt@
%     \def\psf{\fam\sffam\tensf}
%     \textfont\sffam\tensf
%     \scriptfont\sffam\tensf
%     \scriptscriptfont\sffam\tensf
%     \def\psfi{\fam\sfifam\tensfi}
%     \textfont\sfifam\tensfi
%     \scriptfont\sfifam\tensfi
%     \scriptscriptfont\sfifam\tensfi
% }
% \def\@xpt{}
% 
% \def\xipt{
%     \xipt@
%     \def\psf{\fam\sffam\elvsf}
%     \textfont\sffam\elvsf
%     \scriptfont\sffam\tensf
%     \scriptscriptfont\sffam\tensf
%     \def\psfi{\fam\sfifam\elvsfi}
%     \textfont\sfifam\elvsfi
%     \scriptfont\sfifam\tensfi
%     \scriptscriptfont\sfifam\tensfi
% }
% \def\@xipt{}
% 
% \def\xiipt{
%     \xiipt@
%     \def\psf{\fam\sffam\twlsf}
%     \textfont\sffam\twlsf
%     \scriptfont\sffam\tensf
%     \scriptscriptfont\sffam\tensf
%     \def\psfi{\fam\sfifam\twlsfi}
%     \textfont\sfifam\twlsfi
%     \scriptfont\sfifam\tensfi
%     \scriptscriptfont\sfifam\tensfi
% }
% \def\@xiipt{}
% 
% \def\xivpt{
%     \xivpt@
%     \def\psf{\@getfont\psf\sffam\@xivpt{\@mss\@magscale2}}
%     \def\psfi{\@getfont\psfi\sfifam\@xivpt{cmssi12\@magscale1}}
% }
% \def\@xivpt{}
