%
% CWI extra fonts
%
% File		: cwixfonts.sty
% Version	: 1.1
% Modified	: 2/3/93 10:02:36
% Author	: Jan van der Steen (jansteen@cwi.nl)
% Based on	: Peter de Waal/Rob van der Horst
%
% Gothic glyps
% in Math.mode helaas alleen 10eulerfont

%
% Definitie van Euler Fraktur font, (gotische letters)
%
\font\teneuf=eufm10
\font\seveneuf=eufm7
\font\fiveeuf=eufm5
\newfam\euffam
    \textfont\euffam=\teneuf
    \scriptfont\euffam=\seveneuf
    \scriptscriptfont\euffam=\fiveeuf
\def\goth{\fam\euffam\teneuf}			% in teneulerfont
\def\gothten{\fam\euffam\teneuf}		% in teneulerfont
\def\gothseven{\fam\euffam\seveneuf}		% in seveneulerfont
\def\gothfive{\fam\euffam\fiveeuf}		% in fiveeulerfont

%
% Definitie van het open letter font
%
\font\mathsymbols=msbm10
\newfam\mf
    \textfont\mf=\mathsymbols
    \scriptfont\mf=\mathsymbols
    \scriptscriptfont\mf=\mathsymbols
\def\ol{\fam\mf\mathsymbols}

\def\oh{$[\kern-.1667em [$}
\def\sh{$]\kern-.1667em ]$}
%
%  Definitie van vierkante open en sluithaak in open letter stijl.
%
\def\ooh{%
    \hspace*{-1mm}%
    \raisebox{-.45ex}{%
	\beginpicture
	    \setcoordinatesystem units <.34mm,.64mm>
	    \setplotarea x from 0 to 2 , y from 0 to 5
	    \putrule from 2 0 to 0 0
	    \putrule from 0 0 to 0 5
	    \putrule from 0 5 to 2 5
	    \putrule from 1 0 to 1 5
	\endpicture
    }%
    \hspace{.2mm}%
}
\def\osh{%
    \hspace{-1.2mm}%
    \raisebox{-.45ex}{%
	\beginpicture
	    \setcoordinatesystem units <.34mm,.64mm>
	    \setplotarea x from 0 to 2 , y from 0 to 5
	    \putrule from 0 0 to 2 0
	    \putrule from 2 0 to 2 5
	    \putrule from 2 5 to 0 5
	    \putrule from 1 0 to 1 5
	\endpicture
    }%
    \hspace{.5mm}%
}
