<document>

@* Audio databases

\slyname{8}

<slide id=8-intro cap="Audio databases">
@ Audio databases
<ul>
<li> audio database -- audio signals
<li> audio database -- compression, discrete representation
<li> musical patterns -- similarity-based retrieval
</ul>
</slide>


@+ A general model of audio data

<slide id=8-model cap="Audio databases">
@ Audio data model
<ul>
<li> meta-data -- describing content
<li> features  -- using feature extraction
</ul>
</slide>

<slide id=8-meta cap="Meta data">
@ Meta data
/// <box>audio content</box>
<ul>
<li> singers -- (Opera,Role,Person)
<li> score -- ...
<li> transcript -- ...
</ul>
</slide>

<slide id=8-signal cap="Signal-based content">
@ Signal-based content
<ul>
<li> audio data -- $%F(x)$ over time $x$
<li> wave -- period $T$, frequency $ f = 1/T $
<li> velocity -- $ v = w/T = w * f $, with $w$ wavelength
<li> amplitude -- $a$
</ul>
@ Windowing
<ul>
<li> break signal up in small windows of time
</ul>
</slide>

<slide id=8-index cap="Indexing audio databases">
@ Segmentation
/// <box>indexing</box>
<ul>
<li> (relatively) homogeneous windows
<li> using homogeneity predicate
</ul>
@ Feature extraction
<ul>
<li> intensity -- watts/$m^2$
<li> loudness -- in decibels
<li> pitch -- from frequency and amplitude
<li> brightness -- amount of distortion
</ul>
</slide>

<so q-8>
\clearpage
</document>
