<document>

@* Audio databases

\slyname{8}

<slide id=8-intro cap="Audio databases">
@ Audio databases
<ul>
<li> audio database -- audio signals </li>
<li> audio database -- compression, discrete representation</li>
<li> musical patterns -- similarity-based retrieval</li>
</ul>
</slide>


@+ A general model of audio data

<slide id=8-model cap="Audio databases">
@ Audio data model
<ul>
<li> meta-data -- describing content</li>
<li> features  -- using feature extraction</li>
</ul>
</slide>

<slide id=8-meta cap="Meta data">
@ Meta data
/// <box>audio content</box>
<ul>
<li> singers -- (Opera,Role,Person)</li>
<li> score -- ...</li>
<li> transcript -- ...</li>
</ul>
</slide>

<slide id=8-signal cap="Signal-based content">
@ Signal-based content
<ul>
<li> audio data -- $%F(x)$ over time $x$</li>
<li> wave -- period $T$, frequency $ f = 1/T $</li>
<li> velocity -- $ v = w/T = w * f $, with $w$ wavelength</li>
<li> amplitude -- $a$</li>
</ul>
@ Windowing
<ul>
<li> break signal up in small windows of time</li>
</ul>
</slide>

<slide id=8-index cap="Indexing audio databases">
@ Segmentation
/// <box>indexing</box>
<ul>
<li> (relatively) homogeneous windows</li>
<li> using homogeneity predicate</li>
</ul>
@ Feature extraction
<ul>
<li> intensity -- watts/$m^2$</li>
<li> loudness -- in decibels</li>
<li> pitch -- from frequency and amplitude</li>
<li> brightness -- amount of distortion</li>
</ul>
</slide>

</document>
