<document>
:@* Scenarios

\slyname{0}


<slide id=0-prel cap="Query and process data">
@ Query and process data
<ul>
<li> images -- MRI scans, photos </li>
<li> video  -- lectures, surveillance </li>
<li> audio  -- interviews, phone tracks </li>
<li> documents -- technical, historic, ... </li>
<li> handwriting -- notes, diagrams </li>
</ul>
</slide>

<slide id=0-MMDBMS cap="MMDBMS">
@ MMDBMS
/// <box>requirements</box>
<ul>
<li> uniform queries -- textual, legacy </li>
<li> multimedia -- pictorial, audio, relational </li>
<li> retrieve media objects -- jitter free, streaming, CDROM </li>
<li> presentation facilities -- authoring structure </li>
<li> delivery -- performance characteristics </li>
</ul>
</slide>

<slide id=0-book cap="BOOK">
:@ Issues
<ul>
<li> preliminaries -- SQL, object databases </li>
<li> representation media data -- organize/manipulate, indexing </li>
<li> storage and retrieval -- physical </li>
<li> creation and delivery -- networked multimedia </li>
</ul>
</slide>
<document>

<slide color=blue id=1-scenarion cap="Multimedia scenario">
@ Multimedia scenario
/// <box><a href=@vrml/kick/mm-kick.wrl>police investigation of drug operation</a></box>
<ul>
<li> video surveillance -- monitoring </li>
<li> telephone wiretaps -- audio recording </li>
<li> photography -- archive </li>
<li> documents -- investigations </li>
<li> structured data -- relational data, transactions </li>
<li> geographic information -- locations, routes </li>
</ul>
</slide>

<slide id=1-queries cap="Sample queries">
@ Sample queries
<ul>
<li> image query -- all images with this person </li>
<li> audio query -- identity of speaker </li>
<li> text query -- all transactions with ABC Inc. </li>
<li> video query -- all segments with victim </li>
<li> simple heterogeneous -- convicted murderers with ABC transactions </li>
<li> heterogeneous -- photograph + murderer + transaction </li>
<li> complex heterogeneous -- <em>in contact with</em> + murderer + transaction </li>
</ul>
</slide>

<slide id=1-applications cap="Other applications">
:@ Other applications
<ul>
<li> educational multimedia services </li>
<li> movies-on-demand </li>
<li> expert advice </li>
<li> travel industry </li>
<li> home shopping </li>
</ul>
</slide>

<slide color=red id=1-summary cap="In summary">
:@ In summary
/// <box>data + algorithms</box>
<ul>
<li> media types -- image, video, audio, text, structured </li>
<li> applications -- add-on information </li>
<li> retrieval algorithms -- querying </li>
</ul>
</slide>

</document>
