<document>
:Name
<a href=@tm-Appearance.wrl>Appearance</a>
:Relevance
The appearance node is the node that<br>
controls how geometry is rendered.<br>
Almost every VRML file uses Appearance<br> 
nodes.
:Syntax
<display size=0.8>
/// <a ref=@tm-Box><red>Appearance</red></a>
Appearance { 
    field SFNode material         NULL
    field SFNode texture          NULL
    field SFNode textureTransform NULL
}
</display>
:Example(s)
<ul>
<li> All geometry has an appearance.
</ul>
:Dissection
<display level=auto size=0.6>
<include file=simple/Appearance.wrl>
</display>
:Related Nodes
<ul>
<li>Shape
<li>Material
<li>ImageTexture, MovieTexture, PixelTexture
<li>TextureTransform
</ul>
:Application(s)
whatever.wrl
:Next
The Material node...
</document>
