<document>
:Name
<a href=@tm-Cone.wrl>Cone</a>
<vrml><example trans="0 -1.5 8" name=Cone></vrml>
:Relevance
Cones are important 'primitives'.<br>
:Syntax
<display size=0.8>
### <a ref=@tm-Cone><red>Cone</red></a>
Cone { 
    field SFFloat bottomRadius 1
    field SFFloat height       1
    field SFBool  bottom       TRUE
    field SFBool  side         TRUE
}
</display>
:Example(s)
<ul>
<li> A Cone
<li> Anything more or less cone-shaped...
</ul>
:Dissection
<display level=auto size=0.6>
<include file=simple/Cone.wrl>
</display>
:Related Nodes
<ul>
<li>Shape
<li>other geometry nodes
<ul>
<li>Box, Sphere, Cylinder
<li>Text
<li>IndexedFaceSet, IndexedLineSet, PointSet
<li>Extrusion, ElevationGrid
</ul>
</ul>
:Application(s)
whatever.wrl
:Next
The Text node...
</document>
