<document>
:Name
<a href=@tm-Sphere.wrl>Sphere</a>
<vrml><example trans="0 -1.5 8" name=Sphere></vrml>
:Relevance
Spheres are important 'primitives'.
:Syntax
<display size=0.8>
### <a href=@tm-Sphere.wrl><red>Sphere</red></a>
Sphere { 
    field SFFloat radius 1
}
</display>
:Example(s)
<ul>
<li> A Ball
<li> Anything spherical shaped...
</ul>
:Dissection 
<display level=auto size=0.6>
<include file=simple/Sphere.wrl>
</display>
:Related Nodes
<ul>
<li>Shape
<li>other geometry nodes
<ul>
<li>Box, Cone, Cylinder
<li>Text
<li>IndexedFaceSet, IndexedLineSet, PointSet
<li>Extrusion, ElevationGrid
</ul>
</ul>
:Application(s)
<break size=2>
<center>
<object trans="100 -200 1000" scale="0.2 0.2 0.2">
#@include @vrml/applications/Spheres.wrl
</object>
</center>       
:Next
The Cylinder node...
</document>
