<document>
:Name
<a href=@tm-Transform.wrl>Transform</a>
<vrml><example trans="0 -1.5 8" name=Transform></vrml>
:Relevance
Transform is a grouping node that<br>
transforms the coordinate system<br>
containing its children.
:Syntax
<display size=0.8>
/// <a ref=@tm-Transform><red>Transform</red></a>
Transform { 
    eventIn      MFNode     addChildren
    eventIn      MFNode     removeChildren
    exposedField SFVec3f    center           0 0 0   
    exposedField MFNode     children         []
    exposedField SFRotation rotation         0 0 1 0 
    exposedField SFVec3f    scale            1 1 1   
    exposedField SFRotation scaleOrientation 0 0 1 0 
    exposedField SFVec3f    translation      0 0 0   
    field        SFVec3f    bboxCenter       0 0 0   
    field        SFVec3f    bboxSize         -1 -1 -1
                                                     
}
</display>
:Example(s)
<ul>
<li> Placing object in space 
<li> Scaling objects
<li> Moving (animating) objects
</ul>
:Dissection
<display level=auto size=0.6>
<include file=simple/Transform.wrl>
</display>
:Related Nodes
<ul>
<li> Anchor, Inline, Group, 
<li> Billboard, Colission, 
<li> LOD, Switch
</ul>
:Application(s)
whatever.wrl
:Next
The Anchor node...
</document>
