<document>
<h2><gold>Documenting OOP Assignments</gold></h2>
<include file=navigate>
Read the
section about the <a href="review.html">review procedure</a>
and the <a href="style.html">style guide</a> before you start!</p>
<p>
The most important guideline concerning the documentation is
that it must be readable for a sufficiently educated person.
This means in practice, that you must not consider
include files to be suitable documentation material.
To some extent IDL interface specifications are, but only
when embedded in explanatory prose.
Explanatory prose is not just a list of phrases and
terms with their expanded meaning.
Rather it is, in a way, a story that justifies the decisions you
made and that clarifies the architecture of your system.
Without boring the reader.
<p>
You are encouraged to write your documentation as if it were
an essay. An essay to convince the readers that what you did
is interesting and worthwhile. But beware, if you do not persuade
yourself, don't think you will persuade or impress us.
Be critical, and show your writing to other people.
if they get bored, so very likely will we.
Don't be afraid to improve on you own creative skills,
whether it concerns the development of software
or writing about it.

</document>
