   <document>
   <h2><gold>Practicum OO: Marking and Reviewing</gold></h2>
   <include file=navigate>
   
   <p>All assignments will be reviewed on the quality of the
    application, its design, documentation and the way
    object-oriented design and implementation techniques are deployed.

    Before and after marking by the supervisors, students may be
    requested to process review criticism and adapt their application
    or documentation or to demonstrate their application.
   <dl>
    <dt> Documentation
    <dd>
     The documentation includes at least a requirements specification,
     design specification, and a user manual.  The design
     specification should describe (the pros and cons) of your design
     decisions in a short, comprehensive article (aprox. five pages),
     explaining the <em>global</em> architecture of your application,
     and the role of object-orientation in solving the main design problems.
     
    <dt> Architecture
    <dd>
     By architecture we mean both design and implementation of the
     application, and both must reflect object-oriented concepts
     such as encapsulation, inheritance and polymorphism.  
     The system architecture needs to be transparent and
     the application needs to install smoothly. 

    <dt> Interface
    <dd>
     The application needs to have an intuitive, easy-to-use GUI with
     associative on-line help.
   </dl>
   
   <p>Note: The requirements listed above are given as a directive,
    individual markings and reviews may deviate.

</document>
