%%@ client.pl -- the universe in Prolog -- swi prolog

:- use_module(universe). %%% see <a href=universe.pl.html>universe.pl</a>
:- [broker].  %%% see <a href=broker.pl.html>broker</a>

%%@ init and run 

main :-
	broker(client(universe:F)),
	write(F), nl,
	assert(client(factory(F))),
	run.
	
run :-
	h,
	ask('What is the state of Clinton s affairs?'),
	write('Type h to say hallo, x to quit.'),nl.

ask(X) :-
	client(factory(F)),
	write(client(ask(X))),nl,
	world_ask(F,X),
	world_tell(F,R),
	write(client(ans(R))),nl.

h :- client(factory(F)), world_hello(F). 
q :- client(factory(F)), world_halt(F), halt.
x :- halt.

%%</>
