@* <a href=@talk-project.html target=_top>Managing O-O Projects</a>

<slide id=project style=black cap="Did you ever manage a project?">
<table align=center>
<tr><td>Did</td></tr>
<tr><td></td><td>YOU</td></tr>
<tr><td></td><td></td><td>ever</td></tr>
<tr><td></td><td></td><td></td><td>manage</td></tr>
<tr><td></td><td></td><td></td><td></td><td>a</td></tr>
<tr><td></td><td></td><td></td><td></td><td></td><td>project?</td></tr>
</table>
</slide>

<slide id=project-success cap="Critical Success Factors">
@ Critical Success Factors
<ul>
<li> use incremental scheduling and staging
<li> find and fix failing ideas
<li> develop a habit of delivering
<li> Get: sponsor, project manager, technical leader
</ul>
</slide>

<slide id=project-failure cap="Key Failure Indicators">
@ Key Failure Indicators
<ul>
<li> absence of incremental development
<li> use of C++ in commercial IS
</ul>
<p>
see 
<a href=http://www.aw.com/cseng/titles/0-201-49834-0>
Surviving Object-Oriented Projects: A managers Guide
</a>
</slide> 

<slide id=project-oo cap="OO - Success and Failure">
@ OO - Success and Failure
<ul>
<li> OO = technology + mind-set
<li> it might be <b>new</b> technology to your organisation
<li> developers love it!
<li> requires and enables communication between <i>groups</i>
<li> adopting OO may succeed or fail!
</ul>
</slide>

<slide id=project-benefits cap="Possible benefits - responsiveness">
@ Possible benefits - responsiveness
<ul>
<li> responsiveness - variations on a theme
<li> responsiveness to change!
<li> time-to-market
<li> communication - developers, users, executives
<li> maintenance, reuse, productivity
<li> GUI development
<li> morale -- cutting-edge technology
</ul>
</slide>

<slide id=project-drawbacks cap="Drawbacks">
@ Drawbacks
<ul>
<li> Are YOU underestimating?
<li> productivity takes time
<li> hazards of C++ (and Java, ...)
<li> reuse is difficult
<li> establishing a software process
<li> business-modeling or software design?
<li> CASE helps?
<li> You will pay for: training, experience, tools, consultants, ...
</ul>
</slide>

<slide id=project-cc cap="The hazards of C++?">
@ The hazards of C++?
<ul>
<li> C++ won the language war over Eiffel, Objective-C, SOM, C@+, and Java?
<li> Java -- relative simplicity and portability
</ul>
</slide>

<slide id=project-manage-cc cap="Managing (the complexity of) C++">
@ Managing (the complexity of) C++
<ul>
<li> misconception: C++ is like C
<li> consider using another language
<li> Why does C++ exist? - engineering and systems programming
<li> create a subset of the language
<li> design and coding standards
<li> use people with knowledge!
</ul>
</slide>

<slide id=project-risk cap="Risk-reduction Strategies">
@ Risk-reduction Strategies
<ul>
<li> look carefully all around the project
<li> detect the risks!
<li> list the risks in order
<li> work on the risks in order of danger
</ul>
<p> see <a href=risks.html>Risk Avoidance Patterns</a> 
</slide>
