@* <a href=@talk-anti.html target=_top>Anti Patterns</a>


<slide color=blue id=anti cap="AntiPatterns">
@ AntiPatterns - from the cover
<ul>
<li> the AntiPatterns authors have clearly been there
</ul>
<hr>
<p>
See
%%<a href=@online/tutorials/objects/local/antipatterns/index.html>
%%The AntiPatterns Tutorial</a>
%%<br>
%%and 
http://www.antipatterns.com
</slide>

@+ AntiPatterns - the hype

<slide color=yellow id=anti-hype cap="AntiPatterns">
@ Anti-Patterns - from the cover
<ul>
<li> shows managers, architects, and developers to learn
from the painful mistakes of others (!?)
<li> AntiPatterns continue the <red>trend</red> started in
     <red>Design Patterns</red>
<li> AntiPatterns name common problem situations
     resulting from poor <blue>management</blue>
     and <blue> architectural control</blue>
<li> <green>may even provide some clues how to get yourself
     out of the situations</green>
</ul>
<hr>
<p>
See <a href=../overview/risks.html>Risk Avoidance Patterns</a> 
</slide>

@+ AntiPatterns - the facts

<slide color=yellow id=anti-facts cap="AntiPatterns - the facts">
@ The Statistics
<ul>
<li> nearly 1/3 of software projects are cancelled
<li> 2/3 of all software projects have 200% or more cost ...
<li> over 80% of all software projects are deemed failures
</ul>
@ The Authors
<ul>
<li> an all-star team of object-oriented system developers
<li> among which the authors of <a href=dot.html>Corba Design Patterns</a>
</ul>
</slide>

@+ AntiPatterns - the issues

<slide color=red id=anti-issues cap="AntiPatterns - the issues">
@ Root Causes for the Software Crisis
<ul>
<li> Haste, Apathy, Narrow-mindedness,
     Sloth, Avarice, Ignorance, Pride
</ul>
@ From the Foreword
<ul>
<li> ... sometimes the disadvantages of <lightred>patterns</red>
     outweigh the advantages

</ul>
@ AntiPatterns tell you what to avoid
*- the do not cover design, but human behavior
</slide>

@+ AntiPatterns -- Q/A

<slide color=yellow id=anti-offer cap="AntiPatterns -- offer ...">
@ AntiPatterns -- offer ...
<p align=right><red>an answer?</red></p>
<ul>
<li> What are the two most common software design mistakes?
<p align=right><red>Blob, Poltergeist</red></p>
<li> What can we do to fix (or refactor) bad software?
<p align=right><red>Spaghetti, StovePipe</red></p>
<li> Our design project is going around in circles,
how can we get it back on track?
<p align=right><red>Analysis paralysis, Design by Committee</red></p>
<li> How do I know whwn I am being misled by a software vendor?
<p align=right><red>Vendor Lock-in, Smoke and Mirrors</red></p>
<li> Is the latest standard .. technology breakthrough
going to solve my problems?
<p align=right><red>Wolf Ticket, Continuous Obsolescence</red></p>
<li> Is our project headed for disaster?
<p align=right><red>Death by Planning, Mushroom management</red></p>
<li> What are the 'gotchas' of software reuse?
<p align=right><red>Cut-and-Paste programming, Golden Hammer</p> 
</ul>
</slide>
