@* <a href=@talk-behavioral.html target=_top>Behavioral Patterns</a>

<slide color=yellow id=behavioral cap="Behavioral Patterns">
@ Behavioral Patterns
<font color=green><p align=right>communication</p></font>
<font color=red><p>
deal with algorithms and the assignment of responsibilities between objects
</font>
@ class
<ul>
<li> Template Method -- <font color=green>the skeleton of an algorithm</font>
<li> Interpreter -- <font color=green>to evaluate expressions</font>
</ul>
@ object  
<font color=red><p align=right>composition</p></font>
<ul>
<li> Mediator -- <font color=green>provides indirection for loose coupling</font>
<li> Chain of responsibility -- <font color=green>connect objects to interact</font>
<li> Observer -- <font color=green>to handle dependencies</font>
</ul>
</slide>

<slide id=objectify cap="Encapsulating behavior">
@ Encapsulating behavior
<font color=red><p align=right>objectify!</p></font>
<ul>
<li> Strategy -- <font color=green>algorithm</font>
<li> Command -- <font color=green>request</font>
<li> State -- <font color=green>object state -> behavioral change</font>
<li> Visitor -- <font color=green>to extract behavior from class</font>
<li> Iterator -- <font color=green>access and traversal</font>
</ul>
</slide>

<slide color=green id=observer cap="Observer Pattern">
@ Observer
<font color=red><p>one-to-many dependencies and notification</p></font>
@ Structure
<a href=local/observer.gif><image src=local/observer.gif width=300 height=200></a>
@ Consequences
<ul>
<li> abstract coupling between subject and observer
<li> support for broadcast
<li> deals with unexpected updates
</ul>
@ Implementation
<ul>
<li> mapping subjects to observers
<li> observing more than one subject?
<li> who triggers the update - subject or client of subject
<li> dangling references to subject
<li> consistency of subject (before notification)
<li> adding observer-specific update protocols (push / pull)
<li> specifying modifications of interest (aspects)
<li> how to encapsulate update semantics
</ul>
</slide>


