@* <a href=@talk-reactor.html target=_top>The Reactor Pattern</a>

<slide yellow id=reactor cap="The Reactor Pattern">
@ The Reactor Pattern
<ul>
<li> activate handlers when events occur
<li> allow events from multiple sources 
<li> in single threaded process
</ul>
<p><blue>

See D.C. Schmidt, Using Design Patterns to Develop Reusable Object-oriented
Communication Software, CACM October '95, 38(10): 65-74
</blue>
</slide>

<slide id=reactor-struct cap="The Reactor Pattern - structure">
<image src=reactor.gif>
</slide>


<slide id=reactor-interact cap="The Reactor Pattern - interaction">
<image src=interact.gif>
</slide>

<slide color=blue id=reactor-consequences cap="The Reactor Pattern - interaction">
@ Consequences
<ul>
<li> modularity
<li> configurability of event-driven software
<li> decoupling application-independent mechanisms from
application-specific processing policies
<li> improves portability -- abstracts from OS
<li> course grained concurrency control
</ul>
@ Disadvantages
<ul>
<li> handlers are not pre-empted
<li> flow of control is event-driven
<li> applications can be hard to debug
</ul>
@ Applications
<ul>
<li> (X) Windows, Interviews, <i>hush</i>
<li> Orbacus Omnibroker 
</ul>
@ Related Patterns
<ul>
<li> Observer, Facade, Template Method
</ul>
</slide>
