@* <a href=@talk-structural.html target=_top>Structural Patterns</a>

<slide color=yellow id=structural cap="Structural Patterns">
@ Structural Patterns
<font color=red><p>are concerned with how classes and objects
are composed to form larger structures
</font>
<style type=text/css>
TH { color: red ;  background: lightgreen; }
TD { color: blue ; background: yellow; }
</style>
<script language=javascript src=row.js></script>
<table cellspacing=5 border=0>
<th>Pattern</th><th>Alias</th><th>Remarks</th>
<script language=javascript>
pattern="Adaptor";
alias="wrapper";
remarks="inheritance or delegation?";
project();

pattern="Bridge";
alias="handle/body";
remarks="relate abstraction to implementation";
project();

pattern="Composite";
alias="part/whole";
remarks="see <a href=local/composite.gif>";
project();

pattern="Decorator";
alias="wrapper";
remarks="when extension by subclassing is impractical";
project();

pattern="Facade";
alias="wrapper*";
remarks="provides unified interface";
project();

pattern="Flyweight";
alias="part/whole*";
remarks="extrinsic state, many objects";
project();

pattern="Proxy";
alias="surrogate";
remarks="to defer  ... remote, virtual, protection";
project();

</script>
</table>
</slide>

<slide color=green id=idioms cap="Idioms or Language mechanisms">
@ Language mechanisms
<ul>
<li> inheritance  -- class
<li> delegation   -- object
</ul>
@ Adaptor versus Bridge
<font color=red><p align=right>wrapper</p></font>
<ul>
<li> Adaptor resolves inconsistencies between interfaces
<li> Bridge relates abstraction to ... implementation
</ul>
@ Composite vs Decorator vs Proxy
<font color=red><p align=right>recursive composition</p></font>
<ul>
<li> Composite represents structure
<li> Decorator adds responsibilities
<li> Proxy regulates access
</ul>
</slide>

<style type=text/css>
TD { color: black ; background: white; }
</style>
