 <document>
   <h1>Practicum OOP: assignments</h1>
<include file=navigate>
   <p>The assignments are (partially) based on the literature treated
    in the OOP lectures. Suggestions for alternative assignments are welcome.
    Applications build by other students (in previous years) may be used
    as a starting point after consulting the supervisors.
   <p>
   <b>Themes</b>
   This year, students are encouraged to choose an assignment
   from one of the three primary themes, indicated below.

   <h2><a href=games.html>Games</a></h2>
   The assignment is to develop a multi-user game, which includes 
   minimally a game presentation user interface and a shared score server.
   See <a href=games.html>Games</a>.

   
   <h2><a href=suite.html>Office Suite</a></h2>
   The assignment is to develop one or more components
   for an Office Suite.
   A particular feature of the Suite that it must be designed
   to be fully Web-aware.
   For more details see <a href=suite.html>Office Suite (TM)</a>.
   
   
   <h2><a href=studio.html>Hush Developers Studio</a></h2>
   The assignment is to develop one or more tools
   for the Hush Developers Studio.
   You are free to create a part of your ideal developer studio
   for <a href="http://www.cs.vu.nl/~hush/">hush</a>! 
   See <a href="studio.html">Hush Developers Studio (TM)</a>.
   
   <h2><a href="alternatives.html">Alternatives</a></h2>
   If you don't find any of the previous themes interesting at all, you may check
   the <a href="alternatives.html">alternatives</a>.
      <p>
       <b>Note:</b> All applications
    are required to have an extensive on-line hypertext help feature
    as well as a demo feature to demonstrate the functionality of the
    application to an unexperienced user.
</document>
