<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML
><TITLE
>OOP RESULTS 1998</TITLE
><BODY
bgcolor="white"
><H2
>OOP RESULTS 1998</H2
><P
>Direct questions or complaints to &#60;eliens&#62; or &#60;jrvosse&#62;.</P
><P>1) <TABLE
BORDER="0"
><B
> Wiebe Hordijk
    </B
><A
name="wiebe"><TT
> &#60;wiebe&#62;</TT
><B
>, Martijn Thieme
    </B
><A
name="emthieme"><TT
> &#60;emthieme&#62;</TT
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>date: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Mon Apr  6 12:55:48 MET DST 1998
    </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
>mark: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
><B
>7.5
    </B
></TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>program: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>MOiS (Moving objects in space, 3D toolkit + editor)
    </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>documentation: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Sloppy, hard to read and unstructured documentation.  No serious
      explanation of the design decisions you have made.
    </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>architecture: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Good use of standard OO paradigms such as MVC and mix-ins.  The
      same applies to C++ features such as (double) inheritance,
      abstract base classes, templates, inline functions etc.
    </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>interface: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Interface well separated from rest of the toolkit.  Compared to
      the toolkit, the editor interface was clearly lower on your
      priority list.
    </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>conclusion: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Good use of OO design and implementation techniques to realize
      this non-trivial application. However, this does not for the
      sloppy documentation.      
  </TD
></TR
></TABLE
><P>2) <TABLE
BORDER="0"
><B
> Martijn Bot</B
><A
name="mbot"><TT
> &#60;mbot&#62;</TT
><B
>, Rob van Nieuwpoort</B
><A
name="rob"><TT
> &#60;rob&#62;</TT
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>date: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Tue Jul 28 11:38:25 MET DST 1998</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
>mark: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
><B
>8.5</B
></TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>program: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Scale (music editor)</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>documentation: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Very short, but concise.  I like the description of
      the evolution of the design, but miss the evaluation of the
      design.</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>architecture: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Good modular design separating internal, GUI and
      midi classes. Maybe you should have done the same for the TeX
      functionality(?). GUI classes make good use of the (template)
      classes offered by hush and composites (SamengesteldScoreItem).
      Namespaces are limited by using nested class definitions
      (Score).</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>interface: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>The (multi-lingual!) graphical interface is built up out
      of many (too many?) windows, but is very easy to use (despite
      the bug in the metronome dialog), and supports the user by
      automatically adding/deleting notes rests etc. I found the
      "grid" option very useful, and the same applies to the
      import/export support for TeX and MIDI.</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>conclusion: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>This is an (extreme) example of a long term OO
      project.  However, I think the long time it took to complete the
      assignment has had a positive contribution to the quality of the
      application and the maturity of its design. The number of OO
      techniques used is a bit limited.  However, music, music
      notation and music format conversion are all complex domains,
      and by using OO techniques were needed, you have managed this
      complexity very well.
    </TD
></TR
></TABLE
><P>3) <TABLE
BORDER="0"
><B
> Nicky Le</B
><A
name="bnle"><TT
> &#60;bnle&#62;</TT
><B
>, Omar Saadouni</B
><A
name="osaadou"><TT
> &#60;osaadou&#62;</TT
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>date: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Tue Aug 11 11:32:14 MET DST 1998</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
>mark: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
><B
>7.5</B
></TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>program: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Dam Club</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>documentation: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Good explanation of all
    components of the program and the high level architecture.
    However, I miss an objective evaluation of the design (currently,
    you only describe the advantages, not the disadvantages) and a
    description of possible alternatives you did consider.
    Furthermore, the documentation mixes the description of the
    functionality with the description of the design. Unfortunately,
    the emphasis is often on the functionality, where I would like to
    see more about the design.  Given your list of features that are
    still missing, I also miss a section about the extensibility of
    the application.</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>architecture: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Clear client/server
    model with good use of threads. I like your use of the lobby as a
    "real-world" communication mechanism for the threads. Good reuse
    of Deitel's list code</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>interface: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>I like the social
    dimension of the program. Except for the login interface (bit
    clumsy) the GUI is OK</TD
></TR
></TABLE
><P>4) <TABLE
BORDER="0"
><B
> G. van Dijk</B
><A
name="gvdijk"><TT
> &#60;gvdijk&#62;</TT
><B
>, B.C.E Sjunnesson</B
><A
name="bcesjunn"><TT
> &#60;bcesjunn&#62;</TT
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>date: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Fri Jul 17 17:39:18 MET DST 1998</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
>mark: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
><B
>7.0</B
></TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>program: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Spreadish! (spreadsheet in Java)
    </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>documentation: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Documentations has improved w.r.t. the previous versions.
      Still, the focus is on relatively low-level design issues, and
      the discussion of object-orientation is a bit naive (late
      binding is not magic...). However, the text is clearly written
      and does discuss both the strength and weakness of the design.
    </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>architecture: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Straightforward, several large classes need further
      decomposition. I have my doubts about the level of extensibility:
      how do I add new functions/operators? What effect does this have
      on the rest of the program (HTMLsave?). </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>interface: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Simple, easy to use interface comparable with other
      spreadsheets.
    </TD
></TR
></TABLE
><P>5) <TABLE
BORDER="0"
><B
> D.C. Venema</B
><A
name="dcvenema"><TT
> &#60;dcvenema&#62;</TT
><B
>, F.E. Dozzi</B
><A
name="fedozzi"><TT
> &#60;fedozzi&#62;</TT
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>date: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Fri Jul 17 16:48:13 MET DST 1998</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
>mark: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
><B
>6</B
></TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>program: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Stalemate (weggeefschaak)</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>documentation: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Sloppy, unstructured documentation.  All different aspects of
      the design are intertwined, and important parts are missing.
      </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>architecture: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Minimal use of OO features.  Most functionality is in the "AI"
      module where the use of OO is reduced to a bare minimum.  It
      remains unclear what the effect of the various extensions have
      been on the overall design, and whether new extensions can be
      added easily. </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>interface: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Easy to use GUI, command line options need better documentation.
      Stalemate has both a hush and QT version; Xboard can be used as
      another alternative interface.</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>conclusion: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      I'm impressed by your programming skills: Stalemate really is a
      an impressive application, and it is fun to play too.  However,
      because of the inadequate documentation and low OOP level, you
      do not qualify for a high mark for this course</TD
></TR
></TABLE
><P>6) <TABLE
BORDER="0"
><B
> Bas Sommeijer</B
><A
name="bsommei"><TT
> &#60;bsommei&#62;</TT
><B
>, Harro Mantel</B
><A
name="hmantel"><TT
> &#60;hmantel&#62;</TT
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>date: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Mon Aug 31 15:43:09 MET DST 1998</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
>mark: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
><B
>7.5</B
></TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>program: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Rummicub</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>documentation: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Well written documentation which explains both the advantages
      and disadvantages of the design</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>architecture: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Straightforward client/server architecture with good use of
      Java's network classes.</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>interface: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Easy to use GUI, and you've documented all major limitations
      already.
    </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>conclusion: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Good assignment, but without a real innovative contribution.
    </TD
></TR
></TABLE
><P>7) <TABLE
BORDER="0"
><B
> Martin van Estrik</B
><A
name="estrik"><TT
> &#60;estrik&#62;</TT
><B
>, Joost Vunderink</B
><A
name="jvunder"><TT
> &#60;jvunder&#62;</TT
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>date: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Mon Aug 31 15:59:55 MET DST 1998</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
>mark: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
><B
>7</B
></TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>program: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      YONN (GUI to neural network)</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>documentation: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>A bit
      unstructured, but it contains the most important issues in your
      design.</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>architecture: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Your use of OO hardly goes beyond encapsulation...</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>interface: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Basics are OK, network GUI not updated while network is
      learning.</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>conclusion: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      From the beginning, it was clear that you both lacked the
      programming and design experience computer science students do
      have, and compared to the average assignments of computer
      science students, this is not up to standards.  Given this, I
      think you have learned a lot during this assignment and have
      earned your marks.  You have faced the consequences of
      underestimating the development time needed to implement an
      application from an unfamiliar domain in an unfamiliar language,
      you've learned --- the hard way --- how to reuse third-party
      software by re-engineering Java byte code, you re-invented the
      MVC paradigm.  Additionally, you've adequately responded to all
      my requests to improve specific aspects of the implementation
      and documentation.
    </TD
></TR
></TABLE
><P>8) <TABLE
BORDER="0"
><B
> Lars Baede</B
><A
name="lbaede"><TT
> &#60;lbaede&#62;</TT
><B
>, Jeroen Langeveld</B
><A
name="jlangev"><TT
> &#60;jlangev&#62;</TT
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>date: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Mon 31 Aug 1998</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
>mark: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
><B
>7.5</B
></TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>program: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Boozed (game)</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>documentation: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      The good, online documentation partially makes up for the sloppy
      hardcopy version. But together, they give a good overview of the
      application and its design.</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>architecture: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Though you make good use of OO in the "Steen" class hierarchy,
      the overall design is in particular by the chosen division of
      labour.  The drawbacks of this division are well documented.
      The game itself features multiple levels that are configurable
      in several dimensions (including speed).
    </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>interface: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Easy to use and complete interface, including on-line
      help, high score, preferences etc.
    </TD
></TR
></TABLE
><P>9) <TABLE
BORDER="0"
><B
> Jeroen van der Poel</B
><A
name="jbvdpoel"><TT
> &#60;jbvdpoel&#62;</TT
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>date: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Mon 31 Aug 1998</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
>mark: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
><B
>6.0</B
></TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>program: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>Hypermedia PIM (GUI)</TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>documentation: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Though the documentation about the realized part of the GUI is
      sufficient, a high-level design of the underlying system is
      missing.  The documentation lacks especially a specification of
      the interface mechanisms between this system and the GUI.
    </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>architecture: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Basic hush GUI, with good use of OO to deal with multiple
      information sources.  However, the application is too small to
      prove your OO design skills.
    </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>interface: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      Good use of existing widgets to simulate a tab control.  For a
      Hypermedia PIM, the link manipulation interface should have been
      further developed.
    </TD
></TR
><TR
><TD
bgcolor="#E0E0E0"
valign="top"
>conclusion: </TD
><TD
bgcolor="#EAEAEA"
valign="top"
>      The main problem of this assignment was the lack of teamwork,
      and the both of you are responsible for the consequences.  You should at 
      least have contacted one of the supervisors in an earlier phase
      of the project.
    </TD
></TR
></TABLE
></BODY
></HTML
