<p>
To gain an understanding
of some new area, it is virtually unavoidable
to be immersed in the material for a while
without exactly understanding where it will lead.

%%\cleartrue
%%\vfig{1}

<slide color=gold id="sl-intro" caption="Introduction">
:@ <em>Principles of Object-Oriented Software Development</em>
/// <box>1</box>
<ul>
<li> themes and variations -- <em>object speak</em>
<li> abstraction -- <em>paradigms of programming</em>
<li> software development -- <em>the OO life-cycle</em>
<li> object technology -- <em>trends</em>
%%<li> additional literature
</ul>
<p><blue>Additional keywords and phrases:
<em> object, data abstraction,
analysis, design, implementation, distribution</em>
</silver>
</slide>

This first chapter will give a preliminary characterization
of object-oriented software development,
sketch some of its history
and give an outline of the main themes of this book. 
The dominant theme may be summarized by the phrase
that object-orientation provides the software developer
with the <em>right</em> abstractions for the analysis,
design, implementation, and perhaps even the testing
of complex software systems.
The underlying theme of the book, however,
is to indicate the technological requirements that must be
satisfied to employ these abstractions effectively
in actual software development.
Yet another theme of the book is based on the observation 
that what OO offers is not altogether new.
So, we will relate the solutions offered by OO
to their precedents in the history of computer programming
and software design.
The reader may then establish whether OO
is just another toy for software developers
or a significant contribution to both
software engineering and programming.
%%At the end of this introductory chapter,
%%references are provided to some of the other literature 
%%in the field.
