<document>
<slide type=hide cap="MASS">
@ MASS
<c><p></c>An Agenda Support System assists the user in maintaining a record of important events, dates and appointments. It
moreover offers the user various ways of inspecting his or her agenda, by giving an overview of important dates, an
indication of important dates on a calendar, and (more advanced) timely notification. 
<p>
A Multi-user Agenda Support System extends a simple Agenda Support System by providing facilities for scheduling a
meeting, taking into account various constraints imposed by the agendas of the participants, as for example a special
event for which a participant already has an entry in his or her agenda. 

A minimal Multi-user Agenda Support System must provide facilities for registering important dates for an arbitrary
number of users. It must, moreover, be able to give an overview of important dates for any individual user, and it must be
possible to schedule a meeting between an arbitrary subset of users that satisfies the time-constraints for each individual
in that particular group. 
<p>
This minimal specification may be extended with input facilities, gadgets for presenting overviews and the possibility of
adding additional constraints. Nevertheless, as a piece of advice, when developing a Multi-user Agenda Support System, follow
the KISS principle: Keep It Simple ... 
</slide>
</document>
