<document>
\noindent
In the previous chapter we looked at
idioms and patterns that resulted from object-oriented
software development.
In this chapter we will focus on the software engineering
of object-oriented systems and
issues of design in particular, 
including the identification of objects
and the specification of contractual obligations.

\cleartrue
\vfig{1}
<slide color=gold id=3-overview cap="Software engineering perspectives">
@ Software engineering perspectives 
/// <box>3</box>
<I
- methods of development
- the identification of objects
- contracts -- refinement
- validation  -- a formal approach
I>
<c><p></c><blue>Additional keywords and phrases:
<em>requirements, analysis, implementation, design as transition,
CRC cards, responsibilities, heuristics,
%%abstract data types, polymorphism, contracts, abstract type hierarchies,
%%behavioral compositions, 
contractual obligations,
validation</em>
</font>
</slide>

First we will explore what methods are available
to guide us in the development of object-oriented systems.
Then we will look more closely at the heuristics
of actual design. 
After establishing what is involved in specifying 
contractual obligations,
%%we will treat issues of validation and testing.
%%To conclude we will establish what is needed for a more
we will discuss what is needed for a more
formal approach to object-oriented development.
</document>
