import hush.dv.api.*;
import hush.dv.widgets.menu;
import hush.dv.widgets.menubutton;

public class EditMenu extends menubutton {

toolbox toolbox;

public EditMenu(widget w, toolbox t) {

	super(w,"edit");
	toolbox = t;

	configure("-relief sunken -text Edit");
    	text("  Edit  ");
	pack("-side left");

	menu m = new menu(this,"menu");

    	this.menu(m);
    	m.bind(toolbox);

    	m.entry("move");

    	menu mc = new menu(m,"cascade"); 

    	mc.bind(toolbox);

    	mc.entry("box");
    	mc.entry("circle");
    	mc.entry("arrow");

    	m.cascade("figure",mc); 
    	mc.unpost();
	}
};
