import hush.dv.api.*;
import hush.dv.widgets.canvas;
import hush.dv.widgets.filechooser;

public class FileHandler extends handler {

canvas canvas;
filechooser filechooser;

public FileHandler(canvas c) {
	canvas = c;
	}

public int operator() {
	String[] argv = _event.argv();
	if ("Open".equals(argv[1])) launch("OPEN");
	else if ("Save".equals(argv[1])) launch("SAVE");
	return OK;
	}

void launch(String args) { 
	debug("FileChooser " + args);
	filechooser = new filechooser("fileselect"); 
	filechooser.title(args);
	filechooser.mask("*.tcl");
	String file = filechooser.get(); 
	debug("File: " + file );
	//cerr << endl << args << " FILE: " << file << endl;
	if ("".equals(file)) ;
	else if ("OPEN".equals(args)) open(file); 
	else if ("SAVE".equals(args)) save(file);
}

void open(String file) {
	bug("open // source crashes -- " + file ); 
	// tk.source(file); 
	//tk.root().title(file);
}

void save(String file) { } // canvas.postscript(file); }

};
