import hush.dv.api.*;
import hush.dv.widgets.menu;
import hush.dv.widgets.menubutton;

public class FileMenu extends menubutton {

tablet  tablet;
FileHandler filehandler;

public FileMenu(Widget w, tablet t) {

	super(w,"file");
	tablet = t;

	configure("-relief sunken -text File");
    	text("  File  ");
	pack("-side left");

	filehandler = new FileHandler(tablet);

	menu m = new menu(this,"menu","-tearoff false");

    	this.menu(m);
    	m.bind(this);

    	m.entry("Open");
    	m.entry("Save");
    	m.entry("Quit");
	}

public int operator() {
	if ("Quit".equals(_event.arg(1))) tk.quit();
	else filehandler.dispatch(_event);
	return OK;
	}
};
