import hush.dv.api.*;
import hush.dv.widgets.canvas;

public class MoveHandler extends handler {

int x; int y;
boolean dragging;
canvas _canvas;
item it;

public MoveHandler(canvas c) {
	_canvas = c;
	dragging = false;
	}

public void press(Event ev) {
	dragging = true;
	x = ev.x(); y = ev.y();
	it = _canvas.overlapping(x,y);
	}

public void release(Event ev) {
	dragging = false;
	}

public void motion(Event ev) {
	if (dragging) {
	     it.move( ev.x() - x, ev.y() - y );
	     x = ev.x(); y = ev.y();
	     }
	}
};
