<document>
<latex>
\marksection{Comparing Smalltalk, Eiffel, C++ and Java}
\newpage
</latex>
@* <a href=@talk-comparison.html target=_top>Comparing Smalltalk, Eiffel, C++ and Java</a>

<include file=navigate>


<c>
<slide color=silver id=5.2-sub mode=hide>
:@ Subsections:
<ul>
<li> <a href=comparison-crit.html>Criteria for comparison</a>
<li> <a href=comparison-char.html>Language characteristics</a>
</ul>
</slide>
<hr>
</c>

The languages Smalltalk, Eiffel, C++ and Java
may be regarded as the four most important
(and popular) representatives of classical
object-oriented languages, classical in the sense 
of being based on a class/object distinction.

\ifsli{\vspace{-1cm}}{}
<slide id=5-comparison cap="Criteria for comparison">
:@ Criteria for comparison
\ifsli{\vspace{-0.5cm}}{}
<I
- class libraries
- programming environment
- language characteristics
I>
\ifsli{\vspace{-1cm}}{}
</slide>

In this section we will compare these languages
with respect to what may be called their intrinsic 
language characteristics.
Before that, however, we will indicate
some other (more external) criteria for comparison
such as the availability of class libraries and
the existence of a programming environment.
\see{5-comparison}
Our discussion is based on (but in some respects disagrees
with and extends) [_BPS89].

<so comparison-crit>
<so comparison-char>
</document>
