<document>
:@* Modeling
<include file=navigate-guide>
<slipar>
:@ Objectives
This section provides some motivation
for extending the object model with
concurrency.
From a modeling perspective, the 
{\em client/server} model, which underlies
an approach based on contracts,
gives rise to distribution and concurrency
in a natural way.

:@ Points to emphasize
<I
- {\em active objects} -- client/server model
- {\em cooperation} -- concurrent problem solving
I>

:@ Hints
You may provide some background
by discussing the various paradigms
of concurrent problem solving.

:@ Question
<N
- Explain why the {\em client/server}
model may be regarded as a suitable metaphor
for concurrent computing.
N>

:@ Comment
You may refer to the discussion comparing
functional development models
with an object-oriented approach.
See section \ref{functional}.
\clearpage
</slipar>
</document>
