<document>
:@* INheritance
<include file=navigate>
<slipar>
:@ Objectives
This section discusses how
inheritance is employed in knowledge
representation systems.
It covers the general structure of inheritance
networks and deals with problems that
may arise due to the non-monotonic
reasoning involved.
Further, it shows how the semantics of an inheritance lattice
may be rendered using first order logic.

:@ Points to emphasize
<I
- {\em abstract inheritance} --
declarative relation
- {\em inheritance networks} --
non-monotonic reasoning
- {\em taxonomic structure} --
predicate calculus
I>

:@ Hints
Inheritance, both in the form of semantic nets
and relations between frames,
has a long standing tradition in the
artificial intelligence community.
In practice, many interesting applications
have been developed by integrating
reasoning capabilities with
object-oriented features.
See, for example, [_Harmon93].
We still, however, need a unifying framework,
encompassing programming and knowledge
representation in an adequate way.
See [_LNS90].

:@ Questions
<N
.so q1
N>

:@ Comments
The interplay between modeling and reasoning
is an intriguing issue.
For example, how would you characterize
the refinement relation between
objects incorporating rules?
The most likely way, in accord with the
refinement rules for methods,
is to employ a criterion of theory extension
or subsumption.

\clearpage
</slipar>
</document>
