<document>
@* <a href=@talk-subtypes.html target=_top>The subtype relation</a>
\label{subtypes}

<include file=navigate>

<c>
<slide color=silver id=subtypes-sections mode=hide>
:@ Subsections:
<ul>
<li> <a href=subtypes-sets.html>Types as sets</a>
<li> <a href=subtypes-refine.html>The subtype refinement relation</a>
<li> <a href=subtypes-objects.html>Objects as records</a>
</ul>
</slide>
<hr>
</c>

@$=0

In this section, we will study the subtype relation
in a more formal manner.
First we investigate the notion of subtypes
in relation to the interpretation of {\em types as sets},
and then we characterize the subtype relation 
for a number of constructs occurring
in programming languages (such as ranges, functions and records).
Finally, we will characterize objects as records and correspondingly
define the subtype relation for simple record (object) types.
These characterizations may be regarded as a preliminary
to the type calculi to be developed in subsequent
sections.

<so subtypes-sets>
<so subtypes-refine>
<so subtypes-objects>
</document>
