<document>
@* <a href=@talk-model.html target=_top>Business process modeling</a>

<include file=navigate>

<control>
<slide color=silver id=model-sections mode=hide>
:@ Subsections:
<ul>
<li> <a href=model-lbm.html>Logistics-based modeling</a>
<li> <a href=model-sim.html>Business process simulation</a>
<li> <a href=model-example.html>Example -- requests for loans</a>
</ul>
</slide>
<hr>
</control>

Having looked at business objects, we may well ask ourselves
what <em>business processes</em> are,
and what role IT plays in business processes.
Following [_Davenport90]
we define a business process
as <i>`a set of logically related tasks
performed to achieve some well-defined business
outcome'</i>.
Following [_Davenport90] we may observe that IT plays
a dual role.
On the one hand, IT is an enabler of new process structures,
since it allows for automating (parts of) business processes.
And on the other hand, IT provides support for the
(re)design of business processes, as a means to model
and simulate various aspects of business processes.
In this section we will look at an approach to modeling
business processes supporting the simulation and evaluation
of logistic aspects of business processes.
Simulation may help in determining the effectiveness
of business process (re)designs.

<so model-lbm>
<so model-sim>
<so model-example>

</document>
