<document>
:@* Libraries
<include file=navigate-guide>
<slipar>
:@ Objectives
This section presents an overview
of the libraries available for C++.
It discusses the criteria by which 
to establish whether a library
is suitable to be used in a project.
These criteria include user preferences,
the domain of application and secondary features
such as documentation and the availability
of support.
It also discusses the 
functionality requirements
for each particular application domain.

:@ Points to emphasize
<I
- {\em criteria} --
user specific, domain, features
- {\em requirements} --
data structures, mathematics, simulation, GUI
I>

:@ Hints
The overview presented in this section
is not complete, yet it does cover
the main libraries currently in use.
Consult the Internet newsgroup
{\tt comp.lang.c++} for updates
of the list of compilers and libraries
available for C++.

:@ Questions
<N 
<include file=libraries-questions>
N>

:@ Comments
In practice, the portability
of libraries across compilers
and platforms is still a problem.
Before discussing a library in more
detail you'd best install it
and experiment with it first.

\clearpage
</slipar>
</document>
