@* New topics
New topics that were not covered, or as in the case of CORBA,
not covered in sufficient detail, are:

<slide id=topics caption="New topics">
<ul>
<li> Java -- both as a language and application framework
<li> CORBA -- and competing technologies, such as COM
<li> patterns -- as originally introduced by the 'Gang of Four'
<li> UML -- the modeling standard proposed by the 'three amigos'
<li> Web -- as an application area for OO technology
</ul>
</slide>

As noted before,
each of these topics would justify
a book in itself.
In my book, these topics will be introduced and explained
in such a way that the student can gain hands-on experience
with the associated technology.
But, in addition, I will discuss the interrelations between
these topics and their associated technologies,
both on a technical level and a thematic level.
Technically, I will draw from my experience
gained in developing a multi-paradigm framework.
Thematically, I will repeatedly come back to issues of
modeling, component-technology, reusability
and distribution.
In addition, I will provide some historical
context explaining the occurrence of these trends,
including the anecdotical material that has become part
of OO folklore.
(As an example, you may have noticed my use of the phrases
'Gang of Four' and 'three amigos'.)
<p>
With respect to the last topic, the Web,
I wish to add that this has been my field of interest
for the past three years.
The Web is a challenge in many respects.
From an OO perspective, it is a playground
where our notions of OO technology can be put to an ultimate
test.
It is also a battlefield where standards are of crucial
importance, and market-share even more.
As a vehicle for the dissemination of information
it allows us for example to deploy visualisation technology
that requires a multi-paradigm component-based approach.
As an application area it provides us with the challenge
to think of a development methodology
for 'fragmented applications',
that is applications constructed from
multiple, possibly geographically distributed components,
in a variety of languages (including C++, Java, 
Javascript, Perl) each with their own
particular object model.
Any of the topics mentioned before is clearly of relevance
to the Web.
Even UML, as one could say that 'the Web' 
at this stage is severly 'underdesigned'.
There is a need for models that capture the functionality of the Web.
UML is potentially a vehicle for creating such models.
Fortunately, the relevance
of the other topics is more directly evident.
