//@ universe in java -- adapted from Orbacus

package universe;

import org.omg.CORBA.*;
import java.io.*;
import java.awt.*;
import java.awt.event.*;
import hush.broker;



public class applet extends java.applet.Applet implements ActionListener
{
    private broker _broker;
    private world _world;
    private Button _button;

    public void init()
    {
	String ior = getParameter("ior");

	_broker = new broker(this); // auto initialises

	org.omg.CORBA.Object obj = _broker.ref(ior);

	_world = worldHelper.narrow(obj);

	_button = new Button("Hello");  /// add button
	_button.addActionListener(this);
	this.add(_button);
    }

    /// Handle events
    
    public void actionPerformed(ActionEvent event) /// handle events
    {
	_world.hello();
    }
}

//</>
