<document>
:@+ Configure, make and test

<include file=navigate>

Still a difficult aspect of CORBA programming,
when you are not using an IDE,
is to manage the creation and configuration
of object files and executables.
In the online version of the book you'll find all the details
of the <tt>Makefile</tt>, the settings used for Orbacus,
and a simple test shell, which allows for testing all nine
possible combinations of clients and servers.

<control>
<slide color=yellow id=make cap="Configure, make and test">
:@ Configure, make and test
<ul>
<li> <a href=Makefile.html>Makefile</a>
<li> <a href=corba.cfg.html>corba.cfg</a>
<li> <a href=test.sh.html>test.sh</a>
</ul>
</slide>
</control>
<p>
%%@ Testing
Testing CORBA applications is significantly more difficult
than testing stand-alone applications.
This is due on the one hand to the fact that it concerns 
a distributed application, involving communication
over a network, and on the other hand to the indirection
that must take place within both the client and the server
to invoke and answer methods over the object request broker 
software bus.

</document>
