<document>

<include file=navigate>

:@ Technology
Logic programming offers a wealth of techniques.
In particular, the meta programming facilities
(which are essentially based on the interpretation
of programs as data) allow for very powerful
programming techniques.
See, for example, [_Bratko].


<slide id=dlp-tech caption="DLP -- technology">
:@ Techniques <em> -- logic</em>
<ul>
<li> meta programming
<li> active intelligent agents
</ul>
</slide>

By virtue of being an extension of Prolog,
DLP inherits these facilities.
In addition, DLP provides the constructs necessary
to define what may be called (active)
{\em intelligent agents},
of which the functionality can be specified
in a declarative, logic-based fashion.
DLP, in other words, is an example of a fruitful
combination of paradigms,
merging logic with object orientation.
</document>
