<document>
<include file=navigate>

:@ Control structures
Control in Eiffel is meant to be effected primarily
by defining (and redefining) the appropriate classes.
However, control constructs both for branching
and iteration are provided.
\see{eiffel-control}


<slide id=eiffel-control caption="Eiffel -- control">
:@ Control <em> --  method refinement</em>
\ifsli{\vspace{-0.5cm}}{}
<I
- branching -- <em>if ... then ... elsif ... else ... end</em>
- iterations -- <em>from ... until ... loop ... end</em>
I>
\ifsli{\vspace{-1cm}}{}
</slide>

The <em>if-statement</em> has a classical form,
as in Pascal.
The <em>iteration-statement</em> may be used in a variety
of ways, as a <em>for-loop</em> and as a <em>while-statement</em>
(by omitting the {\em from}) part).
</document>
