<document>
@# <a href=talk.html target=_top>The language Eiffel</a>
\markitright{The language Eiffel}

<include file=navigate>


<!--\slyname{B}-->
The language Eiffel has been designed with
a clear concern for correctness
and validation.
It supports a bottom-up development approach,
centered around the design of robust classes.
Along with the language,
[_Meyer88] introduces the notion of {\em contracts}
as a means to specify the mutual obligations
between the user of an object and the object
in terms of a {\em client/server} relation.


\vfig{0.5}
<slide id=app-B caption="The language Eiffel">
\footnotesize
:@ Eiffel  <em> -- a language with assertions</em>
/// <box>B</box>
<I
- bottom-up development  <em> -- class design</em>
- contracts <em> -- specify client/server relationships</em>
I>
:@ Design principles <em> -- correctness</em>
<I
- static typing {\em -- type secure}
- multiple inheritance {\em -- polymorphism}
- dynamic binding {\em -- refinement}
- generic classes {\em -- abstraction}
I>
\ifsli{\vspace{-1cm}}{}
</slide>

Eiffel is a (type secure) {\em statically typed}
language, providing {\em multiple inheritance}
and generic classes.
Recently, Eiffel-3 has been introduced,
supporting a number of features (such as overloading)
inspired by C++. See [_Eiffel3].

<include file=txt>
</document>
