<slide id=1-answers type=hide color=red cap=Answers>
:@+ <a href=@online/oo/I/1/@slide-Questions.html>Chapter 1</a>
<include file=navigate>

<N
- Object-oriented programming stands for an approach
to structure programs using the object metaphor as an abstraction device.
See <sliref id=1-themes file=@online/oo/I/1/themes>.
It is motivated by the need to manage the complexity of
software. 

- An exhaustive overview is given in  <sliref id=1-features file=@online/oo/I/1/features>
and <sliref id=1-benefits file=@online/oo/I/1/features>.
The most important features are, obviously,
data abstraction and polymorphism due to inheritance.

- The complexity referred to is not
the structural complexity of the computation,
that is the space and time needed
to solve a problem,
but the conceptual complexity of programming,
the organization of the software.

%%4
- Contracts are a means to specify the obligations
of the client and the services an object is to provide,
in case these obligations are met,
in a formal way.


- From a historical perspective, OOP is a paradigm of programming.
See <sliref id=1-paradigms file=@online/oo/I/1/paradigms>.
However, from a software engineering perspective,
OOP is increasingly becoming important for design and analysis
as well.
See <sliref id=1-respons file=@online/oo/I/1/contracts>.

%%6
- These include imperative languages, functional languages and logic programming
languages.
The essential features of OOP encapsulation and inheritance.
These may be realized in a variety of language settings.

- An object-oriented approach blurs the distinction between
analysis, design and implementation. 
See <sliref id=1-lifecycle file=@online/oo/I/1/soft>.
Moreover, it allows for different software development models,
such as prototyping.
See <sliref id=1-development file=@online/oo/I/1/soft>.
What is your opinion?
As concerns maintenance, corrective maintenance is facilitated
by the localization due to encapsulation.
Adaptive maintenance is quite another matter. Polymorphism helps,
but only if extensibility has been an explicit design goal.

- Aspects of software quality include
correctness, robustness and extendibility.
%%See <sliref id=1-quality file=@online/oo/I/1/soft>.
In particular, with regard to the cost of maintenance,
a valid criterion would be {\em maintainability}.
OOP contributes to maintainability by supporting
a strong notion of {\em locality}.


- See <sliref id=1-languages file=@online/oo/I/1/soft>.

- See the discussion in section <ref file=@online/oo/I/1/trends>Challenges</ref>.

N>
</slide>
