<slide id=3-answers color=red type=hide cap="Answers">
:@+ <a href=@online/oo/I/3/@slide-Questions.html>Chapter 3</a>
<include file=navigate>

<N
- The Fusion method is typically a second-generation
development method, containing ingredients of many other
(first-generation) methods.
See section <ref file=@online/oo/I/3/methods-fusion>Fusion</ref>.
In comparison with other methods,
it strongly focuses upon process aspects.
See section <ref file=@online/oo/I/3/methods-compare>Compare</ref>.


%%<ignore>
%%- A functional approach describes the global
%%steps of a computation,
%%whereas an object-oriented approach
%%is of a more distributed nature,
%%describing the objects participating
%%in the computation.
%%Advantages of an object-oriented approach
%%are support for localized changes
%%and support to introduce concurrency
%%in the form of active objects.
%%See <sliref id=3-functional file=@online/oo/I/3/methods-functional>
%%and  <sliref id=3-OO file=@online/oo/I/3/methods-functional>.
%%</ignore>

- According to Booch, (1) identify the objects and their attributes,
(2) identify the operations associated with objects, and (3)
establish the interfaces of object.

Most of the heuristics for identifying objects are based on a
linguistic analysis of the requirements
document.
See section <ref file=@online/oo/I/3/objects-heuristics>Heuristics</ref>.

- Criteria to eliminate spurious classes
essentially come down to avoiding classes
that provide no information.
See <sliref file=@online/oo/I/3/objects-heuristics id=3-eliminating>.

- The CRC method consists of defining,
for each class,
its responsibilities and its collaborators,
that is the classes that are needed
to function properly.
%%\see{3-crc}
See <sliref file=@online/oo/I/3/objects-responsibilities id=3-crc>.

- A contract defines the behavior of
an object by means of an invariant
and assertions characterizing
the pre- and post-conditions of the methods
supported by an object.
%%\see{3-obligations}
See <sliref file=@online/oo/I/3/contracts id=3-obligations>.

- Contracts may help to decide
who is responsible for software failures.
%%\see{3-limits}
See <sliref file=@online/oo/I/3/contracts id=3-limits>.

- Refining a contract amounts
to strengthening the invariant
and, for each method,
weakening the pre-conditions
and strengthening the post-conditions.
Also, methods may be added.
%%\see{3-inheritance}
See <sliref file=@online/oo/I/3/contracts id=3-inheritance>.


- Contracts may be used to establish
runtime consistency characteristics.
Testing runtime consistency
amounts to checking object
invariants and pre- and post-conditions
of object methods.

- A formal specification must characterize
the requirements of a system and must also
provide guidelines for its validation.
Contracts may be used to specify
invariant consistency properties
that may be tested at runtime.

N>
</slide>
