<slide id=7-answers color=red type=hide cap="Answers">
:@+ <a href=@online/oo/II/7/@slide-Questions.html>Chapter 7</a>
<include file=navigate>

<N

- As elements in a software architecture, we can
distinguish between <em>processing elements</em>,
<em>data elements</em> and <em>connections</em>.
See <sliref id=Elements file=@online/oo/II/7/architecture>.
A software architecture description may serve
to verify critical properties of the system,
including properties such as availability, throughput, and
interoperability.

- See the discussion in
section <ref file=@online/oo/II/7/architecture>Elements</ref>,
in particular the definition from [_Practice].

- Patterns for distributed object architectures 
range over various levels: framework, application, system,
enterprise, and the intra/Internet level.
In particular the latter levels require an effort
of standardization and agreement on protocols.
Patterns on the lower levels are important to
make good use of the technology, for example CORBA.

- A possible example is the architecture
for a multimedia information system, of
which a sketch is given in 
section <ref file=@online/oo/II/7/midi>Midi</ref>,

- Simply, the separation of knowledge-level and
system-level aspects.
For example, business logic would be a suitable candidate.
See section <ref file=@online/oo/II/7/embed>Logic</ref>.

- The issues that play a role are listed in
<sliref id=Objects file=@online/oo/II/7/native>.
The actual solution will, naturally, depend
on the language for which the extension is made.

- The JNI allows for the coupling of functions
to (native) object methods.
However, the JNI does not provide a standard way
to associate Java objects with native C++ objects.
See section <ref file=@online/oo/II/7/java>JNI</ref>.

- The choice for an architectural style
is determined by both technological constraints
and application requirements.
See section <ref file=@online/oo/II/7/styles>Styles</ref>.

N>
</slide>
