<document>
:@+ Types and values

<include file=navigate>

The operations specified in an interface may result in a value and
may take particular values as arguments.
The type of a value must either exist as 
a basic type or be specified in IDL.

<slide cap="Types and values">
:@ Basic  types
*- integers, reals, booleans, enum, string, <em>any</em>
\vspace{-0.15cm}
:@ Constructed types
*- struct, union, sequence, array, <em>interface</em>
\vspace{-0.15cm}
:@ Object references
*- interface + operations
\vspace{-0.1cm}
</slide>

Basic types encompass integers, reals, booleans,
enumerations and strings.
There is also a generic type, <em>any</em>,
which allows for checking the actual type dynamically.
Constructed types include record structures (<em>struct</em>),
tagged unions, sequences and arrays.
<p>
Interfaces specify object types.
However, a value that identifies an object is always
a reference to the object. 
In CORBA 2.0 it is not possible to send objects by value.
As a workaround, one may send records by value and
then locally instantiate an object.
</document>
