<document>
:@+ Package and component diagrams

<include file=navigate>

Although classes may be considered the building blocks
of object-oriented applications and frameworks,
they are usually not the units of
deployment nor the units of reuse. See [_Szyperski97].
Rather, packages and components may be considered as such.

<slide type=fig cap="Package and deployment diagrams">
<image name=@figures/uml/package>
</slide>

A package diagram, depicted left,
indicates the dependencies between packages,
and possibly classes.
Component or deployment diagrams depict the components,
their exported interfaces and the dependency between components.
<p>
Although package and component diagrams are
usually implementation-level diagrams,
it seems advisable to take clustering and
component packaging into consideration in the early stages of design.
</document>
