<document>
@# <a href=talk.html target=_top>Unified Modeling Language</a>
\label{appendix-UML}
\label{UML}
\markitright{Unified Modeling Language}

<include file=navigate>

\slyname{F}
<slide id=uml-intro mode=hide> 
<p>
The Unified Modeling Language (UML) resulted from a joint
effort of leading experts in object-oriented analysis
and design, Grady Booch, Jim Rumbaugh and Ivar Jacobson,
also known as the <em>three amigos</em>,
all currently employees of <a href=http://www.rational.com>Rational</a>.
</slide>
<p>
UML provides (graphical) notations to express
functional, structural and behavioral properties of
(object-oriented) systems.
UML is <em>not</em> a method. It does not prescribe
the steps to be taken in development.
UML may best be regarded as a toolbox, from which the 
developer can choose a notation or technique as the need
occurs.

<slide id=uml cap="UML">
:@ Unified Modeling Language
/// <box>UML</box>
<ul>
<li> class diagrams -- conceptual structure
<li> use cases -- functional requirements
<li> interaction diagrams -- operational characteristics
<li> package and deployment diagrams -- implementation
<li> state and activity diagrams -- dynamic behavior
</ul>
<p>
See http://www.rational.com/uml
and <a href=http://www.awl.com/cseng/titles/0-201-32563-2.html>UML Distilled</a>, [_Fowler97]
</slide>

In this section we will look at a selection of the 
notational tools provided in the UML, as indicated in \sliref{uml}.
For additional information see <a href=http://www.rational.com/uml>Rational's Web site</a>. I also strongly recommend
<a href=http://www.awl.com/cseng/titles/0-201-32563-2.html>[_Fowler97]</a>.


<include file=txt>
</document>
