This is a book about object-oriented software development.
It reflects the contents of an upper-level undergraduate course
on Object-Oriented Programming, given at the Vrije Universiteit Amsterdam.
<p>This was the beginning of the preface of the first edition.
It still holds true. However,
OO is a rapidly evolving field.
As a consequence my book, published in 1994, may
have been considered to be outdated from the start.
As an example, right after its publication,
patterns came into the focus of public interest.
As another example, think of the Java wave that has come over us.
Clearly, a revised edition was needed in which those subjects,
and other subjects, are covered, or, as in the case of CORBA,
are covered in more detail.
<p>
Another reason is that the field of OO itself
has matured considerably.
The acceptance of UML as a modeling standard is one example.
The increased utilization of CORBA
for business-critical applications is another sign that
(distributed) object technology is being considered
as sufficiently robust.
<p>
The availability of new topics in itself is not enough
to justify a second edition, since
new books have been published in which these topics
are covered. 
You only have to think 
of the enormous number of books on Java ...
A revised second edition of the book is justified however, in my opinion,
since the book distinguishes itself from the competition
by its approach.
Set up as a series of lectures, organized around so-called slides,
the book covers a large number of topics, some in depth, some more casually.
From an educational point of view, the advantage of this approach is the direct
availability of educational material,
including the slides to be presented in classroom.
For the average reader, moreover,
the slides provide an overview which facilitates
comprehension and recall.
<p>
Finally, another more personal reason for bringing out a revised
edition is that both in research and teaching my
experience with OO has become more extensive,
and I may even dare say that my own thoughts about OO have matured
to some extent.
In particular, in my group we have developed a multi-paradigm
OO framework, which was already introduced in chapter 12 of the first edition,
that has been applied in, for example, business process reengineering
and collective improvisation on the Web.
Although I do not plan to treat any of this material
extensively, it does provide a basis for the examples
and, moreover, the material
(including articles, software and examples)
will be available on the accompanying CDROM.
