<document>
@* Van metafoor naar technologie

<include file=navigate>

Het ligt voor de hand in navolging van [_WebWord] te besluiten met
de wat negatieve constatering
dat de agent metafoor zeer waardevol is maar
dat er qua technologie weinig nieuws onder de zon is.
Interessanter echter is na te gaan
aan welke voorwaarden voldaan dient te zijn
voor een daadwerkelijk realisatie van agent technologie
en de ontwikkelingen aan te wijzen die daaraan bijdragen.
<p>
De vraag wanneer een technogie een metafoor, trend of stijl
van software ontwikkeling ondersteunt is niet nieuw.
Zo vroeg Bjarne Stroustrup zich, ter rechtvaardiging
van C++, zich bij de introductie van die taal af
wanneer een programmeertaal object-orientatie ondersteunt.
Het antwoord was duidelijk:
acceptatie door de compiler van object-georienteerde
constructen,
controle op het correcte gebruik daarvan,
en runtime support voor de dynamisch aspecten van 
object-orientatie.
Met deze criteria wordt systeem-programmeurs die een en ander
menen te kunnen bereiken door slimme hacks (in C, Pascal of Modula)
de pas afgesneden.
<p>
Ook in relatie tot agents veronderstelt technologie
een 'commitment' [_Engineering] die
verder gaat dan het louter en alleen
aanbieden van de functionaliteit die de metafoor impliceert.
Vanuit het oogpunt van 'commitment'
was C++ duidelijk een stap vooruit,
ondanks de latere correcties en de
introductie van andere onvolkomenheden
door de ontwerpers van Java.
Voor agent-technologie houdt deze commitment
in concreto in dat de kloof tussen
de theoretische noties van 'strong agents',
uitgerust met geloof, wensen en intenties,
en de pragmatische oplossing
geboden door de keur van 'weak agents',
zoals we die tegenkomen in 'search engines' [_Search],
'mobile shopping objects' [_Mobile],
en 'virtual reality' entiteiten [_VR],
gedicht wordt.
<p>
Toegespitst op het idee van een agent-georienteerde
programmeertaal, waarvoor ik DLP kandidaat gesteld heb,
maar waarvoor ik evengoed April of Phantom als kandidaten had 
kunnen noemen, in zo'n taal zou ik dynamische en modale 
operatoren ondersteund willen zien,
alsook interactiepatronen willen kunnen uitdrukken zoals
we die in sociale organisaties zien.
</document>
