<html>
<body bgcolor="#FFFFFF" text="#000000">
<a name=top>
<!--\documentstyle[a4,epsf,mfpic]{article}-->
<!--\begin{document}-->
<!-- \opengraphsfile{doc} -->
<!-- %% AUXILIARY
\def\figbox#1{\begin{minipage}[t]{12cm}\input #1\end{minipage}}
\newcommand{\zline}[1]{\hspace*{\fill}\nolinebreak {\footnotesize #1} }
\setcounter{figure}{0}
-->

<!--<control>-->
<title>Hush -- a C++ API for Tcl/Tk (2.0)</title>
<h1>Hush -- a C++ API for Tcl/Tk</h1>
<p>
<b>Version 2.0</b>
<address>A. Eli&euml;ns (eliens@cs.vu.nl)</address>

<hr>
<a href=hush.ps><b> Postscript version</b></a>,
<a href=http://www.cs.vu.nl/~dejavu/hush/FAQ.html><b>FAQ</b></a>,
<a href=http://www.cs.vu.nl/~eliens/ftp/hush/><b> Ftp site  </b> </a>,
<a href=http://www.cs.vu.nl/~eliens/manuals/hush/man/man.html><b>Manual</b></a>,
<a href=http://www.cs.vu.nl/~eliens/tutorial/hush/hush.html><b>Tutorial</b></a>,
<a href=http://www.cs.vu.nl/~eliens/hush/info.html><b> More information  </b> </a>,
<a href=comments-hush.html>Comments</a>
<!--
[-<a href=#top><</a>--<a href=#contents>%</a>--<a href=#top>^</a>--<a href=#Introduction>></a>-]
-->
<hr>
</control>

<control>
<slide id=contents-x style=black cap="Contents">
<a name=contents>
<a href=talk.html target=_top><h4>Contents</h4></a>
<ul>
<li> <a href=abstract.html> Abstract </a>
<li> <a href=intro.html#Introduction> Introduction </a>
<li> <a href=background.html#Background> Background -- Tcl/Tk </a>
<li> <a href=structure.html#Structure> Program structure</a>
<li> <a href=bind.html#Binding> Binding actions to events</a>
<li> <a href=user.html#User> User interface widgets</a>
<li> <a href=graphics.html#Graphics> Graphics and hypertext</a>
<li> <a href=conclusions.html#Conclusions> Conclusions</a>
<li> <a href=refs.html#references> References</a>
<li> <a href=appendix.html#Appendix> Appendix: The <i>hush</i> widget classes</a>
</ul>
</slide>
</control>



<!--
\title{Hush -- a C++ API for Tcl/Tk\\ Version 2.0}
\author{Anton Eli\"{e}ns\\
{\footnotesize \sl Vrije Universiteit,} 
{\footnotesize \sl Department of Mathematics and Computer Science} \\
{\footnotesize \sl De Boelelaan 1081, 1081 HV Amsterdam}
{\footnotesize \sl The Netherlands}\\
{\footnotesize \sl email: eliens@cs.vu.nl}
} \date{}\maketitle
\def\thefootnote{}
\setcounter{page}{1}
-->

<footnotetext>
This article describes hush-2.0 (and it's 2.x successors).
It is a slightly modified version of
the version that has been published 
in The X Resource, Issue 14, April 1995, O'Reilly &amp; Ass.,  pp 111-155.
Part of the material presented here has been
adapted from <a href=http://www.cs.vu.nl/~eliens/ftp/book/poosd.html>
Principles of Object-Oriented Software Development </a>
by Anton Eli&euml;ns, (c) 1995 Addison-Wesley Publishing Co. Inc.
</footnotetext>
<!--\def\thefootnote{\arabic{footnote}}-->





<so abstract intro background structure bind user graphics>
<so conclusions refs appendix>


<!--\end{document}-->
</html>
