:- op(700,fy,[new]).

melody(X) :-
	object(midi(This),REF),
	not var(REF),
	music(_):melody(L),
	list_reverse(L,R),
	member(Y,R),
	midi(This):note(Y,X).

lyrics(X) :-
	music(_):lyrics(L),
	list_reverse(L,R),
	member(X,R).

list_reverse([],[]).
list_reverse([H|L],R) :-
	list_reverse(L,RL),
	append(RL,[H],R).

xtranslate(_,[],[]).
xtranslate(This,[X|T],[Y|R]) :-
	xtranslate(This,X,Y),
	xtranslate(This,T,R).
xtranslate(This,X,Y) :-
	midi(This):note(X,Y),!.



run(1) :- !,
	new(midi(This)),
	%%new(lily(Lily)),
	Self = midi(This),
	Self:process(kortjakje),
	cerr(and(now)),
	music(_):melody(M),
	xtranslate(This,M,MT),
	write(melody(MT)),nl,
	!,
	music(_):lyrics(L),
	write(lyrics:L),nl.
