<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<!--Converted with LaTeX2HTML 98.1 release (February 19th, 1998)
originally by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>Collaborative visualization</TITLE>
<META NAME="description" CONTENT="Collaborative visualization">
<META NAME="keywords" CONTENT="perspectives">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<LINK REL="STYLESHEET" HREF="perspectives.css">
<LINK REL="next" HREF="node14.html">
<LINK REL="previous" HREF="node6.html">
<LINK REL="up" HREF="node1.html">
<LINK REL="next" HREF="node8.html">
</HEAD>
<BODY >

<A NAME="tex2html120"
 HREF="node8.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="@icons/latex2html/icons.gif/next_motif.gif"></A> 
<A NAME="tex2html118"
 HREF="node1.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="@icons/latex2html/icons.gif/up_motif.gif"></A> 
<A NAME="tex2html112"
 HREF="node6.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="@icons/latex2html/icons.gif/previous_motif.gif"></A>   
<BR>
<B> Next:</B> <A NAME="tex2html121"
 HREF="node8.html">Issues</A>
<B> Up:</B> <A NAME="tex2html119"
 HREF="node1.html">So Many Users </A>
<B> Previous:</B> <A NAME="tex2html113"
 HREF="node6.html">Multi-user visualization</A>
<BR>
<BR>


<H1><A NAME="SECTION00140000000000000000">&#160;</A>
<A NAME="collaboration">&#160;</A>
<BR>
Collaborative visualization
</H1>

In D<SMALL>IVA</SMALL>, multiple users can have their own presentation model 
(perspective) while sharing a common resource. However, in this approach the 
different users have the feeling that they are the only user of the shared 
resource. There is not yet support that allows a user to be aware of other users 
or to interact with them. Our goal is to expand the architecture to support 
users to collaborate with each other. Here, 'to collaborate' means that the 
users are able to discuss visualized information in order to reach a decision.

<P>
The next section will address the issues that are involved in this restrictive 
notion of collaborative visualization. Then, we will discuss the requirements 
for an extended D<SMALL>IVA</SMALL> architecture in Section&nbsp;<A HREF="node13.html#col.reqs">4.2</A>.

<P>
<BR><HR>

<A NAME="CHILD_LINKS">&#160;</A>
<UL>
<LI><A NAME="tex2html122"
 HREF="node8.html">Issues</A>
<UL>
<LI><A NAME="tex2html123"
 HREF="node9.html">Sessions</A>
<LI><A NAME="tex2html124"
 HREF="node10.html">Sharing perspectives</A>
<LI><A NAME="tex2html125"
 HREF="node11.html">Interference versus non-interference</A>
<LI><A NAME="tex2html126"
 HREF="node12.html">Communications</A>
</UL>
<LI><A NAME="tex2html127"
 HREF="node13.html">Requirements</A>
</UL>

<BR><HR>
<ADDRESS>
<I>A Eliens</I>
<BR><I>1998-09-05</I>
</ADDRESS>
</BODY>
</HTML>
