<H1><A NAME="SECTION00110000000000000000">
Introduction</A>
</H1>

Visualization is used to give better insight into data by showing a visual representation of the information. Visualization is becoming increasingly important because people are suffering from an information overload caused by enormous amounts of data. By using visualization we can first explore a comprehensive overview of the information and later decide to zoom in on the details.

<P>
Currently, people are using visual representations of information for two different purposes. First, visualization is often used to understand information. A visualization gives quick insight into information using humans' remarkable perceptual abilities&nbsp;(<A
 HREF="node22.html#UI:Shneiderman">Shneiderman, 1998</A>). Second, visual representations are used to show information to other people. <A
 HREF="node22.html#UI:Shneiderman">Shneiderman (1998, p. 522)</A> states that the bandwidth of information presentation is potentially higher in the visual domain than it is for media reaching any of the other senses. For example, news papers are full of graphs to show economic growth or the developments on the stock exchange market. In the first case, when using visualization to understand information, we often apply it individually (although it is surely useful to try to understand information in a group process). In the latter case we are communicating with other people because we try to illustrate something, or we want to convince them of our point of view.

<P>
In addition to static visualizations (2D images), current technology enables a new form of visualization: the interactive visualization of dynamic data. In recent years, the desktop computer has evolved from a text/picture based system to a fully multimedia-enabled workstation. This offers a great opportunity to deploy visualization on multimedia desktop computers. Visual representations consisting of interactive 2D or 3D animations enable the visualization of dynamic data coming from, for example, running simulations.
Furthermore, multimedia PCs connected to fast networks allow desktop video conferencing, enabling direct user-to-user communication.

<P>
