<H4><A NAME="SECTION00141010000000000000">
Sessions</A>
</H4>

<P>
Collaboration normally takes place in some kind of meeting, which can differ in 
interaction protocols, group size, formality, etc. Each participant of the 
collaboration can have one or more <EM>roles</EM> depending on the sort of 
meeting. A role is a set of rights and obligations&nbsp;(<A
 HREF="node22.html#UI:Ellis">Ellis et&nbsp;al., 1991</A>). We 
distinguish the following roles: chair, listener, talker and interactor. The 
chair sets up the session, a listener is a passive participant, a talker is 
actively explaining his arguments and, finally, an interactor is able to 
interact with shared resources. The rights and obligations of the different 
roles are determined by the <EM>interaction protocol</EM>. 
The possibility to switch roles dynamically is important, since a 
listener can change into a talker from one moment to the other.

<P>
Collaborative visualization in D<SMALL>IVA</SMALL> is a virtual meeting, where the 
participants are at different places and their desktops are connected by a 
network. We will call the event of such a virtual meeting a <EM>session</EM>. 
Session management should support several kinds of sessions and thus be 
able to handle changing numbers of participants, their roles and interaction 
protocols.

<P>
The notion of <EM>subgroups</EM> makes it feasible to split the total group of 
participants in (non disjoint) groups. These subgroups can communicate separately or
perform subtasks. Subgroups can come into existence dynamically.

<P>
