\documentstyle{vuletter}
\name{A. Eliens}
\signature{Anton Eliens}
\email{eliens@cs.vu.nl}
\location{Room T3.33}
\telephone{+31 20 5485780}
\uwdatum{}
\uwkenmerk{}
\kenmerk{}
\datum{\date}
\bijlagen{Samples}
%%\betreft{betreft}
\subject{Layout}
\begin{document}
\begin{letter}{ Mr. A. Grove \\
Managing Editor  \\
Addison-Wesley Publishers Limited \\
Finchampstead Road,
Wokingham \\
Berkshire RG11 2NZ, 
United Kingdom
}
\opening{Dear Mr. Grove}


Thank you for your detailed comments
on my draft.
Enclosed, you will find two samples
of chapter 1 and the corresponding chapter
from the Instructors Guide.
Also enclosed, you will find a corrected
version of the musical phrases.

I wish to make a few remarks with respect
to your advice concerning the layout

\begin{enumerate}
\item Please check that the musical
phrases are now as they should be.
In the first version, I had deliberately
left out some of the notes immediately before
the end.
Unfortunately, I can not do much about
the irregular line at the beginning of each phrase.

\item
The figures are now properly captioned.
I wish to recall that it was my explicit
intention to {\em organize the material
around slides}.
This explains the use of {\em Slide}
instead of {\em Figure},
and also explains why a number of slides
are nothing but bulleted lists.
Transferring such a list from the slides
to the text would disrupt the 1--1 correspondence
between the slides in the text and the slide
in the Guide.

As concerns the boxes around the slides,
removing them results in a, to my taste,
visually unpleasant layout.
You may inspect the second version of
chapter 1 to see whether you agree with me.

\item
Please check that the running headers
are correct.
I am not well versed in picas, but I have adapted
the LateX style file as best as I could.
However, changes of this kind are relatively
easy to make.

\item
I prefer to have the third level heading
continuous with the text.
However, if you insist, this may easily
be adapted according to your wishes.

Also, I prefer to have B level headings.
Again, if you insist, this will
be adapted as well.

\item
The table of contents is adapted as requested.

\item You will receive a single-sided
final version.

\item
The Bibliography has been renamed in references.
\end{enumerate}

With respect to the Instructors Guide
I have the following remarks:

\begin{enumerate}
\setcounter{enumi}{7}

\item
With a width of 14cm and a height of 21.7cm
the total number of pages will be less than 375.

\item I must study how to adapt the linewidth of the boxes.

\item 
When the text comes before the slides
(for each chapter), the total number
of pages is not very much reduced.
Personally, I prefer to have the
text related to a particular section
just before the slides of that section.
However, if you insist I will follow
your preferences.

\item
The slides are meant for presenting the
material in class. See (2).

\item
I have removed the index.
What do you think of a {\em List of slides},
showing for each slide its number caption and page of occurrence?
Such a list may be included in the book as well as in the Guide.
(Where should I place it?)
\end{enumerate}

Finally, naturally I will put the
text through a spell checker.
\closing{Yours sincerely}
\end{letter}
\end{document}
