<document>

@+ Complexity

Source: Alta Vista

@ Documents 1-10 of about 30000 matching the query, best matches first.

<dl>

%K C1
%A Journal of Complexity
%B The Journal of Complexity publishes original research papers that contain substantial
mathematical results on complexity as broadly conceived.
%O http://192.215.52.3/www/catalog/cm.htm

%K C2
%A Algorithms and Complexity:
%B CS180 Algorithms and Complexity Winter 1996, UCLA (multiple entries).
%O http://ballade.cs.ucla.edu:8080/~abkclass/cs180/slides/s80.html 

%K C3
%A Bibliography of Measures of Complexity:
%B Hypertext Bibliography of Measures of Complexity.
by Bruce Edmonds Last updated on 24 May 1996.
his is a bibliography covering some of the philosophical and practical references to the concept
and measurement of Complexity. It does not attempt to cover all the new sciences that might
come under the "Complexity" banner, unless they are relevant to the idea of Complexity per se.
Also, ...
%O http://www.fmb.mmu.ac.uk/~bruce/combib/combib.htm

%K C4
%A Mathematical Complexity of Simple Economics:
%B Relative to the physical and biological
sciences, one tends to think of economics and other social and...
%O http://www.jhuapl.edu/colloq/math.htm

%K C5
%A Complexity, Self-Organization, Emergence
%B Complexity International is a refereed journal for scientific papers dealing with any area of
complex systems research. The theme of the journal is the field of complex systems, the
generation of complex behaviour from the interaction of multiple parallel processes. Relevant
topics include (but are not restricted to): artificial life, cellular automata, chaos theory, control
theory, evolutionary programming, fractals, genetic algorithms, information systems, neural
networks, non-linear dynamics, and parallel computation.
%O http://www.informatik.uni-leipzig.de/privat/wellner/public_html/emerg.html 
%K C6
%A Complexity of Methods and Classes (30-Mar-1995):
%B The choice of an implementation out of several possible alternatives is usually governed by
efficiency considerations. Depending on the structure of the problem at hand, different
implementations will have different runtime characteristics and space requirements. We refer to
these as the (time or space) complexity. Other measures exist.
%O http://i44s11.info.uni-karlsruhe.de/~frick/karla/complexity.html 

%K C7
%A Complexity of Japanese Business Culture
%B Understanding the Business Culture of Japan. Business culture, or corporate culture, is a
       difficult and subtle topic to discuss. But, I try to make it a...
%O http://www.ict.co.jp/japa-bus/Business-culture-1.html - 

%K C8
%A Automata, Formal Languages, and Complexity
%B Since God created computer science, the
standard textbook in this area has been Hopcroft and Ullman. For...
%O http://www.cs.uiowa.edu/~mfleck/vision-html/handbook/automata.html 

%K C9
%A Abstraction-Induced Complexity
%B Abstraction reduces the apparent complexity of an implementation by hiding all but "the most
relevant" details. However, no interface is suitable for all the users of the implementation for
exactly the same reason: each user has a slightly different view of what is "most relevant." Thus,
although abstractions can reduce complexity, working around their limitations can introduce other
complexities. Some abstractions are designed to minimize the added complexity. 
%O http://www.cs.washington.edu/homes/pardo/papers.d/aic.html 

%K C10
%A Simple Complexity:
%B The Little Prince by Antoine de Saint-Exupry. by. Michael Waddell.
       "The combination in the book of fantasy, satire, philosophy,.
%O http://www.uwm.edu/~ndell/litprn.htm

%K C11
%A Software Complexity
%B The term software complexity goes back to 1960s. Myers, Yourdon and Constantine discussed
and defined the term complexity:

In general, the complexity of an object is a function of the realtionships among the components of
the object.
%O http://irb.cs.uni-magdeburg.de/se/explain/complexity.html 

%K C12
%A Peter Erwin: Chaos & Complexity:
%B "I can't define it, but I know it when I see it." 
%O http://www.astro.wisc.edu/~erwin/chaos.html

</dl>


</document>
