:@+ Chapter 12

<N
- Hypermedia is a combination of
hypertext and multimedia.
\see{12-hypertext}
Hypermedia interfaces are usually direct
manipulation interfaces.
They must support the display of a variety
of media components
and the anchors embedded in documents.
Also, they must allow for following links
in response to the activation of an anchor.
\see{12-direct}

- \see{12-navigation}
Support for navigation may be offered
by selective traversal, based on attributes,
content listings, indexes
and, in a graphical manner,
by maps displaying the information
components and their connections.

- \see{12-classification}

- Such a model is essentially based
on the Dexter hypertext reference model.
Important for hypermedia is the support
for time-based documents and the synchronization
between components.
\see{12-model}

- A link is a, possibly conditional,
connection between a source anchor and a target
anchor.
An important distinction is that between
structural links, which determine the
hierarchical organization of the hyperdocument,
and referential links, that may impose an arbitrary associative structure
upon the document.
Both anchors and links may be defined in a virtual
way.
The actual meaning of virtual links is computed
when reading the document.
Active documents are scripts
that require computation to display their
contents.
Following links usually is the result
of executing a procedure in response
to an event or an action of the user.

- Just think of the time you have spent
waiting for your program to compile.

- The problem of heterogeneous systems
is essentially to combine
multiple hybrid components in a seamless
way.
An object-oriented approach allows
for employing techniques such as
encapsulation by wrapping,
refinement by inheritance
and distributed application integration
along the lines sketched in the OMG proposal.
\see{12-heterogeneous}

- Answer this question with some caution.
You may want to write a paper about it.
N>

