<document>
<a href=@talk-txt.html target=_top><img src=base/sou4.jpg align=right></a>
<slipar>
:@ Objectives
This section presents an overview of the 
DLP language.
It discusses the design principles of DLP and
characterizes its principal application
area as the development of knowledge-based systems.
It gives a brief characterization of Prolog,
explains how DLP syntactically extends 
Prolog
with constructs for parallel object-oriented programming,
and characterizes the computation model underlying DLP.
Some examples are given to illustrate
the definition of objects and the use of inheritance.

:@ Points to emphasize
<I
- {\em design principles} -- logic
- {\em terminology} -- distributed backtracking
- {\em syntax} -- Prolog \& additional statements
- {\em objects} -- non-logical \c{instance} variables
- {\em inheritance} -- static
- {\em techniques} -- active intelligent objects
I>

:@ Comments
The DLP language relies on Prolog
as its base language for the definition of the
functionality of objects.
Experience with Prolog is required to fully appreciate
the opportunities offered by DLP.


\clearpage
</slipar>
</document>
