<document>

:@ Control structures
Control in Eiffel is meant to be effected primarily
by defining (and redefining) the appropriate classes.
However, control constructs both for branching
and iteration are provided.
\see{eiffel-control}


<slide id=eiffel-control caption="Eiffel -- control">
:@ Control <em> --  method refinement</em>
\ifsli{\vspace{-0.5cm}}{}
<I
- branching -- {\em if ... then ... elsif ... else ... end }
- iterations -- {\em from ... until ... loop ... end }
I>
\ifsli{\vspace{-1cm}}{}
</slide>

The {\em if-statement} has a classical form,
as in Pascal.
The {\em iteration-statement} may be used in a variety
of ways, as a {\em for-loop} and as a {\em while-statement}
(by omitting the {\em from}) part).
</document>
