<document>
%%\markright{}

:@* Summary
\noindent
This section has given an introduction to the Eiffel language.
It discussed the design principles underlying Eiffel,
which may be characterized as being focused
on static typing and support for the development
of reliable programs.


<slide id=eiffel-sum caption="Eiffel -- summary">
:@ The language Eiffel
\zline{\fbox{B}}
\ifsli{\vspace{-0.5cm}}{}	
<I
- {\em design principles} -- correctness
- {\em terminology} -- keywords
- {\em syntax} -- type conformance, control
- {\em objects} -- $counter$ example
- {\em inheritance} -- renaming, redefining
I>
\ifsli{\vspace{-1cm}}{}
</slide>

Further,
it presented an overview of the keywords related to
the constructs offered,
and discussed type expressions, value expressions
and control statements.
An example was given to illustrate the features offered.
Finally, we looked at the mechanisms of renaming
and redefining, which are needed to
avoid name clashes when using multiple inheritance.
</document>
