<document>

:@ Control 
Smalltalk has no control structures
except  message passing.
However, familiar control structures
are defined as methods on
{\em booleans} and {\em integers}.
\see{sm-control}


<slide id=sm-control caption="Smalltalk -- control">
@ Keyword methods
\ifsli{\vspace{-0.5cm}}{}
<program>
 $ (i <= 7) $
        $ifTrue \! : [ m:= "oke" ]$
        $ifFalse \! : [ ... ]$
</program>
\ifsli{\ln\vspace{-1cm}}{}
:@ Control structures
\ifsli{\vspace{-0.5cm}}{}
<I
- conditional {\em -- $ifTrue \! :ifFalse \! :$}
- iteration {\em -- $whileTrue \! :$}
- looping {\em -- $to \! :by \! :do \! :  [ : \! i | ... ]$}
I>
\ifsli{\vspace{-1cm}}{}
</slide>

For example, an {\em if-statement}
may be obtained by defining
the method {\it ifTrue: ifFalse:}
on booleans.
(Despite the use of keywords, parameter passing in Smalltalk is 
positional.
Each sequence of keywords may be
regarded as a different method.)

In a similar vein,
we may define iteration and looping.
For looping, we may employ
the parameter mechanism of blocks,
as indicated above.
</document>
