<document>

:@ Terminology
The introduction of Smalltalk
came along with an, at the time,
astounding terminology.
\see{sm-terminology}


<slide id=sm-terminology caption="Smalltalk -- terminology">
:@ Terminology
\zline{\fbox{Smalltalk}}
\ifsli{\vspace{-0.5cm}}{}
<I
- literal {\em -- constants}
- object {\em -- action by messages}
- class {\em -- collection of protocols}
- protocol {\em -- related methods}
- category {\em -- collection of classes}
I>
\ifsli{\vspace{-1cm}}{}
</slide>

Most important is the notion
of {\em object}, which is something
that acts in response to messages
(by executing a {\em method} procedure).
In Smalltalk, everything is an object.
Moreover, every object is an instance of
a class.
A {\em class} is the description
of a collection of objects which share 
the same structure and applicable methods.
The methods of both objects and classes
(considered as an object) are grouped
in so-called {\em protocols}.
Related collections of classes may be
grouped in so-called {\em categories}.
Both {\em protocols} and {\em categories}
are merely syntactic add-ons,
meant to facilitate programming.
</document>
