<document>
@# <a href=guide/intro.html>Introduction</a>

<include file=phrase>
<p>
%%<?latex><so guide/intro><?/latex>
%%\noindent

<p>
To gain an understanding
of some new area, it is virtually unavoidable
to be immersed in the material for a while
without exactly understanding where it will lead.

%%\cleartrue
%%\vfig{1}

<slide id="sl-intro" style=gold caption="Introduction">
:@ Introduction <em> -- Principles of Object-Oriented Software Development</em>
\zline{\fbox{1}}
<ul>
<li> history -- <em>object speak</em>
<li> abstraction -- <em>responsibilities <!--\ifsli{\n}{}--> in OOP</em>
<li> software development -- <em>the OO life-cycle</em>
<li> paradigms of programming
<li> additional literature
</ul>
<p>Additional keywords and phrases:
<em> client-server model, behavioral refinement,
analysis, design, implementation, features and benefits</em>
</slide>

This first chapter will give a preliminary characterization
of object-oriented programming,
sketch some of its history
and give an outline of the theme 
of this book, which may be summarized by the phrase
that <em>OOP provides a new means for abstraction
in both programming and design</em>.
However, as will become clear later on, what OOP
offers is not altogether new.
One of the goals set for this book is to
relate the mechanisms offered by OOP to
their precedents in the history of computer 
programming and design languages.
The reader may then establish whether OOP
is just another toy for software developers
or a significant contribution to both
software engineering and programming.
At the end of this introductory chapter,
references are provided to the other literature 
in the field.

<?latex><include file=txt><?/latex>
</document>
