
#include <iostream.h>


template< class T > /// requires T::value()
class P {
public:
P(T& r) : t(r) {}
int operator==( P<T>& p) {
	return t.value() == p.t.value();
	}
private:
T& t;
};

template< class T >
class A {
public: 
virtual T value()  = 0;
};

class Int : public A<int> {
public:
Int( int n = 0) : _n(n) {}
int value()  { return _n; }
private:
int _n;
};


void main() {
Int i1, i2;
P<Int> p1(i1), p2(i2);
if ( p1 == p2 ) cout << "OK" << endl;
}


