%{
#include <iostream.h>
#include <stdio.h>
#include <string.h>
#include "lex.h"
char b1[BUFSIZ];
char b2[BUFSIZ];
char* translit(char*, char*);
%}

doll \$[^\$]+\$
id [A-Za-z1-9]
delim [ \t\n\:\(\)]
%%
\"[^\"]*\" cout << yytext;
"object"|"adt"|"interface" cout << "struct";
\%{id} cout << "percent_" << yytext+1;
\-\%{id} cout << "minus_percent_" << yytext+2;
\%{id}\-{id} { cout << "percent_" << yytext[1] << "_minus_" << yytext+3; cout.flush(); }
\%{id}\-\%{id} { cout << "percent_" << yytext[1] << "_minus_percent_" << yytext+4; cout.flush(); }
{id}\-{id} { cout << yytext[0] << "_minus_" << yytext+2; cout.flush(); }
{id}\-\%{id} { cout << yytext[0] << "_minus_percent_" << yytext+3; cout.flush(); }
\%{id}\^{id} { cout << "percent_" << yytext[1] << "_upto_" << yytext+3; cout.flush(); }
\%{id}\^\%{id} { cout << "percent_" << yytext[1] << "_upto_percent_" << yytext+4; cout.flush(); }
{id}\^{id} { cout << yytext[0] << "_upto_" << yytext+2; cout.flush(); }
{id}\^\%{id} { cout << yytext[0] << "_upto_percent_" << yytext+3; cout.flush(); }

{doll} cout << translit(b1,yytext+1); 
\-{doll} cout << "minus_" << translit(b1,yytext+2);
{doll}\-  cout << translit(b1,yytext+1); 

\|{id} cout << "bar_" << yytext+1;
\-\|{id} cout << "minus_bar_" << yytext+2;
\|{id}\-{id} { cout << "bar_" << yytext[1] << "_minus_" << yytext+3; cout.flush(); }
\|{id}\-\|{id} { cout << "bar_" << yytext[1] << "_minus_bar_" << yytext+4; cout.flush(); }
{id}\-\|{id} { cout << yytext[0] << "_minus_bar" << yytext+3; cout.flush(); }
\|{id}\^{id} { cout << "bar_" << yytext[1] << "_upto_" << yytext+3; cout.flush(); }
\|{id}\^\%{id} { cout << "bar_" << yytext[1] << "_upto_percent_" << yytext+4; cout.flush(); }
. cout << yytext;
%%

char *
translit(char* buffer, char* s) {
char* p=s;
char buf[5];
buffer[0]='\0';
strcpy(buffer,"dollar__");
while ( *p && ( *p != '$' ) ) {
	buf[0]='\0';
        sprintf(buf,"%d",*p);
	strcat(buffer,buf);
	p++;
       }
return buffer;
}

int main() {
lex l;
l();
return 0;
}
