<document>
<a href=@talk-applicat.html target=_top><img src=@base/logo.gif align=bottom></a>
<slipar>
:@ Objectives
This section raises the problem
of managing the complexity of large
applications and looks at the
standardization effort of the OMG
aimed at application interoperability,
distribution and language,
platform and vendor independence.
In addition, it discusses the efforts of the ODMG to
arrive at a standard for persistent objects.
It further discusses the duality
between objects and events.
Objects and events play a complementary
role in the design and realization
of applications.

<slide id=applic-points cap="Points to emphasize">
:@ Points to emphasize
<I
- {\em integration} -- interface standards
- {\em object services} -- object request broker
- {\em persistent objects} -- design principles
- {\em events} -- actions involving objects
I>
</slide>

:@ Hints
The standardization efforts initiated by the OMG and
ODMG may considered to be crucial
to the success of object orientation
in the long term.
It is important to stress that the difficulty
of realizing such ambitious goals are only
partly of a technological nature,
as they depend to a large extent upon issues
of policy and agreement.

<slide id=applic-questions cap="Questions">
:@ Questions
<N \setcounter{enumi}{0}
@so q1
N>
</slide>

:@ Comments
It is interesting to note that both
the OMG and ODMG
proposals employ a `cleaned up' version of C++
as a description language for object
interfaces.
This may cause C++ to become a {\it de facto}
standard for object-oriented system
development. 

 
\clearpage
</slipar>
</document>
