<document>
<slipar{>
:@ Objectives
This section discusses the possible
contribution of object technology
to the development of
heterogeneous systems.
It reflects on the nature of heterogeneous
systems and indicates which 
aspects are adequately dealt with
by object-oriented techniques.
It concludes with some thoughts on
the future of OOP.

:@ Points to emphasize
<I
- {\em hybrid components} -- symbiosis
- {\em object technology} --
wrapping, embedding, distribution
I>

:@ Hints
The paragraph concerning the future of
OOP is intended to provoke
a discussion on the contribution
of object orientation to the practice
of computing
and the potential that is still
waiting to be realized.
Like most people, your students
will enjoy reflecting on the
unpredictable.

:@ Questions
<N \setcounter{enumi}{6}
- Discuss the problems involved in
realizing heterogeneous systems?
How does object technology contribute
to the solution of these problems?
- What do you consider the 
contribution of OOP to the practice of
software development?
N>

:@ Comments
As a final comment, I would like to
note again that the importance of gaining
practical experience in OOP
cannot be overemphasized.
\clearpage\mbox{}\vspace{-1cm}
</slipar>
</document>
