#include "hush.h"

class drawing_canvas : public canvas {
public:

drawing_canvas( char* path ) : canvas(path) {
        geometry(200,100);
        handler(this);
	moving = 0;
	}

void press( event& ) { moving = 1; }

void motion( event& e) {
	if (moving) circle(e.x(),e.y(),3,"-fill black");
	}

void release( event&  ) { moving = 0; }

protected:
int moving; 
};


class application : public session {
public:
application( int argc, char* argv[] ) : session(argc,argv,"draw") {}
void main( kit* tk, int, char** ) {
 
    tk->trace();

    canvas* c = new drawing_canvas(".draw");

    tk->pack(c);
    tk->pack(".quit");
    }
};

int main (int  argc, char  **argv) {
    session* s = new application(argc,argv);
    return s->run();
}
