#include "hush.h"

class button_handler : public handler {
public:

button_handler( int i = 0 ) { no = i; }

int dispatch( kit* tk, int argc, char** argv) {
	 cout << "pressed: " << no << endl;
	 while ( argc-- >  0 ) { 
	 	cout << *argv++;
	 	}
	 cout << endl;
	 return OK;
	 }
private:
int no;
};

void program( kit* tk, int, char** ) {
    tk->trace();
    widget* r = tk->root();

    button* b1 = new button(r,".b1");
    b1->text("ok");
    b1->handler(new button_handler(1));

    button* b2 = new button(".b2","-bg blue");
    b2->bitmap("bishop.bm");
    b2->handler(new button_handler(2));

    button* q = new button(".quit","-text quit -command { destroy . }");

    tk->pack(b1);
    tk->pack(b2);
    tk->pack(q);
}


int main (int  argc, char  **argv) {
    session* s = new session(argc,argv,"root");
    return s->run(program);
}
