#include "hush/hush.h"

class dialog : public toplevel {
public:
dialog( char* path ) : toplevel(gensym()) {

	 message* m = new message(this,".message");
	 m->text("Type your answer");
         
	 e = new entry(this,".entry","-relief sunken");
	   
         frame* f = new frame(this,".frame");

	 button* b = new button(f,".ok");
	 b->text("OK");
	 b->handler(this,"OK");

	 button* c = new button(f,".cancel");
	 c->text("cancel");
	 c->handler(this,"cancel");
	  
	 c->pack("-side left -fill x");
	 b->pack("-padx 5 -side right -fill x -fill y");

         tk->pack(m)->pack(e)->pack(f);

	 e->focus();  /// to attract the focus
	 }

void ok() { cout << e->get() << endl; }
void cancel() { destroy(); }

int operator()() {
	if (!strcmp(argv[1],"OK")) this->ok();
	else if (!strcmp(argv[1],"cancel")) this->cancel();
	return OK;
	}
protected:
entry* e;
};

int interact(client*, kit* tk, int argc, char* argv[]) {
	widget* d = new dialog(argv[1]);
	return OK;
	}

class application : public session {
public:
application(int argc, char* argv[]) : session(argc,argv,"dialog") { }

void main(kit* tk, int, char** ) {
    tk->trace();

    button* b = new button(".b");
    b->text("click");
    b->handler(interact,"dialog");

    tk->pack(b);
    tk->pack(".quit");
}

};


int main (int  argc, char  **argv) {
    session* s = new application(argc,argv);
    return s->run();
}
