#include "hush.h"

double newton(double arg);

char fbuf[56];
char* ftoa( double f) { sprintf(fbuf,"%f",f); return fbuf; }


class generator : public handler {
public:

generator() {
	s = (scale*) new widget(".s");
	m = (message*) new widget(".m");
}

~generator() {
	s->destroy();
	m->destroy();
}

int operator()() {
	cout << s->get() << endl;
	float f = s->get();
	m->text( ftoa( newton(f) ) );
	return OK;
}

private:
scale* s; message* m;
};


class application : public session {
public:
application(int argc, char* argv[] ) : session(argc, argv) { }

void main( kit* tk, int, char** ) {
tk->trace();
    
tk->source("interface.tcl");
generator* g = new generator();

tk->action("generate",g);
}
}


void main (int  argc, char  **argv) {
    session* s = new application(argc,argv);
    s->run();
}
