@ The {\em filechooser} class

\c{
A filechooser may be used to select files from the current
working directory.
Selecting a file may be done by double clicking on an 
item in the listbox or by typing a name in the entry.
To confirm the choice, either the $OK$ button must
be pressed.
Giving a return in the entry has the same effect.
The dialog may be interrupted by pressing the $cancel$
button.
}

\slide{class-filech}{ The {\em filechooser} class }{
[P
interface filechooser : widget { /// \fbox{filechooser}

filechooser(); /// to create an exemplar 

filechooser(char* p, char * options = "");
filechooser(widget* w, char* p, char * options = "");

char* get();
};
P]
}

\c{
An action or handler may be attached to the filechooser.
It is activated when either the $OK$ and $cancel$ 
is pressed.
The name of the button is given as an additional
argument when calling the handler.
}

