@* Multi-paradigm programming
\label{hush}

\slipar{
:@ Objectives
This section gives an overview of
$hush$, a {\em hyper utility shell}
library.
Hush provides a powerful and flexible
toolkit that allows programming in C++
as well as in the script
language Tcl.
It is presented as an example of a
multi-paradigm approach to
hypermedia development.

:@ Points to emphasize
<I
- {\em hush} --
handlers, widgets, graphical items
- {\em events} --
actions, handlers
I>

:@ Hints
The $hush$ package has succesfully been used
for student project assignments.
See appendix \ref{EXX}.

:@ Questions
<N \setcounter{enumi}{5}
- What is your opinion
on combining C++ with scripts
written in an interpreted language?
Explain your point of view.
N>

:@ Comments
There are many alternative solutions
for combining objects and callbacks.
Discuss the tradeoffs between using
functions as callbacks and objects with a
designated member functions.
\clearpage
}


.so intro
.so interp
.so bind
.so user
