<document>
<slipar>
:@ Objectives
This section presents a hypermedia
model.
The model is composed of elements
from the Dexter hypertext 
reference model and the CMIF multimedia
model.
It incorporates facilities for
multiple media 
that may be displayed through distinct
channels,
and allows for links and timing
constraints between channel contents.
Further, we discuss the nature of links.

:@ Points to emphasize
<I
- {\em hypermedia} -- hypertext and multimedia
- {\em components} -- anchors and synchronization
- {\em links} -- anchor to anchor
I>

:@ Hints
The model sketched in this section
provides the rudiments for an object model
for hypermedia systems.
You may encourage your students
to work out the model in detail.

:@ Questions
<N \setcounter{enumi}{3}
\nop{
- Describe the Dexter hypertext reference model.
- How would you characterize the CMIF multimedia model?
}
- Give an outline of an integrated
hypermedia model.
What problems do you expect in the realization
of your model?
- Discuss the nature of links.
How are links related to active objects?
N>

:@ Comments
The Dexter hypertext reference model
allows for many possible realizations.
When developing a hypermedia system
one should pay attention to the emerging
standards for hypermedia document transfer
and display,
such as MIME and the HTML
hypertext markup language. 
\clearpage
</slipar>
</document>
