<document>
<a href=@talk-txt.html target=_top><img src=base/sou4.jpg align=right></a>
<slipar>
:@ Rationale
This chapter discusses the application
of object-oriented technology
to the area of hypermedia systems.
It provides some background
to hypertext and hypermedia systems,
and presents a hypermedia model
based on the Dexter hypertext reference model.
Further, a multi-paradigm object-oriented
toolkit for hypermedia systems
is sketched
and, concluding this chapter,
we reflect on the contribution
of object technology to the development
of heterogeneous systems.

:@ Hints
Hypermedia technology is rapidly becoming
important, both in education and
business applications.
Hypermedia systems mean a challenge
due to the inherent heterogeneity
of their underlying model.
You may wish to obtain the $Mosaic$ browser
to explore the Internet cyberspace
from {\tt ftp://ftp.ncsa.uiuc.edu:/Mosaic}.
See appendix \ref{internet}.

@so literatu 

:@ Project assignments
As subjects for a paper you may think of
<I
- an object model for distributed hypermedia, or
- embedding timing constraints in hypermedia links.
I>
As a practical assignment, I suggest
<I
- the development of a simple hypermedia system.
I>

:@ Comments
Research and development issues for hypermedia
systems cover a wide area, ranging from
system implementation issues
and scheduling policies to authoring issues
and conceptual user modeling.
Our perspective primarily concerns
architectural issues and the
application of object technology to system
development.
\clearpage
</slipar>
</document>
