class V;

template<class T>
class model { /// \fbox{$model<T>$}
public:
virtual T value() = 0;
void attach(V<T>* v) { _v = v; } 
virtual void update();
virtual void notify();
protected:
view<T>* _v;
controller<T>* -c;
};

template<class T> /// \fbox{$view<T>$}
class view {
public:
virtual void reflects( T& x ) { }
virtual void display() = 0;
void attach(model<T>* m) { _m = m; }
protected:
model<T>* _m;
T val;
};

template<class T>
void model<T>::notify() { v->display(); }


template<class T>
class controller {
public:
virtual void get() = 0;
void attach(model<T>* m) { _m = m; }
protected:
model<T>* m;
};


template<class T>
class mvc { /// \fbox{mvc}
public:
mvc(model<T>* m, view<T>* v, controller<T>* c) 
			: _m(m), _v(v), _c(c) {
	m->attach(v);
	m->attach(c);
	m->notify();
	promise( invariant() );
}

void update() {
	c->get();
	promise( invariant() );
	}

virtual int invariant() {
	v->reflects(m->value());
	}

private:
model<T>* _m;
view<T>* _v;
controller<T>* _c;
}

/*
template<class T>
mvc:mvc(M<T>* m, V<T>* v, C<T>* c) : _m(m), _v(v), _c(c) {
m->attach(v);
v->model(m);
}
*/


