<document>
<a href=@talk-txt.html target=_top><img src=base/sou4.jpg align=right></a>
<slipar>
:@ Rationale
This chapter gives an introduction to
the problems involved in extending
the object paradigm with distribution and
concurrency.
From a modeling perspective, concurrency presents
itself as a natural extension of object-oriented modeling.
However, to realize distribution and concurrency,
the discrepancy between objects and processes
must somehow be resolved.

A number of concurrent extensions of C++
are described.
Also, we discuss the problems that arise when employing inheritance
in the presence of processes.
Finally, we discuss the requirements
for actual distribution.

:@ Hints
The treatment is biased towards the notion of
active objects.
Active objects combine the encapsulation
capabilities of objects with the
threads capability of processes.
Each of the sections shed light on the notion
of active objects from a different
perspective.

@so literatu

:@ Project assignments
As subjects for a paper you may think
of
<I
- a comparative study of concurrent extensions
to C++ or Eiffel
I>
See, for example, [_Meyer93].
Another interesting subject for a paper might be
<I
- problems and solutions for the inheritance anomaly
I>
See [_Mats93] for an introduction.
As practical work, I suggest
<I
- object-oriented solutions for concurrency problems
I>
such as the problems discussed in
[_Andrews].

:@ Comments
For the latter assignment, you need
to obtain one of the packages mentioned
in this chapter.
See appendix G for a list of {\tt ftp} sites.
In my experience, the installation
of these packages usually requires some effort.

\clearpage
</slipar>
</document>
