<document>
<slipar>
:@ Objectives
This section presents a detailed comparison
of the languages Smalltalk, Eiffel and C++.
This comparison includes
class libraries, programming environments
and language characteristics.

:@ Points to emphasize
<I
- {\em criteria} -- libraries, environments,
language characteristics
- {\em comparison} -- language characteristics
I>

:@ Hints
You may discuss the interrelatedness
of the various language characteristics
by which the Smalltalk, Eiffel
and C++ languages are being compared.
In particular, the criteria of
language complexity and documentation value
are worth a discussion.

:@ Question
<N \setcounter{enumi}{3}
- How would you characterize Smalltalk,
Eiffel and C++ with respect to reliability,
efficiency and complexity?
Explain.
N>

:@ Comments
Naturally, you may express your opinion
with respect to the relative merits
of Smalltalk, Eiffel and C++.
Perhaps it is interesting to comment
on the standardization efforts undertaken
by the OMG and ODMG, see section \ref{OMG}. 
It must be observed that these efforts
are directed primarily towards C++
and to a lesser extent Smalltalk.

\clearpage
</slipar>
</document>
