<document>
<slipar>
:@ Objectives
This section intends to render the
discussion concerning the
often referred to distinction
between {\em object-based} and
{\em object-oriented}, as originally
presented in [_Wegner87].
Nowadays, this discussion is of
interest primarily from a historical
perspective.
Following [_Wegner87], this section presents
orthogonal dimensions of object-oriented language design.
It also contains a discussion concerning
open systems and dimensions of modularity,
issues which are directly related to the motivations underlying the
adoption of an object-oriented approach.

:@ Points to emphasize
<I
- {\em object-oriented} -- object-based + inheritance
- {\em orthogonal dimensions} --
objects, types, delegation, abstraction
- {\em open systems} --
dimensions of modularity
I>

:@ Hints
This section is rather philosophical 
in nature.
Nevertheless, clarification of terminology
is a goal worth striving for,
as testified by the more recent efforts
of the OMG. 
See section \ref{OMG}.

:@ Questions
<N \setcounter{enumi}{4}
- How would you characterize the difference between object-based and object-oriented?
- Along what orthogonal dimensions would
you design an object-oriented language?
Explain.
N>

:@ Comments
It is important to distinguish between
the core object model offered by the majority
of object-oriented languages and the extensions
that allow for distribution and platform
and vendor independent applications.
See chapter 11.
\clearpage
</slipar>
</document>
