<document>
<h1>Empirical Results</h1>

<control>
<hr>
<a href=emp-abs.html>Abstraction</a>,
<a href=emp-com.html>Complexity</a>
<hr>
</control>


The material presented before has been taken
directly from my book.
As I am working on the second edition, I might
change it or omit it altogether.
The real effort in writing this essay went into
searching the Web for enlightenment.
Somehow, abstraction and complexity seem to be
two sides of a single coin, dual notions in other words.
Well, are they?
Or do they belong together in a more intricate manner?
<p>
In searching the Web with
<a href=http://www.altavista.digital.com/><em>Alta Vista</em></a>
I got 9000 documents matching the query for
Abstraction.
A brief selection of those will be presented below.
For Complexity I got 30000 hits.
To my surprise the titles for Complexity did not
contain a reference to Paul Vitanyi's work on
Kolgomorov complexity.
That is no real surprise since he did work
on <a href=http://www.fmb.mmu.ac.uk/~bruce/combib/compref209.html>
Kolmogorov Complexity</a>.
Due to sloppy spelling I learned that both Kolmogorov
exists (2000 hits) as well as
Kolgomorov (13 hits), including 
a <a http://theory.lcs.mit.edu/~iandc/References/staiger1993:159.html>
document</a> referring to a paper discussing
Kolgomorov complexity and Hausdorff dimension.
Searching for Vitanyi did result in
over 500 documents including
<a href=http://www.cwi.nl/~paulv/><em>Paul's Homepage</em></a>
and a fairly large number related to
<a href=http://www.krl.caltech.edu/~brown/news/info-theory-html/0254.html><em> Li's and Vitanyi's book</em></a>.
As a side effect, this tribute
affects Paul's visibility on the Web.
<p>
Before taking a look at the material found, let me note
that there is an interesting difference,
apart from the number of hits,
between the notions of Abstraction and Complexity,
which becomes evident when looking at the documents found.
Apparently, Complexity is a much more respectable notion
since there is a <a href=http://192.215.52.3/www/catalog/cm.htm>
<em>Journal of Complexity</em></a>
as well as a <a href=http://www.cs.utoronto.ca/DCS/Faculty/complexity.html>
<em>Faculty of Complexity</em></a>.
In contrast, I did not find any evidence
for the existence of a similar
<em>Journal of Abstraction</em>,
let alone a
<em>Faculty of Abstraction</em>.
Yet, there is a company named
<a href=http://www.twr.com/twrweb/Abstraction.html><em>Abstraction, Ltd</em></a>,
dealing with
abstraction. What else?

<so emp-abs emp-com>
</document>
