<document>
<h1>9. Societal Usefulness</h1>

<h3>a. Relevance</h3>

Our society is becoming more and more dependent
on electronically available information.
Due to the increasing amount and complexity 
of the information provided,
intelligent agents seem to have become the dominant
user interface metaphor for the average user
of information systems in general,
and Web-based applications in particular.

<h3>b. Contribution</h3>

Our project aims at satisfying the conditions
for developing agent-based Web-aware applications,
which allow the average user to concentrate
on the task at hand rather than the tools
and mechanisms needed to access information.
<p>
It is difficult to predict whether the popularity and social significance of the
Web will continue to increase,
or whether the Web will be replaced by a different
architecture.
The one thing which is certain is that world-wide global networking
will play an ever more important role in both the economic and social aspects
of society. As is evident from the listed publications, the applicants monitor
these evolutions closely, and take active part in them. In the architecture of
the tool to be developed, the existence of information items which are uniquely
addressable is important, but the exact data representation and the protocol for
accessing the objects are not.
The extraction of information from
objects,
and the access routines, will be embedded in separate modules, which can
be replaced should the Web be superseded by another technology.
The core of Pamela
would not be affected by such a change, making the WASP research effectively
independent of whether the global networking environment of the future will be
the Web as we know it, or a different network architecture.


<h3>c. Transfer</h3>

The transfer of our expertise will be through
education at our institutes and via contacts
with business and industry.
As interested contacts we mention:
ASZ (GAK group, S.C. Chang, Manager R&D) and
Rabo Nederland (M.A. Cornelisse, Rabofacet).
These parties have showed interest in the WASP
project in informal contacts.
<p>
Apart from scientific publications (in conferences and journals) the aim of WASP
is to create a prototype information discovery agent, Pamela.
As is often the case with technology developed for Internet, we will make
this prototype tool available through Internet, and announce it through
both the publications, mailing lists, netnews and our informal contacts with
colleagues. Feedback from early users will guide the development of subsequent
versions of Pamela.
Contacts with industry exist for applying the technology to be developed in
commercial and competitive environments. 
The contact with Rabo, mentioned in the
Appendix to the WASP proposal, has already resulted in a contract
between Rabo and
the VU for the application of agent technology in banking.
</document>
