<document>
<h2>c. Environment.</h2>

Within the various groups there is a lively
interest in agents and web applications.
In practice this means that also the other
members of the respective groups will for some
part of their time be involved in the theoretical
and practical developments in the project.

<h4>SE/VU</h4>
The software engineering group of
the VU is headed by Prof dr. J.C. van Vliet.
The section is actively engaged in research on Software
Engineering, Metrics, Human Computer Interaction and Hypermedia.
The group involved in the DejaVu Hypermedia project consists of 
one coordinator (A. Eliens) and three AIOs,
J.R. van Ossenbruggen (time-based hypermedia systems),
S.P.C. Sch\"onhage (USF funded  SINS project,
the integration of simulation and hypermedia and DIVA,
a CORBA-based distributed architecture for visualisation),
M. van Welie (a distributed
workbench for groupware task analysis, under co-supervision
of dr. G. vd Veer).
Also, there is
one programmer (C.T. Visser) responsible for
the implementation of DLP and the technical aspects of
distributed object systems.

<h4>AI/VU</h4>
In the AI group at the VU the research of a number of members of the
group focusses on multi-agent
systems: Dr. F.M.T. Brazier, drs. P.A.T. van Eck, dr. C.M. Jonker, prof. dr.
J. Treur and drs. W. de Vries.
Two programmers support the research projects:
L. van de Mey, F. Cornelissen.
Related topics addressed are: compositional 
modeling of multi-agent systems, models for specific types of intelligent
agents, cooperation models, information retrieval, human-computer 
interaction, reflective agents, applications of multi-agent systems 
(e.g., project coordination), formal semantics of multi-agent 
systems, verification and validation, defeasible reasoning and task analysis. 
Some of these topics are addressed in cooperation with researchers from 
other institutes, with whom joint papers have been and are being prepared; 
for example, dr. N.R. Jennings (Queen Mary & Westfield), dr H. Johnson, 
prof dr P. Johnson (Queen Mary & Westfield), prof. dr V.W. Marek and 
dr. M. Truszczynski (University of Kentucky), prof. dr. H. Herre 
(University of Leipzig), dr. B.M. Dunin-Keplicz (University of Warsaw),
prof. dr. R. Gustavsson (Univ. of Ronneby).
<p>
A design method (and supporting software environment)
for multi-agent systems (DESIRE) has been developed by the AI group.
In october '96 a five day course on modeling agents with DESIRE
has been given  for developers in industry.
This course will be given annually.
 

<h4>IS/TUE</h4>
The Information Systems section of the TUE is headed by
Prof. dr. P.M.E. De Bra. Within the section, P. De Bra is primarily
involved with the database and hypermedia research group, which consists
(apart from himself) of three UDs (dr. A. Aerts, dr. F. Dignum and
dr.ir. G.J. Houben), one part-time professor (prof. dr. J. Paredaens),
three full-time aio's (drs. R. Post, ir. J. Hidders, and Ms.C. X. Pu)
and two part-time aio's (drs. R. Self\'ee and drs. L. Matthijssen).
A full-time programmer (ing. P. Lemmens) is available to aid in the
implementation aspects of Pamela. Prof. De Bra also holds a part-time
position at CWI, where he is initiating research efforts on
multimedia databases and Internet. He also holds a part-time position at
the University of Antwerp where he is involved in graphical user-interfaces
and in a special teaching program in Library and Information Science.
</document>
