<document>
@ P. De Bra - IS/TUE

Paul De Bra completed his study in mathematics at the University of Antwerp
in 1981, with a thesis on "Conditional Dependencies". In February 1987 he
obtained his doctorate in (computing) science, with a thesis on "Horizontal
Decompositions in the Relational Database Model", of which results have been
presented at several conferences, including the International Conference on
Database Theory (ICDT) and the conference on Mathematical Foundations for
Data Base Systems (MFDBS). Also the more recent publications [9] and [10] of
the WASP proposal show the competence of the applicant in fundamental research.
The shift in focus of attention towards more practical and applied research in
hypermedia and the Web dates back only about three years.
Paul De Bra is still a member of the "Vereniging voor Fundamentele Informatica"
(in Belgium) and of the NVTI
(Nederlandse Vereniging voor Theoretische Informatica).
He is also member of the ACM.
 
Paul De Bra has recently been appointed to full-professor, heading the Information
Systems section at the Eindhoven University of Technology. Apart from the
applicant this research group has expertise in executable specification
formalisms for information systems (prof. dr. K.M. Van Hee and
dr. ir. W. van der Aalst), software engineering (dr. L. Somers),
different formalisms for logic and their application to protocols (dr. F. Dignum),
object-oriented databases (prof. dr. J. Paredaens, dr. A. Aerts)
and hypermedia (dr. ir. G.J. Houben).
</document>
