@* Objects versus Components
<include file=navigate>

<slide color=gold id=components-fig cap="...">
<a href=@slide-slogan-components.html>
<image src=local/sf.gif>
</a>
</slide>


<slide id=component-definition cap="Definitions">
:@ Component
<h5 align=right> <red>substitutability</red></h5>
<ul>
<li> unit of independent deployment
<li> unit of third party composition
<li> no persistent state
</ul>
</slide>


<slide id=object-definition cap="Definitions">
:@ Object
<h5 align=right><red>identity</red></h5>
<ul>
<li> unit of instantiation
<li> (persistent) state
<li> encapsulation of state and behavior
</ul>
<h5 align=right><a href=@online/oo/II/6/issues-definitions.html>Definitions</a></h5>
</slide>

<slide id=propose cap="Off-the-shelf ...">
<h2>
[_Szyperski97]:
%%proposes components as a suitable unit
%%of deployment instead,
%%and advocates a
<em>component-oriented</em> approach,
to deliver reusable <em>"off-the-shelf"</em> components
for a composing large applications.
</h2>
<h5 align=right><a href=@online/oo/I/1/trends.html>Beyond Object-Orientation?</a></h5>
</slide>

<slide color=yellow id=c-def cap="Definition">
<c><p></c>
<quote><em>
A software component is a unit of composition
with contractually specified interfaces and
explicit context dependencies only.
A software component can be deployed independently
and is subject to composition by third parties.
</em></quote><c><p></c>
<h5 align=right><a href=@online/oo/II/6/issues-myths.html>Component Myths</a></h5>
</slide>

<slide color=gold cap="Component Questions">
<ul>
<li> How to describe the interaction between components?
<li> How to manage variety and flexibility?
<li> How to guarantee critical system-wide properties?
</ul>
<h5 align=right><a href=@online/oo/II/6/components.html>Component Questions</a></h5>
</slide>


<slide color=green type=fig id=technology-matrix cap="The technology matrix">
<table><!--{|l|c|c|c|c|c|c|}-->
<tr><td></td>
<td>distribution</td>
<td>mobility</td>
<td>language</td>
<td>platform</td>
%%<td>reflection</td>
</tr>
<tr><td>COM</td>
<td>-</td>
<td>-</td>
<td>*</td>
<td>-</td>
%%<td>+/-</td>
</tr>
<tr><td>DCOM</td>
<td>+</td>
<td>-</td>
<td>*</td>
<td>+/-</td>
%%<td>+/-</td>
</tr>
<tr><td>CORBA</td>
<td>+</td>
<td>-</td>
<td>*</td>
<td>*</td>
%%<td>+/-</td>
</tr>
<tr><td>Java/Beans</td>
<td>-</td>
<td>classes</td>
<td>Java</td>
<td>*</td>
%%<td>+</td>
</tr>
%%<tr><td>Java/RMI</td>
%%<td>+</td>
%%<td>classes</td>
%%<td>Java</td>
%%<td>*</td>
%%<td>+</td>
</tr>
<tr><td>Voyager</td>
<td>+</td>
<td>objects</td>
<td>Java</td>
<td>*</td>
%%<td>+</td>
</tr>
</table>
<h5 align=right><a href=@online/oo/II/6/issues-technology.html>The technology matrix</a></h5>
</slide>

<slide color=blue id=war cap="The Component War">
<center>
<h1>
The Component War is as yet undecided!
</h1>
</center>
<pre>


</pre>
%%<h5 align=right>
/// <a href=@online/oo/II/6/java.html><font color=red>The Java Platform?</red></a>
</slide>

