:@ Introduction
<include file=navigate>

<slide color=gold id=intro-fig cap="Guess ...">
<a href=@online/oo/chapter.html>
<image src=local/wiel.gif>
</a>
</slide>



<slide style=gold id=ctx cap="Contents">
<h5 align=right><gold>Challenges in OO</gold></h5>
<ul>
%%<h5 align=right> <a href=mailto:eliens@cs.vu.nl><i><red>Anton Eliens  VU/CWI</red></i></a></h5>
<li> <a href=intro.html>Introduction</a> 
<li> <a href=trends.html>Trends and Technologies</a>
<li> <a href=components.html>Objects versus Components</a>
<li> <a href=architecture.html>The notion of Software Architecture</a>
<li> <a href=issues.html>Research Issues</a>
<li> <a href=conclusions.html>Conclusions</a>
</ul>
<hr>
<a href=contents.html><gold>http://www.cs.vu.nl/~eliens/online/talks/ipa99</gold>
<p>
<a href=@online/oo/chapter.html><blue>Principles of OO Software Development</a></blue>
</slide>

<slide color=red id=question-oo cap="What is the Question?">
<table>
<tr> <td>If</td> </tr>
<tr> <td></td><td><b>OO</b></td> </tr>
<tr> <td></td><td></td><td>is the Answer,</td>
<tr> <td>What is</td> </tr>
<tr> <td></td><td></td><td>the Question?</td>
</table>
<h5 align=right>See <a href=@online/oo/I/1/themes.html>Ch 1: Themes and Variations</a></h5>
</slide>


<slide id=trends-1 color=blue cap="Trends and Technologies">
:@ Trends <em>-- modeling</em>
<ul>
<li> <em>patterns</em> -- examples of design
<li> UML -- Unified Modeling Language
</ul>
</slide>
<slide id=trends-2 color=blue cap="Trends and Technologies">
:@ Technologies <em>-- components</em>
<ul>
<li> Web -- global infrastructure
<li> CORBA/DCOM - the software bus
<li> Java -- the platform?
</ul>
</slide>
<slide id=trends-3 color=blue cap="Trends and Technologies">
:@ Challenges
*- Applications $ -> $ Frameworks $ <- $ Patterns
%%<hr>
<h5 align=right>See <a href=@online/lectures/oo/overview/@slide-technology.html>Overview</a></red></h5>
</slide>


<slide id=challenge-1 color=red cap="Challenges">
:@ Challenges in O-O
<ul>
<li> vertical framework development -- finance, medical care, insurance
<li> separation of <blue>business</blue> 'logic' from 'control'
%%-- business rules
</ul>
</slide>
<slide id=challenge-2 color=red cap="Challenges">
<ul>
<li> distributed object technology
<li> visualisation  --  structure and processes
<li> knowledge intensive applications
<li> heterogeneous systems -- fragmented 
%%applications
</ul>
%%<hr>
<h5 align=right>See <a href=@online/lectures/oo/practicum/contents.html>Practicum OO</a></h5>
</slide>

<slide color=blue id=question-components cap="What is the Answer?">
<table>
<tr> <td>If</td> </tr>
<tr> <td></td><td><b>Components</b></td> </tr>
<tr> <td></td><td></td><td>is the Question,</td>
<tr> <td>What is</td> </tr>
<tr> <td></td><td></td><td>the Answer?</td>
</table>
<h5 align=right>See <a href=@online/oo/I/1/trends.html>Ch 1: Beyond Object-Orientation?</a></h5>
</slide>
