@* Research Issues

<slide color=gold id=issues-fig cap="Guess ...">
<a href=@slide-slogan-pattern.html>
<image src=local/bullet.gif>
</a>
</slide>


<slide color=blue id=better cap="Are components better objects?">
<h1>Are Components <i>better</i> Objects?</h1>
<h5 align=right><a href=@online/oo/II/6/6.html>Component Technology</a></h5>
</slide>

<slide id=respons-1 caption="Responsibilities in OOP">
:@ Responsibilities
<ul>
<li> <em> to specify behavior</em> /// <box><b>what</b> rather than <b>how</b></box>
</ul>
</slide>

<slide id=respons-2 caption="Responsibilities in OOP">
%%/// <box>client/server model</box>
:@ Client
<ul>
<li> makes request to perform a service
</ul>
:@ Server
<ul>
<li> provides service upon request
</ul>
<h5 align=right><a href=@online/oo/I/1/contracts.html>Client/Server Model</a></h5>
</slide>

<slide id=1-contracts caption="Contracts and behavioral refinement">
%%<center> <p>object = information + responsibilities</p> </center>
:@ Contracts
*- a set of services
<p>
{\bf Behavioral refinement}
*- improving contracts
<h5 align=right><a href=@online/oo/I/3/contracts.html>Contracts</a></h5>
</slide>


<slide id=1-conformance caption="Behavioral refinement">
<h4><blue> Conformance</blue></h4>
%%<em> -- behavioral refinement</em>
<center>
<p>
if B refines A
then
   B may be used
   wherever A is allowed
</center>
%%<h5 align=right>
/// <a href=@online/oo/III/10/10.html><font color=red>Behavioral Refinement</font></a>
%%</h5>
</slide>

<slide id=properties-1 cap="Subtyping and behavior">
@ Subtype <em> -- signature and behavior</em>
<I>- preservation of behavioral properties
</slide>
<slide id=properties-2 cap="Subtyping and behavior">
@ Behavioral properties
<I
- invariant properties {\em -- true of all states}
- history properties {\em -- all execution sequences}
I>
<h5 align=right><a href=@online/oo/III/10/types.html>Types as Behavior</a></h5>
</slide>


<slide id=10-history cap="History properties -- example">
:@ Example <em> -- IntSet \not<= FatSet</em>
<I
- $FatSet$ -- {\em insert, select, size}
- $IntSet$ -- {\em insert, delete, select, size}
I>
</slide>
<slide id=10-history-2 cap="History properties -- example">
@ History <em> -- not satisfied by IntSet</em>
<img src=fatset.gif height=200 width=800>
<h5 align=right><a href=@online/oo/III/10/subtyping.html>Objects as Behavioral Types</a></h5>
</slide>

<slide color=blue id=research-1 cap="Research Challenges">
:@ From Metaphor to Calculus
<ul>
<li> <em>a strong object is a weak agent</em>
</ul>
<h5 align=right><a href=@online/oo/IV/12/web-agents.html>Agents for the Web</a></h5>
</slide>
<slide color=blue id=research-2 cap="Research Challenges">
:@ Case Study: Verifiable (Component) Software
<ul>
<li> e.g. CMG Test Frame -- UML Use cases -> Test Action Words
</ul>
<h5 align=right><a href=@online/oo/I/3/formal.html>Towards a formal approach</a></h5>
</slide>

