<html><head><title></title></head>
<body bgcolor=#ffffff>
 
<a href="cover.html">[Top]</a> <a href="smallpo.html">[Prev]</a> <a href="corb2pra.html">[Next]</a> <a href="corb2pra.html">[Bottom]</a>
<hr><br>
 
<a name="65">
<h1> Glossary</h1>
</a><dl>
<p align=right clear=all>
<b><font size=7>
F 
</font></b>
</p>
<hr></dl>
<a name="142">
activation	Preparing an object to execute an operation. For example, copying the persistent form of methods and stored data into an executable address space to allow execution of the methods on the stored data.<p>
</a><a name="69">
adapter	Same as object adapter.<p>
</a><a name="75">
attribute	An identifiable association between an object and a value. An attribute <strong>A</strong> is made visible to clients as a pair of operations: <strong>get_A</strong> and <strong>set_A</strong>. Readonly attributes only generate a <strong>get</strong> operation.<p>
</a><a name="76">
basic object adapter	The object adapter described in Chapter 8.<p>
</a><a name="77">
behavior	The observable effects of an object performing the requested operation including its results binding	. See language binding, dynamic invocation, static invocation, or method resolution for alternatives.<p>
</a><a name="78">
class	See interface and implementation for alternatives.<p>
</a><a name="79">
client	The code or process that invokes an operation on an object.<p>
</a><a name="80">
context object	A collection of name-value pairs that provides environmental or user-preference information. See Chapter <a href="dii2.html#835">4</a>.<p>
</a><a name="81">
CORBA	Common Object Request Broker Architecture.<p>
</a><a name="82">
data type	A categorization of values operation arguments, typically covering both 	behavior and representation (i.e., the traditional non-OO programming language notion of type).<p>
</a><a name="83">
deactivation	The opposite of activation.<p>
</a><a name="136">
deferred synchronous request		A request where the client does not wait for completion of the request, but does intend to accept results later. Contrast with synchronous request and one-way request.<p>
</a><a name="250">
domain 	A concept important to interoperability, it is a distinct scope, within which common characteristics are exhibited, common rules observed, and over which a distribution transparency is preserved. <p>
</a><a name="85">
dynamic invocation	Constructing and issuing a request whose signature is possibly not known until runtime.<p>
</a><a name="237">
dynamic skeleton	An interface-independent kind of skeleton, used by servers to handle requests whose signatures are possibly not known until runtime.<p>
</a><a name="135">
externalized object reference	An object reference expressed as an ORB-specific string. Suitable for storage in files or other external media.<p>
</a><a name="87">
implementation	A definition that provides the information needed to create an object and allow the object to participate in providing an appropriate set of services. An implementation typically includes a description of the data structure used to represent the core state associated with an object, as well as definitions of the methods that access that data structure. It will also typically include information about the intended interface of the object.<p>
</a><a name="134">
implementation definition language	<br>A notation for describing implementations. The implementation definition language is currently beyond the scope of the ORB standard. It may contain vendor-specific and adapter-specific notations.<p>
</a><a name="137">
implementation inheritance		The construction of an implementation by incremental modification of other implementations. The ORB does not provide implementation inheritance. Implementation inheritance may be provided by higher level tools.<p>
</a><a name="88">
implementation object	An object that serves as an implementation definition. Implementation objects reside in an implementation repository.<p>
</a><a name="89">
implementation repository	A storage place for object implementation information.<p>
</a><a name="90">
inheritance	The construction of a definition by incremental modification of other definitions. See <em>interface</em> and <em>implementation inheritance</em>.<p>
</a><a name="91">
instance	An object is an instance of an interface if it provides the operations, signatures and semantics specified by that interface. An object is an instance of an implementation if its behavior is provided by that implementation.<p>
</a><a name="92">
interface	A listing of the operations and attributes that an object provides. This includes the signatures of the operations, and the types of the attributes. An interface definition ideally includes the semantics as well. An object <em>satisfies</em> an interface if it can be specified as the target object in each potential request described by the interface. <p>
</a><a name="93">
interface inheritance	The construction of an interface by incremental modification of other interfaces. The IDL language provides interface inheritance.<p>
</a><a name="94">
interface object	An object that serves to describe an interface. Interface objects reside in an interface repository.<p>
</a><a name="95">
interface repository	A storage place for interface information.<p>
</a><a name="96">
interface type	A type satisfied by any object that satisfies a particular interface. <p>
</a><a name="97">
interoperability	The ability for two or more ORBs to cooperate to deliver requests to the proper object. Interoperating ORBs appear to a client to be a single ORB.<p>
</a><a name="98">
language binding or mapping	The means and conventions by which a programmer writing in a specific programming language accesses ORB capabilities.<p>
</a><a name="99">
method	An implementation of an operation. Code that may be executed to perform a requested service. Methods associated with an object may be structured into one or more programs.<p>
</a><a name="100">
method resolution	The selection of the method to perform a requested operation.<p>
</a><a name="101">
multiple inheritance	The construction of a definition by incremental modification of more than one other definition.<p>
</a><a name="102">
object	A combination of state and a set of methods that explicitly embodies an abstraction characterized by the behavior of relevant requests. An object is an instance of an implementation and an interface. An object models a real-world entity, and it is implemented as a computational entity that encapsulates state and operations (internally implemented as data and methods) and responds to request	or services.<p>
</a><a name="103">
object adapter	The ORB component which provides object reference, activation, and state related services to an object implementation. There may be different adapters provided for different kinds of implementations.<p>
</a><a name="104">
object creation	An event that causes the existence of an object that is distinct from any other object.<p>
</a><a name="105">
object destruction	An event that causes an object to cease to exist.<p>
</a><a name="106">
object implementation	Same as implementation.<p>
</a><a name="107">
object reference	A value that unambiguously identifies an object. Object references are never reused to identify another object.<p>
</a><a name="108">
objref	An abbreviation for object reference.<p>
</a><a name="109">
one-way request	A request where the client does not wait for completion of the request, nor does it intend to accept results. Contrast with deferred synchronous request and synchronous request.<p>
</a><a name="110">
operation	A service that can be requested. An operation has an associated signature, which may restrict which actual parameters are valid.<p>
</a><a name="111">
operation name	A name used in a request to identify an operation.<p>
</a><a name="84">
ORB	Object Request Broker. Provides the means by which clients make and receive requests and responses.<p>
</a><a name="86">
ORB core	The ORB component which moves a request from a client to the appropriate adapter for the target object.<p>
</a><a name="113">
parameter passing mode	Describes the direction of information flow for a operation parameter. The parameter passing modes are <strong>IN</strong>, <strong>OUT</strong>, and <strong>INOUT</strong>.<p>
</a><a name="114">
persistent object	An object that can survive the process or thread that created it. A persistent object exists until it is explicitly deleted.<p>
</a><a name="115">
referential integrity	The property ensuring that an object reference that exists in the state associated with an object reliably identifies a single object.<p>
</a><a name="116">
repository	See interface repository and implementation repository.<p>
</a><a name="117">
request	A client issues a request to cause a service to be performed. A request consists of an operation and zero or more actual parameters. <p>
</a><a name="118">
results	The information returned to the client, which may include values as well as status information indicating that exceptional conditions were raised in attempting to perform the requested service.<p>
</a><a name="123">
server	A process implementing one or more operations on one or more objects.<p>
</a><a name="124">
server object	An object providing response to a request for a service. A given object may be a client for some requests and a server for other requests.<p>
</a><a name="125">
signature	Defines the parameters of a given operation including their number	 order, data types, and passing mode; the results if any; and the possible outcomes (normal vs. exceptional) that might occur <p>
</a><a name="61">
single inheritance	The construction of a definition by incremental modification of one definition. Contrast with multiple inheritance.<p>
</a><a name="126">
skeleton	The object-interface-specific ORB component which assists an object adapter in passing requests to particular methods.<p>
</a><a name="127">
state	The time-varying properties of an object that affect that object's behavior.<p>
</a><a name="128">
static invocation	Constructing a request at compile time. Calling an operation via a stub procedure. <p>
</a><a name="129">
stub	A local procedure corresponding to a single operation that invokes that operation when called.<p>
</a><a name="130">
synchronous request	A request where the client pauses to wait for completion of the request. Contrast with deferred synchronous request and one-way request.<p>
</a><a name="131">
transient object	An object whose existence is limited by the lifetime of the process or thread that created it.<p>
</a><a name="132">
type	See <em>data type</em> and <em>interface</em>.<p>
</a><a name="133">
value	Any entity that may be a possible actual parameter in a request. Values that serve to identify objects are called object references. <p>
</a>
<hr><br>
 
<a href="cover.html">[Top]</a> <a href="smallpo.html">[Prev]</a> <a href="corb2pra.html">[Next]</a> <a href="corb2pra.html">[Bottom]</a>
<hr><br>
 


<address>
<a href="mailto:pubs@omg.org">pubs@omg.org</a>
</address>

<i>Copyright &#169; 1995, <a href="http://www.omg.org">Object Management Group.</a>  All rights
reserved.</i>

<!-- This file was created with Quadralay WebWorks Publisher 3.0.4 -->
<!-- -->
<!-- For more information on how this document, and how the rest of -->
<!-- this server was created, email pubs@omg.org -->
<!-- -->
<!-- Last updated: 06/10/96 09:21:13 -->

</body>
</html>
