<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1252">
<META NAME="Generator" CONTENT="Microsoft Word 97">
<TITLE>Extra Chapter 2: JavaScript</TITLE>
</HEAD>
<BODY bgcolor="#ffffff">

<B><FONT FACE="Chicago,Arial" SIZE=6>
@* <a href=@talk-js.html target=_top>Extra Chapter 2</a>
<P>JavaScript</P>
<I><U><P>Introduction</P>
</B></I></U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>In this appendix we take a quick look at the JavaScript language, its distant cousin Java, and some useful JavaScript programs. JavaScript was developed by Netscape as a means of extending the capabilities of a HTML page.  It has been adopted as a standard by most recent browsers. JavaScript is a programming language that the browser can understand.  In the past servers were relied on to handle all programming related tasks but by using JavaScript you can spare the server some work (and the user some waiting time) by getting the browser to perform the function.  What functions? You can do a wide variety of things with JavaScript,  you can process quizzes, check how long a user has been reading a page or manage a slideshow.  At the moment the main browsers which understand JavaScript are: Netscape 2.0, 3.0, Communicator and Microsoft's Internet Explorer 4.0 (although Explorer 3.0 is able to handle a lot of the JavaScript contained in this book). All the JavaScript code in this book will work with the earliest browser which supported JavaScript, Netscape 2.0.</P>
<P>To indicate that a page contains HTML you place the tag &lt;HTML&gt; at the start of the page and &lt;/HTML&gt; at the end of a page.  In the same way you must tell the browser when you are placing a JavaScript program among the HTML information.  You do this by using the tag &lt;script&gt; to indicate that a JavaScript program is starting and &lt;/script&gt; to indicate that it is ending.</P>
</FONT><U><FONT FACE="Chicago,Arial" SIZE=6><P>Checking for JavaScript</P>
</U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>There are a few JavaScript programs in this appendix and in previous chapters which perform useful functions.  You must ensure that the students browsers are able to handle these programs if you use them.  One way to do it is to place the following in the introductory page of your Web-based education distribution system.</P>
</FONT><FONT SIZE=3><P>&lt;a href="nojs.htm" onClick="this.href='nextpage.htm'"&gt;Proceed&lt;/a&gt;</P>
</FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>When the user clicks on the link 'Proceed' they are taken to the page 'nextpage.htm' if they have a browser which can handle JavaScript and to the page 'nojs.htm' if their browser cannot.  In the page 'nojs.htm' you can give the user a list of instructions on how they can go about getting a browser which can handle JavaScript.</P>
</FONT><U><FONT FACE="Chicago,Arial" SIZE=6><P>Resources</P>
</U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>For an introduction to JavaScript check out the following resources: </P><DIR>
<DIR>
<slide id=js-resources caption="Javascript Resources">
@ Javascript Resources
<DIR>
<UL>
<LI>The JavaScript Sourcebook, also published by Wiley: <a href="http://gmccomb.com/javascript/">http://gmccomb.com/javascript/</a>
<LI>Netscapes JavaScript guide: <a href="http://home.netscape.com/eng/mozilla/3.0/handbook/javascript/index.html">http://home.netscape.com/eng/mozilla/3.0/handbook/javascript/index.html</a>
<LI>The JavaScript Index: <A href="http://www.c2.org/~andreww/javascript/">http://www.c2.org/~andreww/javascript/</a></UL>
</FONT><FONT SIZE=3><P>&nbsp;</P></DIR>
</DIR>
</slide>
</DIR>

</FONT><U><FONT FACE="Chicago,Arial" SIZE=6><P>About the JavaScript programs in this book</P>
</U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>JavaScript was originally written for version 2 of the Netscape Navigator browser. In version 3 of the Navigator browser some new commands were added to the JavaScript language, however to ensure that the JavaScript code given in this book is compatible with as many browsers as possible it was written to work on version 2 of Navigator and all later browsers which supported JavaScript. This makes the programs a little crude from a programming point of view but ensures that you can use the most compact browser for your students. </P>
</FONT><B><I><U><FONT FACE="Chicago,Arial" SIZE=6><P>Java</P>
</B></I></U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>Java is a programming language developed by Sun Microsystems. Programs written in the Java language are translated into a form called a <i>bytecode</i>.  This Java bytecode can be run by a browser which is "Java enabled".  A Java enabled browser is one which can interpret the Java bytecode it receives. What all this basically means is that you can write a Java program on, say a Macintosh, translate it into a bytecode which you can place on a server.  Browsers for Windows, Unix and Macintoshs can now download this bytecode and execute it in their browser.  This means that you no longer have to hear "this program for Macintosh only".  Java has been used to write animations, simulations, wordprocessors, spreadsheets, etc. that are usable on any machine with a Java enabled browser.  When the Java bytecode is loaded into your Java enabled browser it is known as an applet. Tags placed in a Web page supply information on where an applet is located and how it will run. Java is totally different from JavaScript as JavaScript programs are contained within a HTML page and use the browser to execute them.</P>
</FONT><U><FONT FACE="Chicago,Arial" SIZE=6><P>Resources</P>
<slide id=js-info caption="More information">
@ Java Resources
</U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>More information on Java can be found at: </P>
</FONT><FONT SIZE=3><P><a href="http://java.sun.com">http://java.sun.com/</a></P>
</FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>Examples of educational Java applets can be found at:</P>
</FONT><FONT SIZE=3><P><a href="http://www.gamelan.com">http://www.gamelan.com/</a></P>
<P>&nbsp;</P>
</FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>An nice example of the use of Java for educational purposes can be found at:</P>
</FONT><FONT SIZE=3><P><a href="http://www.innerbody.com">http://www.innerbody.com/</a></P>
<P>&nbsp;</P>
</slide>
</FONT><B><I><U><FONT FACE="Chicago,Arial" SIZE=6><P>JavaScript programs</P>
</B></I></U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>We now take a look at some JavaScript programs that you might find useful. We felt that they did not fit into any specific chapter but all the programs discussed have an educational use.</P>
</FONT><B><I><U><FONT FACE="Chicago,Arial" SIZE=6><P><A NAME="_Toc386899130"><A NAME="_Toc387045981">How can you limit access to tutorials</A></A> </P>
</B></I></U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>You may wish to limit access to some your tutorials for a number of reasons, you might want to delay releasing the material, you may not wish students to access the tutorial until they have attained a required level of knowledge or you may wish to limit access to the information to registered students.</P>
<P>To limit access to registered students you must create accounts for each student on your server and allocate each student an account name and a password.  The student will use this name and password to access protected material stored on the server.  See chapter 11 for details on how this is done.</P>
<P>To limit access by knowledge you can give the student a quiz.  When the students have answered the quiz satisfactorily they will be transferred to the tutorial.  See chapter 7 to see how this is done.</P>
<P>Another option is to limit access by time. A time limitation mechanism prevents the student from accessing a page if the educator is not ready to have them see the material. Educators may wish to delay releasing the material for a number of reasons, for example lecturers can place their lecture notes for the year on the system and release the notes after each class has been given.  </P>
<P>You can limit access by time by using the following JavaScript program.  You should change the items DateToMakeAvailable to the date you wish the student to have access to the material, GotoPage to the URL for the page on which the material is to be stored and TooEarly to a URL which the user will be brought to if they are too early (e.g. a URL for the course menu).  If you leave the URL TooEarly blank (i.e. you write: TooEarly="";) the JavaScript program will bring the user back to the previous page they visited.  If the student is too early an alert box, like that in Figure 1, will pop up telling them when they can gain access to the material.  Insert the JavaScript code below into your HTML document. This code is available on the CD-ROM in the file: <a href="local/append-c/tooearly.htm" target="NEW">/append-c/tooearly.htm</a></P>
</FONT><FONT FACE="New York,Times New Roman" SIZE=1>
<slide id=js-eralypic cap="Too early">
<center><img src="local/pics/1.gif"></center>


</FONT><B><FONT FACE="Chicago,Arial" SIZE=5><P>Figure 1 Too early message</P>
</B></FONT><FONT SIZE=3><P>&nbsp;</P>
</slide>
<slide id=js-eraly-prog cap="Too early script">
@ Too early script
</FONT><FONT FACE="Monaco,Courier New" SIZE=3><P>&lt;script LANGUAGE="JavaScript"&gt;</P>
<P>&nbsp;</P>
<P>// Put the date that the information should be made available here</P>
<P>var DateToMakeAvailable = "1 Feb 1998";</P>
<P>&nbsp;</P>
<P>// Put the page that is to be make available on the above date here</P>
<P>var GotoPage = "chap2.htm";</P>
<P>&nbsp;</P>
<P>// Put the page the user should be sent to if they are too early here</P>
<P>// If this is left blank the user is sent to the last page they visited</P>
<P>var TooEarly = "home.htm";</P>
<P>&nbsp;</P>
<P>// Do not alter from here down</P>
<P>// ============================</P>
<P>&nbsp;</P>
<P>var releasedate=Date.parse(DateToMakeAvailable);</P>
<P>&nbsp;</P>
<P>today=new Date();</P>
<P>today=today.getTime();</P>
<P>&nbsp;</P>
<P>if(today &lt; releasedate)</P>
<P>&#9;{alert("You are too early, \n the page cannot be seen until:\n"+DateToMakeAvailable);</P>
<P>&#9;if(TooEarly)</P>
<P>&#9;&#9;location=TooEarly;</P>
<P>&#9;else</P>
<P>&#9;&#9;history.back();</P>
<P>&#9;}</P>
<P>else</P>
<P>&#9;location=GotoPage;</P>
<P>&lt;/script&gt;</P>
</FONT><FONT SIZE=3><P>&nbsp;</P>
</slide>
</FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>Unfortunately the student can circumvent the above by using a browser which cannot handle JavaScript and viewing the source code it downloads. You can overcome this by not placing the file referred to in GotoPage on the server until the date it is due to be released. You can also place the file on the server but change its name so the student cannot find a path to it. If you do change the name of the file be careful as any program which compiles an index of your site may store the results of your 'hidden page' and make it available to users of a search utility. You can overcome these problems by encrypting the location, see later for more details on encryption. One more concern is that the student can bypass the system by resetting the date on their computer to after the release date, the browser will then assume that the release date has been reached and will transfer the student to the relevant page. </P>
</FONT><FONT SIZE=3><P>&nbsp;</P>
</FONT><B><I><U><FONT FACE="Chicago,Arial" SIZE=6><P>Tool bars</P>
</B></I></U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>Sometimes you may wish to give students access to a number of general links, for example links to the course home page, to a help page, etc. This can be done using a navigation bar but navigation bars can be awkward to include on each page. Frames are sometimes used to do this but frames create their own problems. An alternative is to use JavaScript to create what is generally referred to as a tool bar window. Basically this involves creating a smaller browser window which will contain some of the commands you wish the user to have access to. It could also contain other useful items, for example a map of the site.</P>
<P>This is done by using two pieces of JavaScript. The first piece, shown below, is used to give the student the option of creating a tool bar. This page is contained on the CD-ROM in the file (<a href="local/append-c/toolbar/maketool.htm" target="NEW">/append-c/toolbar/maketool.htm</a>).</P>
<slide id=js-toolbar-prog caption="Toolbar">
@ Toolbar script
</FONT><FONT FACE="Monaco,Courier New" SIZE=3><P>&lt;html&gt;</P>
<P>&lt;head&gt;</P>
<P>&lt;Title&gt;Create Menu&lt;/title&gt;</P>
<P>&lt;script LANGUAGE="JavaScript"&gt;</P>
<P>function OpenMenu(page,name,x,y)</P>
<P>{</P>
<P>menu=window.open(page,name,"resizable=yes,height="+x+",width="+y);</P>
<P>menu.creator=self;</P>
<P>}</P>
<P>&lt;/script&gt;</P>
<P>&lt;/head&gt;</P>
<P>&lt;!-- Format of call: OpenMenu(name of file to appear in new window,</P>
<P>&#9;&#9;&#9;    title of new window,</P>
<P>&#9;&#9;&#9;    height of new window in pixels,</P>
<P>&#9;&#9;&#9;    width of new window in pixels)--&gt;</P>
<P>&nbsp;</P>
<P>&lt;a href="JavaScript:OpenMenu('menu.htm','menu',200,20)"&gt;Create toolbar&lt;/a&gt;</P>
<P>&lt;/html&gt;</P>
</slide>
</FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>If the student wants to create a tool bar they simple press the link "Create toolbar" and up pops a toolbar window.</P>
<slide id=js-customize cap="If you want to customize ...">
<P>If you want to customize the code above the line you will need to change is:</P>
</FONT><FONT FACE="Monaco,Courier New" SIZE=3><P>&lt;a href="JavaScript:OpenMenu('menu.htm','menu',200,20)"&gt;Create toolbar&lt;/a&gt;</P>
</FONT>
</slide>
<FONT FACE="New York,Times New Roman" SIZE=3><P>The name 'menu.htm' refers to the file which will be placed in the toolbar window which is created. The name 'menu' refers to the name of that window (if you want to create more than one tool bar window each must have a unique name). Following these names comes the height of the tool bar window in pixels and after that comes the width of the new tool bar window, again in pixels.</P>
<P>When the user clicks on the link 'Create toolbar' the tool bar window will appear. The page which contains the code above and the tool bar created when the student clicks on the link is shown below. The tool bar window is shown inside the main browser but the student is free to move it about their desktop or close it if they no longer need it. This page is contained on the CD-ROM in the file (<a href="local/append-c/toolbar/menu.htm" target="NEW">/append-c/toolbar/menu.htm</a>).</P>
</FONT><FONT SIZE=3><P>&nbsp;</P>
</FONT><B><FONT FACE="Chicago,Arial" SIZE=3><P>Note</P><DIR>
<DIR>
<DIR>
<DIR>

</B></FONT><FONT FACE="Geneva" SIZE=3><P>If your students are using Netscape 2.0 for the Macintosh or Unix platforms then everytime your JavaScript code directs the browser to open a window you should place a copy of that line immediately after it. This is because of a bug in those versions of Netscape. This applies to all the code discussed in the book. For example, in the above code you should replace the line:</P>
<P>menu=window.open(page,name,"resizable=yes,height="+x+",width="+y);</P>
<P>by:</P>
<P>menu=window.open(page,name,"resizable=yes,height="+x+",width="+y);</P>
<P>menu=window.open(page,name,"resizable=yes,height="+x+",width="+y);</P>
</FONT><FONT SIZE=3><P>&nbsp;</P></DIR>
</DIR>
</DIR>
</DIR>

<slide id=js-toolbar-pic cap="Toolbar example">
</FONT><FONT FACE="New York,Times New Roman" SIZE=1>
<center><img src="local/pics/2.gif"></center> 

</FONT><B><FONT FACE="Chicago,Arial" SIZE=5><P>Figure 2  Toolbar example</P>
</slide>
</B></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>Below is the HTML for the page menu.htm. This is the HTML that is placed in the tool bar shown above.</P></FONT>
<slide id=js-page-menu-script cap="Page menu script">
@ Pagemenu script
<FONT FACE="Monaco,Courier New" SIZE=3><P>&lt;html&gt;</P>
<P>&lt;head&gt;</P>
<P>&lt;title&gt;Menu Window&lt;/title&gt;</P>
<P>&lt;script LANGUAGE="JavaScript"&gt;</P>
<P>function LoadPage(page)</P>
<P>{</P>
<P>creator.location=page;</P>
<P>}</P>
<P>&lt;/script&gt;</P>
<P>&lt;/head&gt;</P>
<P>&lt;!-- note this is completely disconnected from the page being displayed in the browser--&gt;</P>
<P>&lt;center&gt;&lt;h4&gt;</P>
<P>&lt;a href="JavaScript:LoadPage('home.htm')"&gt;Home page&lt;/a&gt;&lt;hr&gt;</P>
<P>&lt;a href="JavaScript:LoadPage('help.htm')"&gt;Help&lt;/a&gt;&lt;hr&gt;</P>
<P>&lt;a href="JavaScript:LoadPage('comms.htm')"&gt;Communications page&lt;/a&gt;&lt;hr&gt;</P>
<P>&lt;a href="JavaScript:self.close()"&gt;Close this window&lt;/a&gt;</P>
<P>&lt;/center&gt;&lt;/h4&gt;</P>
<P>&lt;/html&gt;</P>
<P>&nbsp;</P>
</FONT>
</slide>
<FONT FACE="New York,Times New Roman" SIZE=3><P>What the above page does is display four links: Home page, Help, Communications and Close this window. If the student clicks on the first three of these links the page specified in the call to the LoadPage function is loaded into the main browser window. The tool bar remains the same, even if the student changes the page displayed in the main browser window, and can be used to load another page into the main browser window. For example, if the student pressed the link marked "Help" the page help.htm would be loaded into the main browser window. You can create as many links as you want, or create picture links or even insert pictures, image maps or other text into the tool bar, just remember to change the size of the window created for the toolbar (discussed above). The last link, "Close this window", will close the tool bar window when the student clicks on it.</P>
</FONT><FONT SIZE=3><P>&nbsp;</P>
</FONT><B><I><U><FONT FACE="Chicago,Arial" SIZE=6><P>Help pages</P>
</B></I></U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>You will have seen the 'target' tag being used elsewhere in the book to open a new browser window when a link is clicked on. What if you just want to display a brief message, like a definition? To display a window which contains text only (no links allowed either) simply type:</P>
</FONT>
<slide id=js-alert cap="Alert text">
@ Alert
<FONT SIZE=3><P>&lt;A HREF="JavaScript:alert('Text that you want displayed')"&gt;term&lt;/A&gt;</P>
</FONT>
</slide>
<FONT FACE="New York,Times New Roman" SIZE=3><P>When the student clicks on the link called 'term' the above will pop up a JavaScript window which will contain a message, in our above example the message was 'Text that you want displayed'. The student can read the message and click on OK to close the window. The same type of window is produced as that shown in Figure 1. If you want to write multiple lines of text type \n each time you want a line break. For example:&lt;A HREF="JavaScript:alert('Text that you\n want\n displayed')"&gt;term&lt;/A&gt; would print out the message:</P>
</FONT><FONT SIZE=3><P>Text that you</P>
<P>want</P>
<P>displayed</P>
</FONT><U><FONT FACE="Chicago,Arial" SIZE=6><P>Pop-up help windows</P>
</U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>JavaScript will allow you to open a window automatically when the students mouse pointer goes over a link. You can also set it up so that when the student removes their pointer from the link the pop up window is closed. This method is a very eye catching way of adding help for various terms, unfortunately it does not work well with all browsers so it is best to include a link in the window which is displayed which allows the student to close the help window manually, i.e. the line</P>
</FONT>
<slide id=js-close cap="Close window">
@ Close window
<FONT FACE="Monaco,Courier New" SIZE=3><P>&lt;a href="JavaScript:self.close()"&gt;Close this window&lt;/a&gt;</P>
</FONT>
</slide>
<FONT FACE="New York,Times New Roman" SIZE=3><P>Some browsers will not display the help window at all so it is best to check that the browsers you are using are capable of implementing this facility before adopting it. An example is shown below and is available on the CD-ROM in the file <a href="local/append-c/help/index.htm" target="NEW">/append-c/help/index.htm</a>.</P>
<P>The code that is used in the main window is adapted from the code used for the tool bar and is shown below. </P>
</FONT>
<slide id=js-popup caption="Popup Window">
@ Popup Window
<FONT SIZE=3><P>&nbsp;</P>
</FONT><FONT FACE="Monaco,Courier New" SIZE=3><P>&lt;html&gt;</P>
<P>&lt;head&gt;</P>
<P>&lt;title&gt;Help Window Example&lt;/title&gt;</P>
<P>&lt;SCRIPT LANGUAGE = "JavaScript"&gt;</P>
<P>function helpon(page,name,x,y)</P>
<P>{</P>
<P>        HelpWin=window.open(page,name,"resizable=yes,height="+x+",width="+y);</P>
<P>}</P>
<P>function Helpoff()</P>
<P>{</P>
<P>        HelpWin.close();</P>
<P>}</P>
<P>&lt;/SCRIPT&gt;</P>
<P>&lt;/head&gt;</P>
<P>&nbsp;</P>
<P>&lt;body&gt;</P>
<P>This is an example sentence for which </P>
<P>&lt;a href="" onMouseOver="helpon('help.htm','help',200,150)" onMouseOut="Helpoff()"&gt;help&lt;/a&gt;</P>
<P>is available for.</P>
<P>&lt;/body&gt;</P>
<P>&lt;/html&gt;</P>
</FONT><FONT SIZE=3><P>&nbsp;</P>
</FONT>
</slide>
<FONT FACE="New York,Times New Roman" SIZE=3><P>To add your own popup menu just add the name of the file which will contain the help information and a name for the window. In our example above we used help.htm for the help file name and help for the window name. Again as in the tool bar code the size of the help window must be specified, in our example we create a window 200 pixels high by 150 pixels wide. If you want the help window to be created when the students mouse pointer goes over the relevant link but do not want it to be removed when the user moves their mouse pointer then remove onMouseOut="Helpoff()" from the above code.</P>
<P>The help window will contain some relevant help information and a link to close the window, like this:</P>
</FONT>
<slide id=js-helpwindow cap="Help Window">
@ Help Window
<FONT FACE="Monaco,Courier New" SIZE=3><P>&lt;html&gt;</P>
<P>&lt;head&gt;</P>
<P>&lt;title&gt;Help Window&lt;/title&gt;</P>
<P>&lt;/head&gt;</P>
<P>&nbsp;</P>
<P>&lt;body&gt;</P>
<P>&lt;!-- note this is completely disconnected from the page being displayed in the browser--&gt;</P>
<P>&lt;center&gt;&lt;h4&gt;</P>
<P>This is the help window associated with the link you pressed. The name of the file which </P>
<P>contains this message is 'help.htm'&lt;br&gt;</P>
<P>&lt;a href="JavaScript:self.close()"&gt;Close this window&lt;/a&gt;</P>
<P>&lt;/center&gt;&lt;/h4&gt;</P>
<P>&lt;/body&gt;</P>
<P>&lt;/html&gt;</P>
</FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>The above is also available on the CD-ROM in the file <a href="local/append-c/help/help.htm" target="NEW">/append-c/help/help.htm</a>.</P>
</slide>
</FONT><B><I><U><FONT FACE="Chicago,Arial" SIZE=6><P><A NAME="_Toc387927350">JavaScript code for a Gateway</A></P>
</B></I></U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>The following two pieces of code will show how you can use a HTML page as a gateway. The first encrypts pieces of text (which may be a location) into a form the user cannot understand or use. You need this password creation utility so that the user cannot simply view the JavaScript code to determine where they will be brought to if they get all their quiz questions correct.</P>
</FONT><U><FONT FACE="Chicago,Arial" SIZE=6><P><A NAME="_Toc387927351">Password creation code</A></P>
</U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>The following is JavaScript code for creating a password. This code is contained on the CD-ROM (directory <a href="local/append-c/password.htm" target="NEW">/append-c/password.htm</a>).  Load this page into your browser.  You should see a page like that in Figure 3.</P>
</FONT>
<slide id=js-password-pic cap="Password creation">
<FONT FACE="New York,Times New Roman" SIZE=1>
<center><img src="local/pics/3.gif"></center> 

</FONT><B><FONT FACE="Chicago,Arial" SIZE=5><P>Figure 3 Password creation page</P>
</B></FONT>
</slide>
<FONT FACE="New York,Times New Roman" SIZE=3><P>Type your location or text into the box marked Plain text.</P>
<P>Type the key which the encryption algorithm will use in the box marked Key Value. You should make sure your key is greater than 0 and less than 100.  We will assume that you use the value 12 for the key in later JavaScript code.  Changing the value of the key means that the encryption result changes.</P>
<P>Press the button marked 'Encode' and your text messages encrypted form should appear in the box marked Cipher.  Make a note of this as you will use it later. This password can be supplied as a reward from one of the quiz methods discussed in chapter 7.</P>
</FONT>
<slide id=js-password cap="Password script">
<FONT SIZE=3><P>&nbsp;</P>
</FONT><FONT FACE="Monaco,Courier New" SIZE=3><P>&lt;HTML&gt;</P>
<P>&lt;HEAD&gt;</P>
<P>&lt;TITLE&gt;Password Encyphering test&lt;/TITLE&gt;</P>
<P>&lt;SCRIPT LANGUAGE="JavaScript"&gt;</P>
<P>&lt;!-- </P>
<P>// Parts of the code were adapted from G.McCombs code in the </P>
<P>// JavaScript Sourcebook also published by Wiley</P>
<P>&nbsp;</P>
<P>function testEncode(form) </P>
<P> {</P>
<P>        var Ret = encode (form.inputbox1.value, form.inputbox2.value)</P>
<P>        form.inputbox3.value = Ret</P>
<P> }</P>
<P>&nbsp;</P>
<P>function encode (OrigString, CipherVal) </P>
<P>{</P>
<P>        Ref="0123456789abcdefghijklmnopqrstuvwxyz._~ABCDEFGHIJKLMNOPQRSTUVWXYZ"</P>
<P>CipherVal = parseInt(CipherVal)</P>
<P>var Temp=""</P>
<P>for (Count=0; Count &lt; OrigString.length; Count++) </P>
<P>  {</P>
<P>  var TempChar = OrigString.substring (Count, Count+1)</P>
<P>  var Conv = cton(TempChar)</P>
<P>  var Cipher=Conv^CipherVal</P>
<P>  Cipher=ntoc(Cipher)</P>
<P>  Temp += Cipher</P>
<P>  }</P>
<P>return (Temp)</P>
<P>}</P>
<P>&nbsp;</P>
<P>function cton (Char) </P>
<P> {</P>
<P> return (Ref.indexOf(Char));</P>
<P> }</P>
<P>&nbsp;</P>
<P>function ntoc (Val) </P>
<P> {</P>
<P> return (Ref.substring(Val, Val+1))</P>
<P> }</P>
<P>// --&gt;</P>
<P>&lt;/SCRIPT&gt;</P>
<P>&lt;/HEAD&gt;</P>
<P>&lt;BODY&gt;</P>
<P>&lt;FORM NAME="testform"&gt;</P>
<P>&nbsp;</P>
<P>Plain text: &lt;BR&gt;</P>
<P>&lt;INPUT TYPE="text" NAME="inputbox1" VALUE=""&gt;&lt;P&gt;</P>
<P>Key value:&lt;BR&gt;</P>
<P>&lt;INPUT TYPE="text" NAME="inputbox2" VALUE=""&gt;&lt;P&gt;</P>
<P>Cipher:&lt;BR&gt;</P>
<P>&lt;INPUT TYPE="text" NAME="inputbox3" VALUE=""&gt;&lt;P&gt;</P>
<P>&lt;INPUT TYPE="button" NAME="button" Value="Encode" onClick="testEncode(this.form)"&gt;&lt;BR&gt;</P>
<P>&lt;/FORM&gt;</P>
<P>&lt;/BODY&gt;</P>
<P>&lt;/HTML&gt;</P>
</FONT><FONT SIZE=3><P>&nbsp;</P>
<P>&nbsp;</P>
</FONT><U><FONT FACE="Chicago,Arial" SIZE=6><P><A NAME="_Toc387927352">Gateway code</A></P>
</U></FONT>
</slide>
<FONT FACE="New York,Times New Roman" SIZE=3><P>Below is the JavaScript code for a gateway. It looks like Figure 4. Type the encrypted location value (the password) you obtained from the code above into the box marked Please enter your password: and your browser will load the page at that location. The code is contained on the CD-ROM in the directory (<a href="local/append-c/gateway.htm" target="NEW">/append-c/gateway.htm</a>).</P>
</FONT>
<slide id=js-gateway-pic cap="Gateway">
<FONT FACE="New York,Times New Roman" SIZE=1>
<center><img src="local/pics/4.gif"></center> 
</FONT><B><FONT FACE="Chicago,Arial" SIZE=5><P>Figure 4 Password protected Gateway page</P>
</B></FONT>
</slide>
<FONT FACE="New York,Times New Roman" SIZE=3><P>In the code below we have fixed the key value at 12 but this can be changed.  Remember when you encrypt the location using the code above you must use the same key as is present in your decryption routine.</P>
</FONT>
<slide id=js-gateway cap="Gateway script">
<FONT SIZE=3><P>&nbsp;</P>
</FONT><FONT FACE="Monaco,Courier New" SIZE=3><P>&lt;HTML&gt;</P>
<P>&lt;HEAD&gt;</P>
<P>&lt;TITLE&gt;JavaScript Password File&lt;/TITLE&gt;</P>
<P>&lt;SCRIPT LANGUAGE="JavaScript"&gt;</P>
<P>&nbsp;</P>
<P>&lt;!-- </P>
<P>// Parts of the code were adapted from G.McCombs code in</P>
<P>// the JavaScript Sourcebook also published by Wiley</P>
<P>&nbsp;</P>
<P>function testEncode(form) </P>
<P>  {</P>
<P>   key = 12;</P>
<P>   var Ret = encode (form.inputbox1.value, key)</P>
<P>   location = Ret</P>
<P>   }</P>
<P>&nbsp;</P>
<P>function encode (OrigString, CipherVal) </P>
<P>   {</P>
<P>   Ref="0123456789abcdefghijklmnopqrstuvwxyz._~ABCDEFGHIJKLMNOPQRSTUVWXYZ"</P>
<P>   CipherVal = parseInt(CipherVal)</P>
<P>   var Temp=""</P>
<P>   for (Count=0; Count &lt; OrigString.length; Count++) </P>
<P>     {</P>
<P>     var TempChar = OrigString.substring (Count, Count+1)</P>
<P>     var Conv = cton(TempChar)</P>
<P>     var Cipher=Conv^CipherVal</P>
<P>     Cipher=ntoc(Cipher)</P>
<P>     Temp += Cipher</P>
<P>     }</P>
<P>return (Temp)</P>
<P>}</P>
<P>&nbsp;</P>
<P>function cton (Char) </P>
<P> {</P>
<P> return (Ref.indexOf(Char));</P>
<P> }</P>
<P>&nbsp;</P>
<P>function ntoc (Val) </P>
<P> {</P>
<P> return (Ref.substring(Val, Val+1))</P>
<P> }</P>
<P>&nbsp;</P>
<P>// --&gt;</P>
<P>&nbsp;</P>
<P>&lt;/SCRIPT&gt;</P>
<P>&lt;/HEAD&gt;</P>
<P>&lt;BODY&gt;</P>
<P>&lt;FORM NAME="testform" onSubmit=false;&gt;</P>
<P>Please enter your password: &lt;BR&gt;</P>
<P>&lt;INPUT TYPE="text" NAME="inputbox1" VALUE=""&gt;&lt;P&gt;</P>
<P>&lt;INPUT TYPE="button" NAME="button" Value="Submit" onClick="testEncode(this.form)"&gt;&lt;BR&gt;</P>
<P>&lt;INPUT TYPE="hidden" NAME="hidden" VALUE=""&gt;&lt;P&gt;</P>
<P>&lt;/FORM&gt;</P>
<P>&lt;/BODY&gt;</P>
<P>&lt;/HTML&gt;</P>
</FONT><FONT SIZE=3><P>&nbsp;</P>
</FONT>
</slide>
<B><I><U><FONT FACE="Chicago,Arial" SIZE=6><P><A NAME="_Toc387927353">Encrypting the answers in a JavaScript quiz</A></P>
</B></I></U></FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>To prevent the students from viewing a JavaScript quizzes answers you can encrypt them.  The quiz code will be able to decrypt and use the answers.</P>
<P>Example: We used the encryption function seen above to convert the answers 2 and fish into their encrypted form e and 3ugt.  We also encrypted the reward to prevent the students from picking it out.  The reward can have been previously encrypted, i.e. if you were using it as a password, but a double encryption will not harm it.  You then use the encode function in the program to translate these answers and the reward. This is available in the file <a href="local/append-c/quiz.htm" target="NEW">/append-c/quiz.htm</a> on the CD-ROM.</P>
</FONT>
<slide id=js-quiz cap="Encrypting answers">
@ Encrypting answers
<FONT SIZE=3><P>&nbsp;</P>
</FONT><FONT FACE="Monaco,Courier New" SIZE=3><P>&lt;HTML&gt;</P>
<P>&lt;head&gt;&lt;title&gt;Encrypted Quiz&lt;/title&gt;&lt;/head&gt;</P>
<P>&lt;body&gt;</P>
<P>&lt;h3&gt;Encrypted Quiz&lt;/h3&gt;</P>
<P>&nbsp;</P>
<P>&lt;SCRIPT LANGUAGE="JavaScript"&gt;</P>
<P>&nbsp;</P>
<P>// Code for decrypting answers</P>
<P>// Parts of the code were adapted from G.McCombs code in </P>
<P>// the JavaScript Sourcebook also published by Wiley</P>
<P>key = 12;</P>
<P>&nbsp;</P>
<P>function encode (OrigString, CipherVal) </P>
<P>   {</P>
<P>   Ref="0123456789abcdefghijklmnopqrstuvwxyz._~ABCDEFGHIJKLMNOPQRSTUVWXYZ"</P>
<P>   CipherVal = parseInt(CipherVal)</P>
<P>   var Temp=""</P>
<P>   for (Count=0; Count &lt; OrigString.length; Count++) </P>
<P>    {</P>
<P>    var TempChar = OrigString.substring (Count, Count+1)</P>
<P>    var Conv = cton(TempChar)</P>
<P>    var Cipher=Conv^CipherVal</P>
<P>    Cipher=ntoc(Cipher)</P>
<P>    Temp += Cipher</P>
<P>    }</P>
<P>return (Temp)</P>
<P>}</P>
<P>&nbsp;</P>
<P>function cton (Char) </P>
<P> {</P>
<P> return (Ref.indexOf(Char));</P>
<P> }</P>
<P>&nbsp;</P>
<P>function ntoc (Val) </P>
<P> {</P>
<P> return (Ref.substring(Val, Val+1))</P>
<P> }</P>
<P>&nbsp;</P>
<P>// Code for JavaScript quiz</P>
<P>&nbsp;</P>
<P>&nbsp;</P>
<P>var state=0;</P>
<P>var correct=0;</P>
<P>var count=-1;</P>
<P>var place;</P>
<P>NumAnswers=2;</P>
<P>Reward="K2pp1kr2";</P>
<P>Answer = new Array(NumAnswers);</P>
<P>Question = new Array(NumAnswers);</P>
<P>Hint = new Array(NumAnswers);</P>
<P>Answer[0]="e";</P>
<P>Question[0]="How many wings has a bird got (answer in numerals) ?";</P>
<P>Hint[0]="The same number as an aeroplane";</P>
<P>Answer[1]="3ugt";</P>
<P>Question[1]="What is the predominant food of a seagull ?";</P>
<P>Hint[1]="They swim in the sea";</P>
<P>List = new Array(NumAnswers);</P>
<P>for(i=0;i&lt;NumAnswers;i++)</P>
<P> List[i]=true;</P>
<P>function Next()</P>
<P>{</P>
<P>place=count+1;</P>
<P>if(place&gt;(NumAnswers-1))</P>
<P> {place=0;</P>
<P>  while((!(List[place]))&amp;&amp;(place&lt;NumAnswers))</P>
<P>    place++;</P>
<P> }</P>
<P>if(List[place])</P>
<P> {count=place;</P>
<P>  return true;</P>
<P> }</P>
<P>else</P>
<P> return false;</P>
<P>}</P>
<P>function check(form)</P>
<P>{</P>
<P>if(!state)</P>
<P> {</P>
<P> if(!Next())</P>
<P>   {</P>
<P>   form.question.value="All questions answered correctly "+encode(Reward,key);</P>
<P>   form.answer.value="";</P>
<P>   form.response.value="";</P>
<P>   }</P>
<P> else</P>
<P>  {form.question.value=Question[count];</P>
<P>  form.answer.value="";</P>
<P>  form.response.value="Answer the question";</P>
<P>  state=1;</P>
<P>  }</P>
<P> }</P>
<P>else</P>
<P> {if(form.answer.value==encode(Answer[count],key))</P>
<P>  {form.response.value = "Correct";</P>
<P>  List[count]=false;</P>
<P>  }</P>
<P> else</P>
<P>  form.response.value ="Incorrect "+Hint[count];</P>
<P>state=0;</P>
<P> }</P>
<P>}</P>
<P>&lt;/script&gt;</P>
<P>&lt;form&gt;</P>
<P>&lt;textarea name="question" value="" rows=3 cols=45&gt;&lt;/textarea&gt;</P>
<P>&lt;br&gt;</P>
<P>Your Answer:&lt;INPUT TYPE="TEXT" NAME="answer" VALUE="" SIZE=35&gt;&lt;br&gt;</P>
<P>Response:&lt;INPUT TYPE="TEXT" NAME="response" VALUE="" SIZE=35 &gt;</P>
<P>&lt;br&gt;</P>
<P>&lt;br&gt;</P>
<P>&lt;input type="button" value="Mark Quiz" onClick="check(form)"&gt;</P>
<P>&lt;/form&gt;</P>
<P>&lt;hr&gt;Quiz created by name@machine </P>
<P>&lt;p&gt;Last modified 2/9/97&lt;/BODY&gt; &lt;/HTML&gt;</P>
</FONT><FONT SIZE=3><P>&nbsp;</P>
</FONT>
</slide>
<B><I><U><FONT FACE="Chicago,Arial" SIZE=6><P>Navigation menu</P>
</B></I></U></FONT><FONT SIZE=3><P>&nbsp;</P>
</FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>Sometimes you might wish to provide an index of all your pages in a very compact space. You can do this by providing a pull-down menu of pages that your student can look at and use a JavaScript program to load each of those pages. This menu might look like Figure 5 below.</P>
</FONT>
<slide id=js-navigate-pic cap="Navigation">
@ Navigation
<FONT FACE="New York,Times New Roman" SIZE=1>
<center><img src="local/pics/5.gif"></center> 
</FONT><B><FONT FACE="Chicago,Arial" SIZE=5><P>Figure 5 Pull-down menu</P>
</B></FONT>
</slide>
<FONT FACE="New York,Times New Roman" SIZE=1><P>&nbsp;</P>
</FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>In the above figure the user clicks on the menu to bring up a list of the pages that are available. Once they have selected the relevant page they click on the Load this page button and that page is loaded into the browser.</P>
<P>The code to implement this is given below. To customize it you need only to change the following:</P><DIR>
<DIR>
<DIR>

<P>The value=""; line, place the URL of the page you wish the student to be transported to in the quotes.</P>
<P>The text of the option, the text between the &lt;option&gt; and &lt;/option&gt; tags.</P></DIR>
</DIR>
</DIR>

<P>For example, in the menu below we have the text Help page associated with the URL help.htm, if you wish to change this to Grades page with the URL http://machine/admin/grades.htm then the line would change from:</P>
</FONT><FONT FACE="Monaco,Courier New" SIZE=3><P>&lt;option value="help.htm"&gt;Help page &lt;/option&gt;</P>
</FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>to:</P>
</FONT><FONT FACE="Monaco,Courier New" SIZE=3><P>&lt;option value="http://machine/admin/grades.htm"&gt;Grade page&lt;/option&gt;</P>
</FONT><FONT FACE="New York,Times New Roman" SIZE=3><P>You can create as many possible menu options as you like, just make sure each has its own distinct description and each has a correct URL associated with it.</P>
<slide id=js-menu cap="Javascript menu">
<P>This code is available on the CD-ROM as: <a href="local/append-c/menu.htm" target="NEW">/append-c/menu.htm</a></P>
</FONT>
@ Javascript menu
<FONT SIZE=3><P>&nbsp;</P>
</FONT><FONT FACE="Monaco,Courier New" SIZE=3><P>&lt;html&gt;</P>
<P>&lt;head&gt;</P>
<P>&lt;title&gt;Selection menu&lt;/title&gt;</P>
<P>&lt;script LANGUAGE="JavaScript"&gt;</P>
<P>function Process(form)</P>
<P>{</P>
<P>location=form.list.options[form.list.selectedIndex].value;</P>
<P>}</P>
<P>&lt;/script&gt;</P>
<P>&lt;/head&gt;</P>
<P>&nbsp;</P>
<P>&lt;form&gt;</P>
<P>&lt;select name="list" size="1"&gt;</P>
<P>&lt;option selected value="go.htm"&gt;Pick a page from this list &amp; click this button  =&gt;&lt;/option&gt;</P>
<P>&lt;option value="help.htm"&gt;Help page &lt;/option&gt;</P>
<P>&lt;option value="index.htm"&gt;Index page &lt;/option&gt;</P>
<P>&lt;/select&gt;</P>
<P>&lt;input type="button" value="Load this page" onclick="Process(form)"&gt;</P>
<P>&lt;/form&gt;</P>
<P>&nbsp;</P>
<P>&lt;/body&gt;</P>
<P>&lt;/html&gt;</P>
</FONT><FONT SIZE=3><P>&nbsp;</P>
<P>&nbsp;</P></FONT>
</slide>
</BODY>
</HTML>

