<document>
<h1>Conclusions</h1>
<include file=navigate>
Extending <i>hush</i> with CORBA was an 
an excellent exercise to get acquainted with
Orbix/CORBA technology.
From a designer's point of view,
the <i>hush</i> framework proved to be
sufficiently abstract to allow for
recapturing its design by means of IDL interfaces.
Lacking in the current realization of <i>crush</i> though,
are proper exceptions to indicate possible error conditions.
For making <i>hush</i> CORBA-compliant, we have made a
first step.
To complete the job, however, we need to
explore in what way <i>crush</i> components can be employed
in actual applications.
<p>
Evidently, the contribution of this work is
that it shows how to integrate CORBA functionality
with an already existing framework.
In particular the need for client-side adaptors
for resolving the type clash between the 'native' classes
and the CORBA IDL classes has been amply demonstrated.
Enriching <i>hush</i> with CORBA makes <i>crush</i>
a potential competitor of Fresco, the CORBA based GUI toolkit
derived from the Interviews library.
<include file=navigate>
</document>
