<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Introduction</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Introduction">
<meta name="keywords" value="guide">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html171 HREF="node3.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html169 HREF="guide.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html163 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html173 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>   <A NAME=tex2html174 HREF="node27.html"><IMG ALIGN=BOTTOM ALT="index" SRC="http://www.cs.vu.nl/images/latex2html//index_motif.gif"></A>   <BR>
<B> Next:</B> <A NAME=tex2html172 HREF="node3.html"> Logistics Based Business </A>
<B>Up:</B> <A NAME=tex2html170 HREF="guide.html">No Title</A>
<B> Previous:</B> <A NAME=tex2html164 HREF="node1.html">Contents</A>
<BR> <HR> <P>
<H1><A NAME=SECTION00020000000000000000> Introduction</A></H1>
<P>
<em> Business Process Redesign</em><A NAME=21>&#160;</A> (BPR) has 
gained a lot of attention the last years
as a way to radically improve the performance of organisations in terms of 
lead time, costs, output quality, and quality of work. 
Information Technology (IT) can help in two ways to reach those goals: (1) as 
an enabler of new process structures and (2) as a tool to support the redesign 
process.
<P>
To redesign business processes one should develop objectives, identify the
processes to be redesigned, understand and measure the current existing
processes, identify IT levers and design and build a prototype of the new
processes (Davenport and Short, [<A HREF="node26.html#davenport90">2</A>]).
<P>
The purpose of this library is to offer a set of classes that enable the
programmer to quickly model and simulate both existing processes and proposed
new processes. 
The library is written in C++ (Stroustrup, [<A HREF="node26.html#stroustrup">5</A>]). 
The design of the simulation library is based on the modelling language
<em> Logistics Based Business Modelling</em><A NAME=25>&#160;</A> 
(Gerrits, [<A HREF="node26.html#gerrits94">4</A>]), shortly 
described in section <A HREF="node3.html#selbbm">2</A>. Logistics Based Business Modelling
(LBBM) focuses on information production processes and consequently the 
library BPSIM also focuses on information production processes.
The library uses the Discrete Event simulation<A NAME=28>&#160;</A> library SIM<A NAME=29>&#160;</A>, introduced in
section <A HREF="node4.html#sesim">3</A>. It is assumed the reader has access to <em> A Users
Guide to SIM: a C++ library for Discrete Event Simulation</em> (Bolier and
Eli&#235;ns, [<A HREF="node26.html#bolier">1</A>]).  
In section <A HREF="node10.html#seapi">6</A> the programmers interface of 
the library BPSIM is described, accompanied by some examples.
<P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Mon Jun  1 11:51:50 MET DST 1998</I>
</ADDRESS>
</BODY>
