<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Conclusions</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Conclusions">
<meta name="keywords" value="guide">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html465 HREF="node26.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html463 HREF="guide.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html457 HREF="node24.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html467 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>   <A NAME=tex2html468 HREF="node27.html"><IMG ALIGN=BOTTOM ALT="index" SRC="http://www.cs.vu.nl/images/latex2html//index_motif.gif"></A>   <BR>
<B> Next:</B> <A NAME=tex2html466 HREF="node26.html">References</A>
<B>Up:</B> <A NAME=tex2html464 HREF="guide.html">No Title</A>
<B> Previous:</B> <A NAME=tex2html458 HREF="node24.html"> The class bpgenerator</A>
<BR> <HR> <P>
<H1><A NAME=SECTION00080000000000000000> Conclusions</A></H1>
<P>
The C++ library BPSIM provides a set of classes that enable the 
simulation of administrative business processes, modelled using <em> Logistics
Based Business Modelling</em><A NAME=460>&#160;</A>. Because there is almost an one-to-one 
match between 
the concepts used in LBBM and the classes provided by BPSIM, it is fairly 
easy to write simulation programs for business processes that are modelled with 
LBBM. Furthermore, the fact that the
library is programmed in C++ gives the user all the advantages of object
oriented programming<A NAME=461>&#160;</A>.
<P>
Developing a library to simulate LBBM models showed some shortcomings of LBBM:
<UL><LI> Although we can allocate operations to a function, we cannot specify
which and how many employees can perform that function, except by specifying
such in an additional note.
<LI> It is not possible to specify more sophisticated task allocations. An
example would be when a series of operations has to be executed by a specific
function, but the last operation must be executed by a different employee than
the rest of the operations. This could be the case when a employee has to
check the work done by a colleague.
<P>
If some operation is allocated to some function and another operation in a
different part of the model is allocated to that same function, we cannot
specify that both operations have to be performed by the same employee. This
is often the case with case oriented work<A NAME=463>&#160;</A>.
</UL>
<P>
BPSIM is not a finished application. 
To build a more complete business process simulation application a lot of
functionality needs to be added. Examples are:
<UL><LI> A graphical user interface that enables the drawing and simulation of 
LBBM process models, without the need of programming the models in C++, i.e.
visualization<A NAME=466>&#160;</A>.
<LI> Animation<A NAME=467>&#160;</A> would give the possibility to see the
simulation run being executed. One could think of arrows flashing when objects
are passed between operations, or more sophisticated, documents flying from 
operation to operation.
</UL>
<P>
SIM<A NAME=469>&#160;</A> is already part of Hush<A NAME=470>&#160;</A>, a C++ API for Tcl/Tk 
(Eli&#235;ns [<A HREF="node26.html#eliens95a">3</A>]), which
supports the development of graphical user interfaces. Work is currently being
done on a graphical user interface for SIM. Maybe in the future these building
blocks, SIM, BPSIM and Hush, could be used to develop a business process
simulation application.
<P>
<P>
<P>
<BR> <HR><A NAME=tex2html465 HREF="node26.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html463 HREF="guide.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html457 HREF="node24.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html467 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>   <A NAME=tex2html468 HREF="node27.html"><IMG ALIGN=BOTTOM ALT="index" SRC="http://www.cs.vu.nl/images/latex2html//index_motif.gif"></A>   <BR>
<B> Next:</B> <A NAME=tex2html466 HREF="node26.html">References</A>
<B>Up:</B> <A NAME=tex2html464 HREF="guide.html">No Title</A>
<B> Previous:</B> <A NAME=tex2html458 HREF="node24.html"> The class bpgenerator</A>
<BR> <HR> <P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Mon Jun  1 11:51:50 MET DST 1998</I>
</ADDRESS>
</BODY>
