<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Examples of using ADT's</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Examples of using ADT's">
<meta name="keywords" value="class-adt-www">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html72 HREF="node7.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html70 HREF="class-adt-www.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html64 HREF="node5.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html73 HREF="node7.html"> From Modula-2 ADT </A>
<B>Up:</B> <A NAME=tex2html71 HREF="class-adt-www.html">From Modula-2 ADT's to </A>
<B> Previous:</B> <A NAME=tex2html65 HREF="node5.html"> Some notes</A>
<BR> <HR> <P>
<H1><A NAME=SECTION00050000000000000000> Examples of using ADT's</A></H1>
<P>
The biggest difference between Modula-2 ADT's and C++ classes 
is that in Modula-2,
the instance of the ADT that's being processed is passed as parameter to
some function, while in C++ the functions work on the member variables of the
object of which the function is being called. Modula-2:
<P>
<PRE>MODULE StackTest;

FROM SimpleIO IMPORT
    WriteInteger, WriteString, WriteLn;

FROM IntStacks IMPORT
    IntStack,
    Create, Terminate,
    Push, Pop, Empty;

VAR
    MyStack: IntStack;
    Elt: INTEGER;

BEGIN
    IF Create(MyStack) THEN
        Push(MyStack, 27);
        Push(MyStack, 3);
        Pop(MyStack, Elt);
        WriteInteger(Elt, 4);
        WriteLn;
        Pop(MyStack, Elt);
        WriteInteger(Elt, 4);
        WriteLn;
        IF Empty(MyStack) THEN
            WriteString(&quot;Stack is now empty.&quot;);
            WriteLn;
        END;
        Terminate(MyStack)
    END
END StackTest.
</PRE>
<P>
C++:
<P>
<PRE>#include &quot;intstack.h&quot;
#include &lt;iostream.h&gt;

int main()
{
    intstack mystack;           // automatic creation
    int elt;

    mystack.push(27);
    mystack.push(3);
    mystack.pop(elt);
    cout &lt;&lt; elt &lt;&lt; endl;
    mystack.pop(elt);
    cout &lt;&lt; elt &lt;&lt; endl;
    if (mystack.empty())
        cout &lt;&lt; &quot;Stack is now empty.&quot; &lt;&lt; endl;

    return 0;
                                // mystack will be automatically destroyed
}
</PRE>
<P>
<BR> <HR>
<P><ADDRESS>
<I>SE Praktikum <BR>
Tue Aug 13 13:10:22 MET DST 1996</I>
</ADDRESS>
</BODY>
