<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Debugging, a core business</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Debugging, a core business">
<meta name="keywords" value="debug">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html225 HREF="node19.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html223 HREF="node16.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html217 HREF="node17.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html226 HREF="node19.html"> Tracing code</A>
<B>Up:</B> <A NAME=tex2html224 HREF="node16.html"> Using a debugger</A>
<B> Previous:</B> <A NAME=tex2html218 HREF="node17.html"> Memory faults</A>
<BR> <HR> <P>
<H3><A NAME=SECTION00037200000000000000> Debugging, a core business</A></H3>
<P>
When a program crashes, it will create a <em>core dump</em>. A core dump is a 
memory image of the code and data of the program when it crashes. This core
dump can be used by a debugger to locate the offending instruction without
having to run the program within the debugger. Make sure that core dumps
really get created; it is possible to limit the coredumpsize to 0, thereby
disabling core dumps.
<P>
When the faulty program of the previous section is run, it will crash and
create a core dump:
<PRE>$ bug
5
Memory fault - core dumped
$ ls -al core
-rw-r--r--   1 se       prac       63276 Aug 13 10:42 core
$
</PRE>
When the core file is passed as second parameter to GDB, GDB immediately
locates the offending statement:
<PRE>$ gdb bug core
GDB is free software and you are welcome to distribute copies of it
 under certain conditions; type &quot;show copying&quot; to see the conditions.
There is absolutely no warranty for GDB; type &quot;show warranty&quot; for details.
GDB 4.15.1 (sparc-sun-solaris2.4), 
Copyright 1995 Free Software Foundation, Inc...
Core was generated by `bug'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/lib/libc.so.1...done.
Reading symbols from /usr/lib/libdl.so.1...done.
#0  0x106b4 in printptr (iptr=0x0) at bug.c:8
8           printf(&quot;%d\n&quot;, *iptr);
(gdb)
</PRE>
<P>
<BR> <HR>
<P><ADDRESS>
<I>SE Praktikum <BR>
Tue Aug 13 11:13:23 MET DST 1996</I>
</ADDRESS>
</BODY>
