<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> An example in C</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" An example in C">
<meta name="keywords" value="debug">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html245 HREF="node21.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html243 HREF="node19.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html237 HREF="node19.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html246 HREF="node21.html"> An example in </A>
<B>Up:</B> <A NAME=tex2html244 HREF="node19.html"> Tracing code</A>
<B> Previous:</B> <A NAME=tex2html238 HREF="node19.html"> Tracing code</A>
<BR> <HR> <P>
<H4><A NAME=SECTION00037310000000000000> An example in C</A></H4>
<P>
When you want to know what exactly is happening in your program, you have to
trace it with the debugger. To do this, use the following commands in GDB
(the abbreviation of a command is given between parentheses):
<UL><LI> list (l): List a part of the program.
<LI> step (s): Step the program until it reaches a different source line.
<LI> next (n): Like the <code>step</code> command as long as function calls do not
happen; when they do, the call is treated as one instruction, ie. the
function is not entered but it is executed.
<LI> break (b): Set a breakpoint at a specified line or function. A
breakpoint is a point at which execution will be stopped when the program is
running.
<LI> print (p): Print the value of a variable.
<P>
</UL>
<P>
With the program <code>bug</code>, a debugging session could look like this:
<PRE>$ gdb bug
GDB is free software and you are welcome to distribute copies of it
 under certain conditions; type &quot;show copying&quot; to see the conditions.
There is absolutely no warranty for GDB; type &quot;show warranty&quot; for details.
GDB 4.13 (sparc-sun-solaris2.3), 
Copyright 1994 Free Software Foundation, Inc...
(gdb) break main
Breakpoint 1 at 0x106cc: file bug.c, line 14.
(gdb) run
Starting program: /home/se/doc/debug/source/bug 
 
Breakpoint 1, main () at bug.c:14
14          int a = 5;
(gdb) print &amp;a
$1 = (int *) 0xeffff944
(gdb) next
15          int* ptr = 0;
(gdb) next
17          printptr(&amp;a);
(gdb) next
5
18          printptr(ptr);
(gdb) step
printptr (iptr=0x0) at bug.c:8
8           printf(&quot;%d\n&quot;, *iptr);
(gdb) print iptr
$2 = (int *) 0x0
(gdb) step
 
Program received signal SIGSEGV, Segmentation fault.
0x106b4 in printptr (iptr=0x0) at bug.c:8
8           printf(&quot;%d\n&quot;, *iptr);
(gdb) list
3       #include &lt;stdio.h&gt;
4
5
6       void printptr(int* iptr)
7       {
8           printf(&quot;%d\n&quot;, *iptr);
9       }
10
11
12      int main()
(gdb) quit
The program is running.  Quit anyway (and kill it)? (y or n) y
$
</PRE>
<P>
<BR> <HR>
<P><ADDRESS>
<I>SE Praktikum <BR>
Tue Aug 13 11:13:23 MET DST 1996</I>
</ADDRESS>
</BODY>
