<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Removing targets</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Removing targets">
<meta name="keywords" value="make">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html180 HREF="node14.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html178 HREF="node7.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html172 HREF="node12.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html181 HREF="node14.html"> Using libraries</A>
<B>Up:</B> <A NAME=tex2html179 HREF="node7.html"> A simple Makefile</A>
<B> Previous:</B> <A NAME=tex2html173 HREF="node12.html"> Using patterns</A>
<BR> <HR> <P>
<H2><A NAME=SECTION00036000000000000000> Removing targets</A></H2>
<P>
<P><A NAME=235>&#160;</A><A NAME=clean>&#160;</A><IMG  ALIGN=BOTTOM ALT="" SRC="img19.gif">
<BR><STRONG>Figure 11:</STRONG> An alternate target <tt> clean</tt>.<BR>
<P>
<P>
The most useful property of <i> make</i> is that we can automatically
create object files and executables.
Another useful property is that we can easily tell <i> make</i> how to
clean them up.
In order to do this, we need to specify an alternate target <code>clean</code>,
as shown in Figure <A HREF="node13.html#clean">11</A>.
We need not give a definition of <code>RM</code>, because <i> make</i> expands
it to <code>rm -f</code> by default.
The alternate rule may be placed anywhere, as long as it is after the
rule for <code>facfib</code>.
If we place it before <code>facfib</code> and we type ``<code>make</code>'', <i> make</i>
picks the first target, which will be <code>clean</code> instead of <code>facfib</code>.
<P>
<code>clean</code> has no dependencies, so if we type ``<code>make clean</code>'',
<i> make</i> executes the command at the next line<A NAME=tex2html13 HREF="footnode.html#174"><IMG ALIGN=BOTTOM ALT="gif" SRC="http://www.cs.vu.nl/images/latex2html//foot_motif.gif"></A>.
It is good practice to provide a target <code>clean</code> to clean up all generated
files.
<P>
<BR> <HR>
<P><ADDRESS>
<I>Megens SA <BR>
Thu Jun 20 11:26:28 MET DST 1996</I>
</ADDRESS>
</BODY>
