<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Using libraries</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Using libraries">
<meta name="keywords" value="make">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html190 HREF="node15.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html188 HREF="node7.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html182 HREF="node13.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html191 HREF="node15.html"> C++</A>
<B>Up:</B> <A NAME=tex2html189 HREF="node7.html"> A simple Makefile</A>
<B> Previous:</B> <A NAME=tex2html183 HREF="node13.html"> Removing targets</A>
<BR> <HR> <P>
<H2><A NAME=SECTION00037000000000000000> Using libraries</A></H2>
<P>
Sometimes the user wants to link other libraries with his programs.
A very common example is the use of the math library, which is not linked
by default.
Consider the following program:
<P>

 
<PRE>#include &lt;stdio.h&gt;
#include &lt;math.h&gt;
 
int main(void)
{
    printf(&quot;sqrt(17.0) = %f\n&quot;, sqrt(17.0));
    return 0;
}
</PRE>
 

<P>
A <code>Makefile</code> for this program would look something like:
<P>

 
<PRE>SOURCES =       example.c
OBJECTS =       $(SOURCES:%.c=%.o)

LIBRARIES =     -lm
 
CC =            gcc
CFLAGS =        -O2 -ansi -pedantic -Wall
 
%.o:            %.c
                $(CC) -c $(CFLAGS) $&lt;
 
example:        $(OBJECTS)
                $(CC) $(OBJECTS) $(LIBRARIES)
</PRE>
 

<P>
<BR> <HR>
<P><ADDRESS>
<I>Megens SA <BR>
Thu Jun 20 11:26:28 MET DST 1996</I>
</ADDRESS>
</BODY>
