<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Using frames</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Using frames">
<meta name="keywords" value="packer">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html48 HREF="node5.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html46 HREF="packer.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html40 HREF="node3.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html49 HREF="node5.html"> Other documentation</A>
<B>Up:</B> <A NAME=tex2html47 HREF="packer.html">The Tk Packer</A>
<B> Previous:</B> <A NAME=tex2html41 HREF="node3.html"> Option-parameters</A>
<BR> <HR> <P>
<H1><A NAME=SECTION00040000000000000000> Using frames</A></H1>
<P>
Using only the abovementioned constructions it's not possible to create a
window like
<P>
<IMG  ALIGN=BOTTOM ALT="" SRC="img10.gif">
<P>
To create such a window, frames have to be used. A frame can be used as a
kind of subwindow. Other widgets can be packed in a frame, and the frame 
(containing widgets) can then be packed to another window or frame. For the
example this would mean that the leftmost buttons would be packed on top
of eachother within a frame, and the frame would be packed at the left
side of the window; space would then remain at the right side of the window.
Next, the rightmost buttons would be packed at that remaining space.
<P>
For example:
<P>
<PRE>    frame* f = new frame(&quot;.frame&quot;);         // frame is a child of the
                                            // main-window
    button* b1 = new button(f, &quot;.b1&quot;, &quot;-text Button1&quot;); 
                                            // button is child of f
    button* b2 = new button(f, &quot;.b2&quot;, &quot;-text Button2&quot;);

    button* b3 = new button(&quot;.b3&quot;, &quot;-text Button3&quot;);         
                                            // buttons on rightside are
                                            // children of main-window
    button* b4 = new button(&quot;.b4&quot;, &quot;-text Button4&quot;);   

    b1 -&gt; pack(&quot;-side top -fill both -expand true&quot;);
    b2 -&gt; pack(&quot;-side bottom -fill both -expand true&quot;);

    f -&gt; pack(&quot;-side left -fill both -expand true&quot;);

    b3 -&gt; pack(&quot;-side top -fill both -expand true&quot;);
    b4 -&gt; pack(&quot;-side bottom -fill both -expand true&quot;);
</PRE>
<P>
<BR> <HR>
<P><ADDRESS>
<I>Megens SA <BR>
Thu Jun 20 11:34:42 MET DST 1996</I>
</ADDRESS>
</BODY>
