<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Packing widgets</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Packing widgets">
<meta name="keywords" value="prototyping-www">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html240 HREF="node19.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html238 HREF="node12.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html232 HREF="node17.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html241 HREF="node19.html"> Binding actions to </A>
<B>Up:</B> <A NAME=tex2html239 HREF="node12.html"> An introduction to </A>
<B> Previous:</B> <A NAME=tex2html233 HREF="node17.html"> Destroying widgets</A>
<BR> <HR> <P>
<H2><A NAME=SECTION00036000000000000000> Packing widgets</A></H2>
<P>
When a widget is created, it is not yet visible on the window. Only by
<em>packing</em> on a window or some other widget will a widget become
visible. We've seen simple examples of packing before in sections
<A HREF="node15.html#secCreatingWidgets">3.3</A> and <A HREF="node21.html#secWidgetPaths">3.9</A>. The packer is used to
tell Tk where to place a widget, relative to other widgets. Suppose we
want one button on the right side of a window and two buttons at the right
side, as in figure <A HREF="node18.html#figSimplePackFill">1</A>:
<PRE>% button .b1 -text &quot;Button 1&quot;
.b1
% button .b2 -text &quot;Button 2&quot;
.b2
% button .b3 -text &quot;Button 3&quot;
.b3
% pack .b1 -side left -fill both
% pack .b2 -side top
% pack .b3 -side bottom
</PRE>
<P>
<P><A NAME=89>&#160;</A><A NAME=figSimplePackFill>&#160;</A><IMG  ALIGN=BOTTOM ALT="" SRC="img1.gif">
<BR><STRONG>Figure 1:</STRONG> Example of using the Tk packer, using filling<BR>
<P>
<P>
<P><A NAME=96>&#160;</A><A NAME=figSimplePackNoFill>&#160;</A><IMG  ALIGN=BOTTOM ALT="" SRC="img2.gif">
<BR><STRONG>Figure 2:</STRONG> Example of using the Tk packer, without filling<BR>
<P>
<P>
The <code>-side</code> argument is used to indicate on which side of the remaining
space the widget is to be placed, the new remaining space will be the other
side.  The <code>-fill</code> argument is used to let a widget take all available
space (compare figure <A HREF="node18.html#figSimplePackFill">1</A> to figure
<A HREF="node18.html#figSimplePackNoFill">2</A>).
<P>
The exact workings of the Tk packer are a bit obscure and are explained in
detail in [<A HREF="node32.html#Packer">2</A>].
<P>
<BR> <HR>
<P><ADDRESS>
<I>SE Praktikum <BR>
Tue Aug 13 13:33:30 MET DST 1996</I>
</ADDRESS>
</BODY>
