<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> An example</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" An example">
<meta name="keywords" value="prototyping-www">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html363 HREF="node31.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html361 HREF="node29.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html355 HREF="node29.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html364 HREF="node31.html"> The result</A>
<B>Up:</B> <A NAME=tex2html362 HREF="node29.html"> An alternative way: </A>
<B> Previous:</B> <A NAME=tex2html356 HREF="node29.html"> An alternative way: </A>
<BR> <HR> <P>
<H2><A NAME=SECTION00051000000000000000> An example</A></H2>
<P>
<PRE># create and pack canvas:
canvas .c
pack .c
# create global images:
image create photo icon1 -file icon1.gif
image create photo icon2 -file icon2.gif
# create image items:
.c create image 50 50 -image icon1 -tags icon1tag
.c create image 100 50 -image icon2 -tags icon2tag
# bind some action to clicking on the items:
.c bind icon1tag &lt;ButtonPress&gt; { puts &quot;click on icon 1&quot; }
.c bind icon2tag &lt;ButtonPress&gt; { puts &quot;click on icon 2&quot; }
# draw some other stuff:
.c create arc 120 50 150 120 -fill green -tags greenthing
.c create line 40 160 160 160 -fill red
.c create oval 50 100 150 120 -outline yellow
.c create rectangle 20 20 180 180 -outline black
.c create text 20 185 -anchor nw -text &quot;Canvas Example, please enjoy&quot;
# bind an action to another item:
.c bind greenthing &lt;Enter&gt; { puts &quot;cursor entered green-thing&quot; }
.c bind greenthing &lt;Leave&gt; { puts &quot;cursor left green-thing&quot; }
</PRE>
<P>
First, the canvas is created and put onto the window. Some images are created
next. This is done with the <code>image</code> command. The shown statements
create two `internal' images with names <b>icon1</b> and <b>icon2</b>.
The image data is loaded from the given files.
The names <b>icon1</b> and <b>icon2</b> can be used with the
<code>-image</code> option of widgets. The <code>image</code> command can do a lot more,
see [<A HREF="node32.html#TclTkRefGuide">1</A>] for more information.
<P>
The images are used to create a couple of image items on the
canvas. The general command to create something on a canvas is<BR> 
<i>canvas-name</i> <b>create</b> <i>type</i> ... <BR> 
where type is one of <b>arc</b>, <b>bitmap</b>, <b>image</b>,
<b>line</b>, <b>oval</b>, <b>polygon</b>, <b>rectangle</b>,
<b>text</b> or <b>window</b>. See [<A HREF="node32.html#TclTkRefGuide">1</A>] for the options
that this command can take with each type.
<P>
When an item is created on a canvas, a <em>tag-list</em> can be passed. Tags
in this list can be used to refer to specific items. An example of this is
the binding of some actions to the event clicking on the images. The tag is
passed to the bind command determines to which item something will be bound.
<P>
The last two parts of the example show some other types of items and another
binding.
<P>
<BR> <HR>
<P><ADDRESS>
<I>SE Praktikum <BR>
Tue Aug 13 13:33:30 MET DST 1996</I>
</ADDRESS>
</BODY>
