<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Variables</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Variables">
<meta name="keywords" value="prototyping-www">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html102 HREF="node6.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html100 HREF="node2.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html94 HREF="node4.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html103 HREF="node6.html"> Expressions</A>
<B>Up:</B> <A NAME=tex2html101 HREF="node2.html"> An introduction to </A>
<B> Previous:</B> <A NAME=tex2html95 HREF="node4.html"> Commands</A>
<BR> <HR> <P>
<H2><A NAME=SECTION00023000000000000000> Variables</A></H2>
<P>
The command in the previous example set the variable <code>myvar</code> to
<b>the string</b> &quot;27&quot;. The only data type in Tcl is a string. However,
some commands will interpret arguments as numbers, for example the
<code>expr</code> command (<code>expr</code> will be explained later).
<P>
To use the value of a variable, you prepend it with <code>$</code>:
<PRE>% puts $myvar
27
</PRE>
(<code>puts</code> is the command to print some value.)
<P>
String values are normally delimited with double quotes, but a string of a
single word doesn't need them:
<PRE>% set myvar &quot;hello world!&quot;
hello world!
% puts $myvar
hello world!
% set myvar hello
hello
% puts $myvar
hello
</PRE>
<P>
The value of a variable can be used when defining a string by prepending it
with a <code>$</code>:
<PRE>% set myvar &quot;world!&quot;
world!
% set myvar2 &quot;hello $myvar&quot;
hello world!
% puts myvar2
hello world!
</PRE>
<P>
To include a literal '$' in a string, use <code>\$</code>:
<PRE>% set myvar &quot;hello\$world!&quot;
hello$world!
</PRE>
<P>
Variables are not declared, but come into existence as soon as they get a
value:
<PRE>% puts $unknownvar
can't read &quot;unknownvar&quot;: no such variable
% set unknownvar &quot;known&quot;
known
% puts $unknownvar
known
</PRE>
A variable can be destroyed by <em>unsetting</em> it:
<PRE>% puts $unknownvar
known
% unset unknownvar
% puts $unknownvar
can't read &quot;unknownvar&quot;: no such variable
</PRE>
<P>
<BR> <HR>
<P><ADDRESS>
<I>SE Praktikum <BR>
Tue Aug 13 13:33:30 MET DST 1996</I>
</ADDRESS>
</BODY>
