<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Procedures</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Procedures">
<meta name="keywords" value="prototyping-www">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html132 HREF="node9.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html130 HREF="node2.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html124 HREF="node7.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>         <BR>
<B> Next:</B> <A NAME=tex2html133 HREF="node9.html"> Control flow</A>
<B>Up:</B> <A NAME=tex2html131 HREF="node2.html"> An introduction to </A>
<B> Previous:</B> <A NAME=tex2html125 HREF="node7.html"> Substitutions</A>
<BR> <HR> <P>
<H2><A NAME=SECTION00026000000000000000> Procedures</A></H2>
<P>
An example of a simple procedure:
<PRE>% proc sayhi {} { 
        puts &quot;hello world!&quot; 
        puts &quot;testing 1 2 3&quot;
}
</PRE>
Yes, that's it. <code>proc</code> means that we are going to define a new
procedure. Next is the name of procedure (<code>sayhi</code> in this case), after
that the names of the parameters (<code>{}</code> means there are no parameters)
and at last the procedure body. <code>sayhi</code> can now be used like any other
command:
<PRE>% sayhi
hello world!
testing 1 2 3
</PRE>
<P>
A procedure with some parameters:
<PRE>% proc myproc {var1 var2} {
        puts &quot;var1 is $var1&quot;
        puts &quot;var2 is $var2&quot;
}
% myproc hello world
var1 is hello
var2 is world
</PRE>
<P>
A procedure returning a value:
<PRE>% proc multiply {var1 var2} {
        return [ expr $var1 * $var2 ]
}
% puts [ multiply 3 27 ]
81
</PRE>
<P>
All parameters are passed by value and can't be changed.
<P>
<BR> <HR>
<P><ADDRESS>
<I>SE Praktikum <BR>
Tue Aug 13 13:33:30 MET DST 1996</I>
</ADDRESS>
</BODY>
