MODULE StackTest;

FROM SimpleIO IMPORT
    WriteInteger, WriteString, WriteLn;

FROM IntStacks IMPORT
    IntStack,
    Create, Terminate,
    Push, Pop, Empty;

VAR
    MyStack: IntStack;
    Elt: INTEGER;

BEGIN
    IF Create(MyStack) THEN
        Push(MyStack, 27);
        Push(MyStack, 3);
        Pop(MyStack, Elt);
        WriteInteger(Elt, 4);
        WriteLn;
        Pop(MyStack, Elt);
        WriteInteger(Elt, 4);
        WriteLn;
        IF Empty(MyStack) THEN
            WriteString("Stack is now empty.");
            WriteLn;
        END;
        Terminate(MyStack)
    END
END StackTest.
