# vim: noet ts=8

MAKE = /usr/local/bin/gmake
CC = gcc -Wall -g
CCC = g++ -Wall -g
TEX = /usr/local/bin/latex2e
DVIPS = /usr/local/bin/dvips

% : %.c
	$(CC) -o $@ $<

% : %.cc
	$(CCC) -o $@ $<

%.ps: %.dvi
	$(DVIPS) $< -o $@
	chmod a+r $@
 
%.dvi: %.tex
	$(TEX) $<
	if grep Rerun $(*F).log > /dev/null; then latex2e $< ; fi
	if grep Rerun $(*F).log > /dev/null; then latex2e $< ; fi
	chmod a+r $@
