toplevel .fileselect
entry .fileselect.entry
pack .fileselect.entry -side top -fill x

frame .fileselect.files
listbox .fileselect.files.list
pack .fileselect.files.list -side left -fill both -expand true
scrollbar .fileselect.files.scrolly
pack .fileselect.files.scrolly -side right -fill y
pack .fileselect.files -side top -fill both -expand true

frame .fileselect.buttons
button .fileselect.buttons.ok -text OK
pack .fileselect.buttons.ok -side left -fill x -expand true
button .fileselect.buttons.cancel -text CANCEL
pack .fileselect.buttons.cancel -side right -fill x -expand true
pack .fileselect.buttons -side top -fill x

# associate scrollbar and listbox with eachother
.fileselect.files.scrolly configure -command {.fileselect.files.list yview}
.fileselect.files.list configure -yscrollcommand \
    {.fileselect.files.scrolly set}

# fill the list with some values
.fileselect.files.list insert 999 file0
.fileselect.files.list insert 999 file1
.fileselect.files.list insert 999 file2
.fileselect.files.list insert 999 file3
.fileselect.files.list insert 999 file4
.fileselect.files.list insert 999 file5
.fileselect.files.list insert 999 file6
.fileselect.files.list insert 999 file7
.fileselect.files.list insert 999 file8
.fileselect.files.list insert 999 file9
.fileselect.files.list insert 999 file10
.fileselect.files.list insert 999 file11
.fileselect.files.list insert 999 file12
.fileselect.files.list insert 999 file13
.fileselect.files.list insert 999 file14
.fileselect.files.list insert 999 file16
.fileselect.files.list insert 999 file17
.fileselect.files.list insert 999 file18
.fileselect.files.list insert 999 file19

# the button actions
proc do_ok {} {
    if [expr [ llength [ .fileselect.files.list curselection ] ] > 0 ] then \
    { \
        puts [ .fileselect.files.list get \
                [ .fileselect.files.list curselection ] ] \
    } \
    else \
    { \
        puts [ .fileselect.entry get ] \
    }
    destroy .fileselect
}

proc do_cancel {} {
    puts "File selection canceled"
    destroy .fileselect
}

# some bindings
.fileselect.buttons.ok configure -command do_ok
.fileselect.buttons.cancel configure -command do_cancel

