<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Introduction</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Introduction">
<meta name="keywords" value="sim">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html136 HREF="node3.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html134 HREF="sim.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html128 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html138 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html137 HREF="node3.html"> Program structure</A>
<B>Up:</B> <A NAME=tex2html135 HREF="sim.html">SIM : a C++ </A>
<B> Previous:</B> <A NAME=tex2html129 HREF="node1.html">Contents</A>
<BR> <HR> <P>
<H1><A NAME=SECTION00020000000000000000> Introduction</A></H1>
<P>
<H4><A NAME=SECTION00020010000000000000> Discrete Event Simulation</A></H4>
<P>
A simulation is the execution in time of a model,
represented by a computer program, that gives information about a
system being investigated.
The library <i> sim</i> adopts the method of the Discrete Event Simulation. With this approach,
the components of the model consist of events, which are activated at certain points
in time and in this way affect the overall state of the system.
The points in time that an event is activated are randomized. Events exist autonomously and
they are discrete so between the execution of two events nothing
happens. The library <i> sim</i> provides an event-based, as
well as a process-oriented approach of writing a simulation program.
With the process-oriented approach, the components of the program consist
of entities, which combine several related events.
Events and entities are provided as abstract classes
that must be refined by the application programmer
to define the actual events and entities
participating in the simulation.
<P>
<H4><A NAME=SECTION00020020000000000000> Object Oriented</A></H4>
<P>
<i> Sim</i> is written in the C++ programming language, which
is presented in [Stroustrup 91]. The library provides
classes, that can be used by writing a C++ simulation program.
We provided the library with such a functionality, that the resulting
language is similar to <i> simula</i>, which
is described in [Pooley 86].
The structures underlying the scheduler, queue
and histogram classes and most of the code implementing the
probability distributions have originally been
adapted from an excellent C simulation library, presented in
[Watkins 93].
<P>
<H4><A NAME=SECTION00020030000000000000> Hush</A></H4>
<P>
The library can be compiled to both a pure ASCII version (which is the
fastest) as well as a <i> hush</i> version (which has graphical features).
Simulation programs can be linked to both versions of the library.
The <i> hush</i> library is not described here. See
[Eliens 95] for a description.
<P>
<H4><A NAME=SECTION00020040000000000000> Availability</A></H4>
<P>
The <i> sim</i> library has been in use for student programming assignments
at the Vrije Universiteit for over a year. It may be obtained by anonymous
ftp from <code>ftp.cs.vu.nl</code>,
directory <code>eliens/sim</code>.
You may also retrieve it via <code>http://www.cs.vu.nl/~eliens/sim/</code>.
It comes with the sources, manual pages, a variety of examples and
an extensive users-guide.
<P>
<BR> <HR><A NAME=tex2html136 HREF="node3.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html134 HREF="sim.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html128 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html138 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html137 HREF="node3.html"> Program structure</A>
<B>Up:</B> <A NAME=tex2html135 HREF="sim.html">SIM : a C++ </A>
<B> Previous:</B> <A NAME=tex2html129 HREF="node1.html">Contents</A>
<BR> <HR> <P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Tue Oct 31 09:27:21 MET 1995</I>
</ADDRESS>
</BODY>
