<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Queues and resources</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Queues and resources">
<meta name="keywords" value="sim">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html354 HREF="node21.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html352 HREF="node19.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html346 HREF="node19.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html356 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html355 HREF="node21.html"> An M/M/1 Queue</A>
<B>Up:</B> <A NAME=tex2html353 HREF="node19.html"> Queuing events</A>
<B> Previous:</B> <A NAME=tex2html347 HREF="node19.html"> Queuing events</A>
<BR> <HR> <P>
<H2><A NAME=SECTION00041000000000000000> Queues and resources</A></H2>
<P>
In systems where customers
arrive and depart, after being served we need at least three events
(or an entity for both the customer and server). These types are in
fact general for every queuing application. The difference then comes
from the arrival and service pattern, from the service policy, from
the resource amount and from the queuing priority of every event. 
These can be modeled as follows :
<UL><LI> <i> arrival and service pattern</i> - In the <i> arrival</i> event a
next arrival is scheduled after the appropriate time. The <i> service</i> event 
schedules a <i> departure</i> event after the service time.
<LI> <i> service policy</i> - When an arrival occurs it is served according
to the service policy. The most common ones are the LIFO (last in first
out) and FIFO (first in first out) queues. The first one can be modeled
by adding an arrival to the front of the queue with the <i> queue::prepend</i> method,
the last one is modeled by adding the arrival event to the back with
the <i> queue::append</i> method. In both cases we then take the front of
the queue with the <i> queue::removefront</i> method. Additional service
policies can easily be modeled as variations of the ones above.
<LI> <i> resource amount</i> - The number of arrivals that can be served
depends on the resource amount. When a resource is created it receives
its initial amount. This amount is then increased and decreased every time
a certain amount is released or acquired, with the <i> resource::release</i>
and <i> resource::acquire</i> methods. A resource can be released in the
departure event (after being served) and can be acquired in the
service event if the asked amount is available, which can be checked
with the <i> resource::available</i> method.
<LI> <i> queuing priority</i> - A priority queue can be modeled by giving
a queuing priority to an event, when created. When appended or prepended
an event that has a higher priority goes in front of an event with a
lower priority.
</UL><BR> <HR><A NAME=tex2html354 HREF="node21.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html352 HREF="node19.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html346 HREF="node19.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html356 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html355 HREF="node21.html"> An M/M/1 Queue</A>
<B>Up:</B> <A NAME=tex2html353 HREF="node19.html"> Queuing events</A>
<B> Previous:</B> <A NAME=tex2html347 HREF="node19.html"> Queuing events</A>
<BR> <HR> <P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Tue Oct 31 09:27:21 MET 1995</I>
</ADDRESS>
</BODY>
