<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> The resource class</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" The resource class">
<meta name="keywords" value="sim">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html387 HREF="node24.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html385 HREF="node19.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html379 HREF="node22.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html389 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html388 HREF="node24.html"> The queue class</A>
<B>Up:</B> <A NAME=tex2html386 HREF="node19.html"> Queuing events</A>
<B> Previous:</B> <A NAME=tex2html380 HREF="node22.html"> Queue behavior</A>
<BR> <HR> <P>
<H2><A NAME=SECTION00044000000000000000> The resource class</A></H2>
<P>
The class <i> resource</i> has the following interface :
<PRE>   interface resource 
   {
      resource(double a);          // constructor
   
      int report(histogram* h,double interval = 0);  // generate report
   
      void reset();                // reset amount left to initial
   
      void release(double a = 1);  // release amount left by a
      void acquire(double a = 1);  // acquire a from amount left
   
      int available(double a = 1); // is an amount a available ?

      int full();                  // is full ?
      int empty();                 // is empty ?
      double left();               // how much left ?
      double used();               // how much used ?
      double occupied();           // returns occupation (%).
   
      friend ostream&amp; operator&lt;&lt;(ostream&amp; os,resource&amp; r);
   };
</PRE>
<P>
The resource class also has a report method. When invoked a
histogram is filled with samples of the occupation of the resource.
<P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Tue Oct 31 09:27:21 MET 1995</I>
</ADDRESS>
</BODY>
