<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> The queue class</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" The queue class">
<meta name="keywords" value="sim">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html396 HREF="node25.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html394 HREF="node19.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html390 HREF="node23.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html398 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html397 HREF="node25.html"> Gathering and analyzing </A>
<B>Up:</B> <A NAME=tex2html395 HREF="node19.html"> Queuing events</A>
<B> Previous:</B> <A NAME=tex2html391 HREF="node23.html"> The resource class</A>
<BR> <HR> <P>
<H2><A NAME=SECTION00045000000000000000> The queue class</A></H2>
<P>
The class <i> queue</i> has the following interface :
<PRE>   interface queue 
   {
      queue();                    // constructor
      virtual ~queue();           // destructor
   
      void reset();               // reset queue
   
      int reportsize(histogram* h,double interval = 0);    
      int reportwaiting(histogram* h,double interval = 0,int qp = 0);
      int reportwaitingall(histogram* h,double interval = 0);
   
      int prepend(event* e);      // add to front
      int append(event* e);       // add to back
   
      event* removefront();       // remove front
      event* front();             // return front
      event* removeback();        // remove back
      event* back();              // return back
   
      int extract(event* e);      // extract e
   
      int terminatefront();       // terminate front
      int terminateback();        // terminate back

      int cancel();               // cancel specified events
   
      int size();                 // return size
      int empty();                // is empty ?
   
      friend ostream&amp; operator&lt;&lt;(ostream&amp; os,queue&amp; q);
   };
</PRE>
<P>
The reports fill the given histogram
with data of the size of the queue or with data of the waiting times.
The latter regardless of the queuing priorities.
<P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Tue Oct 31 09:27:21 MET 1995</I>
</ADDRESS>
</BODY>
