<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Gathering and analyzing results</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Gathering and analyzing results">
<meta name="keywords" value="sim">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html407 HREF="node26.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html405 HREF="sim.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html399 HREF="node24.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html409 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html408 HREF="node26.html"> Gathering results with </A>
<B>Up:</B> <A NAME=tex2html406 HREF="sim.html">SIM : a C++ </A>
<B> Previous:</B> <A NAME=tex2html400 HREF="node24.html"> The queue class</A>
<BR> <HR> <P>
<H1><A NAME=SECTION00050000000000000000> Gathering and analyzing results</A></H1>
<P>
In this section we present the <i> histogram</i> and <i> analysis</i> class
from the <i> sim</i> library. These classes can be used to gather and analyze the
results of a simulation. Results can be gathered by taking explicit
samples with the method <i> sample</i>, as is the case in the example of the dining philosophers, or
by using the <i> report</i> members, as is the case in the example of
the M/M/1 queue.
<P>
The class <i> analysis</i> makes it possible to analyze a histogram.
It provides members for taking confidence intervals, for determining
the covariance and correlation of two variables, for
analyzing the behavior of the simulation and for fitting curves and probability
distributions.
<P>
<BR> <HR>
<UL> 
<LI> <A NAME=tex2html410 HREF="node26.html#SECTION00051000000000000000"> Gathering results with histograms</A>
<UL> 
<LI> <A NAME=tex2html411 HREF="node27.html#SECTION00051100000000000000"> Histogram options</A>
<LI> <A NAME=tex2html412 HREF="node28.html#SECTION00051200000000000000"> Samples and reports</A>
<LI> <A NAME=tex2html413 HREF="node29.html#SECTION00051300000000000000"> The histogram class</A>
</UL> 
<LI> <A NAME=tex2html414 HREF="node30.html#SECTION00052000000000000000"> Realizing accuracy goals</A>
<UL> 
<LI> <A NAME=tex2html415 HREF="node31.html#SECTION00052100000000000000"> Batch means and repetition</A>
</UL> 
<LI> <A NAME=tex2html416 HREF="node32.html#SECTION00053000000000000000"> Analyzing the results</A>
<UL> 
<LI> <A NAME=tex2html417 HREF="node33.html#SECTION00053100000000000000"> Confidence intervals</A>
<LI> <A NAME=tex2html418 HREF="node34.html#SECTION00053200000000000000"> Covariance and correlation</A>
<LI> <A NAME=tex2html419 HREF="node35.html#SECTION00053300000000000000"> Fitting curves and distributions</A>
<LI> <A NAME=tex2html420 HREF="node36.html#SECTION00053400000000000000"> The analysis class</A>
</UL>
</UL>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Tue Oct 31 09:27:21 MET 1995</I>
</ADDRESS>
</BODY>
