<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Program structure</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Program structure">
<meta name="keywords" value="sim">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html147 HREF="node4.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html145 HREF="sim.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html139 HREF="node2.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html149 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html148 HREF="node4.html"> The event scheduling </A>
<B>Up:</B> <A NAME=tex2html146 HREF="sim.html">SIM : a C++ </A>
<B> Previous:</B> <A NAME=tex2html140 HREF="node2.html"> Introduction</A>
<BR> <HR> <P>
<H1><A NAME=SECTION00030000000000000000> Program structure</A></H1>
<P>
A typical simulation program, employing the <i> sim</i> library,
creates and runs an application derived from the <i> session</i> class.
The <i> session::main</i> function then contains the creation of
a simulation object, which makes it possible to use the simulation primitives.
It creates the  participating events and entities, which are derived from the corresponding
abstract classes and which are given functionality in their function operators.
Furthermore the required resources and queues are created. The resources
represent passive objects used by events while queues are used by events
waiting on a resource to become free.
Histogram and analysis objects can be created to
gather and analyze results.
Before running the simulation, it should be
set up by scheduling some events or entities depending on the type of
simulation.
<P>
<BR> <HR>
<UL> 
<LI> <A NAME=tex2html150 HREF="node4.html#SECTION00031000000000000000"> The event scheduling strategy</A>
<LI> <A NAME=tex2html151 HREF="node5.html#SECTION00032000000000000000"> Primitives and event states</A>
<LI> <A NAME=tex2html152 HREF="node6.html#SECTION00033000000000000000"> The event-based approach</A>
<UL> 
<LI> <A NAME=tex2html153 HREF="node7.html#SECTION00033100000000000000"> The Dining Philosophers</A>
<LI> <A NAME=tex2html154 HREF="node8.html#SECTION00033200000000000000"> The event class</A>
</UL> 
<LI> <A NAME=tex2html155 HREF="node9.html#SECTION00034000000000000000"> The process-oriented approach</A>
<UL> 
<LI> <A NAME=tex2html156 HREF="node10.html#SECTION00034100000000000000"> The entity philosopher</A>
<LI> <A NAME=tex2html157 HREF="node11.html#SECTION00034200000000000000"> The entity class</A>
</UL> 
<LI> <A NAME=tex2html158 HREF="node12.html#SECTION00035000000000000000"> The simulation class</A>
<LI> <A NAME=tex2html159 HREF="node13.html#SECTION00036000000000000000"> The generator class</A>
<LI> <A NAME=tex2html160 HREF="node14.html#SECTION00037000000000000000"> Hush classes</A>
<UL> 
<LI> <A NAME=tex2html161 HREF="node15.html#SECTION00037100000000000000"> The session class</A>
<LI> <A NAME=tex2html162 HREF="node16.html#SECTION00037200000000000000"> The kit class</A>
<LI> <A NAME=tex2html163 HREF="node17.html#SECTION00037300000000000000"> The widget class</A>
<LI> <A NAME=tex2html164 HREF="node18.html#SECTION00037400000000000000"> The toplevel widget</A>
</UL>
</UL>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Tue Oct 31 09:27:21 MET 1995</I>
</ADDRESS>
</BODY>
