<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Covariance and correlation</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Covariance and correlation">
<meta name="keywords" value="sim">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html519 HREF="node35.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html517 HREF="node32.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html511 HREF="node33.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html521 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html520 HREF="node35.html"> Fitting curves and </A>
<B>Up:</B> <A NAME=tex2html518 HREF="node32.html"> Analyzing the results</A>
<B> Previous:</B> <A NAME=tex2html512 HREF="node33.html"> Confidence intervals</A>
<BR> <HR> <P>
<H3><A NAME=SECTION00053200000000000000> Covariance and correlation</A></H3>
<P>
If the variables that are analyzed are dependent, i.e. their values affect
each other, we sometimes need information about their dependency.
A useful measure is the correlationcoefficient, that is determined from
the covariance of two variables.
The square of the correlation coefficient tells us what proportion of
the variation of the <i> y</i> values can be attributed to a linear
relationship with the <i> x</i> values.
If the variables are independent (or uncorrelated) the covariance 
and correlation coefficient are equal to 0.
<P>
The methods assume that the samples of the two histograms
are written to a file.
If we have a simulation that exhibits queue swapping we could determine
the correlation of the sizes of the queues as follows :
<PRE>    q1 -&gt; reportsize(h1);             // add reports
    q2 -&gt; reportsize(h2);

    h1 -&gt; file(&quot;sizes1&quot;);             // raw samples
    h2 -&gt; file(&quot;sizes2&quot;);

    sim -&gt; run(10000.0);
  
    analysis* a -&gt; covariance(h2);    // covariance h1 and h2
    a -&gt; correlation(h2);             // correlation h1 and h2
</PRE>
<P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Tue Oct 31 09:27:21 MET 1995</I>
</ADDRESS>
</BODY>
