<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> The event scheduling strategy</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" The event scheduling strategy">
<meta name="keywords" value="sim">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html173 HREF="node5.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html171 HREF="node3.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html165 HREF="node3.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html175 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html174 HREF="node5.html"> Primitives and event </A>
<B>Up:</B> <A NAME=tex2html172 HREF="node3.html"> Program structure</A>
<B> Previous:</B> <A NAME=tex2html166 HREF="node3.html"> Program structure</A>
<BR> <HR> <P>
<H2><A NAME=SECTION00031000000000000000> The event scheduling strategy</A></H2>
<P>
When a simulation is set up it runs after invoking the
<i> simulation::run</i>
method in the <i> session::main</i> function. The simulation then runs until the <i> simulation::quit</i>
method is invoked, until there are no events left or for a specified
number of time units or terminated events.
<P>
At the time an event is due to be activated, it is extracted from the
scheduler and the main simulation routine executes the code from
the <i> function operator</i> of that event.
The scheduling strategy employed by <i> sim</i>
is depicted in the following figure.
<P>
<P><A NAME=Scheduling>&#160;</A><IMG  ALIGN=BOTTOM ALT="" SRC="img1.gif"><P>
<P>
Notice that the algorithm extracts all events with the same 
activation time. The main simulation routine activates the events in priority
order with the highest scheduling priority first.
Before executing the events,
the simulation clock is updated to the activation time
of the current events. Furthermore, the FIFO conditional list is traversed
in priority order with highest scheduling priority first.
Events, that can run now, are executed.
Events that are not used anymore should be terminated to prevent the system from overflow.
<P>
After the running of the simulation some statistics of the starting and
end time, of the number of created, activated and terminated events and
of the actual time taken are given.
<P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Tue Oct 31 09:27:21 MET 1995</I>
</ADDRESS>
</BODY>
