<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> The screen widget</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" The screen widget">
<meta name="keywords" value="sim">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html591 HREF="node41.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html589 HREF="node39.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html583 HREF="node39.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html593 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html592 HREF="node41.html"> The control widget</A>
<B>Up:</B> <A NAME=tex2html590 HREF="node39.html"> Graphical widgets</A>
<B> Previous:</B> <A NAME=tex2html584 HREF="node39.html"> Graphical widgets</A>
<BR> <HR> <P>
<H3><A NAME=SECTION00062100000000000000> The screen widget</A></H3>
<P>
The <i> screen</i> widget is based on the <i> canvas</i> widget from the
<i> hush</i> library. It also offers methods to add, move and remove items
from the screen and to group items into a figure. The main difference
is in the use of world coordinates, which makes it possible to scale
the screen and therefore all the graphical widgets (which are
derived from the <i> screen</i> widget). Adjusting the
graphical widgets (and embedding it inside a screen or hypertext for
example) is now done by simply adjusting the width and height of
the widget (taking the world coordinates into account).
<P>
The screen widget has the following interface :
<P>
<PRE> 
   interface screen : public widget
   {
     screen(char* p,char* options = &quot;&quot;);
     screen(widget* w,char* p,char* options = &quot;&quot;);
     virtual ~screen();
 
     // add item
     int line(int x1,int y1,int x2,int y2,char* options = &quot;&quot;);
     int line(char* linespec,char* options = &quot;&quot;);
     int oval(int x1,int y1,int x2,int y2,char* options = &quot;&quot;);
     int circle(int x,int y,int r,char* options = &quot;&quot;);
     int polygon(char* linespec,char* options = &quot;&quot;);
     int rectangle(int x1,int y1,int x2,int y2,char* options = &quot;&quot;);
     int square(int x,int y,int r,char* options = &quot;&quot;);
     int bitmap(int x,int y,char* bitmap,char* options = &quot;&quot;);
     int window(int x,int y,widget* w,char* options = &quot;&quot;);
     int text(int x,int y,char* txt,char* options = &quot;&quot;);
 
     void tag(int id,char* tg);           // group items
     char* tags(int id);
 
     void move(int id,int x,int y);       // move item / figure
     void move(char* tg,int x,int y);
 
     void del(int id);                    // remove item / figure
     void del(char* tg);
 
     int overlapping(int x,int y);        // which items ?
     char* items(int x,int y);
 
     void postscript(char* fn);           // generate postscript
   };
</PRE>
The constructor takes the path and the options of the screen. The
following options are provided :
<UL><LI>  -background (color) - default grey
<LI>  -width (int) - default 800
<LI>  -height (int) - default 600
<LI>  -worldx (int) - default 800
<LI>  -worldy (int) - default 600
</UL>
Items are added and moved according to the world coordinates. Their
sizes (for example the radius for a circle or the font for the text) are adjusted by a factor width/worldx. If
you change the coordinates of the screen the factor width/worldx
should be equal to height/worldy. Items can be grouped into a figure
by specifying the same string for the items with the <i> tag</i> method.
An item is identified by the integer that is returned after adding
the figure.
Items as well as figures can be deleted and moved.
Remember that you should use the <i> kit::update</i> method if you
want the change on the screen to be seen on the display.
<P>
<BR> <HR>
<P><ADDRESS>
<I>A Eliens <BR>
Tue Oct 31 09:27:21 MET 1995</I>
</ADDRESS>
</BODY>
