<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Tests on the random number stream</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Tests on the random number stream">
<meta name="keywords" value="sushi">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html844 HREF="node56.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html842 HREF="node53.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html836 HREF="node54.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html846 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>   <A NAME=tex2html847 HREF="node60.html"><IMG ALIGN=BOTTOM ALT="index" SRC="http://www.cs.vu.nl/images/latex2html//index_motif.gif"></A>   <BR>
<B> Next:</B> <A NAME=tex2html845 HREF="node56.html"> A test on </A>
<B>Up:</B> <A NAME=tex2html843 HREF="node53.html"> The generator and </A>
<B> Previous:</B> <A NAME=tex2html837 HREF="node54.html"> The linear congruential </A>
<BR> <HR> <P>
<H2><A NAME=SECTION000102000000000000000> Tests on the random number stream</A></H2>
<P>
We wrote the following tests for the random number stream :
<P>
<UL><LI> <i> the Uniformity Test</i>. The interval is split up into 10
intervals. For randomness we would expect the counts in each interval to
be equal. A <IMG  ALIGN=MIDDLE ALT="" SRC="img68.gif"> test is performed with each member of the expected
array equal to the number of random fractions divided by 10.
<P>
We also wrote two variations of this test. The first one groups the
random numbers into pairs, the second one into triples. The expected
values of each pair and triple are then the number of random fractions
divided by 2*100 and by 3*125 (5 intervals) respectively.
<LI> <i> The Poker Test</i>. In this test we multiply the random fractions
with 10 and cast them to integers. Furthermore we group the sequence of
integers into sequences of five consecutive integers. The frequency
of the following categories is recorded :
<UL><LI> 1 - All of the same or two different integers in a group.
<LI> 2 - Three different integers in a group.
<LI> 3 - Four different integers in a group.
<LI> 4 - Five different integers in a group.
</UL>
A <IMG  ALIGN=MIDDLE ALT="" SRC="img69.gif"> test is performed with the following expected values for each category (n is the number of fractions):
<UL><LI> 1 - 0.0136 n.
<LI> 2 - 0.1800 n.
<LI> 3 - 0.5040 n.
<LI> 4 - 0.3024 n.
</UL>
<LI> <i> the Gap Test</i>. An interval between a and b is defined <IMG  ALIGN=MIDDLE ALT="" SRC="img70.gif">.
Each random number is replaced with 0 if outside and with 1 if inside
the interval. We are interested in the lengths of the gaps.
The expected value of a gap of length k is :
<IMG  ALIGN=MIDDLE ALT="" SRC="img71.gif">
<P>
<LI> <i> the Coupon Collector Test</i>. In this test we divide the 
interval [0,1) into five intervals [0,0.2),..,[0.8,1). The number of random
fractions to get at least a count of 1 in each interval is counted.
We define 16 categories as follows :
<UL><LI> 1 - sequence of 5.
<LI> 2 - sequence of 6.
<LI> ..
<LI> 15 - sequence of 19.
<LI> 16 - sequence of 20 or more.
</UL>
The expected values of each category are calculated as :
<IMG  ALIGN=MIDDLE ALT="" SRC="img72.gif">
<P>
with <i> n</i> the number of fractions and <IMG  ALIGN=MIDDLE ALT="" SRC="img73.gif"> from the following sequence
of probabilities :
0.03840000, 0.07680000, 0.09984000, 0.10752000, 0.10450944, 0.09547776, 0.08381645, 0.07163904, 0.06011299, 0.04979157, 0.04086200, 0.03331007, 0.02702163, 0.02184196, 0.01760857, 0.07144851
</UL>
In all cases we fill an array with the expected values for the taken test
and perform a <IMG  ALIGN=MIDDLE ALT="" SRC="img74.gif"> test with the observed values with the method from the
<i> analysis</i> class.
The hypothesis of randomness is rejected if the probability is less then
0.05 (no randomness) or more then 0.95 (fabricated) in 95% or more of the experiments.
<P>
<BR> <HR><A NAME=tex2html844 HREF="node56.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://www.cs.vu.nl/images/latex2html//next_motif.gif"></A>   <A NAME=tex2html842 HREF="node53.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://www.cs.vu.nl/images/latex2html//up_motif.gif"></A>   <A NAME=tex2html836 HREF="node54.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://www.cs.vu.nl/images/latex2html//previous_motif.gif"></A>   <A NAME=tex2html846 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://www.cs.vu.nl/images/latex2html//contents_motif.gif"></A>   <A NAME=tex2html847 HREF="node60.html"><IMG ALIGN=BOTTOM ALT="index" SRC="http://www.cs.vu.nl/images/latex2html//index_motif.gif"></A>   <BR>
<B> Next:</B> <A NAME=tex2html845 HREF="node56.html"> A test on </A>
<B>Up:</B> <A NAME=tex2html843 HREF="node53.html"> The generator and </A>
<B> Previous:</B> <A NAME=tex2html837 HREF="node54.html"> The linear congruential </A>
<BR> <HR> <P>
<BR> <HR>
<P><ADDRESS>
<I>D Bolier <BR>
Fri Sep  8 15:07:53 MET DST 1995</I>
</ADDRESS>
</BODY>
