<h4>The hush API</h4>
<include file=navigate>
As explained in the previous section, the
<i>hush</i> library contains the classes
providing the interface to the embedded script
interpreter(s) and the classes allowing for
a smooth interaction with the underlying window
system.
(Currently, only X-windows is supported.
An MS-windows implementation is on its way.)
<p>
The <i>hush</i> library contains the classes
<i>kit</i>, <i>event</i>, <i>handler</i>,
<i>widget</i> and <i>item</i>.
In addition to these, <i>hush</i> provides
the class <i>session</i>.
Application programmers are minimally required
to derive a class, say <i>application</i>,
from <i>session</i> and redefine the function <i>main</i>.
When the program is to be used as a script interpreter,
the function <i>prelude</i> may be redefined
to allow for initializing external packages or other
components of the DejaVu framework.
<p>
As a comment, the <i>hush</i> library originated
as a collection of classes
giving the C++ programmer convenient access
to the Tcl/Tk window programming toolkit.
Its design has been inspired by the Interviews library.
However, although less powerful wit respect
to device-independent graphics,
its class structure is less complex
and, as experience shows, much easier to employ
by undergraduate students.
In addition, it offers a rich collection of
user interface widgets.
<include file=navigate>
