<h1>Requirements for APIs</h1>

To open the discussion about requirements
for APIs, an inventory was presented encompassing
complaints about the functionality of the Web,
observations concerning its 'nature',
general requirements for open systems development,
a wish-list of desired behavioral characteristics
and potential (technological) answers.

<slide id=www5-reqs cap="Requirements for APIs">
<dl>
<dt><b>C</b>omplaints
<dd><ul>
    <li>lack of referential integrity
    <li>undetected failures
    <li>no control over Quality of Service
    </ul>
<dt><b>O</b>bservations
<dd><ul>
    <li>dynamic quality of services
    <li>complex interaction
    </ul>
<dt><b>R</b>equirements
<dd><ul>
    <li>uniformity, openness, flexibility,
    orthogonality, layered, platform-independent
    </ul>
<dt><b>B</b>ehavior
<dd><ul>
    <li> reliable, configurable, monitoring, notification,
    triggering, thread-safe
    </ul>
<dt><b>A</b>nswers
<dd><ul>
    <li> object-oriented, components, virtual APIs, callbacks, plug-ins
    </ul>
</dl>
</slide>

It was observed by Mark Brown that requirements could
not be stated without an explicit indication of
a <b>perspective</b>, that is the kind of application
for which the API is intended.
In contrast, the [_W3Creference] library makes no such distinction,
but tries to provide a platform for a variety of applications.

