<HTML>
<HEAD>
<TITLE>WWW5 Workshops: Call For Participation</TITLE>
</HEAD>
<BODY>
<H1><a href=http://www.w3.org/pub/Conferences/WWW5/>WWW5</a> <a href=http://www.w3.org/pub/Conferences/WWW5/fich_html/workshops.html>Workshops</a>:
<a href=http://www.w3.org/pub/Conferences/WWW5/fich_html/workshops.html>Call For Participation</a></H1>
<HR>

<H2>Programming the Web - a search for APIs</H2>

The workshop focusses on
concepts and requirements for high-level API
suitable for developing Web-aware applications.
An explicit goal of the workshop is to publish
state of the art references to existing APIs.

<H2>Invited speaker</H2>
<center>
<b>Luca Cardelli - <a href=local/papers/luca@pa.dec.com.html>What is the Web's Model of Computation?</a></b>
</center>

<H2>Format:</H2>

Full-Day

<H2>Workshop Committee</H2>

The Chairman, and committee members contacts:
<P>
Anton Eli&euml;ns (Chair)
<BR>
Email: <a href=mailto:eliens@cs.vu.nl>eliens@cs.vu.nl</a>
<BR>
<a href=http://www.cs.vu.nl/~eliens/>http://www.cs.vu.nl/~eliens/</a>
<BR>
Dept. of Math. and CS
Vrije Universiteit, Amsterdam
De Boelelaan 1081, 1081 HV Amsterdam,
The Netherlands
<P>
David De Roure
<BR>
Email: <a href=mailto:dder@ecs.soton.ac.uk>dder@ecs.soton.ac.uk</a>
<BR>
<a href=http://www.soton.ac.uk/~dder/>http://www.soton.ac.uk/~dder/</a>
<BR>
Department of Electronics & Computer Science,
University of Southampton,
Highfield, Southampton SO17 1BJ
<P>
Simon Dobson
<BR>
Email: <a href=mailto:S.Dobson@rl.ac.uk>S.Dobson@rl.ac.uk</a>
<BR>
<a href=http://www.cis.rl.ac.uk/people/sd/contact.html>
http://www.cis.rl.ac.uk/people/sd/contact.html</a>
<BR>
Computing and Information Systems
CCLRC Rutherford Appleton Laboratory
Chilton, Didcot, Oxon OX11 0QX, UK
<P>
The committee is assisted by:
<BR>
Jacco van Ossenbruggen (VU, Amsterdam) 
<a href=mailto:jrvosse@cs.vu.nl>jrvosse@cs.vu.nl</a>
<BR>
Bastiaan Sch&ouml;nhage  (VU, Amsterdam)
<a href=mailto:bastiaan@cs.vu.nl>bastiaan@cs.vu.nl</a>

<H2>Abstract</H2>

There seems to be a trend towards replacing
monolithic general-purpose Web browsers
by more finely-tuned Web applications
enhanced with user-specific functionality,
such as for example applets that allow
for user-interaction or
the display of dynamic information.
<P>
This raises the issue of what support should be
provided for developing such applications.
This workshop intents to address these issues.
Topics include:
<slide id=www-topics-2 cap="Topics">
@ Workshop Topics
<UL>
<LI> Web programming languages
<LI> components for developing Web applications
<LI> software libraries -- HTML/HTTP support
<LI> (object) composition mechanisms -- CORBA, OLE, ...
<LI> additional communication protocols --
broadcasting, ToolTalk, ...
<LI> agents -- mobile code, ...
</UL>
<p>
To focus the discussion, we state that
"<em>the language wars are over, the next war will
be an API war, or rather several of them</em>."
In other words, as a result of the workshop, we like
to see (proposals for) high-level support
for Web-integrated applications.
<p>
We like the workshop to result in
<UL>
<LI> the definition of requirements for high-level APIs
and frameworks for Web programming
<LI> the characterization of suitable components
for Web-aware applications,
<LI> an overview of existing APIs for the Web
</UL>
</slide>

<H2>Position papers</H2>

Position papers from 3-5 (HTML-2.0) pages addressing one of
the topics mentioned are welcomed.
Position papers proposing an API must include a
brief description of the API, its intended 
application domain and preferably 
an indication of practical experience.

<H2>Deadlines</H2>

Position papers must be submitted by email before April 8, 1996.
<BR>
Notification of acceptance: 15 April 1996


<HR>
Anton Eli&euml;ns
<a href=mailto:eliens@cs.vu.nl>eliens@cs.vu.nl</a>
<BR>
4 March 1996
</BODY>
</HTML>
