<document>
<h4>Benefits</h4>

<ul>
<li> ease of programming / development time
<li> incomplete information / constraints
<li> expert knowledge / deductive databases
<li> natural language processing
<li> adaptable high level programs
<li> multi-agents systems
</ul>

<h4>Applications</h4>
<ul>
<li> expert systems
<li> marketing
<li> intelligent tutorials
<li> information retrieval
<li> interactive games
</ul>

<h4>Language constructs</h4>
<ul>
<li> implicational logic (assumptions)
<li> objects in logic
<li> distributed blackboards (Linda-like tuple space)
<li> active modules
<li> constraints over (semi) formal domains
</ul>

<h4>Implementations</h4>
<ul>
<li> <a href=../papers/tarau>BinProlog</a> -- Linda-like tuple space
<li> <a href=../papers/joakime>Sicstus</a>   -- HTML/HTTP support with Logic Objects
<li> <a href=../papers/herme>Pillow/Ciao</a>    -- Active Modules,  High Level Server-based WWW Programming
<li>  <a href=../papers/amzi>Amzi CGI Interface</a> --
Logic-based CGI server programs
<li> <a href=../papers/fruehwirth>Eclipse</a> Constraint handlers
</ul>
</document>
